// $ANTLR 3.1.3 Mar 17, 2009 19:23:44 org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g 2013-02-18 13:57:16

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
*/

package org.apache.uima.textmarker.parser;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Stack;

import org.antlr.runtime.BaseRecognizer;
import org.antlr.runtime.BitSet;
import org.antlr.runtime.CommonToken;
import org.antlr.runtime.DFA;
import org.antlr.runtime.EarlyExitException;
import org.antlr.runtime.FailedPredicateException;
import org.antlr.runtime.IntStream;
import org.antlr.runtime.MismatchedSetException;
import org.antlr.runtime.NoViableAltException;
import org.antlr.runtime.Parser;
import org.antlr.runtime.RecognitionException;
import org.antlr.runtime.RecognizerSharedState;
import org.antlr.runtime.Token;
import org.antlr.runtime.TokenStream;
import org.apache.uima.resource.metadata.TypeSystemDescription;

import org.apache.uima.textmarker.action.AbstractTextMarkerAction;
import org.apache.uima.textmarker.action.ActionFactory;
import org.apache.uima.textmarker.condition.AbstractTextMarkerCondition;
import org.apache.uima.textmarker.condition.ConditionFactory;
import org.apache.uima.textmarker.TextMarkerAutomataBlock;
import org.apache.uima.textmarker.TextMarkerBlock;
import org.apache.uima.textmarker.TextMarkerModule;
import org.apache.uima.textmarker.TextMarkerScriptBlock;
import org.apache.uima.textmarker.TextMarkerScriptFactory;
import org.apache.uima.textmarker.TextMarkerAutomataFactory;
import org.apache.uima.textmarker.TextMarkerStatement;
import org.apache.uima.textmarker.expression.ExpressionFactory;
import org.apache.uima.textmarker.expression.TextMarkerExpression;
import org.apache.uima.textmarker.expression.bool.BooleanExpression;
import org.apache.uima.textmarker.expression.list.BooleanListExpression;
import org.apache.uima.textmarker.expression.list.ListExpression;
import org.apache.uima.textmarker.expression.list.NumberListExpression;
import org.apache.uima.textmarker.expression.list.StringListExpression;
import org.apache.uima.textmarker.expression.list.TypeListExpression;
import org.apache.uima.textmarker.expression.number.NumberExpression;
import org.apache.uima.textmarker.expression.resource.WordListExpression;
import org.apache.uima.textmarker.expression.resource.WordTableExpression;
import org.apache.uima.textmarker.expression.string.StringExpression;
import org.apache.uima.textmarker.expression.string.StringFunctionFactory;
import org.apache.uima.textmarker.expression.type.TypeExpression;
import org.apache.uima.textmarker.extensions.TextMarkerExternalFactory;
import org.apache.uima.textmarker.rule.ComposedRuleElement;
import org.apache.uima.textmarker.rule.RuleElement;
import org.apache.uima.textmarker.rule.RuleElementContainer;
import org.apache.uima.textmarker.rule.RuleElementIsolator;
import org.apache.uima.textmarker.rule.TextMarkerRule;
import org.apache.uima.textmarker.rule.TextMarkerRuleElement;
import org.apache.uima.textmarker.rule.quantifier.RuleElementQuantifier;


import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.util.HashMap;
public class TextMarkerParser extends Parser {
    public static final String[] tokenNames = new String[] {
        "<invalid>", "<EOR>", "<DOWN>", "<UP>", "DocComment", "Annotation", "ListIdentifier", "TRIE", "CONTAINS", "DECLARE", "WORDLIST", "WORDTABLE", "AND", "CONTEXTCOUNT", "COUNT", "TOTALCOUNT", "CURRENTCOUNT", "INLIST", "LAST", "MOFN", "NEAR", "OR", "PARTOF", "PARTOFNEQ", "POSITION", "REGEXP", "SCORE", "VOTE", "IF", "FEATURE", "PARSE", "CREATE", "GATHER", "FILL", "ATTRIBUTE", "COLOR", "DEL", "LOG", "MARK", "MARKSCORE", "MARKONCE", "MARKFAST", "MARKTABLE", "MARKLAST", "REPLACE", "RETAINTYPE", "FILTERTYPE", "CALL", "EXEC", "CONFIGURE", "ASSIGN", "SETFEATURE", "GETFEATURE", "UNMARK", "UNMARKALL", "TRANSFER", "SHIFT", "DYNAMICANCHORING", "TRIM", "BEFORE", "AFTER", "IS", "STARTSWITH", "ENDSWITH", "ADDRETAINTYPE", "REMOVERETAINTYPE", "ADDFILTERTYPE", "REMOVEFILTERTYPE", "NOT", "ADD", "REMOVE", "REMOVEDUPLICATE", "MERGE", "GET", "GETLIST", "SIZE", "MATCHEDTEXT", "REMOVESTRING", "CLEAR", "THEN", "BasicAnnotationType", "LogLevel", "OldColor", "PackageString", "ScriptString", "EngineString", "BlockString", "AutomataBlockString", "TypeString", "IntString", "DoubleString", "FloatString", "StringString", "BooleanString", "TypeSystemString", "SymbolString", "CONDITION", "ACTION", "BOOLEANLIST", "INTLIST", "DOUBLELIST", "FLOATLIST", "STRINGLIST", "TYPELIST", "EXP", "LOGN", "SIN", "COS", "TAN", "XOR", "TRUE", "FALSE", "HexDigit", "IntegerTypeSuffix", "HexLiteral", "DecimalLiteral", "OctalLiteral", "Exponent", "FloatTypeSuffix", "FloatingPointLiteral", "EscapeSequence", "CharacterLiteral", "StringLiteral", "RessourceLiteral", "UnicodeEscape", "OctalEscape", "Letter", "JavaIDDigit", "Identifier", "LPAREN", "RPAREN", "LBRACK", "RBRACK", "LCURLY", "RCURLY", "CIRCUMFLEX", "AT", "DOT", "COLON", "COMMA", "SEMI", "PLUS", "MINUS", "STAR", "SLASH", "VBAR", "AMPER", "LESS", "GREATER", "ASSIGN_EQUAL", "PERCENT", "QUESTION", "EQUAL", "NOTEQUAL", "ALT_NOTEQUAL", "LESSEQUAL", "GREATEREQUAL", "WS", "COMMENT", "LINE_COMMENT"
    };
    public static final int STAR=143;
    public static final int FloatTypeSuffix=118;
    public static final int OctalLiteral=116;
    public static final int LOG=37;
    public static final int CONTAINS=8;
    public static final int REMOVE=70;
    public static final int GREATEREQUAL=156;
    public static final int MARKFAST=41;
    public static final int CONDITION=96;
    public static final int MATCHEDTEXT=76;
    public static final int COUNT=14;
    public static final int LOGN=105;
    public static final int DYNAMICANCHORING=57;
    public static final int NOT=68;
    public static final int EOF=-1;
    public static final int Identifier=128;
    public static final int ACTION=97;
    public static final int CLEAR=78;
    public static final int NOTEQUAL=153;
    public static final int ENDSWITH=63;
    public static final int DOUBLELIST=100;
    public static final int VBAR=145;
    public static final int RPAREN=130;
    public static final int CREATE=31;
    public static final int GREATER=148;
    public static final int SIN=106;
    public static final int EXP=104;
    public static final int CURRENTCOUNT=16;
    public static final int COS=107;
    public static final int TAN=108;
    public static final int TYPELIST=103;
    public static final int FloatString=91;
    public static final int LESS=147;
    public static final int REGEXP=25;
    public static final int GET=73;
    public static final int UNMARK=53;
    public static final int PARTOF=22;
    public static final int LAST=18;
    public static final int COMMENT=158;
    public static final int REMOVEDUPLICATE=71;
    public static final int UNMARKALL=54;
    public static final int RBRACK=132;
    public static final int NEAR=20;
    public static final int LINE_COMMENT=159;
    public static final int IntegerTypeSuffix=113;
    public static final int MARKSCORE=39;
    public static final int REMOVESTRING=77;
    public static final int TRANSFER=55;
    public static final int LCURLY=133;
    public static final int TRIE=7;
    public static final int FILTERTYPE=46;
    public static final int STRINGLIST=102;
    public static final int MARKONCE=40;
    public static final int ScriptString=84;
    public static final int EngineString=85;
    public static final int WS=157;
    public static final int WORDTABLE=11;
    public static final int WORDLIST=10;
    public static final int AutomataBlockString=87;
    public static final int FloatingPointLiteral=119;
    public static final int INTLIST=99;
    public static final int OR=21;
    public static final int TRIM=58;
    public static final int JavaIDDigit=127;
    public static final int FLOATLIST=101;
    public static final int CALL=47;
    public static final int Annotation=5;
    public static final int FALSE=111;
    public static final int LESSEQUAL=155;
    public static final int RessourceLiteral=123;
    public static final int VOTE=27;
    public static final int Letter=126;
    public static final int EscapeSequence=120;
    public static final int SIZE=75;
    public static final int REMOVEFILTERTYPE=67;
    public static final int BasicAnnotationType=80;
    public static final int LBRACK=131;
    public static final int CharacterLiteral=121;
    public static final int DEL=36;
    public static final int ATTRIBUTE=34;
    public static final int TypeString=88;
    public static final int SHIFT=56;
    public static final int Exponent=117;
    public static final int ASSIGN_EQUAL=149;
    public static final int RETAINTYPE=45;
    public static final int TypeSystemString=94;
    public static final int AND=12;
    public static final int IntString=89;
    public static final int ADDFILTERTYPE=66;
    public static final int BlockString=86;
    public static final int HexDigit=112;
    public static final int COLOR=35;
    public static final int POSITION=24;
    public static final int LPAREN=129;
    public static final int IF=28;
    public static final int AT=136;
    public static final int LogLevel=81;
    public static final int CONFIGURE=49;
    public static final int SLASH=144;
    public static final int THEN=79;
    public static final int FILL=33;
    public static final int COMMA=139;
    public static final int IS=61;
    public static final int GETLIST=74;
    public static final int REPLACE=44;
    public static final int AMPER=146;
    public static final int EQUAL=152;
    public static final int GATHER=32;
    public static final int INLIST=17;
    public static final int PLUS=141;
    public static final int BooleanString=93;
    public static final int GETFEATURE=52;
    public static final int DOT=137;
    public static final int ListIdentifier=6;
    public static final int PARTOFNEQ=23;
    public static final int ADD=69;
    public static final int BOOLEANLIST=98;
    public static final int MARKTABLE=42;
    public static final int HexLiteral=114;
    public static final int XOR=109;
    public static final int MARK=38;
    public static final int PERCENT=150;
    public static final int PackageString=83;
    public static final int PARSE=30;
    public static final int OldColor=82;
    public static final int MERGE=72;
    public static final int MARKLAST=43;
    public static final int CONTEXTCOUNT=13;
    public static final int BEFORE=59;
    public static final int EXEC=48;
    public static final int AFTER=60;
    public static final int MINUS=142;
    public static final int DecimalLiteral=115;
    public static final int TRUE=110;
    public static final int SEMI=140;
    public static final int FEATURE=29;
    public static final int SymbolString=95;
    public static final int StringString=92;
    public static final int StringLiteral=122;
    public static final int COLON=138;
    public static final int SCORE=26;
    public static final int QUESTION=151;
    public static final int ADDRETAINTYPE=64;
    public static final int UnicodeEscape=124;
    public static final int STARTSWITH=62;
    public static final int RCURLY=134;
    public static final int ASSIGN=50;
    public static final int REMOVERETAINTYPE=65;
    public static final int TOTALCOUNT=15;
    public static final int DECLARE=9;
    public static final int DocComment=4;
    public static final int MOFN=19;
    public static final int SETFEATURE=51;
    public static final int OctalEscape=125;
    public static final int DoubleString=90;
    public static final int CIRCUMFLEX=135;
    public static final int ALT_NOTEQUAL=154;

    // delegates
    // delegators


        public TextMarkerParser(TokenStream input) {
            this(input, new RecognizerSharedState());
        }
        public TextMarkerParser(TokenStream input, RecognizerSharedState state) {
            super(input, state);
             
        }
        

    public String[] getTokenNames() { return TextMarkerParser.tokenNames; }
    public String getGrammarFileName() { return "org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g"; }


    private List vars = new ArrayList();	
    private int level = 0;
    private TextMarkerScriptFactory factory = new TextMarkerScriptFactory();
    private TextMarkerScriptFactory automataFactory = new TextMarkerAutomataFactory();
    private TextMarkerExternalFactory external;


    public void setExternalFactory(TextMarkerExternalFactory factory) {
    	external = factory;
    }

    public void emitErrorMessage(String msg) {
    		System.out.println(msg);
    	}
    	public void reportError(RecognitionException e) {
    		System.out.println(e);
    	}

    	//public void addVariable(String var, IntStream input) throws NoViableAltException {
    	//	if(!vars.contains(var)) {
    	//		vars.add(var);
    	//	} else {
    	//		throw new NoViableAltException("already declared \"" + var + "\"", 3, 0, input);
    	//	}
    	//}
    	public void addVariable(TextMarkerBlock parent, String name, String type) {
    		parent.getEnvironment().addVariable(name, type);
    	}
    	
    	public boolean ownsVariable(TextMarkerBlock parent, String name) {
    		return parent.getEnvironment().ownsVariable(name);
    	}
    	public boolean isVariable(TextMarkerBlock parent, String name) {
    		return parent.getEnvironment().isVariable(name);
    	}
    	
    	public void setValue(TextMarkerBlock parent, List<String> names, Object obj) {
    		for(String name : names) {
    			setValue(parent,name,obj);
    		}
    	}
    	
    	public void setValue(TextMarkerBlock parent, String name, Object obj) {
    		if(obj != null) {
    			Object value = parent.getEnvironment().getLiteralValue(name, obj);
    			parent.getEnvironment().setVariableValue(name, value);
    			parent.getEnvironment().setInitialVariableValue(name, value);
    		}
    	}
    	
    	public boolean ownsVariableOfType(TextMarkerBlock parent, String name, String type) {
    		return parent.getEnvironment().ownsVariableOfType(name,type);
    	}
    	
    	public boolean isVariableOfType(TextMarkerBlock parent, String name, String type) {
    		return parent.getEnvironment().isVariableOfType(name,type);
    	}
    	
    	public void addType(TextMarkerBlock parent, String type) {
    	}
    	
    	public void addType(TextMarkerBlock parent, String name, String parentType, List featuresTypes, List featuresNames) {
        	}
    	
    	public boolean isType(TextMarkerBlock parent, String type) {
    		return parent.getEnvironment().getType(type) != null || type.equals("Document");
    	}
    	
    	public void checkVariable(String var, IntStream input) throws NoViableAltException {
    		if(!vars.contains(var)) {
    			throw new NoViableAltException("not declared \"" + var + "\"", 3, 0, input);
    		}
    	}
    	
    	public void addImportTypeSystem(TextMarkerBlock parent, String descriptor) {
    		//parent.getEnvironment().addTypeSystem(descriptor);
    	}
    	public void addImportScript(TextMarkerBlock parent, String namespace) {
    		parent.getScript().addScript(namespace, null);
    	}
    	public void addImportEngine(TextMarkerBlock parent, String namespace) {
    		parent.getScript().addEngine(namespace, null);
    	}
    	
    	
    	protected static final int[] getBounds(Token t) {
        		if (t instanceof CommonToken) {
        			CommonToken ct = (CommonToken) t;
        			int[] bounds = {ct.getStartIndex(), ct.getStopIndex()}; 
        			return bounds;
        		}
        		return null;
        	}
    	
    	private TypeSystemDescription localTSD;
    	private String[] resourcePaths;
    	

    	public void setResourcePaths(String[] resourcePaths) {
    		this.resourcePaths = resourcePaths;
    	}
    	
    	 public void setLocalTSD(TypeSystemDescription localTSD) {
          		this.localTSD = localTSD;
       	 }



    // $ANTLR start "file_input"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:205:1: file_input[String moduleName] returns [TextMarkerModule module] : p= packageDeclaration gs= globalStatements s= statements EOF ;
    public final TextMarkerModule file_input(String moduleName) throws RecognitionException {
        TextMarkerModule module = null;

        String p = null;

        List<TextMarkerStatement> gs = null;

        List<TextMarkerStatement> s = null;



        TextMarkerScriptBlock rootBlock = null;
        List<TextMarkerStatement> stmts = new ArrayList<TextMarkerStatement>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:210:2: (p= packageDeclaration gs= globalStatements s= statements EOF )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:211:2: p= packageDeclaration gs= globalStatements s= statements EOF
            {
            pushFollow(FOLLOW_packageDeclaration_in_file_input75);
            p=packageDeclaration();

            state._fsp--;
            if (state.failed) return module;
            if ( state.backtracking==0 ) {

              	rootBlock = factory.createRootScriptBlock(moduleName, p, localTSD);
                      rootBlock.getEnvironment().setResourcePaths(resourcePaths);
              	rootBlock.setElements(stmts);
              	module = new TextMarkerModule(rootBlock);
              	rootBlock.setScript(module);
              	
            }
            if ( state.backtracking==0 ) {
              blockDeclaration_stack.push(new blockDeclaration_scope());((blockDeclaration_scope)blockDeclaration_stack.peek()).env = rootBlock;
            }
            pushFollow(FOLLOW_globalStatements_in_file_input91);
            gs=globalStatements();

            state._fsp--;
            if (state.failed) return module;
            if ( state.backtracking==0 ) {
              stmts.addAll(gs);
            }
            pushFollow(FOLLOW_statements_in_file_input100);
            s=statements();

            state._fsp--;
            if (state.failed) return module;
            if ( state.backtracking==0 ) {
              stmts.addAll(s);
            }
            match(input,EOF,FOLLOW_EOF_in_file_input108); if (state.failed) return module;

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return module;
    }
    // $ANTLR end "file_input"


    // $ANTLR start "packageDeclaration"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:227:1: packageDeclaration returns [String pack = \"\"] : PackageString p= dottedIdentifier SEMI ;
    public final String packageDeclaration() throws RecognitionException {
        String pack =  "";

        String p = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:228:2: ( PackageString p= dottedIdentifier SEMI )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:228:4: PackageString p= dottedIdentifier SEMI
            {
            match(input,PackageString,FOLLOW_PackageString_in_packageDeclaration123); if (state.failed) return pack;
            pushFollow(FOLLOW_dottedIdentifier_in_packageDeclaration129);
            p=dottedIdentifier();

            state._fsp--;
            if (state.failed) return pack;
            match(input,SEMI,FOLLOW_SEMI_in_packageDeclaration131); if (state.failed) return pack;
            if ( state.backtracking==0 ) {
              pack = p;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return pack;
    }
    // $ANTLR end "packageDeclaration"


    // $ANTLR start "statements"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:231:1: statements returns [List<TextMarkerStatement> stmts = new ArrayList<TextMarkerStatement>()] : (stmt= statement )* ;
    public final List<TextMarkerStatement> statements() throws RecognitionException {
        List<TextMarkerStatement> stmts =  new ArrayList<TextMarkerStatement>();

        TextMarkerStatement stmt = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:232:2: ( (stmt= statement )* )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:233:2: (stmt= statement )*
            {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:233:2: (stmt= statement )*
            loop1:
            do {
                int alt1=2;
                int LA1_0 = input.LA(1);

                if ( ((LA1_0>=DECLARE && LA1_0<=WORDTABLE)||LA1_0==BasicAnnotationType||(LA1_0>=BlockString && LA1_0<=BooleanString)||(LA1_0>=BOOLEANLIST && LA1_0<=TYPELIST)||LA1_0==StringLiteral||(LA1_0>=Identifier && LA1_0<=LPAREN)) ) {
                    alt1=1;
                }


                switch (alt1) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:233:3: stmt= statement
            	    {
            	    pushFollow(FOLLOW_statement_in_statements154);
            	    stmt=statement();

            	    state._fsp--;
            	    if (state.failed) return stmts;
            	    if(stmt != null) {stmts.add(stmt);}

            	    }
            	    break;

            	default :
            	    break loop1;
                }
            } while (true);


            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return stmts;
    }
    // $ANTLR end "statements"


    // $ANTLR start "globalStatements"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:236:1: globalStatements returns [List<TextMarkerStatement> stmts = new ArrayList<TextMarkerStatement>()] : (morestmts= globalStatement )* ;
    public final List<TextMarkerStatement> globalStatements() throws RecognitionException {
        List<TextMarkerStatement> stmts =  new ArrayList<TextMarkerStatement>();

        List<TextMarkerStatement> morestmts = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:237:2: ( (morestmts= globalStatement )* )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:238:2: (morestmts= globalStatement )*
            {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:238:2: (morestmts= globalStatement )*
            loop2:
            do {
                int alt2=2;
                int LA2_0 = input.LA(1);

                if ( ((LA2_0>=ScriptString && LA2_0<=EngineString)||LA2_0==TypeSystemString) ) {
                    alt2=1;
                }


                switch (alt2) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:238:3: morestmts= globalStatement
            	    {
            	    pushFollow(FOLLOW_globalStatement_in_globalStatements179);
            	    morestmts=globalStatement();

            	    state._fsp--;
            	    if (state.failed) return stmts;
            	    if ( state.backtracking==0 ) {
            	      if(morestmts != null) {stmts.addAll(morestmts);}
            	    }

            	    }
            	    break;

            	default :
            	    break loop2;
                }
            } while (true);


            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return stmts;
    }
    // $ANTLR end "globalStatements"


    // $ANTLR start "globalStatement"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:241:1: globalStatement returns [List<TextMarkerStatement> stmts = new ArrayList<TextMarkerStatement>()] : stmtImport= importStatement ;
    public final List<TextMarkerStatement> globalStatement() throws RecognitionException {
        List<TextMarkerStatement> stmts =  new ArrayList<TextMarkerStatement>();

        TextMarkerStatement stmtImport = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:242:2: (stmtImport= importStatement )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:243:2: stmtImport= importStatement
            {
            pushFollow(FOLLOW_importStatement_in_globalStatement203);
            stmtImport=importStatement();

            state._fsp--;
            if (state.failed) return stmts;
            if ( state.backtracking==0 ) {
              stmts.add(stmtImport);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return stmts;
    }
    // $ANTLR end "globalStatement"


    // $ANTLR start "statement"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:246:1: statement returns [TextMarkerStatement stmt = null] : (stmtDecl= declaration | stmtVariable= variableDeclaration | stmtRule= simpleStatement | stmtBlock= blockDeclaration | stmtAutomata= automataDeclaration ) ;
    public final TextMarkerStatement statement() throws RecognitionException {
        TextMarkerStatement stmt =  null;

        TextMarkerStatement stmtDecl = null;

        TextMarkerStatement stmtVariable = null;

        TextMarkerRule stmtRule = null;

        TextMarkerBlock stmtBlock = null;

        TextMarkerBlock stmtAutomata = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:247:2: ( (stmtDecl= declaration | stmtVariable= variableDeclaration | stmtRule= simpleStatement | stmtBlock= blockDeclaration | stmtAutomata= automataDeclaration ) )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:248:2: (stmtDecl= declaration | stmtVariable= variableDeclaration | stmtRule= simpleStatement | stmtBlock= blockDeclaration | stmtAutomata= automataDeclaration )
            {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:248:2: (stmtDecl= declaration | stmtVariable= variableDeclaration | stmtRule= simpleStatement | stmtBlock= blockDeclaration | stmtAutomata= automataDeclaration )
            int alt3=5;
            switch ( input.LA(1) ) {
            case DECLARE:
                {
                alt3=1;
                }
                break;
            case WORDLIST:
            case WORDTABLE:
            case TypeString:
            case IntString:
            case DoubleString:
            case FloatString:
            case StringString:
            case BooleanString:
            case BOOLEANLIST:
            case INTLIST:
            case DOUBLELIST:
            case FLOATLIST:
            case STRINGLIST:
            case TYPELIST:
                {
                alt3=2;
                }
                break;
            case BasicAnnotationType:
            case StringLiteral:
            case Identifier:
            case LPAREN:
                {
                alt3=3;
                }
                break;
            case BlockString:
                {
                alt3=4;
                }
                break;
            case AutomataBlockString:
                {
                alt3=5;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return stmt;}
                NoViableAltException nvae =
                    new NoViableAltException("", 3, 0, input);

                throw nvae;
            }

            switch (alt3) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:248:4: stmtDecl= declaration
                    {
                    pushFollow(FOLLOW_declaration_in_statement229);
                    stmtDecl=declaration();

                    state._fsp--;
                    if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      stmt = stmtDecl;
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:249:4: stmtVariable= variableDeclaration
                    {
                    pushFollow(FOLLOW_variableDeclaration_in_statement240);
                    stmtVariable=variableDeclaration();

                    state._fsp--;
                    if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      stmt = stmtVariable;
                    }

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:250:4: stmtRule= simpleStatement
                    {
                    pushFollow(FOLLOW_simpleStatement_in_statement251);
                    stmtRule=simpleStatement();

                    state._fsp--;
                    if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      stmt = stmtRule;
                    }

                    }
                    break;
                case 4 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:251:4: stmtBlock= blockDeclaration
                    {
                    pushFollow(FOLLOW_blockDeclaration_in_statement262);
                    stmtBlock=blockDeclaration();

                    state._fsp--;
                    if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      stmt = stmtBlock;
                    }

                    }
                    break;
                case 5 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:252:4: stmtAutomata= automataDeclaration
                    {
                    pushFollow(FOLLOW_automataDeclaration_in_statement273);
                    stmtAutomata=automataDeclaration();

                    state._fsp--;
                    if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      stmt = stmtBlock;
                    }

                    }
                    break;

            }


            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return stmt;
    }
    // $ANTLR end "statement"


    // $ANTLR start "variableDeclaration"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:256:1: variableDeclaration returns [TextMarkerStatement stmt = null] : (type= IntString {...}?id= Identifier ( COMMA {...}?id= Identifier )* ( ASSIGN_EQUAL value1= numberExpression )? SEMI | type= DoubleString {...}?id= Identifier ( COMMA {...}?id= Identifier )* ( ASSIGN_EQUAL value2= numberExpression )? SEMI | type= FloatString {...}?id= Identifier ( COMMA {...}?id= Identifier )* ( ASSIGN_EQUAL value2= numberExpression )? SEMI | type= StringString {...}?id= Identifier ( COMMA {...}?id= Identifier )* ( ASSIGN_EQUAL value3= stringExpression )? SEMI | type= BooleanString {...}?id= Identifier ( COMMA {...}?id= Identifier )* ( ASSIGN_EQUAL value4= booleanExpression )? SEMI | type= TypeString {...}?id= Identifier ( COMMA {...}?id= Identifier )* ( ASSIGN_EQUAL value5= annotationType )? SEMI | type= WORDLIST {...}?name= Identifier ( ASSIGN_EQUAL list= wordListExpression )? SEMI | type= WORDTABLE {...}?name= Identifier ( ASSIGN_EQUAL table= wordTableExpression )? SEMI | type= BOOLEANLIST {...}?name= Identifier ( ASSIGN_EQUAL bl= booleanListExpression )? SEMI | type= STRINGLIST {...}?name= Identifier ( ASSIGN_EQUAL sl= stringListExpression )? SEMI | type= INTLIST {...}?name= Identifier ( ASSIGN_EQUAL il= numberListExpression )? SEMI | type= DOUBLELIST {...}?name= Identifier ( ASSIGN_EQUAL dl= numberListExpression )? SEMI | type= FLOATLIST {...}?name= Identifier ( ASSIGN_EQUAL dl= numberListExpression )? SEMI | type= TYPELIST {...}?name= Identifier ( ASSIGN_EQUAL tl= typeListExpression )? SEMI );
    public final TextMarkerStatement variableDeclaration() throws RecognitionException {
        TextMarkerStatement stmt =  null;

        Token type=null;
        Token id=null;
        Token name=null;
        NumberExpression value1 = null;

        NumberExpression value2 = null;

        StringExpression value3 = null;

        BooleanExpression value4 = null;

        Token value5 = null;

        WordListExpression list = null;

        WordTableExpression table = null;

        BooleanListExpression bl = null;

        StringListExpression sl = null;

        NumberListExpression il = null;

        NumberListExpression dl = null;

        TypeListExpression tl = null;



        List<String> vars = new ArrayList<String>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:260:2: (type= IntString {...}?id= Identifier ( COMMA {...}?id= Identifier )* ( ASSIGN_EQUAL value1= numberExpression )? SEMI | type= DoubleString {...}?id= Identifier ( COMMA {...}?id= Identifier )* ( ASSIGN_EQUAL value2= numberExpression )? SEMI | type= FloatString {...}?id= Identifier ( COMMA {...}?id= Identifier )* ( ASSIGN_EQUAL value2= numberExpression )? SEMI | type= StringString {...}?id= Identifier ( COMMA {...}?id= Identifier )* ( ASSIGN_EQUAL value3= stringExpression )? SEMI | type= BooleanString {...}?id= Identifier ( COMMA {...}?id= Identifier )* ( ASSIGN_EQUAL value4= booleanExpression )? SEMI | type= TypeString {...}?id= Identifier ( COMMA {...}?id= Identifier )* ( ASSIGN_EQUAL value5= annotationType )? SEMI | type= WORDLIST {...}?name= Identifier ( ASSIGN_EQUAL list= wordListExpression )? SEMI | type= WORDTABLE {...}?name= Identifier ( ASSIGN_EQUAL table= wordTableExpression )? SEMI | type= BOOLEANLIST {...}?name= Identifier ( ASSIGN_EQUAL bl= booleanListExpression )? SEMI | type= STRINGLIST {...}?name= Identifier ( ASSIGN_EQUAL sl= stringListExpression )? SEMI | type= INTLIST {...}?name= Identifier ( ASSIGN_EQUAL il= numberListExpression )? SEMI | type= DOUBLELIST {...}?name= Identifier ( ASSIGN_EQUAL dl= numberListExpression )? SEMI | type= FLOATLIST {...}?name= Identifier ( ASSIGN_EQUAL dl= numberListExpression )? SEMI | type= TYPELIST {...}?name= Identifier ( ASSIGN_EQUAL tl= typeListExpression )? SEMI )
            int alt24=14;
            switch ( input.LA(1) ) {
            case IntString:
                {
                alt24=1;
                }
                break;
            case DoubleString:
                {
                alt24=2;
                }
                break;
            case FloatString:
                {
                alt24=3;
                }
                break;
            case StringString:
                {
                alt24=4;
                }
                break;
            case BooleanString:
                {
                alt24=5;
                }
                break;
            case TypeString:
                {
                alt24=6;
                }
                break;
            case WORDLIST:
                {
                alt24=7;
                }
                break;
            case WORDTABLE:
                {
                alt24=8;
                }
                break;
            case BOOLEANLIST:
                {
                alt24=9;
                }
                break;
            case STRINGLIST:
                {
                alt24=10;
                }
                break;
            case INTLIST:
                {
                alt24=11;
                }
                break;
            case DOUBLELIST:
                {
                alt24=12;
                }
                break;
            case FLOATLIST:
                {
                alt24=13;
                }
                break;
            case TYPELIST:
                {
                alt24=14;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return stmt;}
                NoViableAltException nvae =
                    new NoViableAltException("", 24, 0, input);

                throw nvae;
            }

            switch (alt24) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:261:2: type= IntString {...}?id= Identifier ( COMMA {...}?id= Identifier )* ( ASSIGN_EQUAL value1= numberExpression )? SEMI
                    {
                    type=(Token)match(input,IntString,FOLLOW_IntString_in_variableDeclaration303); if (state.failed) return stmt;
                    if ( !((!ownsVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText()))) ) {
                        if (state.backtracking>0) {state.failed=true; return stmt;}
                        throw new FailedPredicateException(input, "variableDeclaration", "!ownsVariable($blockDeclaration::env, input.LT(1).getText())");
                    }
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration312); if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      vars.add(id.getText());addVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, id.getText(), type.getText());
                    }
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:263:3: ( COMMA {...}?id= Identifier )*
                    loop4:
                    do {
                        int alt4=2;
                        int LA4_0 = input.LA(1);

                        if ( (LA4_0==COMMA) ) {
                            alt4=1;
                        }


                        switch (alt4) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:263:4: COMMA {...}?id= Identifier
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_variableDeclaration319); if (state.failed) return stmt;
                    	    if ( !((!ownsVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText()))) ) {
                    	        if (state.backtracking>0) {state.failed=true; return stmt;}
                    	        throw new FailedPredicateException(input, "variableDeclaration", "!ownsVariable($blockDeclaration::env, input.LT(1).getText())");
                    	    }
                    	    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration327); if (state.failed) return stmt;
                    	    if ( state.backtracking==0 ) {
                    	      vars.add(id.getText());addVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, id.getText(), type.getText());
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop4;
                        }
                    } while (true);

                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:264:6: ( ASSIGN_EQUAL value1= numberExpression )?
                    int alt5=2;
                    int LA5_0 = input.LA(1);

                    if ( (LA5_0==ASSIGN_EQUAL) ) {
                        alt5=1;
                    }
                    switch (alt5) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:264:7: ASSIGN_EQUAL value1= numberExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration337); if (state.failed) return stmt;
                            pushFollow(FOLLOW_numberExpression_in_variableDeclaration343);
                            value1=numberExpression();

                            state._fsp--;
                            if (state.failed) return stmt;

                            }
                            break;

                    }

                    if ( state.backtracking==0 ) {
                      setValue(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, vars, value1);
                    }
                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration350); if (state.failed) return stmt;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:266:2: type= DoubleString {...}?id= Identifier ( COMMA {...}?id= Identifier )* ( ASSIGN_EQUAL value2= numberExpression )? SEMI
                    {
                    type=(Token)match(input,DoubleString,FOLLOW_DoubleString_in_variableDeclaration360); if (state.failed) return stmt;
                    if ( !((!ownsVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText()))) ) {
                        if (state.backtracking>0) {state.failed=true; return stmt;}
                        throw new FailedPredicateException(input, "variableDeclaration", "!ownsVariable($blockDeclaration::env, input.LT(1).getText())");
                    }
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration369); if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      vars.add(id.getText());addVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, id.getText(), type.getText());
                    }
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:268:3: ( COMMA {...}?id= Identifier )*
                    loop6:
                    do {
                        int alt6=2;
                        int LA6_0 = input.LA(1);

                        if ( (LA6_0==COMMA) ) {
                            alt6=1;
                        }


                        switch (alt6) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:268:4: COMMA {...}?id= Identifier
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_variableDeclaration376); if (state.failed) return stmt;
                    	    if ( !((!ownsVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText()))) ) {
                    	        if (state.backtracking>0) {state.failed=true; return stmt;}
                    	        throw new FailedPredicateException(input, "variableDeclaration", "!ownsVariable($blockDeclaration::env, input.LT(1).getText())");
                    	    }
                    	    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration384); if (state.failed) return stmt;
                    	    if ( state.backtracking==0 ) {
                    	      vars.add(id.getText());addVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, id.getText(), type.getText());
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop6;
                        }
                    } while (true);

                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:269:7: ( ASSIGN_EQUAL value2= numberExpression )?
                    int alt7=2;
                    int LA7_0 = input.LA(1);

                    if ( (LA7_0==ASSIGN_EQUAL) ) {
                        alt7=1;
                    }
                    switch (alt7) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:269:8: ASSIGN_EQUAL value2= numberExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration395); if (state.failed) return stmt;
                            pushFollow(FOLLOW_numberExpression_in_variableDeclaration401);
                            value2=numberExpression();

                            state._fsp--;
                            if (state.failed) return stmt;

                            }
                            break;

                    }

                    if ( state.backtracking==0 ) {
                      setValue(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, vars, value2);
                    }
                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration407); if (state.failed) return stmt;

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:271:2: type= FloatString {...}?id= Identifier ( COMMA {...}?id= Identifier )* ( ASSIGN_EQUAL value2= numberExpression )? SEMI
                    {
                    type=(Token)match(input,FloatString,FOLLOW_FloatString_in_variableDeclaration417); if (state.failed) return stmt;
                    if ( !((!ownsVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText()))) ) {
                        if (state.backtracking>0) {state.failed=true; return stmt;}
                        throw new FailedPredicateException(input, "variableDeclaration", "!ownsVariable($blockDeclaration::env, input.LT(1).getText())");
                    }
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration426); if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      vars.add(id.getText());addVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, id.getText(), type.getText());
                    }
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:273:3: ( COMMA {...}?id= Identifier )*
                    loop8:
                    do {
                        int alt8=2;
                        int LA8_0 = input.LA(1);

                        if ( (LA8_0==COMMA) ) {
                            alt8=1;
                        }


                        switch (alt8) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:273:4: COMMA {...}?id= Identifier
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_variableDeclaration433); if (state.failed) return stmt;
                    	    if ( !((!ownsVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText()))) ) {
                    	        if (state.backtracking>0) {state.failed=true; return stmt;}
                    	        throw new FailedPredicateException(input, "variableDeclaration", "!ownsVariable($blockDeclaration::env, input.LT(1).getText())");
                    	    }
                    	    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration441); if (state.failed) return stmt;
                    	    if ( state.backtracking==0 ) {
                    	      vars.add(id.getText());addVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, id.getText(), type.getText());
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop8;
                        }
                    } while (true);

                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:274:7: ( ASSIGN_EQUAL value2= numberExpression )?
                    int alt9=2;
                    int LA9_0 = input.LA(1);

                    if ( (LA9_0==ASSIGN_EQUAL) ) {
                        alt9=1;
                    }
                    switch (alt9) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:274:8: ASSIGN_EQUAL value2= numberExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration452); if (state.failed) return stmt;
                            pushFollow(FOLLOW_numberExpression_in_variableDeclaration458);
                            value2=numberExpression();

                            state._fsp--;
                            if (state.failed) return stmt;

                            }
                            break;

                    }

                    if ( state.backtracking==0 ) {
                      setValue(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, vars, value2);
                    }
                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration464); if (state.failed) return stmt;

                    }
                    break;
                case 4 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:276:2: type= StringString {...}?id= Identifier ( COMMA {...}?id= Identifier )* ( ASSIGN_EQUAL value3= stringExpression )? SEMI
                    {
                    type=(Token)match(input,StringString,FOLLOW_StringString_in_variableDeclaration474); if (state.failed) return stmt;
                    if ( !((!ownsVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText()))) ) {
                        if (state.backtracking>0) {state.failed=true; return stmt;}
                        throw new FailedPredicateException(input, "variableDeclaration", "!ownsVariable($blockDeclaration::env, input.LT(1).getText())");
                    }
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration483); if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      vars.add(id.getText());addVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, id.getText(), type.getText());
                    }
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:278:3: ( COMMA {...}?id= Identifier )*
                    loop10:
                    do {
                        int alt10=2;
                        int LA10_0 = input.LA(1);

                        if ( (LA10_0==COMMA) ) {
                            alt10=1;
                        }


                        switch (alt10) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:278:4: COMMA {...}?id= Identifier
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_variableDeclaration490); if (state.failed) return stmt;
                    	    if ( !((!ownsVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText()))) ) {
                    	        if (state.backtracking>0) {state.failed=true; return stmt;}
                    	        throw new FailedPredicateException(input, "variableDeclaration", "!ownsVariable($blockDeclaration::env, input.LT(1).getText())");
                    	    }
                    	    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration498); if (state.failed) return stmt;
                    	    if ( state.backtracking==0 ) {
                    	      vars.add(id.getText());addVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, id.getText(), type.getText());
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop10;
                        }
                    } while (true);

                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:279:7: ( ASSIGN_EQUAL value3= stringExpression )?
                    int alt11=2;
                    int LA11_0 = input.LA(1);

                    if ( (LA11_0==ASSIGN_EQUAL) ) {
                        alt11=1;
                    }
                    switch (alt11) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:279:8: ASSIGN_EQUAL value3= stringExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration509); if (state.failed) return stmt;
                            pushFollow(FOLLOW_stringExpression_in_variableDeclaration515);
                            value3=stringExpression();

                            state._fsp--;
                            if (state.failed) return stmt;

                            }
                            break;

                    }

                    if ( state.backtracking==0 ) {
                      setValue(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, vars, value3);
                    }
                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration521); if (state.failed) return stmt;

                    }
                    break;
                case 5 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:281:2: type= BooleanString {...}?id= Identifier ( COMMA {...}?id= Identifier )* ( ASSIGN_EQUAL value4= booleanExpression )? SEMI
                    {
                    type=(Token)match(input,BooleanString,FOLLOW_BooleanString_in_variableDeclaration531); if (state.failed) return stmt;
                    if ( !((!ownsVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText()))) ) {
                        if (state.backtracking>0) {state.failed=true; return stmt;}
                        throw new FailedPredicateException(input, "variableDeclaration", "!ownsVariable($blockDeclaration::env, input.LT(1).getText())");
                    }
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration540); if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      vars.add(id.getText());addVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, id.getText(), type.getText());
                    }
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:283:3: ( COMMA {...}?id= Identifier )*
                    loop12:
                    do {
                        int alt12=2;
                        int LA12_0 = input.LA(1);

                        if ( (LA12_0==COMMA) ) {
                            alt12=1;
                        }


                        switch (alt12) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:283:4: COMMA {...}?id= Identifier
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_variableDeclaration547); if (state.failed) return stmt;
                    	    if ( !((!ownsVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText()))) ) {
                    	        if (state.backtracking>0) {state.failed=true; return stmt;}
                    	        throw new FailedPredicateException(input, "variableDeclaration", "!ownsVariable($blockDeclaration::env, input.LT(1).getText())");
                    	    }
                    	    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration555); if (state.failed) return stmt;
                    	    if ( state.backtracking==0 ) {
                    	      vars.add(id.getText());addVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, id.getText(), type.getText());
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop12;
                        }
                    } while (true);

                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:284:7: ( ASSIGN_EQUAL value4= booleanExpression )?
                    int alt13=2;
                    int LA13_0 = input.LA(1);

                    if ( (LA13_0==ASSIGN_EQUAL) ) {
                        alt13=1;
                    }
                    switch (alt13) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:284:8: ASSIGN_EQUAL value4= booleanExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration566); if (state.failed) return stmt;
                            pushFollow(FOLLOW_booleanExpression_in_variableDeclaration572);
                            value4=booleanExpression();

                            state._fsp--;
                            if (state.failed) return stmt;

                            }
                            break;

                    }

                    if ( state.backtracking==0 ) {
                      setValue(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, vars, value4);
                    }
                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration578); if (state.failed) return stmt;

                    }
                    break;
                case 6 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:286:2: type= TypeString {...}?id= Identifier ( COMMA {...}?id= Identifier )* ( ASSIGN_EQUAL value5= annotationType )? SEMI
                    {
                    type=(Token)match(input,TypeString,FOLLOW_TypeString_in_variableDeclaration588); if (state.failed) return stmt;
                    if ( !((!ownsVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText()))) ) {
                        if (state.backtracking>0) {state.failed=true; return stmt;}
                        throw new FailedPredicateException(input, "variableDeclaration", "!ownsVariable($blockDeclaration::env, input.LT(1).getText())");
                    }
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration597); if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      vars.add(id.getText());addVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, id.getText(), type.getText());
                    }
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:288:3: ( COMMA {...}?id= Identifier )*
                    loop14:
                    do {
                        int alt14=2;
                        int LA14_0 = input.LA(1);

                        if ( (LA14_0==COMMA) ) {
                            alt14=1;
                        }


                        switch (alt14) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:288:4: COMMA {...}?id= Identifier
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_variableDeclaration604); if (state.failed) return stmt;
                    	    if ( !((!ownsVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText()))) ) {
                    	        if (state.backtracking>0) {state.failed=true; return stmt;}
                    	        throw new FailedPredicateException(input, "variableDeclaration", "!ownsVariable($blockDeclaration::env, input.LT(1).getText())");
                    	    }
                    	    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration612); if (state.failed) return stmt;
                    	    if ( state.backtracking==0 ) {
                    	      vars.add(id.getText());addVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, id.getText(), type.getText());
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop14;
                        }
                    } while (true);

                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:289:7: ( ASSIGN_EQUAL value5= annotationType )?
                    int alt15=2;
                    int LA15_0 = input.LA(1);

                    if ( (LA15_0==ASSIGN_EQUAL) ) {
                        alt15=1;
                    }
                    switch (alt15) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:289:8: ASSIGN_EQUAL value5= annotationType
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration623); if (state.failed) return stmt;
                            pushFollow(FOLLOW_annotationType_in_variableDeclaration629);
                            value5=annotationType();

                            state._fsp--;
                            if (state.failed) return stmt;

                            }
                            break;

                    }

                    if ( state.backtracking==0 ) {
                      setValue(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, vars, value5);
                    }
                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration635); if (state.failed) return stmt;

                    }
                    break;
                case 7 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:291:2: type= WORDLIST {...}?name= Identifier ( ASSIGN_EQUAL list= wordListExpression )? SEMI
                    {
                    type=(Token)match(input,WORDLIST,FOLLOW_WORDLIST_in_variableDeclaration646); if (state.failed) return stmt;
                    if ( !((!isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), type.getText()))) ) {
                        if (state.backtracking>0) {state.failed=true; return stmt;}
                        throw new FailedPredicateException(input, "variableDeclaration", "!isVariableOfType($blockDeclaration::env, input.LT(1).getText(), type.getText())");
                    }
                    name=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration658); if (state.failed) return stmt;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:293:20: ( ASSIGN_EQUAL list= wordListExpression )?
                    int alt16=2;
                    int LA16_0 = input.LA(1);

                    if ( (LA16_0==ASSIGN_EQUAL) ) {
                        alt16=1;
                    }
                    switch (alt16) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:293:21: ASSIGN_EQUAL list= wordListExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration661); if (state.failed) return stmt;
                            pushFollow(FOLLOW_wordListExpression_in_variableDeclaration667);
                            list=wordListExpression();

                            state._fsp--;
                            if (state.failed) return stmt;

                            }
                            break;

                    }

                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration671); if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      addVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, name.getText(), type.getText());if(list != null){setValue(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, name.getText(), list);}
                    }

                    }
                    break;
                case 8 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:295:2: type= WORDTABLE {...}?name= Identifier ( ASSIGN_EQUAL table= wordTableExpression )? SEMI
                    {
                    type=(Token)match(input,WORDTABLE,FOLLOW_WORDTABLE_in_variableDeclaration685); if (state.failed) return stmt;
                    if ( !((!isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), type.getText()))) ) {
                        if (state.backtracking>0) {state.failed=true; return stmt;}
                        throw new FailedPredicateException(input, "variableDeclaration", "!isVariableOfType($blockDeclaration::env, input.LT(1).getText(), type.getText())");
                    }
                    name=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration697); if (state.failed) return stmt;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:297:20: ( ASSIGN_EQUAL table= wordTableExpression )?
                    int alt17=2;
                    int LA17_0 = input.LA(1);

                    if ( (LA17_0==ASSIGN_EQUAL) ) {
                        alt17=1;
                    }
                    switch (alt17) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:297:21: ASSIGN_EQUAL table= wordTableExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration700); if (state.failed) return stmt;
                            pushFollow(FOLLOW_wordTableExpression_in_variableDeclaration706);
                            table=wordTableExpression();

                            state._fsp--;
                            if (state.failed) return stmt;

                            }
                            break;

                    }

                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration710); if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      addVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, name.getText(), type.getText());if(table != null){setValue(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, name.getText(), table);}
                    }

                    }
                    break;
                case 9 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:299:2: type= BOOLEANLIST {...}?name= Identifier ( ASSIGN_EQUAL bl= booleanListExpression )? SEMI
                    {
                    type=(Token)match(input,BOOLEANLIST,FOLLOW_BOOLEANLIST_in_variableDeclaration722); if (state.failed) return stmt;
                    if ( !((!isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), type.getText()))) ) {
                        if (state.backtracking>0) {state.failed=true; return stmt;}
                        throw new FailedPredicateException(input, "variableDeclaration", "!isVariableOfType($blockDeclaration::env, input.LT(1).getText(), type.getText())");
                    }
                    name=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration734); if (state.failed) return stmt;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:301:20: ( ASSIGN_EQUAL bl= booleanListExpression )?
                    int alt18=2;
                    int LA18_0 = input.LA(1);

                    if ( (LA18_0==ASSIGN_EQUAL) ) {
                        alt18=1;
                    }
                    switch (alt18) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:301:21: ASSIGN_EQUAL bl= booleanListExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration737); if (state.failed) return stmt;
                            pushFollow(FOLLOW_booleanListExpression_in_variableDeclaration743);
                            bl=booleanListExpression();

                            state._fsp--;
                            if (state.failed) return stmt;

                            }
                            break;

                    }

                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration747); if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      addVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, name.getText(), type.getText());if(bl != null){setValue(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, name.getText(), bl);}
                    }

                    }
                    break;
                case 10 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:303:2: type= STRINGLIST {...}?name= Identifier ( ASSIGN_EQUAL sl= stringListExpression )? SEMI
                    {
                    type=(Token)match(input,STRINGLIST,FOLLOW_STRINGLIST_in_variableDeclaration760); if (state.failed) return stmt;
                    if ( !((!isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), type.getText()))) ) {
                        if (state.backtracking>0) {state.failed=true; return stmt;}
                        throw new FailedPredicateException(input, "variableDeclaration", "!isVariableOfType($blockDeclaration::env, input.LT(1).getText(), type.getText())");
                    }
                    name=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration772); if (state.failed) return stmt;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:305:20: ( ASSIGN_EQUAL sl= stringListExpression )?
                    int alt19=2;
                    int LA19_0 = input.LA(1);

                    if ( (LA19_0==ASSIGN_EQUAL) ) {
                        alt19=1;
                    }
                    switch (alt19) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:305:21: ASSIGN_EQUAL sl= stringListExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration775); if (state.failed) return stmt;
                            pushFollow(FOLLOW_stringListExpression_in_variableDeclaration781);
                            sl=stringListExpression();

                            state._fsp--;
                            if (state.failed) return stmt;

                            }
                            break;

                    }

                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration785); if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      addVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, name.getText(), type.getText());if(sl != null){setValue(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, name.getText(), sl);}
                    }

                    }
                    break;
                case 11 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:307:2: type= INTLIST {...}?name= Identifier ( ASSIGN_EQUAL il= numberListExpression )? SEMI
                    {
                    type=(Token)match(input,INTLIST,FOLLOW_INTLIST_in_variableDeclaration798); if (state.failed) return stmt;
                    if ( !((!isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), type.getText()))) ) {
                        if (state.backtracking>0) {state.failed=true; return stmt;}
                        throw new FailedPredicateException(input, "variableDeclaration", "!isVariableOfType($blockDeclaration::env, input.LT(1).getText(), type.getText())");
                    }
                    name=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration810); if (state.failed) return stmt;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:309:20: ( ASSIGN_EQUAL il= numberListExpression )?
                    int alt20=2;
                    int LA20_0 = input.LA(1);

                    if ( (LA20_0==ASSIGN_EQUAL) ) {
                        alt20=1;
                    }
                    switch (alt20) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:309:21: ASSIGN_EQUAL il= numberListExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration813); if (state.failed) return stmt;
                            pushFollow(FOLLOW_numberListExpression_in_variableDeclaration819);
                            il=numberListExpression();

                            state._fsp--;
                            if (state.failed) return stmt;

                            }
                            break;

                    }

                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration823); if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      addVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, name.getText(), type.getText());if(il != null){setValue(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, name.getText(), il);}
                    }

                    }
                    break;
                case 12 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:311:2: type= DOUBLELIST {...}?name= Identifier ( ASSIGN_EQUAL dl= numberListExpression )? SEMI
                    {
                    type=(Token)match(input,DOUBLELIST,FOLLOW_DOUBLELIST_in_variableDeclaration836); if (state.failed) return stmt;
                    if ( !((!isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), type.getText()))) ) {
                        if (state.backtracking>0) {state.failed=true; return stmt;}
                        throw new FailedPredicateException(input, "variableDeclaration", "!isVariableOfType($blockDeclaration::env, input.LT(1).getText(), type.getText())");
                    }
                    name=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration848); if (state.failed) return stmt;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:313:20: ( ASSIGN_EQUAL dl= numberListExpression )?
                    int alt21=2;
                    int LA21_0 = input.LA(1);

                    if ( (LA21_0==ASSIGN_EQUAL) ) {
                        alt21=1;
                    }
                    switch (alt21) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:313:21: ASSIGN_EQUAL dl= numberListExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration851); if (state.failed) return stmt;
                            pushFollow(FOLLOW_numberListExpression_in_variableDeclaration857);
                            dl=numberListExpression();

                            state._fsp--;
                            if (state.failed) return stmt;

                            }
                            break;

                    }

                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration861); if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      addVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, name.getText(), type.getText());if(dl != null){setValue(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, name.getText(), dl);}
                    }

                    }
                    break;
                case 13 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:315:2: type= FLOATLIST {...}?name= Identifier ( ASSIGN_EQUAL dl= numberListExpression )? SEMI
                    {
                    type=(Token)match(input,FLOATLIST,FOLLOW_FLOATLIST_in_variableDeclaration874); if (state.failed) return stmt;
                    if ( !((!isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), type.getText()))) ) {
                        if (state.backtracking>0) {state.failed=true; return stmt;}
                        throw new FailedPredicateException(input, "variableDeclaration", "!isVariableOfType($blockDeclaration::env, input.LT(1).getText(), type.getText())");
                    }
                    name=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration886); if (state.failed) return stmt;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:317:20: ( ASSIGN_EQUAL dl= numberListExpression )?
                    int alt22=2;
                    int LA22_0 = input.LA(1);

                    if ( (LA22_0==ASSIGN_EQUAL) ) {
                        alt22=1;
                    }
                    switch (alt22) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:317:21: ASSIGN_EQUAL dl= numberListExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration889); if (state.failed) return stmt;
                            pushFollow(FOLLOW_numberListExpression_in_variableDeclaration895);
                            dl=numberListExpression();

                            state._fsp--;
                            if (state.failed) return stmt;

                            }
                            break;

                    }

                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration899); if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      addVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, name.getText(), type.getText());if(dl != null){setValue(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, name.getText(), dl);}
                    }

                    }
                    break;
                case 14 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:319:2: type= TYPELIST {...}?name= Identifier ( ASSIGN_EQUAL tl= typeListExpression )? SEMI
                    {
                    type=(Token)match(input,TYPELIST,FOLLOW_TYPELIST_in_variableDeclaration912); if (state.failed) return stmt;
                    if ( !((!isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), type.getText()))) ) {
                        if (state.backtracking>0) {state.failed=true; return stmt;}
                        throw new FailedPredicateException(input, "variableDeclaration", "!isVariableOfType($blockDeclaration::env, input.LT(1).getText(), type.getText())");
                    }
                    name=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration924); if (state.failed) return stmt;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:321:20: ( ASSIGN_EQUAL tl= typeListExpression )?
                    int alt23=2;
                    int LA23_0 = input.LA(1);

                    if ( (LA23_0==ASSIGN_EQUAL) ) {
                        alt23=1;
                    }
                    switch (alt23) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:321:21: ASSIGN_EQUAL tl= typeListExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration927); if (state.failed) return stmt;
                            pushFollow(FOLLOW_typeListExpression_in_variableDeclaration933);
                            tl=typeListExpression();

                            state._fsp--;
                            if (state.failed) return stmt;

                            }
                            break;

                    }

                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration937); if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      addVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, name.getText(), type.getText());if(tl != null){setValue(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, name.getText(), tl);}
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return stmt;
    }
    // $ANTLR end "variableDeclaration"


    // $ANTLR start "importStatement"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:346:1: importStatement returns [TextMarkerStatement stmt = null] : ( TypeSystemString ts= dottedIdentifier2 SEMI | ScriptString ns= dottedIdentifier2 SEMI | EngineString ns= dottedIdentifier2 SEMI );
    public final TextMarkerStatement importStatement() throws RecognitionException {
        TextMarkerStatement stmt =  null;

        String ts = null;

        String ns = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:347:2: ( TypeSystemString ts= dottedIdentifier2 SEMI | ScriptString ns= dottedIdentifier2 SEMI | EngineString ns= dottedIdentifier2 SEMI )
            int alt25=3;
            switch ( input.LA(1) ) {
            case TypeSystemString:
                {
                alt25=1;
                }
                break;
            case ScriptString:
                {
                alt25=2;
                }
                break;
            case EngineString:
                {
                alt25=3;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return stmt;}
                NoViableAltException nvae =
                    new NoViableAltException("", 25, 0, input);

                throw nvae;
            }

            switch (alt25) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:348:2: TypeSystemString ts= dottedIdentifier2 SEMI
                    {
                    match(input,TypeSystemString,FOLLOW_TypeSystemString_in_importStatement984); if (state.failed) return stmt;
                    pushFollow(FOLLOW_dottedIdentifier2_in_importStatement990);
                    ts=dottedIdentifier2();

                    state._fsp--;
                    if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      addImportTypeSystem(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, ts);
                    }
                    match(input,SEMI,FOLLOW_SEMI_in_importStatement993); if (state.failed) return stmt;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:349:4: ScriptString ns= dottedIdentifier2 SEMI
                    {
                    match(input,ScriptString,FOLLOW_ScriptString_in_importStatement998); if (state.failed) return stmt;
                    pushFollow(FOLLOW_dottedIdentifier2_in_importStatement1004);
                    ns=dottedIdentifier2();

                    state._fsp--;
                    if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      addImportScript(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, ns);
                    }
                    match(input,SEMI,FOLLOW_SEMI_in_importStatement1007); if (state.failed) return stmt;

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:350:4: EngineString ns= dottedIdentifier2 SEMI
                    {
                    match(input,EngineString,FOLLOW_EngineString_in_importStatement1012); if (state.failed) return stmt;
                    pushFollow(FOLLOW_dottedIdentifier2_in_importStatement1018);
                    ns=dottedIdentifier2();

                    state._fsp--;
                    if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      addImportEngine(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, ns);
                    }
                    match(input,SEMI,FOLLOW_SEMI_in_importStatement1021); if (state.failed) return stmt;

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return stmt;
    }
    // $ANTLR end "importStatement"


    // $ANTLR start "declaration"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:353:1: declaration returns [TextMarkerStatement stmt = null] : ( DECLARE (lazyParent= annotationType )? id= Identifier ( COMMA id= Identifier )* SEMI | DECLARE type= annotationType newName= Identifier ( LPAREN (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier ( COMMA (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier )* RPAREN ) SEMI ) ;
    public final TextMarkerStatement declaration() throws RecognitionException {
        TextMarkerStatement stmt =  null;

        Token id=null;
        Token newName=null;
        Token obj2=null;
        Token obj3=null;
        Token obj6=null;
        Token obj4=null;
        Token obj5=null;
        Token fname=null;
        Token lazyParent = null;

        Token type = null;

        Token obj1 = null;



        List featureTypes = new ArrayList();
        List featureNames = new ArrayList();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:358:2: ( ( DECLARE (lazyParent= annotationType )? id= Identifier ( COMMA id= Identifier )* SEMI | DECLARE type= annotationType newName= Identifier ( LPAREN (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier ( COMMA (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier )* RPAREN ) SEMI ) )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:359:2: ( DECLARE (lazyParent= annotationType )? id= Identifier ( COMMA id= Identifier )* SEMI | DECLARE type= annotationType newName= Identifier ( LPAREN (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier ( COMMA (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier )* RPAREN ) SEMI )
            {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:359:2: ( DECLARE (lazyParent= annotationType )? id= Identifier ( COMMA id= Identifier )* SEMI | DECLARE type= annotationType newName= Identifier ( LPAREN (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier ( COMMA (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier )* RPAREN ) SEMI )
            int alt31=2;
            alt31 = dfa31.predict(input);
            switch (alt31) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:360:2: DECLARE (lazyParent= annotationType )? id= Identifier ( COMMA id= Identifier )* SEMI
                    {
                    match(input,DECLARE,FOLLOW_DECLARE_in_declaration1045); if (state.failed) return stmt;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:362:13: (lazyParent= annotationType )?
                    int alt26=2;
                    int LA26_0 = input.LA(1);

                    if ( (LA26_0==BasicAnnotationType) ) {
                        alt26=1;
                    }
                    else if ( (LA26_0==Identifier) ) {
                        int LA26_2 = input.LA(2);

                        if ( (LA26_2==Identifier||LA26_2==DOT) ) {
                            alt26=1;
                        }
                    }
                    switch (alt26) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:362:13: lazyParent= annotationType
                            {
                            pushFollow(FOLLOW_annotationType_in_declaration1055);
                            lazyParent=annotationType();

                            state._fsp--;
                            if (state.failed) return stmt;

                            }
                            break;

                    }

                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_declaration1063); if (state.failed) return stmt;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:364:4: ( COMMA id= Identifier )*
                    loop27:
                    do {
                        int alt27=2;
                        int LA27_0 = input.LA(1);

                        if ( (LA27_0==COMMA) ) {
                            alt27=1;
                        }


                        switch (alt27) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:364:5: COMMA id= Identifier
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_declaration1070); if (state.failed) return stmt;
                    	    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_declaration1084); if (state.failed) return stmt;

                    	    }
                    	    break;

                    	default :
                    	    break loop27;
                        }
                    } while (true);

                    match(input,SEMI,FOLLOW_SEMI_in_declaration1093); if (state.failed) return stmt;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:369:2: DECLARE type= annotationType newName= Identifier ( LPAREN (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier ( COMMA (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier )* RPAREN ) SEMI
                    {
                    match(input,DECLARE,FOLLOW_DECLARE_in_declaration1100); if (state.failed) return stmt;
                    pushFollow(FOLLOW_annotationType_in_declaration1106);
                    type=annotationType();

                    state._fsp--;
                    if (state.failed) return stmt;
                    newName=(Token)match(input,Identifier,FOLLOW_Identifier_in_declaration1112); if (state.failed) return stmt;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:370:3: ( LPAREN (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier ( COMMA (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier )* RPAREN )
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:370:4: LPAREN (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier ( COMMA (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier )* RPAREN
                    {
                    match(input,LPAREN,FOLLOW_LPAREN_in_declaration1118); if (state.failed) return stmt;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:371:4: (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString )
                    int alt28=6;
                    switch ( input.LA(1) ) {
                    case BasicAnnotationType:
                    case Identifier:
                        {
                        alt28=1;
                        }
                        break;
                    case StringString:
                        {
                        alt28=2;
                        }
                        break;
                    case DoubleString:
                        {
                        alt28=3;
                        }
                        break;
                    case FloatString:
                        {
                        alt28=4;
                        }
                        break;
                    case IntString:
                        {
                        alt28=5;
                        }
                        break;
                    case BooleanString:
                        {
                        alt28=6;
                        }
                        break;
                    default:
                        if (state.backtracking>0) {state.failed=true; return stmt;}
                        NoViableAltException nvae =
                            new NoViableAltException("", 28, 0, input);

                        throw nvae;
                    }

                    switch (alt28) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:372:4: obj1= annotationType
                            {
                            pushFollow(FOLLOW_annotationType_in_declaration1133);
                            obj1=annotationType();

                            state._fsp--;
                            if (state.failed) return stmt;
                            if ( state.backtracking==0 ) {
                              featureTypes.add(obj1.getText());
                            }

                            }
                            break;
                        case 2 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:373:6: obj2= StringString
                            {
                            obj2=(Token)match(input,StringString,FOLLOW_StringString_in_declaration1146); if (state.failed) return stmt;
                            if ( state.backtracking==0 ) {
                              featureTypes.add(obj2.getText());
                            }

                            }
                            break;
                        case 3 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:374:6: obj3= DoubleString
                            {
                            obj3=(Token)match(input,DoubleString,FOLLOW_DoubleString_in_declaration1159); if (state.failed) return stmt;
                            if ( state.backtracking==0 ) {
                              featureTypes.add(obj3.getText());
                            }

                            }
                            break;
                        case 4 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:375:6: obj6= FloatString
                            {
                            obj6=(Token)match(input,FloatString,FOLLOW_FloatString_in_declaration1171); if (state.failed) return stmt;
                            if ( state.backtracking==0 ) {
                              featureTypes.add(obj6.getText());
                            }

                            }
                            break;
                        case 5 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:376:6: obj4= IntString
                            {
                            obj4=(Token)match(input,IntString,FOLLOW_IntString_in_declaration1183); if (state.failed) return stmt;
                            if ( state.backtracking==0 ) {
                              featureTypes.add(obj4.getText());
                            }

                            }
                            break;
                        case 6 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:377:6: obj5= BooleanString
                            {
                            obj5=(Token)match(input,BooleanString,FOLLOW_BooleanString_in_declaration1195); if (state.failed) return stmt;
                            if ( state.backtracking==0 ) {
                              featureTypes.add(obj5.getText());
                            }

                            }
                            break;

                    }

                    fname=(Token)match(input,Identifier,FOLLOW_Identifier_in_declaration1211); if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      featureNames.add(fname.getText());
                    }
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:380:4: ( COMMA (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier )*
                    loop30:
                    do {
                        int alt30=2;
                        int LA30_0 = input.LA(1);

                        if ( (LA30_0==COMMA) ) {
                            alt30=1;
                        }


                        switch (alt30) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:381:4: COMMA (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_declaration1223); if (state.failed) return stmt;
                    	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:382:4: (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString )
                    	    int alt29=6;
                    	    switch ( input.LA(1) ) {
                    	    case BasicAnnotationType:
                    	    case Identifier:
                    	        {
                    	        alt29=1;
                    	        }
                    	        break;
                    	    case StringString:
                    	        {
                    	        alt29=2;
                    	        }
                    	        break;
                    	    case DoubleString:
                    	        {
                    	        alt29=3;
                    	        }
                    	        break;
                    	    case FloatString:
                    	        {
                    	        alt29=4;
                    	        }
                    	        break;
                    	    case IntString:
                    	        {
                    	        alt29=5;
                    	        }
                    	        break;
                    	    case BooleanString:
                    	        {
                    	        alt29=6;
                    	        }
                    	        break;
                    	    default:
                    	        if (state.backtracking>0) {state.failed=true; return stmt;}
                    	        NoViableAltException nvae =
                    	            new NoViableAltException("", 29, 0, input);

                    	        throw nvae;
                    	    }

                    	    switch (alt29) {
                    	        case 1 :
                    	            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:383:4: obj1= annotationType
                    	            {
                    	            pushFollow(FOLLOW_annotationType_in_declaration1238);
                    	            obj1=annotationType();

                    	            state._fsp--;
                    	            if (state.failed) return stmt;
                    	            if ( state.backtracking==0 ) {
                    	              featureTypes.add(obj1.getText());
                    	            }

                    	            }
                    	            break;
                    	        case 2 :
                    	            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:384:6: obj2= StringString
                    	            {
                    	            obj2=(Token)match(input,StringString,FOLLOW_StringString_in_declaration1251); if (state.failed) return stmt;
                    	            if ( state.backtracking==0 ) {
                    	              featureTypes.add(obj2.getText());
                    	            }

                    	            }
                    	            break;
                    	        case 3 :
                    	            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:385:6: obj3= DoubleString
                    	            {
                    	            obj3=(Token)match(input,DoubleString,FOLLOW_DoubleString_in_declaration1264); if (state.failed) return stmt;
                    	            if ( state.backtracking==0 ) {
                    	              featureTypes.add(obj3.getText());
                    	            }

                    	            }
                    	            break;
                    	        case 4 :
                    	            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:386:6: obj6= FloatString
                    	            {
                    	            obj6=(Token)match(input,FloatString,FOLLOW_FloatString_in_declaration1276); if (state.failed) return stmt;
                    	            if ( state.backtracking==0 ) {
                    	              featureTypes.add(obj6.getText());
                    	            }

                    	            }
                    	            break;
                    	        case 5 :
                    	            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:387:6: obj4= IntString
                    	            {
                    	            obj4=(Token)match(input,IntString,FOLLOW_IntString_in_declaration1288); if (state.failed) return stmt;
                    	            if ( state.backtracking==0 ) {
                    	              featureTypes.add(obj4.getText());
                    	            }

                    	            }
                    	            break;
                    	        case 6 :
                    	            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:388:6: obj5= BooleanString
                    	            {
                    	            obj5=(Token)match(input,BooleanString,FOLLOW_BooleanString_in_declaration1300); if (state.failed) return stmt;
                    	            if ( state.backtracking==0 ) {
                    	              featureTypes.add(obj5.getText());
                    	            }

                    	            }
                    	            break;

                    	    }

                    	    fname=(Token)match(input,Identifier,FOLLOW_Identifier_in_declaration1316); if (state.failed) return stmt;
                    	    if ( state.backtracking==0 ) {
                    	      featureNames.add(fname.getText());
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop30;
                        }
                    } while (true);

                    match(input,RPAREN,FOLLOW_RPAREN_in_declaration1324); if (state.failed) return stmt;

                    }

                    match(input,SEMI,FOLLOW_SEMI_in_declaration1327); if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      addType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, newName.getText(), type.getText(), featureTypes, featureNames);
                    }

                    }
                    break;

            }


            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return stmt;
    }
    // $ANTLR end "declaration"

    protected static class blockDeclaration_scope {
        TextMarkerBlock env;
    }
    protected Stack blockDeclaration_stack = new Stack();


    // $ANTLR start "blockDeclaration"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:397:1: blockDeclaration returns [TextMarkerBlock block = null] options {backtrack=true; } : type= BlockString LPAREN id= Identifier RPAREN re1= ruleElementWithCA[container] LCURLY body= statements RCURLY ;
    public final TextMarkerBlock blockDeclaration() throws RecognitionException {
        blockDeclaration_stack.push(new blockDeclaration_scope());
        TextMarkerBlock block =  null;

        Token type=null;
        Token id=null;
        TextMarkerRuleElement re1 = null;

        List<TextMarkerStatement> body = null;



        TextMarkerRuleElement re = null;
        RuleElementIsolator container = null;
        level++;

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:414:2: (type= BlockString LPAREN id= Identifier RPAREN re1= ruleElementWithCA[container] LCURLY body= statements RCURLY )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:415:2: type= BlockString LPAREN id= Identifier RPAREN re1= ruleElementWithCA[container] LCURLY body= statements RCURLY
            {
            type=(Token)match(input,BlockString,FOLLOW_BlockString_in_blockDeclaration1385); if (state.failed) return block;
            match(input,LPAREN,FOLLOW_LPAREN_in_blockDeclaration1389); if (state.failed) return block;
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_blockDeclaration1396); if (state.failed) return block;
            match(input,RPAREN,FOLLOW_RPAREN_in_blockDeclaration1400); if (state.failed) return block;
            if ( state.backtracking==0 ) {
              block = factory.createScriptBlock(id, re, body, ((blockDeclaration_scope)blockDeclaration_stack.elementAt(level - 1)).env);
            }
            if ( state.backtracking==0 ) {
              ((blockDeclaration_scope)blockDeclaration_stack.peek()).env = block;
              	container = new RuleElementIsolator();
            }
            pushFollow(FOLLOW_ruleElementWithCA_in_blockDeclaration1413);
            re1=ruleElementWithCA(container);

            state._fsp--;
            if (state.failed) return block;
            if ( state.backtracking==0 ) {
              re = re1;	 
            }
            if ( state.backtracking==0 ) {
              TextMarkerRule rule = factory.createRule(re, block);
              	if(block instanceof TextMarkerScriptBlock) {
              	((TextMarkerScriptBlock)block).setRule(rule);
              	}
              	container.setContainer(rule);
              	
            }
            match(input,LCURLY,FOLLOW_LCURLY_in_blockDeclaration1424); if (state.failed) return block;
            pushFollow(FOLLOW_statements_in_blockDeclaration1430);
            body=statements();

            state._fsp--;
            if (state.failed) return block;
            match(input,RCURLY,FOLLOW_RCURLY_in_blockDeclaration1432); if (state.failed) return block;
            if ( state.backtracking==0 ) {
              block.setElements(body);
              	((blockDeclaration_scope)blockDeclaration_stack.peek()).env.getScript().addBlock(id.getText(),block);
              	
            }

            }

            if ( state.backtracking==0 ) {

              level--;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
            blockDeclaration_stack.pop();
        }
        return block;
    }
    // $ANTLR end "blockDeclaration"

    protected static class automataDeclaration_scope {
        TextMarkerBlock env;
    }
    protected Stack automataDeclaration_stack = new Stack();


    // $ANTLR start "automataDeclaration"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:436:1: automataDeclaration returns [TextMarkerBlock block = null] options {backtrack=true; } : type= AutomataBlockString LPAREN id= Identifier RPAREN re1= ruleElementWithCA[container] LCURLY body= statements RCURLY ;
    public final TextMarkerBlock automataDeclaration() throws RecognitionException {
        automataDeclaration_stack.push(new automataDeclaration_scope());
        TextMarkerBlock block =  null;

        Token type=null;
        Token id=null;
        TextMarkerRuleElement re1 = null;

        List<TextMarkerStatement> body = null;



        TextMarkerRuleElement re = null;
        RuleElementIsolator container = null;
        TextMarkerScriptFactory oldFactory = factory;
        factory = automataFactory; 
        level++;

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:455:2: (type= AutomataBlockString LPAREN id= Identifier RPAREN re1= ruleElementWithCA[container] LCURLY body= statements RCURLY )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:457:2: type= AutomataBlockString LPAREN id= Identifier RPAREN re1= ruleElementWithCA[container] LCURLY body= statements RCURLY
            {
            type=(Token)match(input,AutomataBlockString,FOLLOW_AutomataBlockString_in_automataDeclaration1484); if (state.failed) return block;
            match(input,LPAREN,FOLLOW_LPAREN_in_automataDeclaration1488); if (state.failed) return block;
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_automataDeclaration1495); if (state.failed) return block;
            match(input,RPAREN,FOLLOW_RPAREN_in_automataDeclaration1499); if (state.failed) return block;
            if ( state.backtracking==0 ) {
              block = factory.createAutomataBlock(id, re, body, ((blockDeclaration_scope)blockDeclaration_stack.elementAt(level - 1)).env);
            }
            if ( state.backtracking==0 ) {
              ((blockDeclaration_scope)blockDeclaration_stack.peek()).env = block;
              	container = new RuleElementIsolator();
            }
            pushFollow(FOLLOW_ruleElementWithCA_in_automataDeclaration1512);
            re1=ruleElementWithCA(container);

            state._fsp--;
            if (state.failed) return block;
            if ( state.backtracking==0 ) {
              re = re1;
            }
            if ( state.backtracking==0 ) {
              TextMarkerRule rule = factory.createRule(re, block);
              	if(block instanceof TextMarkerAutomataBlock) {
              	((TextMarkerAutomataBlock)block).setMatchRule(rule);
              	}
              	container.setContainer(rule);
              	
            }
            match(input,LCURLY,FOLLOW_LCURLY_in_automataDeclaration1521); if (state.failed) return block;
            pushFollow(FOLLOW_statements_in_automataDeclaration1527);
            body=statements();

            state._fsp--;
            if (state.failed) return block;
            match(input,RCURLY,FOLLOW_RCURLY_in_automataDeclaration1529); if (state.failed) return block;
            if ( state.backtracking==0 ) {
              block.setElements(body);
              	((blockDeclaration_scope)blockDeclaration_stack.peek()).env.getScript().addBlock(id.getText(),block);

              	
            }

            }

            if ( state.backtracking==0 ) {

              factory = oldFactory;
              level--;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
            automataDeclaration_stack.pop();
        }
        return block;
    }
    // $ANTLR end "automataDeclaration"


    // $ANTLR start "ruleElementWithCA"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:479:1: ruleElementWithCA[RuleElementContainer container] returns [TextMarkerRuleElement re = null] : idRef= typeExpression (q= quantifierPart )? LCURLY (c= conditions )? ( THEN a= actions )? RCURLY ;
    public final TextMarkerRuleElement ruleElementWithCA(RuleElementContainer container) throws RecognitionException {
        TextMarkerRuleElement re =  null;

        TypeExpression idRef = null;

        RuleElementQuantifier q = null;

        List<AbstractTextMarkerCondition> c = null;

        List<AbstractTextMarkerAction> a = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:480:5: (idRef= typeExpression (q= quantifierPart )? LCURLY (c= conditions )? ( THEN a= actions )? RCURLY )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:482:5: idRef= typeExpression (q= quantifierPart )? LCURLY (c= conditions )? ( THEN a= actions )? RCURLY
            {
            pushFollow(FOLLOW_typeExpression_in_ruleElementWithCA1566);
            idRef=typeExpression();

            state._fsp--;
            if (state.failed) return re;
            if ( state.backtracking==0 ) {
              re = factory.createRuleElement(idRef,null,null,null, container, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:484:7: (q= quantifierPart )?
            int alt32=2;
            int LA32_0 = input.LA(1);

            if ( (LA32_0==LBRACK||LA32_0==PLUS||LA32_0==STAR||LA32_0==QUESTION) ) {
                alt32=1;
            }
            switch (alt32) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:484:7: q= quantifierPart
                    {
                    pushFollow(FOLLOW_quantifierPart_in_ruleElementWithCA1583);
                    q=quantifierPart();

                    state._fsp--;
                    if (state.failed) return re;

                    }
                    break;

            }

            match(input,LCURLY,FOLLOW_LCURLY_in_ruleElementWithCA1595); if (state.failed) return re;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:485:18: (c= conditions )?
            int alt33=2;
            int LA33_0 = input.LA(1);

            if ( (LA33_0==CONTAINS||(LA33_0>=AND && LA33_0<=PARSE)||(LA33_0>=BEFORE && LA33_0<=ENDSWITH)||LA33_0==NOT||LA33_0==SIZE||LA33_0==Identifier||LA33_0==MINUS) ) {
                alt33=1;
            }
            switch (alt33) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:485:18: c= conditions
                    {
                    pushFollow(FOLLOW_conditions_in_ruleElementWithCA1601);
                    c=conditions();

                    state._fsp--;
                    if (state.failed) return re;

                    }
                    break;

            }

            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:485:32: ( THEN a= actions )?
            int alt34=2;
            int LA34_0 = input.LA(1);

            if ( (LA34_0==THEN) ) {
                alt34=1;
            }
            switch (alt34) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:485:33: THEN a= actions
                    {
                    match(input,THEN,FOLLOW_THEN_in_ruleElementWithCA1605); if (state.failed) return re;
                    pushFollow(FOLLOW_actions_in_ruleElementWithCA1611);
                    a=actions();

                    state._fsp--;
                    if (state.failed) return re;

                    }
                    break;

            }

            match(input,RCURLY,FOLLOW_RCURLY_in_ruleElementWithCA1615); if (state.failed) return re;
            if ( state.backtracking==0 ) {

              	if(q != null) {
              		re.setQuantifier(q);
              	}
              	if(c!= null) {
              		re.setConditions(c);
              	}
              	if(a != null) {
              		re.setActions(a);
              	}
              	
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return re;
    }
    // $ANTLR end "ruleElementWithCA"


    // $ANTLR start "simpleStatement"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:501:1: simpleStatement returns [TextMarkerRule stmt = null] : elements= ruleElements[stmt.getRoot()] SEMI ;
    public final TextMarkerRule simpleStatement() throws RecognitionException {
        TextMarkerRule stmt =  null;

        List<RuleElement> elements = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:502:2: (elements= ruleElements[stmt.getRoot()] SEMI )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:503:2: elements= ruleElements[stmt.getRoot()] SEMI
            {
            if ( state.backtracking==0 ) {
              stmt = factory.createRule(elements, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }
            pushFollow(FOLLOW_ruleElements_in_simpleStatement1656);
            elements=ruleElements(stmt.getRoot());

            state._fsp--;
            if (state.failed) return stmt;
            match(input,SEMI,FOLLOW_SEMI_in_simpleStatement1659); if (state.failed) return stmt;
            if ( state.backtracking==0 ) {
              stmt.setRuleElements(elements);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return stmt;
    }
    // $ANTLR end "simpleStatement"


    // $ANTLR start "ruleElements"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:508:1: ruleElements[RuleElementContainer container] returns [List<RuleElement> elements = new ArrayList<RuleElement>()] : re= ruleElement[container] (re= ruleElement[container] )* ;
    public final List<RuleElement> ruleElements(RuleElementContainer container) throws RecognitionException {
        List<RuleElement> elements =  new ArrayList<RuleElement>();

        RuleElement re = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:509:2: (re= ruleElement[container] (re= ruleElement[container] )* )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:510:2: re= ruleElement[container] (re= ruleElement[container] )*
            {
            pushFollow(FOLLOW_ruleElement_in_ruleElements1686);
            re=ruleElement(container);

            state._fsp--;
            if (state.failed) return elements;
            if ( state.backtracking==0 ) {
              elements.add(re);
            }
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:510:50: (re= ruleElement[container] )*
            loop35:
            do {
                int alt35=2;
                int LA35_0 = input.LA(1);

                if ( (LA35_0==BasicAnnotationType||LA35_0==StringLiteral||(LA35_0>=Identifier && LA35_0<=LPAREN)) ) {
                    alt35=1;
                }


                switch (alt35) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:510:51: re= ruleElement[container]
            	    {
            	    pushFollow(FOLLOW_ruleElement_in_ruleElements1696);
            	    re=ruleElement(container);

            	    state._fsp--;
            	    if (state.failed) return elements;
            	    if ( state.backtracking==0 ) {
            	      elements.add(re);
            	    }

            	    }
            	    break;

            	default :
            	    break loop35;
                }
            } while (true);


            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return elements;
    }
    // $ANTLR end "ruleElements"


    // $ANTLR start "ruleElement"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:514:1: ruleElement[RuleElementContainer container] returns [RuleElement re = null] : (re1= ruleElementType[container] | re2= ruleElementLiteral[container] | ( ruleElementComposed[null] )=>re3= ruleElementComposed[container] | ( ruleElementDisjunctive[null] )=>re4= ruleElementDisjunctive[container] );
    public final RuleElement ruleElement(RuleElementContainer container) throws RecognitionException {
        RuleElement re =  null;

        TextMarkerRuleElement re1 = null;

        TextMarkerRuleElement re2 = null;

        ComposedRuleElement re3 = null;

        TextMarkerRuleElement re4 = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:515:2: (re1= ruleElementType[container] | re2= ruleElementLiteral[container] | ( ruleElementComposed[null] )=>re3= ruleElementComposed[container] | ( ruleElementDisjunctive[null] )=>re4= ruleElementDisjunctive[container] )
            int alt36=4;
            switch ( input.LA(1) ) {
            case Identifier:
                {
                int LA36_1 = input.LA(2);

                if ( (!(((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "STRING"))))) ) {
                    alt36=1;
                }
                else if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "STRING"))) ) {
                    alt36=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return re;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 36, 1, input);

                    throw nvae;
                }
                }
                break;
            case BasicAnnotationType:
                {
                alt36=1;
                }
                break;
            case StringLiteral:
                {
                alt36=2;
                }
                break;
            case LPAREN:
                {
                int LA36_4 = input.LA(2);

                if ( (synpred1_TextMarkerParser()) ) {
                    alt36=3;
                }
                else if ( (synpred2_TextMarkerParser()) ) {
                    alt36=4;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return re;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 36, 4, input);

                    throw nvae;
                }
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return re;}
                NoViableAltException nvae =
                    new NoViableAltException("", 36, 0, input);

                throw nvae;
            }

            switch (alt36) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:516:2: re1= ruleElementType[container]
                    {
                    pushFollow(FOLLOW_ruleElementType_in_ruleElement1725);
                    re1=ruleElementType(container);

                    state._fsp--;
                    if (state.failed) return re;
                    if ( state.backtracking==0 ) {
                      re = re1;
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:517:4: re2= ruleElementLiteral[container]
                    {
                    pushFollow(FOLLOW_ruleElementLiteral_in_ruleElement1737);
                    re2=ruleElementLiteral(container);

                    state._fsp--;
                    if (state.failed) return re;
                    if ( state.backtracking==0 ) {
                      re = re2;
                    }

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:518:4: ( ruleElementComposed[null] )=>re3= ruleElementComposed[container]
                    {
                    pushFollow(FOLLOW_ruleElementComposed_in_ruleElement1754);
                    re3=ruleElementComposed(container);

                    state._fsp--;
                    if (state.failed) return re;
                    if ( state.backtracking==0 ) {
                      re = re3;
                    }

                    }
                    break;
                case 4 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:519:4: ( ruleElementDisjunctive[null] )=>re4= ruleElementDisjunctive[container]
                    {
                    pushFollow(FOLLOW_ruleElementDisjunctive_in_ruleElement1772);
                    re4=ruleElementDisjunctive(container);

                    state._fsp--;
                    if (state.failed) return re;
                    if ( state.backtracking==0 ) {
                      re = re4;
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return re;
    }
    // $ANTLR end "ruleElement"


    // $ANTLR start "ruleElementDisjunctive"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:522:1: ruleElementDisjunctive[RuleElementContainer container] returns [TextMarkerRuleElement re = null] : LPAREN ( ( typeExpression | simpleStringExpression ) VBAR )=> (e11= typeExpression | e12= simpleStringExpression ) VBAR (e21= typeExpression | e22= simpleStringExpression ) ( VBAR (e31= typeExpression | e32= simpleStringExpression ) )* RPAREN (q= quantifierPart )? ( LCURLY (c= conditions )? ( THEN a= actions )? RCURLY )? ;
    public final TextMarkerRuleElement ruleElementDisjunctive(RuleElementContainer container) throws RecognitionException {
        TextMarkerRuleElement re =  null;

        TypeExpression e11 = null;

        StringExpression e12 = null;

        TypeExpression e21 = null;

        StringExpression e22 = null;

        TypeExpression e31 = null;

        StringExpression e32 = null;

        RuleElementQuantifier q = null;

        List<AbstractTextMarkerCondition> c = null;

        List<AbstractTextMarkerAction> a = null;



        	List<TextMarkerExpression> exprs = new ArrayList<TextMarkerExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:526:5: ( LPAREN ( ( typeExpression | simpleStringExpression ) VBAR )=> (e11= typeExpression | e12= simpleStringExpression ) VBAR (e21= typeExpression | e22= simpleStringExpression ) ( VBAR (e31= typeExpression | e32= simpleStringExpression ) )* RPAREN (q= quantifierPart )? ( LCURLY (c= conditions )? ( THEN a= actions )? RCURLY )? )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:527:5: LPAREN ( ( typeExpression | simpleStringExpression ) VBAR )=> (e11= typeExpression | e12= simpleStringExpression ) VBAR (e21= typeExpression | e22= simpleStringExpression ) ( VBAR (e31= typeExpression | e32= simpleStringExpression ) )* RPAREN (q= quantifierPart )? ( LCURLY (c= conditions )? ( THEN a= actions )? RCURLY )?
            {
            match(input,LPAREN,FOLLOW_LPAREN_in_ruleElementDisjunctive1804); if (state.failed) return re;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:528:57: (e11= typeExpression | e12= simpleStringExpression )
            int alt37=2;
            switch ( input.LA(1) ) {
            case Identifier:
                {
                int LA37_1 = input.LA(2);

                if ( (!(((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "STRING"))))) ) {
                    alt37=1;
                }
                else if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "STRING"))) ) {
                    alt37=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return re;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 37, 1, input);

                    throw nvae;
                }
                }
                break;
            case BasicAnnotationType:
                {
                alt37=1;
                }
                break;
            case StringLiteral:
                {
                alt37=2;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return re;}
                NoViableAltException nvae =
                    new NoViableAltException("", 37, 0, input);

                throw nvae;
            }

            switch (alt37) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:528:58: e11= typeExpression
                    {
                    pushFollow(FOLLOW_typeExpression_in_ruleElementDisjunctive1828);
                    e11=typeExpression();

                    state._fsp--;
                    if (state.failed) return re;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:528:80: e12= simpleStringExpression
                    {
                    pushFollow(FOLLOW_simpleStringExpression_in_ruleElementDisjunctive1835);
                    e12=simpleStringExpression();

                    state._fsp--;
                    if (state.failed) return re;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              if(e11 != null) exprs.add(e11);if(e12 != null) exprs.add(e12);
            }
            match(input,VBAR,FOLLOW_VBAR_in_ruleElementDisjunctive1850); if (state.failed) return re;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:530:10: (e21= typeExpression | e22= simpleStringExpression )
            int alt38=2;
            switch ( input.LA(1) ) {
            case Identifier:
                {
                int LA38_1 = input.LA(2);

                if ( (!(((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "STRING"))))) ) {
                    alt38=1;
                }
                else if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "STRING"))) ) {
                    alt38=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return re;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 38, 1, input);

                    throw nvae;
                }
                }
                break;
            case BasicAnnotationType:
                {
                alt38=1;
                }
                break;
            case StringLiteral:
                {
                alt38=2;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return re;}
                NoViableAltException nvae =
                    new NoViableAltException("", 38, 0, input);

                throw nvae;
            }

            switch (alt38) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:530:11: e21= typeExpression
                    {
                    pushFollow(FOLLOW_typeExpression_in_ruleElementDisjunctive1856);
                    e21=typeExpression();

                    state._fsp--;
                    if (state.failed) return re;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:530:33: e22= simpleStringExpression
                    {
                    pushFollow(FOLLOW_simpleStringExpression_in_ruleElementDisjunctive1863);
                    e22=simpleStringExpression();

                    state._fsp--;
                    if (state.failed) return re;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              if(e21 != null) exprs.add(e21);if(e22 != null) exprs.add(e22);
            }
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:532:5: ( VBAR (e31= typeExpression | e32= simpleStringExpression ) )*
            loop40:
            do {
                int alt40=2;
                int LA40_0 = input.LA(1);

                if ( (LA40_0==VBAR) ) {
                    alt40=1;
                }


                switch (alt40) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:533:5: VBAR (e31= typeExpression | e32= simpleStringExpression )
            	    {
            	    match(input,VBAR,FOLLOW_VBAR_in_ruleElementDisjunctive1884); if (state.failed) return re;
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:533:11: (e31= typeExpression | e32= simpleStringExpression )
            	    int alt39=2;
            	    switch ( input.LA(1) ) {
            	    case Identifier:
            	        {
            	        int LA39_1 = input.LA(2);

            	        if ( (!(((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "STRING"))))) ) {
            	            alt39=1;
            	        }
            	        else if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "STRING"))) ) {
            	            alt39=2;
            	        }
            	        else {
            	            if (state.backtracking>0) {state.failed=true; return re;}
            	            NoViableAltException nvae =
            	                new NoViableAltException("", 39, 1, input);

            	            throw nvae;
            	        }
            	        }
            	        break;
            	    case BasicAnnotationType:
            	        {
            	        alt39=1;
            	        }
            	        break;
            	    case StringLiteral:
            	        {
            	        alt39=2;
            	        }
            	        break;
            	    default:
            	        if (state.backtracking>0) {state.failed=true; return re;}
            	        NoViableAltException nvae =
            	            new NoViableAltException("", 39, 0, input);

            	        throw nvae;
            	    }

            	    switch (alt39) {
            	        case 1 :
            	            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:533:12: e31= typeExpression
            	            {
            	            pushFollow(FOLLOW_typeExpression_in_ruleElementDisjunctive1891);
            	            e31=typeExpression();

            	            state._fsp--;
            	            if (state.failed) return re;

            	            }
            	            break;
            	        case 2 :
            	            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:533:34: e32= simpleStringExpression
            	            {
            	            pushFollow(FOLLOW_simpleStringExpression_in_ruleElementDisjunctive1898);
            	            e32=simpleStringExpression();

            	            state._fsp--;
            	            if (state.failed) return re;

            	            }
            	            break;

            	    }

            	    if ( state.backtracking==0 ) {
            	      if(e31 != null) exprs.add(e31);if(e32 != null) exprs.add(e32);
            	    }

            	    }
            	    break;

            	default :
            	    break loop40;
                }
            } while (true);

            match(input,RPAREN,FOLLOW_RPAREN_in_ruleElementDisjunctive1920); if (state.failed) return re;
            if ( state.backtracking==0 ) {
               re = factory.createRuleElement(exprs, null, null, null, container, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:539:8: (q= quantifierPart )?
            int alt41=2;
            int LA41_0 = input.LA(1);

            if ( (LA41_0==LBRACK||LA41_0==PLUS||LA41_0==STAR||LA41_0==QUESTION) ) {
                alt41=1;
            }
            switch (alt41) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:539:8: q= quantifierPart
                    {
                    pushFollow(FOLLOW_quantifierPart_in_ruleElementDisjunctive1946);
                    q=quantifierPart();

                    state._fsp--;
                    if (state.failed) return re;

                    }
                    break;

            }

            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:540:9: ( LCURLY (c= conditions )? ( THEN a= actions )? RCURLY )?
            int alt44=2;
            int LA44_0 = input.LA(1);

            if ( (LA44_0==LCURLY) ) {
                alt44=1;
            }
            switch (alt44) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:540:10: LCURLY (c= conditions )? ( THEN a= actions )? RCURLY
                    {
                    match(input,LCURLY,FOLLOW_LCURLY_in_ruleElementDisjunctive1959); if (state.failed) return re;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:540:19: (c= conditions )?
                    int alt42=2;
                    int LA42_0 = input.LA(1);

                    if ( (LA42_0==CONTAINS||(LA42_0>=AND && LA42_0<=PARSE)||(LA42_0>=BEFORE && LA42_0<=ENDSWITH)||LA42_0==NOT||LA42_0==SIZE||LA42_0==Identifier||LA42_0==MINUS) ) {
                        alt42=1;
                    }
                    switch (alt42) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:540:19: c= conditions
                            {
                            pushFollow(FOLLOW_conditions_in_ruleElementDisjunctive1965);
                            c=conditions();

                            state._fsp--;
                            if (state.failed) return re;

                            }
                            break;

                    }

                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:540:33: ( THEN a= actions )?
                    int alt43=2;
                    int LA43_0 = input.LA(1);

                    if ( (LA43_0==THEN) ) {
                        alt43=1;
                    }
                    switch (alt43) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:540:34: THEN a= actions
                            {
                            match(input,THEN,FOLLOW_THEN_in_ruleElementDisjunctive1969); if (state.failed) return re;
                            pushFollow(FOLLOW_actions_in_ruleElementDisjunctive1975);
                            a=actions();

                            state._fsp--;
                            if (state.failed) return re;

                            }
                            break;

                    }

                    match(input,RCURLY,FOLLOW_RCURLY_in_ruleElementDisjunctive1979); if (state.failed) return re;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {

              	if(q != null) {
              		re.setQuantifier(q);
              	}
              	if(c!= null) {
              		re.setConditions(c);
              	}
              	if(a != null) {
              		re.setActions(a);
              	}
              	
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return re;
    }
    // $ANTLR end "ruleElementDisjunctive"

    protected static class ruleElementComposed_scope {
        RuleElementContainer con;
    }
    protected Stack ruleElementComposed_stack = new Stack();


    // $ANTLR start "ruleElementComposed"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:554:1: ruleElementComposed[RuleElementContainer container] returns [ComposedRuleElement re = null] : LPAREN ( ( ruleElements[$ruleElementComposed::con] )=>res= ruleElements[$ruleElementComposed::con] ) RPAREN (q= quantifierPart )? ( LCURLY (c= conditions )? ( THEN a= actions )? RCURLY )? ;
    public final ComposedRuleElement ruleElementComposed(RuleElementContainer container) throws RecognitionException {
        ruleElementComposed_stack.push(new ruleElementComposed_scope());
        ComposedRuleElement re =  null;

        List<RuleElement> res = null;

        RuleElementQuantifier q = null;

        List<AbstractTextMarkerCondition> c = null;

        List<AbstractTextMarkerAction> a = null;





        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:561:2: ( LPAREN ( ( ruleElements[$ruleElementComposed::con] )=>res= ruleElements[$ruleElementComposed::con] ) RPAREN (q= quantifierPart )? ( LCURLY (c= conditions )? ( THEN a= actions )? RCURLY )? )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:562:2: LPAREN ( ( ruleElements[$ruleElementComposed::con] )=>res= ruleElements[$ruleElementComposed::con] ) RPAREN (q= quantifierPart )? ( LCURLY (c= conditions )? ( THEN a= actions )? RCURLY )?
            {
            if ( state.backtracking==0 ) {
              re = factory.createComposedRuleElement(container, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
              	// dre = factory.createDisjunctiveRuleElement(container, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
              	((ruleElementComposed_scope)ruleElementComposed_stack.peek()).con = re;
            }
            match(input,LPAREN,FOLLOW_LPAREN_in_ruleElementComposed2020); if (state.failed) return re;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:567:2: ( ( ruleElements[$ruleElementComposed::con] )=>res= ruleElements[$ruleElementComposed::con] )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:573:2: ( ruleElements[$ruleElementComposed::con] )=>res= ruleElements[$ruleElementComposed::con]
            {
            pushFollow(FOLLOW_ruleElements_in_ruleElementComposed2048);
            res=ruleElements(((ruleElementComposed_scope)ruleElementComposed_stack.peek()).con);

            state._fsp--;
            if (state.failed) return re;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_ruleElementComposed2058); if (state.failed) return re;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:576:11: (q= quantifierPart )?
            int alt45=2;
            int LA45_0 = input.LA(1);

            if ( (LA45_0==LBRACK||LA45_0==PLUS||LA45_0==STAR||LA45_0==QUESTION) ) {
                alt45=1;
            }
            switch (alt45) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:576:11: q= quantifierPart
                    {
                    pushFollow(FOLLOW_quantifierPart_in_ruleElementComposed2064);
                    q=quantifierPart();

                    state._fsp--;
                    if (state.failed) return re;

                    }
                    break;

            }

            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:576:29: ( LCURLY (c= conditions )? ( THEN a= actions )? RCURLY )?
            int alt48=2;
            int LA48_0 = input.LA(1);

            if ( (LA48_0==LCURLY) ) {
                alt48=1;
            }
            switch (alt48) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:576:30: LCURLY (c= conditions )? ( THEN a= actions )? RCURLY
                    {
                    match(input,LCURLY,FOLLOW_LCURLY_in_ruleElementComposed2068); if (state.failed) return re;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:576:39: (c= conditions )?
                    int alt46=2;
                    int LA46_0 = input.LA(1);

                    if ( (LA46_0==CONTAINS||(LA46_0>=AND && LA46_0<=PARSE)||(LA46_0>=BEFORE && LA46_0<=ENDSWITH)||LA46_0==NOT||LA46_0==SIZE||LA46_0==Identifier||LA46_0==MINUS) ) {
                        alt46=1;
                    }
                    switch (alt46) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:576:39: c= conditions
                            {
                            pushFollow(FOLLOW_conditions_in_ruleElementComposed2074);
                            c=conditions();

                            state._fsp--;
                            if (state.failed) return re;

                            }
                            break;

                    }

                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:576:53: ( THEN a= actions )?
                    int alt47=2;
                    int LA47_0 = input.LA(1);

                    if ( (LA47_0==THEN) ) {
                        alt47=1;
                    }
                    switch (alt47) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:576:54: THEN a= actions
                            {
                            match(input,THEN,FOLLOW_THEN_in_ruleElementComposed2078); if (state.failed) return re;
                            pushFollow(FOLLOW_actions_in_ruleElementComposed2084);
                            a=actions();

                            state._fsp--;
                            if (state.failed) return re;

                            }
                            break;

                    }

                    match(input,RCURLY,FOLLOW_RCURLY_in_ruleElementComposed2088); if (state.failed) return re;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {

              	re.setRuleElements(res);
              	if(q != null) {
              		re.setQuantifier(q);
              	}
              	if(c!= null) {
              		re.setConditions(c);
              	}
              	if(a != null) {
              		re.setActions(a);
              	}
              	
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
            ruleElementComposed_stack.pop();
        }
        return re;
    }
    // $ANTLR end "ruleElementComposed"


    // $ANTLR start "ruleElementType"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:592:1: ruleElementType[RuleElementContainer container] returns [TextMarkerRuleElement re = null] : ( typeExpression )=>typeExpr= typeExpression (q= quantifierPart )? ( LCURLY (c= conditions )? ( THEN a= actions )? RCURLY )? ;
    public final TextMarkerRuleElement ruleElementType(RuleElementContainer container) throws RecognitionException {
        TextMarkerRuleElement re =  null;

        TypeExpression typeExpr = null;

        RuleElementQuantifier q = null;

        List<AbstractTextMarkerCondition> c = null;

        List<AbstractTextMarkerAction> a = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:593:5: ( ( typeExpression )=>typeExpr= typeExpression (q= quantifierPart )? ( LCURLY (c= conditions )? ( THEN a= actions )? RCURLY )? )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:595:5: ( typeExpression )=>typeExpr= typeExpression (q= quantifierPart )? ( LCURLY (c= conditions )? ( THEN a= actions )? RCURLY )?
            {
            pushFollow(FOLLOW_typeExpression_in_ruleElementType2131);
            typeExpr=typeExpression();

            state._fsp--;
            if (state.failed) return re;
            if ( state.backtracking==0 ) {
              re = factory.createRuleElement(typeExpr, null, null, null, container, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:597:7: (q= quantifierPart )?
            int alt49=2;
            int LA49_0 = input.LA(1);

            if ( (LA49_0==LBRACK||LA49_0==PLUS||LA49_0==STAR||LA49_0==QUESTION) ) {
                alt49=1;
            }
            switch (alt49) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:597:7: q= quantifierPart
                    {
                    pushFollow(FOLLOW_quantifierPart_in_ruleElementType2150);
                    q=quantifierPart();

                    state._fsp--;
                    if (state.failed) return re;

                    }
                    break;

            }

            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:598:9: ( LCURLY (c= conditions )? ( THEN a= actions )? RCURLY )?
            int alt52=2;
            int LA52_0 = input.LA(1);

            if ( (LA52_0==LCURLY) ) {
                alt52=1;
            }
            switch (alt52) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:598:10: LCURLY (c= conditions )? ( THEN a= actions )? RCURLY
                    {
                    match(input,LCURLY,FOLLOW_LCURLY_in_ruleElementType2163); if (state.failed) return re;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:598:19: (c= conditions )?
                    int alt50=2;
                    int LA50_0 = input.LA(1);

                    if ( (LA50_0==CONTAINS||(LA50_0>=AND && LA50_0<=PARSE)||(LA50_0>=BEFORE && LA50_0<=ENDSWITH)||LA50_0==NOT||LA50_0==SIZE||LA50_0==Identifier||LA50_0==MINUS) ) {
                        alt50=1;
                    }
                    switch (alt50) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:598:19: c= conditions
                            {
                            pushFollow(FOLLOW_conditions_in_ruleElementType2169);
                            c=conditions();

                            state._fsp--;
                            if (state.failed) return re;

                            }
                            break;

                    }

                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:598:33: ( THEN a= actions )?
                    int alt51=2;
                    int LA51_0 = input.LA(1);

                    if ( (LA51_0==THEN) ) {
                        alt51=1;
                    }
                    switch (alt51) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:598:34: THEN a= actions
                            {
                            match(input,THEN,FOLLOW_THEN_in_ruleElementType2173); if (state.failed) return re;
                            pushFollow(FOLLOW_actions_in_ruleElementType2179);
                            a=actions();

                            state._fsp--;
                            if (state.failed) return re;

                            }
                            break;

                    }

                    match(input,RCURLY,FOLLOW_RCURLY_in_ruleElementType2183); if (state.failed) return re;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {

              	if(q != null) {
              		re.setQuantifier(q);
              	}
              	if(c!= null) {
              		re.setConditions(c);
              	}
              	if(a != null) {
              		re.setActions(a);
              	}
              	
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return re;
    }
    // $ANTLR end "ruleElementType"


    // $ANTLR start "ruleElementLiteral"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:612:1: ruleElementLiteral[RuleElementContainer container] returns [TextMarkerRuleElement re = null] : ( simpleStringExpression )=>stringExpr= simpleStringExpression (q= quantifierPart )? ( LCURLY (c= conditions )? ( THEN a= actions )? RCURLY )? ;
    public final TextMarkerRuleElement ruleElementLiteral(RuleElementContainer container) throws RecognitionException {
        TextMarkerRuleElement re =  null;

        StringExpression stringExpr = null;

        RuleElementQuantifier q = null;

        List<AbstractTextMarkerCondition> c = null;

        List<AbstractTextMarkerAction> a = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:613:5: ( ( simpleStringExpression )=>stringExpr= simpleStringExpression (q= quantifierPart )? ( LCURLY (c= conditions )? ( THEN a= actions )? RCURLY )? )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:615:5: ( simpleStringExpression )=>stringExpr= simpleStringExpression (q= quantifierPart )? ( LCURLY (c= conditions )? ( THEN a= actions )? RCURLY )?
            {
            pushFollow(FOLLOW_simpleStringExpression_in_ruleElementLiteral2230);
            stringExpr=simpleStringExpression();

            state._fsp--;
            if (state.failed) return re;
            if ( state.backtracking==0 ) {
              re = factory.createRuleElement(stringExpr, null, null, null, container, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:618:7: (q= quantifierPart )?
            int alt53=2;
            int LA53_0 = input.LA(1);

            if ( (LA53_0==LBRACK||LA53_0==PLUS||LA53_0==STAR||LA53_0==QUESTION) ) {
                alt53=1;
            }
            switch (alt53) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:618:7: q= quantifierPart
                    {
                    pushFollow(FOLLOW_quantifierPart_in_ruleElementLiteral2254);
                    q=quantifierPart();

                    state._fsp--;
                    if (state.failed) return re;

                    }
                    break;

            }

            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:619:9: ( LCURLY (c= conditions )? ( THEN a= actions )? RCURLY )?
            int alt56=2;
            int LA56_0 = input.LA(1);

            if ( (LA56_0==LCURLY) ) {
                alt56=1;
            }
            switch (alt56) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:619:10: LCURLY (c= conditions )? ( THEN a= actions )? RCURLY
                    {
                    match(input,LCURLY,FOLLOW_LCURLY_in_ruleElementLiteral2267); if (state.failed) return re;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:619:19: (c= conditions )?
                    int alt54=2;
                    int LA54_0 = input.LA(1);

                    if ( (LA54_0==CONTAINS||(LA54_0>=AND && LA54_0<=PARSE)||(LA54_0>=BEFORE && LA54_0<=ENDSWITH)||LA54_0==NOT||LA54_0==SIZE||LA54_0==Identifier||LA54_0==MINUS) ) {
                        alt54=1;
                    }
                    switch (alt54) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:619:19: c= conditions
                            {
                            pushFollow(FOLLOW_conditions_in_ruleElementLiteral2273);
                            c=conditions();

                            state._fsp--;
                            if (state.failed) return re;

                            }
                            break;

                    }

                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:619:33: ( THEN a= actions )?
                    int alt55=2;
                    int LA55_0 = input.LA(1);

                    if ( (LA55_0==THEN) ) {
                        alt55=1;
                    }
                    switch (alt55) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:619:34: THEN a= actions
                            {
                            match(input,THEN,FOLLOW_THEN_in_ruleElementLiteral2277); if (state.failed) return re;
                            pushFollow(FOLLOW_actions_in_ruleElementLiteral2283);
                            a=actions();

                            state._fsp--;
                            if (state.failed) return re;

                            }
                            break;

                    }

                    match(input,RCURLY,FOLLOW_RCURLY_in_ruleElementLiteral2287); if (state.failed) return re;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {

              	if(q != null) {
              		re.setQuantifier(q);
              	}
              	if(c!= null) {
              		re.setConditions(c);
              	}
              	if(a != null) {
              		re.setActions(a);
              	}
              	
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return re;
    }
    // $ANTLR end "ruleElementLiteral"


    // $ANTLR start "conditions"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:633:1: conditions returns [List<AbstractTextMarkerCondition> conds = new ArrayList<AbstractTextMarkerCondition>()] : c= condition ( COMMA c= condition )* ;
    public final List<AbstractTextMarkerCondition> conditions() throws RecognitionException {
        List<AbstractTextMarkerCondition> conds =  new ArrayList<AbstractTextMarkerCondition>();

        AbstractTextMarkerCondition c = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:634:5: (c= condition ( COMMA c= condition )* )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:635:5: c= condition ( COMMA c= condition )*
            {
            pushFollow(FOLLOW_condition_in_conditions2325);
            c=condition();

            state._fsp--;
            if (state.failed) return conds;
            if ( state.backtracking==0 ) {
              conds.add(c);
            }
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:635:35: ( COMMA c= condition )*
            loop57:
            do {
                int alt57=2;
                int LA57_0 = input.LA(1);

                if ( (LA57_0==COMMA) ) {
                    alt57=1;
                }


                switch (alt57) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:635:36: COMMA c= condition
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_conditions2330); if (state.failed) return conds;
            	    pushFollow(FOLLOW_condition_in_conditions2336);
            	    c=condition();

            	    state._fsp--;
            	    if (state.failed) return conds;
            	    if ( state.backtracking==0 ) {
            	      conds.add(c);
            	    }

            	    }
            	    break;

            	default :
            	    break loop57;
                }
            } while (true);


            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return conds;
    }
    // $ANTLR end "conditions"


    // $ANTLR start "actions"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:638:1: actions returns [List<AbstractTextMarkerAction> actions = new ArrayList<AbstractTextMarkerAction>()] : a= action ( COMMA a= action )* ;
    public final List<AbstractTextMarkerAction> actions() throws RecognitionException {
        List<AbstractTextMarkerAction> actions =  new ArrayList<AbstractTextMarkerAction>();

        AbstractTextMarkerAction a = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:639:5: (a= action ( COMMA a= action )* )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:640:5: a= action ( COMMA a= action )*
            {
            pushFollow(FOLLOW_action_in_actions2374);
            a=action();

            state._fsp--;
            if (state.failed) return actions;
            if ( state.backtracking==0 ) {
              actions.add(a);
            }
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:640:34: ( COMMA a= action )*
            loop58:
            do {
                int alt58=2;
                int LA58_0 = input.LA(1);

                if ( (LA58_0==COMMA) ) {
                    alt58=1;
                }


                switch (alt58) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:640:35: COMMA a= action
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actions2379); if (state.failed) return actions;
            	    pushFollow(FOLLOW_action_in_actions2385);
            	    a=action();

            	    state._fsp--;
            	    if (state.failed) return actions;
            	    if ( state.backtracking==0 ) {
            	      actions.add(a);
            	    }

            	    }
            	    break;

            	default :
            	    break loop58;
                }
            } while (true);


            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return actions;
    }
    // $ANTLR end "actions"


    // $ANTLR start "listExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:644:1: listExpression returns [ListExpression expr = null] : ( ( booleanListExpression )=>bl= booleanListExpression | ( intListExpression )=>il= intListExpression | ( doubleListExpression )=>dl= doubleListExpression | ( floatListExpression )=>dl= floatListExpression | ( stringListExpression )=>sl= stringListExpression | ( typeListExpression )=>tl= typeListExpression );
    public final ListExpression listExpression() throws RecognitionException {
        ListExpression expr =  null;

        BooleanListExpression bl = null;

        NumberListExpression il = null;

        NumberListExpression dl = null;

        StringListExpression sl = null;

        TypeListExpression tl = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:645:2: ( ( booleanListExpression )=>bl= booleanListExpression | ( intListExpression )=>il= intListExpression | ( doubleListExpression )=>dl= doubleListExpression | ( floatListExpression )=>dl= floatListExpression | ( stringListExpression )=>sl= stringListExpression | ( typeListExpression )=>tl= typeListExpression )
            int alt59=6;
            int LA59_0 = input.LA(1);

            if ( (LA59_0==LCURLY) ) {
                int LA59_1 = input.LA(2);

                if ( (synpred7_TextMarkerParser()) ) {
                    alt59=1;
                }
                else if ( (synpred8_TextMarkerParser()) ) {
                    alt59=2;
                }
                else if ( (synpred9_TextMarkerParser()) ) {
                    alt59=3;
                }
                else if ( (synpred10_TextMarkerParser()) ) {
                    alt59=4;
                }
                else if ( (synpred11_TextMarkerParser()) ) {
                    alt59=5;
                }
                else if ( (synpred12_TextMarkerParser()) ) {
                    alt59=6;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return expr;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 59, 1, input);

                    throw nvae;
                }
            }
            else if ( (LA59_0==Identifier) ) {
                int LA59_2 = input.LA(2);

                if ( ((synpred7_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "BOOLEANLIST")))) ) {
                    alt59=1;
                }
                else if ( ((synpred8_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "INTLIST")))) ) {
                    alt59=2;
                }
                else if ( ((synpred9_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "DOUBLELIST")))) ) {
                    alt59=3;
                }
                else if ( ((synpred10_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "FLOATLIST")))) ) {
                    alt59=4;
                }
                else if ( ((synpred11_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "STRINGLIST")))) ) {
                    alt59=5;
                }
                else if ( ((synpred12_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPELIST")))) ) {
                    alt59=6;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return expr;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 59, 2, input);

                    throw nvae;
                }
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 59, 0, input);

                throw nvae;
            }
            switch (alt59) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:646:2: ( booleanListExpression )=>bl= booleanListExpression
                    {
                    pushFollow(FOLLOW_booleanListExpression_in_listExpression2421);
                    bl=booleanListExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = bl;
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:647:4: ( intListExpression )=>il= intListExpression
                    {
                    pushFollow(FOLLOW_intListExpression_in_listExpression2437);
                    il=intListExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = il;
                    }

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:648:4: ( doubleListExpression )=>dl= doubleListExpression
                    {
                    pushFollow(FOLLOW_doubleListExpression_in_listExpression2453);
                    dl=doubleListExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = dl;
                    }

                    }
                    break;
                case 4 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:649:4: ( floatListExpression )=>dl= floatListExpression
                    {
                    pushFollow(FOLLOW_floatListExpression_in_listExpression2469);
                    dl=floatListExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = dl;
                    }

                    }
                    break;
                case 5 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:650:4: ( stringListExpression )=>sl= stringListExpression
                    {
                    pushFollow(FOLLOW_stringListExpression_in_listExpression2485);
                    sl=stringListExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = sl;
                    }

                    }
                    break;
                case 6 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:651:4: ( typeListExpression )=>tl= typeListExpression
                    {
                    pushFollow(FOLLOW_typeListExpression_in_listExpression2501);
                    tl=typeListExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = tl;
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "listExpression"


    // $ANTLR start "booleanListExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:654:1: booleanListExpression returns [BooleanListExpression expr = null] : e= simpleBooleanListExpression ;
    public final BooleanListExpression booleanListExpression() throws RecognitionException {
        BooleanListExpression expr =  null;

        BooleanListExpression e = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:655:2: (e= simpleBooleanListExpression )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:656:2: e= simpleBooleanListExpression
            {
            pushFollow(FOLLOW_simpleBooleanListExpression_in_booleanListExpression2523);
            e=simpleBooleanListExpression();

            state._fsp--;
            if (state.failed) return expr;
            if ( state.backtracking==0 ) {
              expr = e;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "booleanListExpression"


    // $ANTLR start "simpleBooleanListExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:659:1: simpleBooleanListExpression returns [BooleanListExpression expr = null] : ( LCURLY (e= simpleBooleanExpression ( COMMA e= simpleBooleanExpression )* )? RCURLY | {...}?var= Identifier );
    public final BooleanListExpression simpleBooleanListExpression() throws RecognitionException {
        BooleanListExpression expr =  null;

        Token var=null;
        BooleanExpression e = null;



        	List<BooleanExpression> list = new ArrayList<BooleanExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:662:3: ( LCURLY (e= simpleBooleanExpression ( COMMA e= simpleBooleanExpression )* )? RCURLY | {...}?var= Identifier )
            int alt62=2;
            int LA62_0 = input.LA(1);

            if ( (LA62_0==LCURLY) ) {
                alt62=1;
            }
            else if ( (LA62_0==Identifier) ) {
                alt62=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 62, 0, input);

                throw nvae;
            }
            switch (alt62) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:663:2: LCURLY (e= simpleBooleanExpression ( COMMA e= simpleBooleanExpression )* )? RCURLY
                    {
                    match(input,LCURLY,FOLLOW_LCURLY_in_simpleBooleanListExpression2544); if (state.failed) return expr;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:663:9: (e= simpleBooleanExpression ( COMMA e= simpleBooleanExpression )* )?
                    int alt61=2;
                    int LA61_0 = input.LA(1);

                    if ( ((LA61_0>=TRUE && LA61_0<=FALSE)||LA61_0==Identifier) ) {
                        alt61=1;
                    }
                    switch (alt61) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:663:10: e= simpleBooleanExpression ( COMMA e= simpleBooleanExpression )*
                            {
                            pushFollow(FOLLOW_simpleBooleanExpression_in_simpleBooleanListExpression2551);
                            e=simpleBooleanExpression();

                            state._fsp--;
                            if (state.failed) return expr;
                            if ( state.backtracking==0 ) {
                              list.add(e);
                            }
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:663:53: ( COMMA e= simpleBooleanExpression )*
                            loop60:
                            do {
                                int alt60=2;
                                int LA60_0 = input.LA(1);

                                if ( (LA60_0==COMMA) ) {
                                    alt60=1;
                                }


                                switch (alt60) {
                            	case 1 :
                            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:663:54: COMMA e= simpleBooleanExpression
                            	    {
                            	    match(input,COMMA,FOLLOW_COMMA_in_simpleBooleanListExpression2556); if (state.failed) return expr;
                            	    pushFollow(FOLLOW_simpleBooleanExpression_in_simpleBooleanListExpression2562);
                            	    e=simpleBooleanExpression();

                            	    state._fsp--;
                            	    if (state.failed) return expr;
                            	    if ( state.backtracking==0 ) {
                            	      list.add(e);
                            	    }

                            	    }
                            	    break;

                            	default :
                            	    break loop60;
                                }
                            } while (true);


                            }
                            break;

                    }

                    match(input,RCURLY,FOLLOW_RCURLY_in_simpleBooleanListExpression2571); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createBooleanListExpression(list);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:666:2: {...}?var= Identifier
                    {
                    if ( !((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "BOOLEANLIST"))) ) {
                        if (state.backtracking>0) {state.failed=true; return expr;}
                        throw new FailedPredicateException(input, "simpleBooleanListExpression", "isVariableOfType($blockDeclaration::env,input.LT(1).getText(), \"BOOLEANLIST\")");
                    }
                    var=(Token)match(input,Identifier,FOLLOW_Identifier_in_simpleBooleanListExpression2586); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createReferenceBooleanListExpression(var);
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "simpleBooleanListExpression"


    // $ANTLR start "intListExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:671:1: intListExpression returns [NumberListExpression expr = null] : e= simpleIntListExpression ;
    public final NumberListExpression intListExpression() throws RecognitionException {
        NumberListExpression expr =  null;

        NumberListExpression e = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:672:2: (e= simpleIntListExpression )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:673:2: e= simpleIntListExpression
            {
            pushFollow(FOLLOW_simpleIntListExpression_in_intListExpression2611);
            e=simpleIntListExpression();

            state._fsp--;
            if (state.failed) return expr;
            if ( state.backtracking==0 ) {
              expr = e;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "intListExpression"


    // $ANTLR start "simpleIntListExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:676:1: simpleIntListExpression returns [NumberListExpression expr = null] : ( LCURLY (e= simpleNumberExpression ( COMMA e= simpleNumberExpression )* )? RCURLY | {...}?var= Identifier );
    public final NumberListExpression simpleIntListExpression() throws RecognitionException {
        NumberListExpression expr =  null;

        Token var=null;
        NumberExpression e = null;



        	List<NumberExpression> list = new ArrayList<NumberExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:679:3: ( LCURLY (e= simpleNumberExpression ( COMMA e= simpleNumberExpression )* )? RCURLY | {...}?var= Identifier )
            int alt65=2;
            int LA65_0 = input.LA(1);

            if ( (LA65_0==LCURLY) ) {
                alt65=1;
            }
            else if ( (LA65_0==Identifier) ) {
                alt65=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 65, 0, input);

                throw nvae;
            }
            switch (alt65) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:680:2: LCURLY (e= simpleNumberExpression ( COMMA e= simpleNumberExpression )* )? RCURLY
                    {
                    match(input,LCURLY,FOLLOW_LCURLY_in_simpleIntListExpression2632); if (state.failed) return expr;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:680:9: (e= simpleNumberExpression ( COMMA e= simpleNumberExpression )* )?
                    int alt64=2;
                    int LA64_0 = input.LA(1);

                    if ( (LA64_0==DecimalLiteral||LA64_0==FloatingPointLiteral||(LA64_0>=Identifier && LA64_0<=LPAREN)||LA64_0==MINUS) ) {
                        alt64=1;
                    }
                    switch (alt64) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:680:10: e= simpleNumberExpression ( COMMA e= simpleNumberExpression )*
                            {
                            pushFollow(FOLLOW_simpleNumberExpression_in_simpleIntListExpression2639);
                            e=simpleNumberExpression();

                            state._fsp--;
                            if (state.failed) return expr;
                            if ( state.backtracking==0 ) {
                              list.add(e);
                            }
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:680:52: ( COMMA e= simpleNumberExpression )*
                            loop63:
                            do {
                                int alt63=2;
                                int LA63_0 = input.LA(1);

                                if ( (LA63_0==COMMA) ) {
                                    alt63=1;
                                }


                                switch (alt63) {
                            	case 1 :
                            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:680:53: COMMA e= simpleNumberExpression
                            	    {
                            	    match(input,COMMA,FOLLOW_COMMA_in_simpleIntListExpression2644); if (state.failed) return expr;
                            	    pushFollow(FOLLOW_simpleNumberExpression_in_simpleIntListExpression2650);
                            	    e=simpleNumberExpression();

                            	    state._fsp--;
                            	    if (state.failed) return expr;
                            	    if ( state.backtracking==0 ) {
                            	      list.add(e);
                            	    }

                            	    }
                            	    break;

                            	default :
                            	    break loop63;
                                }
                            } while (true);


                            }
                            break;

                    }

                    match(input,RCURLY,FOLLOW_RCURLY_in_simpleIntListExpression2659); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createNumberListExpression(list);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:683:2: {...}?var= Identifier
                    {
                    if ( !((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "INTLIST"))) ) {
                        if (state.backtracking>0) {state.failed=true; return expr;}
                        throw new FailedPredicateException(input, "simpleIntListExpression", "isVariableOfType($blockDeclaration::env,input.LT(1).getText(), \"INTLIST\")");
                    }
                    var=(Token)match(input,Identifier,FOLLOW_Identifier_in_simpleIntListExpression2674); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createReferenceIntListExpression(var);
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "simpleIntListExpression"


    // $ANTLR start "numberListExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:688:1: numberListExpression returns [NumberListExpression expr = null] : ( (e1= doubleListExpression )=>e1= doubleListExpression | (e1= floatListExpression )=>e1= floatListExpression | e2= intListExpression );
    public final NumberListExpression numberListExpression() throws RecognitionException {
        NumberListExpression expr =  null;

        NumberListExpression e1 = null;

        NumberListExpression e2 = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:689:2: ( (e1= doubleListExpression )=>e1= doubleListExpression | (e1= floatListExpression )=>e1= floatListExpression | e2= intListExpression )
            int alt66=3;
            int LA66_0 = input.LA(1);

            if ( (LA66_0==LCURLY) ) {
                int LA66_1 = input.LA(2);

                if ( (synpred13_TextMarkerParser()) ) {
                    alt66=1;
                }
                else if ( (synpred14_TextMarkerParser()) ) {
                    alt66=2;
                }
                else if ( (true) ) {
                    alt66=3;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return expr;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 66, 1, input);

                    throw nvae;
                }
            }
            else if ( (LA66_0==Identifier) ) {
                int LA66_2 = input.LA(2);

                if ( ((synpred13_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "DOUBLELIST")))) ) {
                    alt66=1;
                }
                else if ( ((synpred14_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "FLOATLIST")))) ) {
                    alt66=2;
                }
                else if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "INTLIST"))) ) {
                    alt66=3;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return expr;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 66, 2, input);

                    throw nvae;
                }
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 66, 0, input);

                throw nvae;
            }
            switch (alt66) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:690:2: (e1= doubleListExpression )=>e1= doubleListExpression
                    {
                    pushFollow(FOLLOW_doubleListExpression_in_numberListExpression2708);
                    e1=doubleListExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e1;
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:692:2: (e1= floatListExpression )=>e1= floatListExpression
                    {
                    pushFollow(FOLLOW_floatListExpression_in_numberListExpression2729);
                    e1=floatListExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e1;
                    }

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:694:2: e2= intListExpression
                    {
                    pushFollow(FOLLOW_intListExpression_in_numberListExpression2741);
                    e2=intListExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e2;
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "numberListExpression"


    // $ANTLR start "doubleListExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:697:1: doubleListExpression returns [NumberListExpression expr = null] : e= simpleDoubleListExpression ;
    public final NumberListExpression doubleListExpression() throws RecognitionException {
        NumberListExpression expr =  null;

        NumberListExpression e = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:698:2: (e= simpleDoubleListExpression )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:699:2: e= simpleDoubleListExpression
            {
            pushFollow(FOLLOW_simpleDoubleListExpression_in_doubleListExpression2764);
            e=simpleDoubleListExpression();

            state._fsp--;
            if (state.failed) return expr;
            if ( state.backtracking==0 ) {
              expr = e;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "doubleListExpression"


    // $ANTLR start "simpleDoubleListExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:702:1: simpleDoubleListExpression returns [NumberListExpression expr = null] : ( LCURLY (e= simpleNumberExpression ( COMMA e= simpleNumberExpression )* )? RCURLY | {...}?var= Identifier );
    public final NumberListExpression simpleDoubleListExpression() throws RecognitionException {
        NumberListExpression expr =  null;

        Token var=null;
        NumberExpression e = null;



        	List<NumberExpression> list = new ArrayList<NumberExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:705:3: ( LCURLY (e= simpleNumberExpression ( COMMA e= simpleNumberExpression )* )? RCURLY | {...}?var= Identifier )
            int alt69=2;
            int LA69_0 = input.LA(1);

            if ( (LA69_0==LCURLY) ) {
                alt69=1;
            }
            else if ( (LA69_0==Identifier) ) {
                alt69=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 69, 0, input);

                throw nvae;
            }
            switch (alt69) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:706:2: LCURLY (e= simpleNumberExpression ( COMMA e= simpleNumberExpression )* )? RCURLY
                    {
                    match(input,LCURLY,FOLLOW_LCURLY_in_simpleDoubleListExpression2785); if (state.failed) return expr;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:706:9: (e= simpleNumberExpression ( COMMA e= simpleNumberExpression )* )?
                    int alt68=2;
                    int LA68_0 = input.LA(1);

                    if ( (LA68_0==DecimalLiteral||LA68_0==FloatingPointLiteral||(LA68_0>=Identifier && LA68_0<=LPAREN)||LA68_0==MINUS) ) {
                        alt68=1;
                    }
                    switch (alt68) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:706:10: e= simpleNumberExpression ( COMMA e= simpleNumberExpression )*
                            {
                            pushFollow(FOLLOW_simpleNumberExpression_in_simpleDoubleListExpression2792);
                            e=simpleNumberExpression();

                            state._fsp--;
                            if (state.failed) return expr;
                            if ( state.backtracking==0 ) {
                              list.add(e);
                            }
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:706:52: ( COMMA e= simpleNumberExpression )*
                            loop67:
                            do {
                                int alt67=2;
                                int LA67_0 = input.LA(1);

                                if ( (LA67_0==COMMA) ) {
                                    alt67=1;
                                }


                                switch (alt67) {
                            	case 1 :
                            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:706:53: COMMA e= simpleNumberExpression
                            	    {
                            	    match(input,COMMA,FOLLOW_COMMA_in_simpleDoubleListExpression2797); if (state.failed) return expr;
                            	    pushFollow(FOLLOW_simpleNumberExpression_in_simpleDoubleListExpression2803);
                            	    e=simpleNumberExpression();

                            	    state._fsp--;
                            	    if (state.failed) return expr;
                            	    if ( state.backtracking==0 ) {
                            	      list.add(e);
                            	    }

                            	    }
                            	    break;

                            	default :
                            	    break loop67;
                                }
                            } while (true);


                            }
                            break;

                    }

                    match(input,RCURLY,FOLLOW_RCURLY_in_simpleDoubleListExpression2812); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createNumberListExpression(list);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:709:2: {...}?var= Identifier
                    {
                    if ( !((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "DOUBLELIST"))) ) {
                        if (state.backtracking>0) {state.failed=true; return expr;}
                        throw new FailedPredicateException(input, "simpleDoubleListExpression", "isVariableOfType($blockDeclaration::env,input.LT(1).getText(), \"DOUBLELIST\")");
                    }
                    var=(Token)match(input,Identifier,FOLLOW_Identifier_in_simpleDoubleListExpression2827); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createReferenceDoubleListExpression(var);
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "simpleDoubleListExpression"


    // $ANTLR start "floatListExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:714:1: floatListExpression returns [NumberListExpression expr = null] : e= simpleFloatListExpression ;
    public final NumberListExpression floatListExpression() throws RecognitionException {
        NumberListExpression expr =  null;

        NumberListExpression e = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:715:2: (e= simpleFloatListExpression )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:716:2: e= simpleFloatListExpression
            {
            pushFollow(FOLLOW_simpleFloatListExpression_in_floatListExpression2853);
            e=simpleFloatListExpression();

            state._fsp--;
            if (state.failed) return expr;
            if ( state.backtracking==0 ) {
              expr = e;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "floatListExpression"


    // $ANTLR start "simpleFloatListExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:719:1: simpleFloatListExpression returns [NumberListExpression expr = null] : ( LCURLY (e= simpleNumberExpression ( COMMA e= simpleNumberExpression )* )? RCURLY | {...}?var= Identifier );
    public final NumberListExpression simpleFloatListExpression() throws RecognitionException {
        NumberListExpression expr =  null;

        Token var=null;
        NumberExpression e = null;



        	List<NumberExpression> list = new ArrayList<NumberExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:722:3: ( LCURLY (e= simpleNumberExpression ( COMMA e= simpleNumberExpression )* )? RCURLY | {...}?var= Identifier )
            int alt72=2;
            int LA72_0 = input.LA(1);

            if ( (LA72_0==LCURLY) ) {
                alt72=1;
            }
            else if ( (LA72_0==Identifier) ) {
                alt72=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 72, 0, input);

                throw nvae;
            }
            switch (alt72) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:723:2: LCURLY (e= simpleNumberExpression ( COMMA e= simpleNumberExpression )* )? RCURLY
                    {
                    match(input,LCURLY,FOLLOW_LCURLY_in_simpleFloatListExpression2874); if (state.failed) return expr;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:723:9: (e= simpleNumberExpression ( COMMA e= simpleNumberExpression )* )?
                    int alt71=2;
                    int LA71_0 = input.LA(1);

                    if ( (LA71_0==DecimalLiteral||LA71_0==FloatingPointLiteral||(LA71_0>=Identifier && LA71_0<=LPAREN)||LA71_0==MINUS) ) {
                        alt71=1;
                    }
                    switch (alt71) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:723:10: e= simpleNumberExpression ( COMMA e= simpleNumberExpression )*
                            {
                            pushFollow(FOLLOW_simpleNumberExpression_in_simpleFloatListExpression2881);
                            e=simpleNumberExpression();

                            state._fsp--;
                            if (state.failed) return expr;
                            if ( state.backtracking==0 ) {
                              list.add(e);
                            }
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:723:52: ( COMMA e= simpleNumberExpression )*
                            loop70:
                            do {
                                int alt70=2;
                                int LA70_0 = input.LA(1);

                                if ( (LA70_0==COMMA) ) {
                                    alt70=1;
                                }


                                switch (alt70) {
                            	case 1 :
                            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:723:53: COMMA e= simpleNumberExpression
                            	    {
                            	    match(input,COMMA,FOLLOW_COMMA_in_simpleFloatListExpression2886); if (state.failed) return expr;
                            	    pushFollow(FOLLOW_simpleNumberExpression_in_simpleFloatListExpression2892);
                            	    e=simpleNumberExpression();

                            	    state._fsp--;
                            	    if (state.failed) return expr;
                            	    if ( state.backtracking==0 ) {
                            	      list.add(e);
                            	    }

                            	    }
                            	    break;

                            	default :
                            	    break loop70;
                                }
                            } while (true);


                            }
                            break;

                    }

                    match(input,RCURLY,FOLLOW_RCURLY_in_simpleFloatListExpression2901); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createNumberListExpression(list);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:726:2: {...}?var= Identifier
                    {
                    if ( !((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "FLOATLIST"))) ) {
                        if (state.backtracking>0) {state.failed=true; return expr;}
                        throw new FailedPredicateException(input, "simpleFloatListExpression", "isVariableOfType($blockDeclaration::env,input.LT(1).getText(), \"FLOATLIST\")");
                    }
                    var=(Token)match(input,Identifier,FOLLOW_Identifier_in_simpleFloatListExpression2916); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createReferenceFloatListExpression(var);
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "simpleFloatListExpression"


    // $ANTLR start "stringListExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:730:1: stringListExpression returns [StringListExpression expr = null] : e= simpleStringListExpression ;
    public final StringListExpression stringListExpression() throws RecognitionException {
        StringListExpression expr =  null;

        StringListExpression e = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:731:2: (e= simpleStringListExpression )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:732:2: e= simpleStringListExpression
            {
            pushFollow(FOLLOW_simpleStringListExpression_in_stringListExpression2940);
            e=simpleStringListExpression();

            state._fsp--;
            if (state.failed) return expr;
            if ( state.backtracking==0 ) {
              expr = e;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "stringListExpression"


    // $ANTLR start "simpleStringListExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:735:1: simpleStringListExpression returns [StringListExpression expr = null] : ( LCURLY (e= simpleStringExpression ( COMMA e= simpleStringExpression )* )? RCURLY | {...}?var= Identifier );
    public final StringListExpression simpleStringListExpression() throws RecognitionException {
        StringListExpression expr =  null;

        Token var=null;
        StringExpression e = null;



        	List<StringExpression> list = new ArrayList<StringExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:738:3: ( LCURLY (e= simpleStringExpression ( COMMA e= simpleStringExpression )* )? RCURLY | {...}?var= Identifier )
            int alt75=2;
            int LA75_0 = input.LA(1);

            if ( (LA75_0==LCURLY) ) {
                alt75=1;
            }
            else if ( (LA75_0==Identifier) ) {
                alt75=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 75, 0, input);

                throw nvae;
            }
            switch (alt75) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:739:2: LCURLY (e= simpleStringExpression ( COMMA e= simpleStringExpression )* )? RCURLY
                    {
                    match(input,LCURLY,FOLLOW_LCURLY_in_simpleStringListExpression2961); if (state.failed) return expr;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:739:9: (e= simpleStringExpression ( COMMA e= simpleStringExpression )* )?
                    int alt74=2;
                    int LA74_0 = input.LA(1);

                    if ( (LA74_0==StringLiteral||LA74_0==Identifier) ) {
                        alt74=1;
                    }
                    switch (alt74) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:739:10: e= simpleStringExpression ( COMMA e= simpleStringExpression )*
                            {
                            pushFollow(FOLLOW_simpleStringExpression_in_simpleStringListExpression2968);
                            e=simpleStringExpression();

                            state._fsp--;
                            if (state.failed) return expr;
                            if ( state.backtracking==0 ) {
                              list.add(e);
                            }
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:739:52: ( COMMA e= simpleStringExpression )*
                            loop73:
                            do {
                                int alt73=2;
                                int LA73_0 = input.LA(1);

                                if ( (LA73_0==COMMA) ) {
                                    alt73=1;
                                }


                                switch (alt73) {
                            	case 1 :
                            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:739:53: COMMA e= simpleStringExpression
                            	    {
                            	    match(input,COMMA,FOLLOW_COMMA_in_simpleStringListExpression2973); if (state.failed) return expr;
                            	    pushFollow(FOLLOW_simpleStringExpression_in_simpleStringListExpression2979);
                            	    e=simpleStringExpression();

                            	    state._fsp--;
                            	    if (state.failed) return expr;
                            	    if ( state.backtracking==0 ) {
                            	      list.add(e);
                            	    }

                            	    }
                            	    break;

                            	default :
                            	    break loop73;
                                }
                            } while (true);


                            }
                            break;

                    }

                    match(input,RCURLY,FOLLOW_RCURLY_in_simpleStringListExpression2988); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createStringListExpression(list);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:742:2: {...}?var= Identifier
                    {
                    if ( !((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "STRINGLIST"))) ) {
                        if (state.backtracking>0) {state.failed=true; return expr;}
                        throw new FailedPredicateException(input, "simpleStringListExpression", "isVariableOfType($blockDeclaration::env,input.LT(1).getText(), \"STRINGLIST\")");
                    }
                    var=(Token)match(input,Identifier,FOLLOW_Identifier_in_simpleStringListExpression3004); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createReferenceStringListExpression(var);
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "simpleStringListExpression"


    // $ANTLR start "typeListExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:747:1: typeListExpression returns [TypeListExpression expr = null] : e= simpleTypeListExpression ;
    public final TypeListExpression typeListExpression() throws RecognitionException {
        TypeListExpression expr =  null;

        TypeListExpression e = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:748:2: (e= simpleTypeListExpression )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:749:2: e= simpleTypeListExpression
            {
            pushFollow(FOLLOW_simpleTypeListExpression_in_typeListExpression3029);
            e=simpleTypeListExpression();

            state._fsp--;
            if (state.failed) return expr;
            if ( state.backtracking==0 ) {
              expr = e;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "typeListExpression"


    // $ANTLR start "simpleTypeListExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:752:1: simpleTypeListExpression returns [TypeListExpression expr = null] : ( LCURLY (e= simpleTypeExpression ( COMMA e= simpleTypeExpression )* )? RCURLY | {...}?var= Identifier );
    public final TypeListExpression simpleTypeListExpression() throws RecognitionException {
        TypeListExpression expr =  null;

        Token var=null;
        TypeExpression e = null;



        	List<TypeExpression> list = new ArrayList<TypeExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:755:3: ( LCURLY (e= simpleTypeExpression ( COMMA e= simpleTypeExpression )* )? RCURLY | {...}?var= Identifier )
            int alt78=2;
            int LA78_0 = input.LA(1);

            if ( (LA78_0==LCURLY) ) {
                alt78=1;
            }
            else if ( (LA78_0==Identifier) ) {
                alt78=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 78, 0, input);

                throw nvae;
            }
            switch (alt78) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:756:2: LCURLY (e= simpleTypeExpression ( COMMA e= simpleTypeExpression )* )? RCURLY
                    {
                    match(input,LCURLY,FOLLOW_LCURLY_in_simpleTypeListExpression3050); if (state.failed) return expr;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:756:9: (e= simpleTypeExpression ( COMMA e= simpleTypeExpression )* )?
                    int alt77=2;
                    int LA77_0 = input.LA(1);

                    if ( (LA77_0==BasicAnnotationType||LA77_0==Identifier) ) {
                        alt77=1;
                    }
                    switch (alt77) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:756:10: e= simpleTypeExpression ( COMMA e= simpleTypeExpression )*
                            {
                            pushFollow(FOLLOW_simpleTypeExpression_in_simpleTypeListExpression3057);
                            e=simpleTypeExpression();

                            state._fsp--;
                            if (state.failed) return expr;
                            if ( state.backtracking==0 ) {
                              list.add(e);
                            }
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:756:50: ( COMMA e= simpleTypeExpression )*
                            loop76:
                            do {
                                int alt76=2;
                                int LA76_0 = input.LA(1);

                                if ( (LA76_0==COMMA) ) {
                                    alt76=1;
                                }


                                switch (alt76) {
                            	case 1 :
                            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:756:51: COMMA e= simpleTypeExpression
                            	    {
                            	    match(input,COMMA,FOLLOW_COMMA_in_simpleTypeListExpression3062); if (state.failed) return expr;
                            	    pushFollow(FOLLOW_simpleTypeExpression_in_simpleTypeListExpression3068);
                            	    e=simpleTypeExpression();

                            	    state._fsp--;
                            	    if (state.failed) return expr;
                            	    if ( state.backtracking==0 ) {
                            	      list.add(e);
                            	    }

                            	    }
                            	    break;

                            	default :
                            	    break loop76;
                                }
                            } while (true);


                            }
                            break;

                    }

                    match(input,RCURLY,FOLLOW_RCURLY_in_simpleTypeListExpression3077); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createTypeListExpression(list);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:759:2: {...}?var= Identifier
                    {
                    if ( !((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPELIST"))) ) {
                        if (state.backtracking>0) {state.failed=true; return expr;}
                        throw new FailedPredicateException(input, "simpleTypeListExpression", "isVariableOfType($blockDeclaration::env,input.LT(1).getText(), \"TYPELIST\")");
                    }
                    var=(Token)match(input,Identifier,FOLLOW_Identifier_in_simpleTypeListExpression3092); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createReferenceTypeListExpression(var);
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "simpleTypeListExpression"


    // $ANTLR start "typeExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:764:1: typeExpression returns [TypeExpression type = null] options {backtrack=true; } : (tf= typeFunction | st= simpleTypeExpression );
    public final TypeExpression typeExpression() throws RecognitionException {
        TypeExpression type =  null;

        TypeExpression tf = null;

        TypeExpression st = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:768:2: (tf= typeFunction | st= simpleTypeExpression )
            int alt79=2;
            int LA79_0 = input.LA(1);

            if ( (LA79_0==Identifier) ) {
                int LA79_1 = input.LA(2);

                if ( (synpred15_TextMarkerParser()) ) {
                    alt79=1;
                }
                else if ( (true) ) {
                    alt79=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return type;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 79, 1, input);

                    throw nvae;
                }
            }
            else if ( (LA79_0==BasicAnnotationType) ) {
                alt79=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return type;}
                NoViableAltException nvae =
                    new NoViableAltException("", 79, 0, input);

                throw nvae;
            }
            switch (alt79) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:769:2: tf= typeFunction
                    {
                    pushFollow(FOLLOW_typeFunction_in_typeExpression3129);
                    tf=typeFunction();

                    state._fsp--;
                    if (state.failed) return type;
                    if ( state.backtracking==0 ) {
                      type = tf;
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:770:4: st= simpleTypeExpression
                    {
                    pushFollow(FOLLOW_simpleTypeExpression_in_typeExpression3140);
                    st=simpleTypeExpression();

                    state._fsp--;
                    if (state.failed) return type;
                    if ( state.backtracking==0 ) {
                      type = st;
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return type;
    }
    // $ANTLR end "typeExpression"


    // $ANTLR start "typeFunction"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:775:1: typeFunction returns [TypeExpression expr = null] : (e= externalTypeFunction )=>e= externalTypeFunction ;
    public final TypeExpression typeFunction() throws RecognitionException {
        TypeExpression expr =  null;

        TypeExpression e = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:776:2: ( (e= externalTypeFunction )=>e= externalTypeFunction )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:777:2: (e= externalTypeFunction )=>e= externalTypeFunction
            {
            pushFollow(FOLLOW_externalTypeFunction_in_typeFunction3174);
            e=externalTypeFunction();

            state._fsp--;
            if (state.failed) return expr;
            if ( state.backtracking==0 ) {
              expr = e;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "typeFunction"


    // $ANTLR start "externalTypeFunction"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:781:1: externalTypeFunction returns [TypeExpression expr = null] : id= Identifier LPAREN args= varArgumentList RPAREN ;
    public final TypeExpression externalTypeFunction() throws RecognitionException {
        TypeExpression expr =  null;

        Token id=null;
        List args = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:782:2: (id= Identifier LPAREN args= varArgumentList RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:784:2: id= Identifier LPAREN args= varArgumentList RPAREN
            {
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_externalTypeFunction3199); if (state.failed) return expr;
            match(input,LPAREN,FOLLOW_LPAREN_in_externalTypeFunction3201); if (state.failed) return expr;
            pushFollow(FOLLOW_varArgumentList_in_externalTypeFunction3208);
            args=varArgumentList();

            state._fsp--;
            if (state.failed) return expr;
            match(input,RPAREN,FOLLOW_RPAREN_in_externalTypeFunction3210); if (state.failed) return expr;
            if ( state.backtracking==0 ) {

              		expr = external.createExternalTypeFunction(id, args);
              	
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "externalTypeFunction"


    // $ANTLR start "simpleTypeExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:791:1: simpleTypeExpression returns [TypeExpression type = null] : ({...}?var= Identifier | at= annotationType );
    public final TypeExpression simpleTypeExpression() throws RecognitionException {
        TypeExpression type =  null;

        Token var=null;
        Token at = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:792:2: ({...}?var= Identifier | at= annotationType )
            int alt80=2;
            int LA80_0 = input.LA(1);

            if ( (LA80_0==Identifier) ) {
                int LA80_1 = input.LA(2);

                if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPE"))) ) {
                    alt80=1;
                }
                else if ( (true) ) {
                    alt80=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return type;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 80, 1, input);

                    throw nvae;
                }
            }
            else if ( (LA80_0==BasicAnnotationType) ) {
                alt80=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return type;}
                NoViableAltException nvae =
                    new NoViableAltException("", 80, 0, input);

                throw nvae;
            }
            switch (alt80) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:793:2: {...}?var= Identifier
                    {
                    if ( !((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPE"))) ) {
                        if (state.backtracking>0) {state.failed=true; return type;}
                        throw new FailedPredicateException(input, "simpleTypeExpression", "isVariableOfType($blockDeclaration::env,input.LT(1).getText(), \"TYPE\")");
                    }
                    var=(Token)match(input,Identifier,FOLLOW_Identifier_in_simpleTypeExpression3235); if (state.failed) return type;
                    if ( state.backtracking==0 ) {
                      type = ExpressionFactory.createReferenceTypeExpression(var);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:796:2: at= annotationType
                    {
                    pushFollow(FOLLOW_annotationType_in_simpleTypeExpression3249);
                    at=annotationType();

                    state._fsp--;
                    if (state.failed) return type;
                    if ( state.backtracking==0 ) {
                      type = ExpressionFactory.createSimpleTypeExpression(at, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return type;
    }
    // $ANTLR end "simpleTypeExpression"


    // $ANTLR start "variable"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:801:1: variable returns [Token var = null] : {...}?v= Identifier ;
    public final Token variable() throws RecognitionException {
        Token var =  null;

        Token v=null;

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:802:2: ({...}?v= Identifier )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:803:2: {...}?v= Identifier
            {
            if ( !((isVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText()))) ) {
                if (state.backtracking>0) {state.failed=true; return var;}
                throw new FailedPredicateException(input, "variable", "isVariable($blockDeclaration::env, input.LT(1).getText())");
            }
            v=(Token)match(input,Identifier,FOLLOW_Identifier_in_variable3275); if (state.failed) return var;
            if ( state.backtracking==0 ) {
              var = v;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return var;
    }
    // $ANTLR end "variable"


    // $ANTLR start "listVariable"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:806:1: listVariable returns [Token var = null] : {...}?v= Identifier ;
    public final Token listVariable() throws RecognitionException {
        Token var =  null;

        Token v=null;

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:807:2: ({...}?v= Identifier )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:808:2: {...}?v= Identifier
            {
            if ( !((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), "BOOLEANLIST")
            	||isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), "INTLIST")
            	||isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), "DOUBLELIST")
            	||isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), "FLOATLIST")
            	||isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), "STRINGLIST")
            	||isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), "TYPELIST")
            	)) ) {
                if (state.backtracking>0) {state.failed=true; return var;}
                throw new FailedPredicateException(input, "listVariable", "isVariableOfType($blockDeclaration::env, input.LT(1).getText(), \"BOOLEANLIST\")\r\n\t||isVariableOfType($blockDeclaration::env, input.LT(1).getText(), \"INTLIST\")\r\n\t||isVariableOfType($blockDeclaration::env, input.LT(1).getText(), \"DOUBLELIST\")\r\n\t||isVariableOfType($blockDeclaration::env, input.LT(1).getText(), \"FLOATLIST\")\r\n\t||isVariableOfType($blockDeclaration::env, input.LT(1).getText(), \"STRINGLIST\")\r\n\t||isVariableOfType($blockDeclaration::env, input.LT(1).getText(), \"TYPELIST\")\r\n\t");
            }
            v=(Token)match(input,Identifier,FOLLOW_Identifier_in_listVariable3299); if (state.failed) return var;
            if ( state.backtracking==0 ) {
              var = v;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return var;
    }
    // $ANTLR end "listVariable"


    // $ANTLR start "quantifierPart"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:832:1: quantifierPart returns [RuleElementQuantifier quantifier = null] : ( STAR (q= QUESTION )? | PLUS (q= QUESTION )? | QUESTION (q= QUESTION )? | LBRACK min= numberExpression (comma= COMMA (max= numberExpression )? )? RBRACK (q= QUESTION )? );
    public final RuleElementQuantifier quantifierPart() throws RecognitionException {
        RuleElementQuantifier quantifier =  null;

        Token q=null;
        Token comma=null;
        NumberExpression min = null;

        NumberExpression max = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:833:2: ( STAR (q= QUESTION )? | PLUS (q= QUESTION )? | QUESTION (q= QUESTION )? | LBRACK min= numberExpression (comma= COMMA (max= numberExpression )? )? RBRACK (q= QUESTION )? )
            int alt87=4;
            switch ( input.LA(1) ) {
            case STAR:
                {
                alt87=1;
                }
                break;
            case PLUS:
                {
                alt87=2;
                }
                break;
            case QUESTION:
                {
                alt87=3;
                }
                break;
            case LBRACK:
                {
                alt87=4;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return quantifier;}
                NoViableAltException nvae =
                    new NoViableAltException("", 87, 0, input);

                throw nvae;
            }

            switch (alt87) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:834:3: STAR (q= QUESTION )?
                    {
                    match(input,STAR,FOLLOW_STAR_in_quantifierPart3333); if (state.failed) return quantifier;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:834:10: (q= QUESTION )?
                    int alt81=2;
                    int LA81_0 = input.LA(1);

                    if ( (LA81_0==QUESTION) ) {
                        alt81=1;
                    }
                    switch (alt81) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:834:10: q= QUESTION
                            {
                            q=(Token)match(input,QUESTION,FOLLOW_QUESTION_in_quantifierPart3339); if (state.failed) return quantifier;

                            }
                            break;

                    }

                    if ( state.backtracking==0 ) {
                      if(q != null) {quantifier = TextMarkerScriptFactory.createStarReluctantQuantifier();} 
                      	 	else{quantifier = TextMarkerScriptFactory.createStarGreedyQuantifier();}
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:837:4: PLUS (q= QUESTION )?
                    {
                    match(input,PLUS,FOLLOW_PLUS_in_quantifierPart3350); if (state.failed) return quantifier;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:837:11: (q= QUESTION )?
                    int alt82=2;
                    int LA82_0 = input.LA(1);

                    if ( (LA82_0==QUESTION) ) {
                        alt82=1;
                    }
                    switch (alt82) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:837:11: q= QUESTION
                            {
                            q=(Token)match(input,QUESTION,FOLLOW_QUESTION_in_quantifierPart3356); if (state.failed) return quantifier;

                            }
                            break;

                    }

                    if ( state.backtracking==0 ) {
                      if(q != null) {quantifier = TextMarkerScriptFactory.createPlusReluctantQuantifier();}
                      	 else {quantifier = TextMarkerScriptFactory.createPlusGreedyQuantifier();}
                    }

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:840:4: QUESTION (q= QUESTION )?
                    {
                    match(input,QUESTION,FOLLOW_QUESTION_in_quantifierPart3366); if (state.failed) return quantifier;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:840:15: (q= QUESTION )?
                    int alt83=2;
                    int LA83_0 = input.LA(1);

                    if ( (LA83_0==QUESTION) ) {
                        alt83=1;
                    }
                    switch (alt83) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:840:15: q= QUESTION
                            {
                            q=(Token)match(input,QUESTION,FOLLOW_QUESTION_in_quantifierPart3372); if (state.failed) return quantifier;

                            }
                            break;

                    }

                    if ( state.backtracking==0 ) {
                      if(q != null) {quantifier = TextMarkerScriptFactory.createQuestionReluctantQuantifier();} 
                      	 else {quantifier = TextMarkerScriptFactory.createQuestionGreedyQuantifier();}
                    }

                    }
                    break;
                case 4 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:843:4: LBRACK min= numberExpression (comma= COMMA (max= numberExpression )? )? RBRACK (q= QUESTION )?
                    {
                    match(input,LBRACK,FOLLOW_LBRACK_in_quantifierPart3383); if (state.failed) return quantifier;
                    pushFollow(FOLLOW_numberExpression_in_quantifierPart3389);
                    min=numberExpression();

                    state._fsp--;
                    if (state.failed) return quantifier;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:843:34: (comma= COMMA (max= numberExpression )? )?
                    int alt85=2;
                    int LA85_0 = input.LA(1);

                    if ( (LA85_0==COMMA) ) {
                        alt85=1;
                    }
                    switch (alt85) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:843:35: comma= COMMA (max= numberExpression )?
                            {
                            comma=(Token)match(input,COMMA,FOLLOW_COMMA_in_quantifierPart3396); if (state.failed) return quantifier;
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:843:49: (max= numberExpression )?
                            int alt84=2;
                            int LA84_0 = input.LA(1);

                            if ( ((LA84_0>=EXP && LA84_0<=TAN)||LA84_0==DecimalLiteral||LA84_0==FloatingPointLiteral||(LA84_0>=Identifier && LA84_0<=LPAREN)||LA84_0==MINUS) ) {
                                alt84=1;
                            }
                            switch (alt84) {
                                case 1 :
                                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:843:50: max= numberExpression
                                    {
                                    pushFollow(FOLLOW_numberExpression_in_quantifierPart3403);
                                    max=numberExpression();

                                    state._fsp--;
                                    if (state.failed) return quantifier;

                                    }
                                    break;

                            }


                            }
                            break;

                    }

                    match(input,RBRACK,FOLLOW_RBRACK_in_quantifierPart3409); if (state.failed) return quantifier;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:843:86: (q= QUESTION )?
                    int alt86=2;
                    int LA86_0 = input.LA(1);

                    if ( (LA86_0==QUESTION) ) {
                        alt86=1;
                    }
                    switch (alt86) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:843:86: q= QUESTION
                            {
                            q=(Token)match(input,QUESTION,FOLLOW_QUESTION_in_quantifierPart3415); if (state.failed) return quantifier;

                            }
                            break;

                    }

                    if ( state.backtracking==0 ) {
                      if(q != null) {quantifier = TextMarkerScriptFactory.createMinMaxReluctantQuantifier(min,max,comma);} 
                      	 else {quantifier = TextMarkerScriptFactory.createMinMaxGreedyQuantifier(min,max,comma);}
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return quantifier;
    }
    // $ANTLR end "quantifierPart"


    // $ANTLR start "condition"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:849:1: condition returns [AbstractTextMarkerCondition result = null] : (c= conditionAnd | c= conditionContains | c= conditionContextCount | c= conditionCount | c= conditionCurrentCount | c= conditionInList | c= conditionLast | c= conditionMofN | c= conditionNear | c= conditionNot | c= conditionOr | c= conditionPartOf | c= conditionPosition | c= conditionRegExp | c= conditionScore | c= conditionTotalCount | c= conditionVote | c= conditionIf | c= conditionFeature | c= conditionParse | c= conditionIs | c= conditionBefore | c= conditionAfter | c= conditionStartsWith | c= conditionEndsWith | c= conditionPartOfNeq | c= conditionSize | (c= externalCondition )=>c= externalCondition ) ;
    public final AbstractTextMarkerCondition condition() throws RecognitionException {
        AbstractTextMarkerCondition result =  null;

        AbstractTextMarkerCondition c = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:850:2: ( (c= conditionAnd | c= conditionContains | c= conditionContextCount | c= conditionCount | c= conditionCurrentCount | c= conditionInList | c= conditionLast | c= conditionMofN | c= conditionNear | c= conditionNot | c= conditionOr | c= conditionPartOf | c= conditionPosition | c= conditionRegExp | c= conditionScore | c= conditionTotalCount | c= conditionVote | c= conditionIf | c= conditionFeature | c= conditionParse | c= conditionIs | c= conditionBefore | c= conditionAfter | c= conditionStartsWith | c= conditionEndsWith | c= conditionPartOfNeq | c= conditionSize | (c= externalCondition )=>c= externalCondition ) )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:851:2: (c= conditionAnd | c= conditionContains | c= conditionContextCount | c= conditionCount | c= conditionCurrentCount | c= conditionInList | c= conditionLast | c= conditionMofN | c= conditionNear | c= conditionNot | c= conditionOr | c= conditionPartOf | c= conditionPosition | c= conditionRegExp | c= conditionScore | c= conditionTotalCount | c= conditionVote | c= conditionIf | c= conditionFeature | c= conditionParse | c= conditionIs | c= conditionBefore | c= conditionAfter | c= conditionStartsWith | c= conditionEndsWith | c= conditionPartOfNeq | c= conditionSize | (c= externalCondition )=>c= externalCondition )
            {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:851:2: (c= conditionAnd | c= conditionContains | c= conditionContextCount | c= conditionCount | c= conditionCurrentCount | c= conditionInList | c= conditionLast | c= conditionMofN | c= conditionNear | c= conditionNot | c= conditionOr | c= conditionPartOf | c= conditionPosition | c= conditionRegExp | c= conditionScore | c= conditionTotalCount | c= conditionVote | c= conditionIf | c= conditionFeature | c= conditionParse | c= conditionIs | c= conditionBefore | c= conditionAfter | c= conditionStartsWith | c= conditionEndsWith | c= conditionPartOfNeq | c= conditionSize | (c= externalCondition )=>c= externalCondition )
            int alt88=28;
            alt88 = dfa88.predict(input);
            switch (alt88) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:852:2: c= conditionAnd
                    {
                    pushFollow(FOLLOW_conditionAnd_in_condition3446);
                    c=conditionAnd();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:853:4: c= conditionContains
                    {
                    pushFollow(FOLLOW_conditionContains_in_condition3455);
                    c=conditionContains();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:854:4: c= conditionContextCount
                    {
                    pushFollow(FOLLOW_conditionContextCount_in_condition3464);
                    c=conditionContextCount();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 4 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:855:4: c= conditionCount
                    {
                    pushFollow(FOLLOW_conditionCount_in_condition3473);
                    c=conditionCount();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 5 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:856:4: c= conditionCurrentCount
                    {
                    pushFollow(FOLLOW_conditionCurrentCount_in_condition3482);
                    c=conditionCurrentCount();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 6 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:857:4: c= conditionInList
                    {
                    pushFollow(FOLLOW_conditionInList_in_condition3491);
                    c=conditionInList();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 7 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:858:4: c= conditionLast
                    {
                    pushFollow(FOLLOW_conditionLast_in_condition3500);
                    c=conditionLast();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 8 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:859:4: c= conditionMofN
                    {
                    pushFollow(FOLLOW_conditionMofN_in_condition3509);
                    c=conditionMofN();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 9 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:860:4: c= conditionNear
                    {
                    pushFollow(FOLLOW_conditionNear_in_condition3518);
                    c=conditionNear();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 10 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:861:4: c= conditionNot
                    {
                    pushFollow(FOLLOW_conditionNot_in_condition3527);
                    c=conditionNot();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 11 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:862:4: c= conditionOr
                    {
                    pushFollow(FOLLOW_conditionOr_in_condition3536);
                    c=conditionOr();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 12 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:863:4: c= conditionPartOf
                    {
                    pushFollow(FOLLOW_conditionPartOf_in_condition3545);
                    c=conditionPartOf();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 13 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:864:4: c= conditionPosition
                    {
                    pushFollow(FOLLOW_conditionPosition_in_condition3554);
                    c=conditionPosition();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 14 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:865:4: c= conditionRegExp
                    {
                    pushFollow(FOLLOW_conditionRegExp_in_condition3563);
                    c=conditionRegExp();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 15 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:866:4: c= conditionScore
                    {
                    pushFollow(FOLLOW_conditionScore_in_condition3572);
                    c=conditionScore();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 16 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:867:4: c= conditionTotalCount
                    {
                    pushFollow(FOLLOW_conditionTotalCount_in_condition3581);
                    c=conditionTotalCount();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 17 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:868:4: c= conditionVote
                    {
                    pushFollow(FOLLOW_conditionVote_in_condition3590);
                    c=conditionVote();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 18 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:869:4: c= conditionIf
                    {
                    pushFollow(FOLLOW_conditionIf_in_condition3599);
                    c=conditionIf();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 19 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:870:4: c= conditionFeature
                    {
                    pushFollow(FOLLOW_conditionFeature_in_condition3608);
                    c=conditionFeature();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 20 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:871:4: c= conditionParse
                    {
                    pushFollow(FOLLOW_conditionParse_in_condition3617);
                    c=conditionParse();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 21 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:872:4: c= conditionIs
                    {
                    pushFollow(FOLLOW_conditionIs_in_condition3626);
                    c=conditionIs();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 22 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:873:4: c= conditionBefore
                    {
                    pushFollow(FOLLOW_conditionBefore_in_condition3635);
                    c=conditionBefore();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 23 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:874:4: c= conditionAfter
                    {
                    pushFollow(FOLLOW_conditionAfter_in_condition3644);
                    c=conditionAfter();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 24 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:875:4: c= conditionStartsWith
                    {
                    pushFollow(FOLLOW_conditionStartsWith_in_condition3654);
                    c=conditionStartsWith();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 25 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:876:4: c= conditionEndsWith
                    {
                    pushFollow(FOLLOW_conditionEndsWith_in_condition3663);
                    c=conditionEndsWith();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 26 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:877:4: c= conditionPartOfNeq
                    {
                    pushFollow(FOLLOW_conditionPartOfNeq_in_condition3672);
                    c=conditionPartOfNeq();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 27 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:878:4: c= conditionSize
                    {
                    pushFollow(FOLLOW_conditionSize_in_condition3681);
                    c=conditionSize();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 28 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:879:4: (c= externalCondition )=>c= externalCondition
                    {
                    pushFollow(FOLLOW_externalCondition_in_condition3700);
                    c=externalCondition();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              result = c;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return result;
    }
    // $ANTLR end "condition"


    // $ANTLR start "externalCondition"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:894:1: externalCondition returns [AbstractTextMarkerCondition condition = null] : id= Identifier LPAREN args= varArgumentList RPAREN ;
    public final AbstractTextMarkerCondition externalCondition() throws RecognitionException {
        AbstractTextMarkerCondition condition =  null;

        Token id=null;
        List args = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:895:2: (id= Identifier LPAREN args= varArgumentList RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:897:2: id= Identifier LPAREN args= varArgumentList RPAREN
            {
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_externalCondition3740); if (state.failed) return condition;
            match(input,LPAREN,FOLLOW_LPAREN_in_externalCondition3742); if (state.failed) return condition;
            pushFollow(FOLLOW_varArgumentList_in_externalCondition3748);
            args=varArgumentList();

            state._fsp--;
            if (state.failed) return condition;
            match(input,RPAREN,FOLLOW_RPAREN_in_externalCondition3750); if (state.failed) return condition;
            if ( state.backtracking==0 ) {

              		condition = external.createExternalCondition(id, args);
              	
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return condition;
    }
    // $ANTLR end "externalCondition"


    // $ANTLR start "conditionAnd"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:903:1: conditionAnd returns [AbstractTextMarkerCondition cond = null] : AND LPAREN conds= conditions RPAREN ;
    public final AbstractTextMarkerCondition conditionAnd() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        List<AbstractTextMarkerCondition> conds = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:904:5: ( AND LPAREN conds= conditions RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:905:5: AND LPAREN conds= conditions RPAREN
            {
            match(input,AND,FOLLOW_AND_in_conditionAnd3779); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionAnd3781); if (state.failed) return cond;
            pushFollow(FOLLOW_conditions_in_conditionAnd3787);
            conds=conditions();

            state._fsp--;
            if (state.failed) return cond;
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionAnd3789); if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createConditionAnd(conds, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionAnd"


    // $ANTLR start "conditionContains"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:909:1: conditionContains returns [AbstractTextMarkerCondition cond = null] options {backtrack=true; } : CONTAINS LPAREN (type= typeExpression | list= listExpression COMMA a= argument ) ( COMMA min= numberExpression COMMA max= numberExpression ( COMMA percent= booleanExpression )? )? RPAREN ;
    public final AbstractTextMarkerCondition conditionContains() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        TypeExpression type = null;

        ListExpression list = null;

        TextMarkerExpression a = null;

        NumberExpression min = null;

        NumberExpression max = null;

        BooleanExpression percent = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:913:5: ( CONTAINS LPAREN (type= typeExpression | list= listExpression COMMA a= argument ) ( COMMA min= numberExpression COMMA max= numberExpression ( COMMA percent= booleanExpression )? )? RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:914:5: CONTAINS LPAREN (type= typeExpression | list= listExpression COMMA a= argument ) ( COMMA min= numberExpression COMMA max= numberExpression ( COMMA percent= booleanExpression )? )? RPAREN
            {
            match(input,CONTAINS,FOLLOW_CONTAINS_in_conditionContains3841); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionContains3843); if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:914:21: (type= typeExpression | list= listExpression COMMA a= argument )
            int alt89=2;
            switch ( input.LA(1) ) {
            case Identifier:
                {
                int LA89_1 = input.LA(2);

                if ( (!((((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPELIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "DOUBLELIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "FLOATLIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "STRINGLIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "BOOLEANLIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "INTLIST")))))) ) {
                    alt89=1;
                }
                else if ( (((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPELIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "DOUBLELIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "FLOATLIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "STRINGLIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "BOOLEANLIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "INTLIST")))) ) {
                    alt89=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return cond;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 89, 1, input);

                    throw nvae;
                }
                }
                break;
            case BasicAnnotationType:
                {
                alt89=1;
                }
                break;
            case LCURLY:
                {
                alt89=2;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return cond;}
                NoViableAltException nvae =
                    new NoViableAltException("", 89, 0, input);

                throw nvae;
            }

            switch (alt89) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:914:22: type= typeExpression
                    {
                    pushFollow(FOLLOW_typeExpression_in_conditionContains3850);
                    type=typeExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:914:46: list= listExpression COMMA a= argument
                    {
                    pushFollow(FOLLOW_listExpression_in_conditionContains3858);
                    list=listExpression();

                    state._fsp--;
                    if (state.failed) return cond;
                    match(input,COMMA,FOLLOW_COMMA_in_conditionContains3860); if (state.failed) return cond;
                    pushFollow(FOLLOW_argument_in_conditionContains3866);
                    a=argument();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:915:5: ( COMMA min= numberExpression COMMA max= numberExpression ( COMMA percent= booleanExpression )? )?
            int alt91=2;
            int LA91_0 = input.LA(1);

            if ( (LA91_0==COMMA) ) {
                alt91=1;
            }
            switch (alt91) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:915:6: COMMA min= numberExpression COMMA max= numberExpression ( COMMA percent= booleanExpression )?
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionContains3875); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberExpression_in_conditionContains3881);
                    min=numberExpression();

                    state._fsp--;
                    if (state.failed) return cond;
                    match(input,COMMA,FOLLOW_COMMA_in_conditionContains3883); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberExpression_in_conditionContains3889);
                    max=numberExpression();

                    state._fsp--;
                    if (state.failed) return cond;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:915:64: ( COMMA percent= booleanExpression )?
                    int alt90=2;
                    int LA90_0 = input.LA(1);

                    if ( (LA90_0==COMMA) ) {
                        alt90=1;
                    }
                    switch (alt90) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:915:65: COMMA percent= booleanExpression
                            {
                            match(input,COMMA,FOLLOW_COMMA_in_conditionContains3892); if (state.failed) return cond;
                            pushFollow(FOLLOW_booleanExpression_in_conditionContains3898);
                            percent=booleanExpression();

                            state._fsp--;
                            if (state.failed) return cond;

                            }
                            break;

                    }


                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_conditionContains3904); if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              if(type != null) {cond = ConditionFactory.createConditionContains(type, min, max, percent,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);}
                  else {cond = ConditionFactory.createConditionContains(list,a, min, max, percent, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);};
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionContains"


    // $ANTLR start "conditionContextCount"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:919:1: conditionContextCount returns [AbstractTextMarkerCondition cond = null] : CONTEXTCOUNT LPAREN type= typeExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN ;
    public final AbstractTextMarkerCondition conditionContextCount() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        TypeExpression type = null;

        NumberExpression min = null;

        NumberExpression max = null;

        Token var = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:920:5: ( CONTEXTCOUNT LPAREN type= typeExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:921:5: CONTEXTCOUNT LPAREN type= typeExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN
            {
            match(input,CONTEXTCOUNT,FOLLOW_CONTEXTCOUNT_in_conditionContextCount3937); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionContextCount3939); if (state.failed) return cond;
            pushFollow(FOLLOW_typeExpression_in_conditionContextCount3945);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:921:47: ( COMMA min= numberExpression COMMA max= numberExpression )?
            int alt92=2;
            int LA92_0 = input.LA(1);

            if ( (LA92_0==COMMA) ) {
                int LA92_1 = input.LA(2);

                if ( (LA92_1==Identifier) ) {
                    int LA92_3 = input.LA(3);

                    if ( (LA92_3==LPAREN||LA92_3==COMMA||(LA92_3>=PLUS && LA92_3<=SLASH)||LA92_3==PERCENT) ) {
                        alt92=1;
                    }
                }
                else if ( ((LA92_1>=EXP && LA92_1<=TAN)||LA92_1==DecimalLiteral||LA92_1==FloatingPointLiteral||LA92_1==LPAREN||LA92_1==MINUS) ) {
                    alt92=1;
                }
            }
            switch (alt92) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:921:48: COMMA min= numberExpression COMMA max= numberExpression
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionContextCount3948); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberExpression_in_conditionContextCount3954);
                    min=numberExpression();

                    state._fsp--;
                    if (state.failed) return cond;
                    match(input,COMMA,FOLLOW_COMMA_in_conditionContextCount3956); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberExpression_in_conditionContextCount3962);
                    max=numberExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:922:5: ( COMMA var= numberVariable )?
            int alt93=2;
            int LA93_0 = input.LA(1);

            if ( (LA93_0==COMMA) ) {
                alt93=1;
            }
            switch (alt93) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:922:6: COMMA var= numberVariable
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionContextCount3972); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberVariable_in_conditionContextCount3978);
                    var=numberVariable();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_conditionContextCount3982); if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createConditionContextCount(type, min, max, var, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionContextCount"


    // $ANTLR start "conditionCount"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:925:1: conditionCount returns [AbstractTextMarkerCondition cond = null] options {backtrack=true; } : ( COUNT LPAREN type= listExpression COMMA a= argument ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN | COUNT LPAREN list= typeExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN );
    public final AbstractTextMarkerCondition conditionCount() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        ListExpression type = null;

        TextMarkerExpression a = null;

        NumberExpression min = null;

        NumberExpression max = null;

        Token var = null;

        TypeExpression list = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:929:5: ( COUNT LPAREN type= listExpression COMMA a= argument ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN | COUNT LPAREN list= typeExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN )
            int alt98=2;
            int LA98_0 = input.LA(1);

            if ( (LA98_0==COUNT) ) {
                int LA98_1 = input.LA(2);

                if ( (synpred18_TextMarkerParser()) ) {
                    alt98=1;
                }
                else if ( (true) ) {
                    alt98=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return cond;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 98, 1, input);

                    throw nvae;
                }
            }
            else {
                if (state.backtracking>0) {state.failed=true; return cond;}
                NoViableAltException nvae =
                    new NoViableAltException("", 98, 0, input);

                throw nvae;
            }
            switch (alt98) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:930:5: COUNT LPAREN type= listExpression COMMA a= argument ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN
                    {
                    match(input,COUNT,FOLLOW_COUNT_in_conditionCount4028); if (state.failed) return cond;
                    match(input,LPAREN,FOLLOW_LPAREN_in_conditionCount4030); if (state.failed) return cond;
                    pushFollow(FOLLOW_listExpression_in_conditionCount4036);
                    type=listExpression();

                    state._fsp--;
                    if (state.failed) return cond;
                    match(input,COMMA,FOLLOW_COMMA_in_conditionCount4038); if (state.failed) return cond;
                    pushFollow(FOLLOW_argument_in_conditionCount4044);
                    a=argument();

                    state._fsp--;
                    if (state.failed) return cond;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:930:59: ( COMMA min= numberExpression COMMA max= numberExpression )?
                    int alt94=2;
                    int LA94_0 = input.LA(1);

                    if ( (LA94_0==COMMA) ) {
                        int LA94_1 = input.LA(2);

                        if ( ((LA94_1>=EXP && LA94_1<=TAN)||LA94_1==DecimalLiteral||LA94_1==FloatingPointLiteral||LA94_1==LPAREN||LA94_1==MINUS) ) {
                            alt94=1;
                        }
                        else if ( (LA94_1==Identifier) ) {
                            int LA94_4 = input.LA(3);

                            if ( (LA94_4==LPAREN||LA94_4==COMMA||(LA94_4>=PLUS && LA94_4<=SLASH)||LA94_4==PERCENT) ) {
                                alt94=1;
                            }
                        }
                    }
                    switch (alt94) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:930:60: COMMA min= numberExpression COMMA max= numberExpression
                            {
                            match(input,COMMA,FOLLOW_COMMA_in_conditionCount4047); if (state.failed) return cond;
                            pushFollow(FOLLOW_numberExpression_in_conditionCount4053);
                            min=numberExpression();

                            state._fsp--;
                            if (state.failed) return cond;
                            match(input,COMMA,FOLLOW_COMMA_in_conditionCount4055); if (state.failed) return cond;
                            pushFollow(FOLLOW_numberExpression_in_conditionCount4061);
                            max=numberExpression();

                            state._fsp--;
                            if (state.failed) return cond;

                            }
                            break;

                    }

                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:931:5: ( COMMA var= numberVariable )?
                    int alt95=2;
                    int LA95_0 = input.LA(1);

                    if ( (LA95_0==COMMA) ) {
                        alt95=1;
                    }
                    switch (alt95) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:931:6: COMMA var= numberVariable
                            {
                            match(input,COMMA,FOLLOW_COMMA_in_conditionCount4071); if (state.failed) return cond;
                            pushFollow(FOLLOW_numberVariable_in_conditionCount4077);
                            var=numberVariable();

                            state._fsp--;
                            if (state.failed) return cond;

                            }
                            break;

                    }

                    match(input,RPAREN,FOLLOW_RPAREN_in_conditionCount4081); if (state.failed) return cond;
                    if ( state.backtracking==0 ) {
                      cond = ConditionFactory.createConditionCount(type, a, min, max, var,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:934:5: COUNT LPAREN list= typeExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN
                    {
                    match(input,COUNT,FOLLOW_COUNT_in_conditionCount4099); if (state.failed) return cond;
                    match(input,LPAREN,FOLLOW_LPAREN_in_conditionCount4101); if (state.failed) return cond;
                    pushFollow(FOLLOW_typeExpression_in_conditionCount4107);
                    list=typeExpression();

                    state._fsp--;
                    if (state.failed) return cond;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:934:40: ( COMMA min= numberExpression COMMA max= numberExpression )?
                    int alt96=2;
                    int LA96_0 = input.LA(1);

                    if ( (LA96_0==COMMA) ) {
                        int LA96_1 = input.LA(2);

                        if ( ((LA96_1>=EXP && LA96_1<=TAN)||LA96_1==DecimalLiteral||LA96_1==FloatingPointLiteral||LA96_1==LPAREN||LA96_1==MINUS) ) {
                            alt96=1;
                        }
                        else if ( (LA96_1==Identifier) ) {
                            int LA96_4 = input.LA(3);

                            if ( (LA96_4==LPAREN||LA96_4==COMMA||(LA96_4>=PLUS && LA96_4<=SLASH)||LA96_4==PERCENT) ) {
                                alt96=1;
                            }
                        }
                    }
                    switch (alt96) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:934:41: COMMA min= numberExpression COMMA max= numberExpression
                            {
                            match(input,COMMA,FOLLOW_COMMA_in_conditionCount4110); if (state.failed) return cond;
                            pushFollow(FOLLOW_numberExpression_in_conditionCount4116);
                            min=numberExpression();

                            state._fsp--;
                            if (state.failed) return cond;
                            match(input,COMMA,FOLLOW_COMMA_in_conditionCount4118); if (state.failed) return cond;
                            pushFollow(FOLLOW_numberExpression_in_conditionCount4124);
                            max=numberExpression();

                            state._fsp--;
                            if (state.failed) return cond;

                            }
                            break;

                    }

                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:935:5: ( COMMA var= numberVariable )?
                    int alt97=2;
                    int LA97_0 = input.LA(1);

                    if ( (LA97_0==COMMA) ) {
                        alt97=1;
                    }
                    switch (alt97) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:935:6: COMMA var= numberVariable
                            {
                            match(input,COMMA,FOLLOW_COMMA_in_conditionCount4134); if (state.failed) return cond;
                            pushFollow(FOLLOW_numberVariable_in_conditionCount4140);
                            var=numberVariable();

                            state._fsp--;
                            if (state.failed) return cond;

                            }
                            break;

                    }

                    match(input,RPAREN,FOLLOW_RPAREN_in_conditionCount4144); if (state.failed) return cond;
                    if ( state.backtracking==0 ) {
                      cond = ConditionFactory.createConditionCount(list, min, max, var,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionCount"


    // $ANTLR start "conditionTotalCount"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:938:1: conditionTotalCount returns [AbstractTextMarkerCondition cond = null] : TOTALCOUNT LPAREN type= typeExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN ;
    public final AbstractTextMarkerCondition conditionTotalCount() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        TypeExpression type = null;

        NumberExpression min = null;

        NumberExpression max = null;

        Token var = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:939:5: ( TOTALCOUNT LPAREN type= typeExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:940:5: TOTALCOUNT LPAREN type= typeExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN
            {
            match(input,TOTALCOUNT,FOLLOW_TOTALCOUNT_in_conditionTotalCount4180); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionTotalCount4182); if (state.failed) return cond;
            pushFollow(FOLLOW_typeExpression_in_conditionTotalCount4188);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:940:45: ( COMMA min= numberExpression COMMA max= numberExpression )?
            int alt99=2;
            int LA99_0 = input.LA(1);

            if ( (LA99_0==COMMA) ) {
                int LA99_1 = input.LA(2);

                if ( ((LA99_1>=EXP && LA99_1<=TAN)||LA99_1==DecimalLiteral||LA99_1==FloatingPointLiteral||LA99_1==LPAREN||LA99_1==MINUS) ) {
                    alt99=1;
                }
                else if ( (LA99_1==Identifier) ) {
                    int LA99_4 = input.LA(3);

                    if ( (LA99_4==LPAREN||LA99_4==COMMA||(LA99_4>=PLUS && LA99_4<=SLASH)||LA99_4==PERCENT) ) {
                        alt99=1;
                    }
                }
            }
            switch (alt99) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:940:46: COMMA min= numberExpression COMMA max= numberExpression
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionTotalCount4191); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberExpression_in_conditionTotalCount4197);
                    min=numberExpression();

                    state._fsp--;
                    if (state.failed) return cond;
                    match(input,COMMA,FOLLOW_COMMA_in_conditionTotalCount4199); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberExpression_in_conditionTotalCount4205);
                    max=numberExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:941:5: ( COMMA var= numberVariable )?
            int alt100=2;
            int LA100_0 = input.LA(1);

            if ( (LA100_0==COMMA) ) {
                alt100=1;
            }
            switch (alt100) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:941:6: COMMA var= numberVariable
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionTotalCount4214); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberVariable_in_conditionTotalCount4220);
                    var=numberVariable();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_conditionTotalCount4224); if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createConditionTotalCount(type, min, max, var, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionTotalCount"


    // $ANTLR start "conditionCurrentCount"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:944:1: conditionCurrentCount returns [AbstractTextMarkerCondition cond = null] : CURRENTCOUNT LPAREN type= typeExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN ;
    public final AbstractTextMarkerCondition conditionCurrentCount() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        TypeExpression type = null;

        NumberExpression min = null;

        NumberExpression max = null;

        Token var = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:945:5: ( CURRENTCOUNT LPAREN type= typeExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:946:5: CURRENTCOUNT LPAREN type= typeExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN
            {
            match(input,CURRENTCOUNT,FOLLOW_CURRENTCOUNT_in_conditionCurrentCount4257); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionCurrentCount4259); if (state.failed) return cond;
            pushFollow(FOLLOW_typeExpression_in_conditionCurrentCount4265);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:946:47: ( COMMA min= numberExpression COMMA max= numberExpression )?
            int alt101=2;
            int LA101_0 = input.LA(1);

            if ( (LA101_0==COMMA) ) {
                int LA101_1 = input.LA(2);

                if ( ((LA101_1>=EXP && LA101_1<=TAN)||LA101_1==DecimalLiteral||LA101_1==FloatingPointLiteral||LA101_1==LPAREN||LA101_1==MINUS) ) {
                    alt101=1;
                }
                else if ( (LA101_1==Identifier) ) {
                    int LA101_4 = input.LA(3);

                    if ( (LA101_4==LPAREN||LA101_4==COMMA||(LA101_4>=PLUS && LA101_4<=SLASH)||LA101_4==PERCENT) ) {
                        alt101=1;
                    }
                }
            }
            switch (alt101) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:946:48: COMMA min= numberExpression COMMA max= numberExpression
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionCurrentCount4268); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberExpression_in_conditionCurrentCount4274);
                    min=numberExpression();

                    state._fsp--;
                    if (state.failed) return cond;
                    match(input,COMMA,FOLLOW_COMMA_in_conditionCurrentCount4276); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberExpression_in_conditionCurrentCount4282);
                    max=numberExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:947:5: ( COMMA var= numberVariable )?
            int alt102=2;
            int LA102_0 = input.LA(1);

            if ( (LA102_0==COMMA) ) {
                alt102=1;
            }
            switch (alt102) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:947:6: COMMA var= numberVariable
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionCurrentCount4292); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberVariable_in_conditionCurrentCount4298);
                    var=numberVariable();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_conditionCurrentCount4302); if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createConditionCurrentCount(type, min, max, var,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionCurrentCount"


    // $ANTLR start "conditionInList"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:950:1: conditionInList returns [AbstractTextMarkerCondition cond = null] options {backtrack=true; } : INLIST LPAREN ( (list2= stringListExpression )=>list2= stringListExpression | list1= wordListExpression ) ( COMMA dist= numberExpression ( COMMA rel= booleanExpression )? )? RPAREN ;
    public final AbstractTextMarkerCondition conditionInList() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        StringListExpression list2 = null;

        WordListExpression list1 = null;

        NumberExpression dist = null;

        BooleanExpression rel = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:954:5: ( INLIST LPAREN ( (list2= stringListExpression )=>list2= stringListExpression | list1= wordListExpression ) ( COMMA dist= numberExpression ( COMMA rel= booleanExpression )? )? RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:955:5: INLIST LPAREN ( (list2= stringListExpression )=>list2= stringListExpression | list1= wordListExpression ) ( COMMA dist= numberExpression ( COMMA rel= booleanExpression )? )? RPAREN
            {
            match(input,INLIST,FOLLOW_INLIST_in_conditionInList4345); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionInList4347); if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:955:19: ( (list2= stringListExpression )=>list2= stringListExpression | list1= wordListExpression )
            int alt103=2;
            int LA103_0 = input.LA(1);

            if ( (LA103_0==LCURLY) && (synpred19_TextMarkerParser())) {
                alt103=1;
            }
            else if ( (LA103_0==Identifier) ) {
                int LA103_2 = input.LA(2);

                if ( ((synpred19_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "STRINGLIST")))) ) {
                    alt103=1;
                }
                else if ( (true) ) {
                    alt103=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return cond;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 103, 2, input);

                    throw nvae;
                }
            }
            else if ( (LA103_0==RessourceLiteral) ) {
                alt103=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return cond;}
                NoViableAltException nvae =
                    new NoViableAltException("", 103, 0, input);

                throw nvae;
            }
            switch (alt103) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:955:20: (list2= stringListExpression )=>list2= stringListExpression
                    {
                    pushFollow(FOLLOW_stringListExpression_in_conditionInList4362);
                    list2=stringListExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:955:83: list1= wordListExpression
                    {
                    pushFollow(FOLLOW_wordListExpression_in_conditionInList4370);
                    list1=wordListExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:955:111: ( COMMA dist= numberExpression ( COMMA rel= booleanExpression )? )?
            int alt105=2;
            int LA105_0 = input.LA(1);

            if ( (LA105_0==COMMA) ) {
                alt105=1;
            }
            switch (alt105) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:955:112: COMMA dist= numberExpression ( COMMA rel= booleanExpression )?
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionInList4374); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberExpression_in_conditionInList4380);
                    dist=numberExpression();

                    state._fsp--;
                    if (state.failed) return cond;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:955:142: ( COMMA rel= booleanExpression )?
                    int alt104=2;
                    int LA104_0 = input.LA(1);

                    if ( (LA104_0==COMMA) ) {
                        alt104=1;
                    }
                    switch (alt104) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:955:143: COMMA rel= booleanExpression
                            {
                            match(input,COMMA,FOLLOW_COMMA_in_conditionInList4383); if (state.failed) return cond;
                            pushFollow(FOLLOW_booleanExpression_in_conditionInList4389);
                            rel=booleanExpression();

                            state._fsp--;
                            if (state.failed) return cond;

                            }
                            break;

                    }


                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_conditionInList4395); if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              if(list1 != null) {cond = ConditionFactory.createConditionInList(list1, dist, rel,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);}
                  else {cond = ConditionFactory.createConditionInList(list2, dist, rel,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);};
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionInList"


    // $ANTLR start "conditionLast"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:961:1: conditionLast returns [AbstractTextMarkerCondition cond = null] : LAST LPAREN type= typeExpression RPAREN ;
    public final AbstractTextMarkerCondition conditionLast() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        TypeExpression type = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:962:5: ( LAST LPAREN type= typeExpression RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:963:5: LAST LPAREN type= typeExpression RPAREN
            {
            match(input,LAST,FOLLOW_LAST_in_conditionLast4434); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionLast4436); if (state.failed) return cond;
            pushFollow(FOLLOW_typeExpression_in_conditionLast4442);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return cond;
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionLast4444); if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createConditionLast(type, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionLast"


    // $ANTLR start "conditionMofN"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:968:1: conditionMofN returns [AbstractTextMarkerCondition cond = null] : MOFN LPAREN min= numberExpression COMMA max= numberExpression COMMA conds= conditions RPAREN ;
    public final AbstractTextMarkerCondition conditionMofN() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        NumberExpression min = null;

        NumberExpression max = null;

        List<AbstractTextMarkerCondition> conds = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:969:5: ( MOFN LPAREN min= numberExpression COMMA max= numberExpression COMMA conds= conditions RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:970:5: MOFN LPAREN min= numberExpression COMMA max= numberExpression COMMA conds= conditions RPAREN
            {
            match(input,MOFN,FOLLOW_MOFN_in_conditionMofN4491); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionMofN4493); if (state.failed) return cond;
            pushFollow(FOLLOW_numberExpression_in_conditionMofN4499);
            min=numberExpression();

            state._fsp--;
            if (state.failed) return cond;
            match(input,COMMA,FOLLOW_COMMA_in_conditionMofN4501); if (state.failed) return cond;
            pushFollow(FOLLOW_numberExpression_in_conditionMofN4507);
            max=numberExpression();

            state._fsp--;
            if (state.failed) return cond;
            match(input,COMMA,FOLLOW_COMMA_in_conditionMofN4509); if (state.failed) return cond;
            pushFollow(FOLLOW_conditions_in_conditionMofN4515);
            conds=conditions();

            state._fsp--;
            if (state.failed) return cond;
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionMofN4517); if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createConditionMOfN(conds, min, max, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionMofN"


    // $ANTLR start "conditionNear"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:974:1: conditionNear returns [AbstractTextMarkerCondition cond = null] : NEAR LPAREN type= typeExpression COMMA min= numberExpression COMMA max= numberExpression ( COMMA direction= booleanExpression ( COMMA filtered= booleanExpression )? )? RPAREN ;
    public final AbstractTextMarkerCondition conditionNear() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        TypeExpression type = null;

        NumberExpression min = null;

        NumberExpression max = null;

        BooleanExpression direction = null;

        BooleanExpression filtered = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:975:5: ( NEAR LPAREN type= typeExpression COMMA min= numberExpression COMMA max= numberExpression ( COMMA direction= booleanExpression ( COMMA filtered= booleanExpression )? )? RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:976:5: NEAR LPAREN type= typeExpression COMMA min= numberExpression COMMA max= numberExpression ( COMMA direction= booleanExpression ( COMMA filtered= booleanExpression )? )? RPAREN
            {
            match(input,NEAR,FOLLOW_NEAR_in_conditionNear4552); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionNear4554); if (state.failed) return cond;
            pushFollow(FOLLOW_typeExpression_in_conditionNear4560);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return cond;
            match(input,COMMA,FOLLOW_COMMA_in_conditionNear4562); if (state.failed) return cond;
            pushFollow(FOLLOW_numberExpression_in_conditionNear4568);
            min=numberExpression();

            state._fsp--;
            if (state.failed) return cond;
            match(input,COMMA,FOLLOW_COMMA_in_conditionNear4570); if (state.failed) return cond;
            pushFollow(FOLLOW_numberExpression_in_conditionNear4576);
            max=numberExpression();

            state._fsp--;
            if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:976:97: ( COMMA direction= booleanExpression ( COMMA filtered= booleanExpression )? )?
            int alt107=2;
            int LA107_0 = input.LA(1);

            if ( (LA107_0==COMMA) ) {
                alt107=1;
            }
            switch (alt107) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:976:98: COMMA direction= booleanExpression ( COMMA filtered= booleanExpression )?
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionNear4579); if (state.failed) return cond;
                    pushFollow(FOLLOW_booleanExpression_in_conditionNear4585);
                    direction=booleanExpression();

                    state._fsp--;
                    if (state.failed) return cond;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:976:134: ( COMMA filtered= booleanExpression )?
                    int alt106=2;
                    int LA106_0 = input.LA(1);

                    if ( (LA106_0==COMMA) ) {
                        alt106=1;
                    }
                    switch (alt106) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:976:135: COMMA filtered= booleanExpression
                            {
                            match(input,COMMA,FOLLOW_COMMA_in_conditionNear4588); if (state.failed) return cond;
                            pushFollow(FOLLOW_booleanExpression_in_conditionNear4594);
                            filtered=booleanExpression();

                            state._fsp--;
                            if (state.failed) return cond;

                            }
                            break;

                    }


                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_conditionNear4600); if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createConditionNear(type, min, max, direction, filtered, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionNear"


    // $ANTLR start "conditionNot"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:979:1: conditionNot returns [AbstractTextMarkerCondition cond = null] : ( ( MINUS c= condition ) | ( NOT LPAREN c= condition RPAREN ) ) ;
    public final AbstractTextMarkerCondition conditionNot() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        AbstractTextMarkerCondition c = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:980:5: ( ( ( MINUS c= condition ) | ( NOT LPAREN c= condition RPAREN ) ) )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:981:5: ( ( MINUS c= condition ) | ( NOT LPAREN c= condition RPAREN ) )
            {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:981:5: ( ( MINUS c= condition ) | ( NOT LPAREN c= condition RPAREN ) )
            int alt108=2;
            int LA108_0 = input.LA(1);

            if ( (LA108_0==MINUS) ) {
                alt108=1;
            }
            else if ( (LA108_0==NOT) ) {
                alt108=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return cond;}
                NoViableAltException nvae =
                    new NoViableAltException("", 108, 0, input);

                throw nvae;
            }
            switch (alt108) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:981:6: ( MINUS c= condition )
                    {
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:981:6: ( MINUS c= condition )
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:981:7: MINUS c= condition
                    {
                    match(input,MINUS,FOLLOW_MINUS_in_conditionNot4636); if (state.failed) return cond;
                    pushFollow(FOLLOW_condition_in_conditionNot4642);
                    c=condition();

                    state._fsp--;
                    if (state.failed) return cond;

                    }


                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:981:31: ( NOT LPAREN c= condition RPAREN )
                    {
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:981:31: ( NOT LPAREN c= condition RPAREN )
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:981:32: NOT LPAREN c= condition RPAREN
                    {
                    match(input,NOT,FOLLOW_NOT_in_conditionNot4649); if (state.failed) return cond;
                    match(input,LPAREN,FOLLOW_LPAREN_in_conditionNot4651); if (state.failed) return cond;
                    pushFollow(FOLLOW_condition_in_conditionNot4657);
                    c=condition();

                    state._fsp--;
                    if (state.failed) return cond;
                    match(input,RPAREN,FOLLOW_RPAREN_in_conditionNot4659); if (state.failed) return cond;

                    }


                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createConditionNot(c, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionNot"


    // $ANTLR start "conditionOr"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:984:1: conditionOr returns [AbstractTextMarkerCondition cond = null] : OR LPAREN conds= conditions RPAREN ;
    public final AbstractTextMarkerCondition conditionOr() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        List<AbstractTextMarkerCondition> conds = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:985:5: ( OR LPAREN conds= conditions RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:986:5: OR LPAREN conds= conditions RPAREN
            {
            match(input,OR,FOLLOW_OR_in_conditionOr4698); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionOr4700); if (state.failed) return cond;
            pushFollow(FOLLOW_conditions_in_conditionOr4706);
            conds=conditions();

            state._fsp--;
            if (state.failed) return cond;
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionOr4708); if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createConditionOr(conds, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionOr"


    // $ANTLR start "conditionPartOf"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:989:1: conditionPartOf returns [AbstractTextMarkerCondition cond = null] : PARTOF LPAREN (type1= typeExpression | type2= typeListExpression ) RPAREN ;
    public final AbstractTextMarkerCondition conditionPartOf() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        TypeExpression type1 = null;

        TypeListExpression type2 = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:990:5: ( PARTOF LPAREN (type1= typeExpression | type2= typeListExpression ) RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:991:5: PARTOF LPAREN (type1= typeExpression | type2= typeListExpression ) RPAREN
            {
            match(input,PARTOF,FOLLOW_PARTOF_in_conditionPartOf4738); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionPartOf4740); if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:991:19: (type1= typeExpression | type2= typeListExpression )
            int alt109=2;
            switch ( input.LA(1) ) {
            case Identifier:
                {
                int LA109_1 = input.LA(2);

                if ( (!(((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPELIST"))))) ) {
                    alt109=1;
                }
                else if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPELIST"))) ) {
                    alt109=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return cond;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 109, 1, input);

                    throw nvae;
                }
                }
                break;
            case BasicAnnotationType:
                {
                alt109=1;
                }
                break;
            case LCURLY:
                {
                alt109=2;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return cond;}
                NoViableAltException nvae =
                    new NoViableAltException("", 109, 0, input);

                throw nvae;
            }

            switch (alt109) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:991:20: type1= typeExpression
                    {
                    pushFollow(FOLLOW_typeExpression_in_conditionPartOf4747);
                    type1=typeExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:991:43: type2= typeListExpression
                    {
                    pushFollow(FOLLOW_typeListExpression_in_conditionPartOf4753);
                    type2=typeListExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_conditionPartOf4756); if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createConditionPartOf(type1, type2, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionPartOf"


    // $ANTLR start "conditionPartOfNeq"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:994:1: conditionPartOfNeq returns [AbstractTextMarkerCondition cond = null] : PARTOFNEQ LPAREN (type1= typeExpression | type2= typeListExpression ) RPAREN ;
    public final AbstractTextMarkerCondition conditionPartOfNeq() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        TypeExpression type1 = null;

        TypeListExpression type2 = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:995:5: ( PARTOFNEQ LPAREN (type1= typeExpression | type2= typeListExpression ) RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:996:5: PARTOFNEQ LPAREN (type1= typeExpression | type2= typeListExpression ) RPAREN
            {
            match(input,PARTOFNEQ,FOLLOW_PARTOFNEQ_in_conditionPartOfNeq4786); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionPartOfNeq4788); if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:996:22: (type1= typeExpression | type2= typeListExpression )
            int alt110=2;
            switch ( input.LA(1) ) {
            case Identifier:
                {
                int LA110_1 = input.LA(2);

                if ( (!(((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPELIST"))))) ) {
                    alt110=1;
                }
                else if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPELIST"))) ) {
                    alt110=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return cond;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 110, 1, input);

                    throw nvae;
                }
                }
                break;
            case BasicAnnotationType:
                {
                alt110=1;
                }
                break;
            case LCURLY:
                {
                alt110=2;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return cond;}
                NoViableAltException nvae =
                    new NoViableAltException("", 110, 0, input);

                throw nvae;
            }

            switch (alt110) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:996:23: type1= typeExpression
                    {
                    pushFollow(FOLLOW_typeExpression_in_conditionPartOfNeq4795);
                    type1=typeExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:996:46: type2= typeListExpression
                    {
                    pushFollow(FOLLOW_typeListExpression_in_conditionPartOfNeq4801);
                    type2=typeListExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_conditionPartOfNeq4804); if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createConditionPartOfNeq(type1, type2, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionPartOfNeq"


    // $ANTLR start "conditionPosition"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1000:1: conditionPosition returns [AbstractTextMarkerCondition cond = null] : POSITION LPAREN type= typeExpression COMMA pos= numberExpression ( COMMA rel= booleanExpression )? RPAREN ;
    public final AbstractTextMarkerCondition conditionPosition() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        TypeExpression type = null;

        NumberExpression pos = null;

        BooleanExpression rel = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1001:5: ( POSITION LPAREN type= typeExpression COMMA pos= numberExpression ( COMMA rel= booleanExpression )? RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1002:5: POSITION LPAREN type= typeExpression COMMA pos= numberExpression ( COMMA rel= booleanExpression )? RPAREN
            {
            match(input,POSITION,FOLLOW_POSITION_in_conditionPosition4838); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionPosition4840); if (state.failed) return cond;
            pushFollow(FOLLOW_typeExpression_in_conditionPosition4846);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return cond;
            match(input,COMMA,FOLLOW_COMMA_in_conditionPosition4848); if (state.failed) return cond;
            pushFollow(FOLLOW_numberExpression_in_conditionPosition4854);
            pos=numberExpression();

            state._fsp--;
            if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1002:72: ( COMMA rel= booleanExpression )?
            int alt111=2;
            int LA111_0 = input.LA(1);

            if ( (LA111_0==COMMA) ) {
                alt111=1;
            }
            switch (alt111) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1002:73: COMMA rel= booleanExpression
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionPosition4857); if (state.failed) return cond;
                    pushFollow(FOLLOW_booleanExpression_in_conditionPosition4863);
                    rel=booleanExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_conditionPosition4867); if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createConditionPosition(type, pos, rel, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionPosition"


    // $ANTLR start "conditionRegExp"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1005:1: conditionRegExp returns [AbstractTextMarkerCondition cond = null] : REGEXP LPAREN (v= variable COMMA )? pattern= stringExpression ( COMMA caseSensitive= booleanExpression )? RPAREN ;
    public final AbstractTextMarkerCondition conditionRegExp() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        Token v = null;

        StringExpression pattern = null;

        BooleanExpression caseSensitive = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1006:5: ( REGEXP LPAREN (v= variable COMMA )? pattern= stringExpression ( COMMA caseSensitive= booleanExpression )? RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1007:5: REGEXP LPAREN (v= variable COMMA )? pattern= stringExpression ( COMMA caseSensitive= booleanExpression )? RPAREN
            {
            match(input,REGEXP,FOLLOW_REGEXP_in_conditionRegExp4897); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionRegExp4899); if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1007:19: (v= variable COMMA )?
            int alt112=2;
            int LA112_0 = input.LA(1);

            if ( (LA112_0==Identifier) ) {
                int LA112_1 = input.LA(2);

                if ( (LA112_1==COMMA) ) {
                    int LA112_3 = input.LA(3);

                    if ( (LA112_3==REMOVESTRING||LA112_3==StringLiteral) ) {
                        alt112=1;
                    }
                    else if ( (LA112_3==Identifier) ) {
                        int LA112_5 = input.LA(4);

                        if ( ((isVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText()))) ) {
                            alt112=1;
                        }
                    }
                }
            }
            switch (alt112) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1007:20: v= variable COMMA
                    {
                    pushFollow(FOLLOW_variable_in_conditionRegExp4906);
                    v=variable();

                    state._fsp--;
                    if (state.failed) return cond;
                    match(input,COMMA,FOLLOW_COMMA_in_conditionRegExp4908); if (state.failed) return cond;

                    }
                    break;

            }

            pushFollow(FOLLOW_stringExpression_in_conditionRegExp4916);
            pattern=stringExpression();

            state._fsp--;
            if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1007:68: ( COMMA caseSensitive= booleanExpression )?
            int alt113=2;
            int LA113_0 = input.LA(1);

            if ( (LA113_0==COMMA) ) {
                alt113=1;
            }
            switch (alt113) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1007:69: COMMA caseSensitive= booleanExpression
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionRegExp4919); if (state.failed) return cond;
                    pushFollow(FOLLOW_booleanExpression_in_conditionRegExp4925);
                    caseSensitive=booleanExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_conditionRegExp4929); if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createConditionRegExp(v, pattern, caseSensitive, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionRegExp"


    // $ANTLR start "conditionScore"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1011:1: conditionScore returns [AbstractTextMarkerCondition cond = null] : SCORE LPAREN min= numberExpression ( COMMA max= numberExpression ( COMMA var= numberVariable )? )? RPAREN ;
    public final AbstractTextMarkerCondition conditionScore() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        NumberExpression min = null;

        NumberExpression max = null;

        Token var = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1012:5: ( SCORE LPAREN min= numberExpression ( COMMA max= numberExpression ( COMMA var= numberVariable )? )? RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1013:5: SCORE LPAREN min= numberExpression ( COMMA max= numberExpression ( COMMA var= numberVariable )? )? RPAREN
            {
            match(input,SCORE,FOLLOW_SCORE_in_conditionScore4964); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionScore4966); if (state.failed) return cond;
            pushFollow(FOLLOW_numberExpression_in_conditionScore4972);
            min=numberExpression();

            state._fsp--;
            if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1013:41: ( COMMA max= numberExpression ( COMMA var= numberVariable )? )?
            int alt115=2;
            int LA115_0 = input.LA(1);

            if ( (LA115_0==COMMA) ) {
                alt115=1;
            }
            switch (alt115) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1013:42: COMMA max= numberExpression ( COMMA var= numberVariable )?
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionScore4975); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberExpression_in_conditionScore4981);
                    max=numberExpression();

                    state._fsp--;
                    if (state.failed) return cond;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1014:5: ( COMMA var= numberVariable )?
                    int alt114=2;
                    int LA114_0 = input.LA(1);

                    if ( (LA114_0==COMMA) ) {
                        alt114=1;
                    }
                    switch (alt114) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1014:6: COMMA var= numberVariable
                            {
                            match(input,COMMA,FOLLOW_COMMA_in_conditionScore4988); if (state.failed) return cond;
                            pushFollow(FOLLOW_numberVariable_in_conditionScore4994);
                            var=numberVariable();

                            state._fsp--;
                            if (state.failed) return cond;

                            }
                            break;

                    }


                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_conditionScore5001); if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createConditionScore(min, max, var, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionScore"


    // $ANTLR start "conditionVote"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1019:1: conditionVote returns [AbstractTextMarkerCondition cond = null] : VOTE LPAREN type1= typeExpression COMMA type2= typeExpression RPAREN ;
    public final AbstractTextMarkerCondition conditionVote() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        TypeExpression type1 = null;

        TypeExpression type2 = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1020:5: ( VOTE LPAREN type1= typeExpression COMMA type2= typeExpression RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1021:5: VOTE LPAREN type1= typeExpression COMMA type2= typeExpression RPAREN
            {
            match(input,VOTE,FOLLOW_VOTE_in_conditionVote5036); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionVote5038); if (state.failed) return cond;
            pushFollow(FOLLOW_typeExpression_in_conditionVote5044);
            type1=typeExpression();

            state._fsp--;
            if (state.failed) return cond;
            match(input,COMMA,FOLLOW_COMMA_in_conditionVote5046); if (state.failed) return cond;
            pushFollow(FOLLOW_typeExpression_in_conditionVote5052);
            type2=typeExpression();

            state._fsp--;
            if (state.failed) return cond;
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionVote5054); if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createConditionVote(type1, type2, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionVote"


    // $ANTLR start "conditionIf"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1025:1: conditionIf returns [AbstractTextMarkerCondition cond = null] : IF LPAREN e= booleanExpression RPAREN ;
    public final AbstractTextMarkerCondition conditionIf() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        BooleanExpression e = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1026:5: ( IF LPAREN e= booleanExpression RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1027:5: IF LPAREN e= booleanExpression RPAREN
            {
            match(input,IF,FOLLOW_IF_in_conditionIf5092); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionIf5094); if (state.failed) return cond;
            pushFollow(FOLLOW_booleanExpression_in_conditionIf5100);
            e=booleanExpression();

            state._fsp--;
            if (state.failed) return cond;
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionIf5102); if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createConditionIf(e, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionIf"


    // $ANTLR start "conditionFeature"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1031:1: conditionFeature returns [AbstractTextMarkerCondition cond = null] : FEATURE LPAREN se= stringExpression COMMA v= argument RPAREN ;
    public final AbstractTextMarkerCondition conditionFeature() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        StringExpression se = null;

        TextMarkerExpression v = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1032:5: ( FEATURE LPAREN se= stringExpression COMMA v= argument RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1033:5: FEATURE LPAREN se= stringExpression COMMA v= argument RPAREN
            {
            match(input,FEATURE,FOLLOW_FEATURE_in_conditionFeature5136); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionFeature5138); if (state.failed) return cond;
            pushFollow(FOLLOW_stringExpression_in_conditionFeature5144);
            se=stringExpression();

            state._fsp--;
            if (state.failed) return cond;
            match(input,COMMA,FOLLOW_COMMA_in_conditionFeature5146); if (state.failed) return cond;
            pushFollow(FOLLOW_argument_in_conditionFeature5152);
            v=argument();

            state._fsp--;
            if (state.failed) return cond;
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionFeature5154); if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createConditionFeature(se, v, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionFeature"


    // $ANTLR start "conditionParse"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1037:1: conditionParse returns [AbstractTextMarkerCondition cond = null] : PARSE LPAREN {...}?id= Identifier RPAREN ;
    public final AbstractTextMarkerCondition conditionParse() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        Token id=null;

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1038:5: ( PARSE LPAREN {...}?id= Identifier RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1039:5: PARSE LPAREN {...}?id= Identifier RPAREN
            {
            match(input,PARSE,FOLLOW_PARSE_in_conditionParse5188); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionParse5190); if (state.failed) return cond;
            if ( !((isVariable(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText()))) ) {
                if (state.backtracking>0) {state.failed=true; return cond;}
                throw new FailedPredicateException(input, "conditionParse", "isVariable($blockDeclaration::env,input.LT(1).getText())");
            }
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_conditionParse5198); if (state.failed) return cond;
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionParse5200); if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createConditionParse(id, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionParse"


    // $ANTLR start "conditionIs"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1043:1: conditionIs returns [AbstractTextMarkerCondition cond = null] : IS LPAREN (type1= typeExpression | type2= typeListExpression ) RPAREN ;
    public final AbstractTextMarkerCondition conditionIs() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        TypeExpression type1 = null;

        TypeListExpression type2 = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1044:5: ( IS LPAREN (type1= typeExpression | type2= typeListExpression ) RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1045:5: IS LPAREN (type1= typeExpression | type2= typeListExpression ) RPAREN
            {
            match(input,IS,FOLLOW_IS_in_conditionIs5231); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionIs5233); if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1045:15: (type1= typeExpression | type2= typeListExpression )
            int alt116=2;
            switch ( input.LA(1) ) {
            case Identifier:
                {
                int LA116_1 = input.LA(2);

                if ( (!(((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPELIST"))))) ) {
                    alt116=1;
                }
                else if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPELIST"))) ) {
                    alt116=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return cond;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 116, 1, input);

                    throw nvae;
                }
                }
                break;
            case BasicAnnotationType:
                {
                alt116=1;
                }
                break;
            case LCURLY:
                {
                alt116=2;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return cond;}
                NoViableAltException nvae =
                    new NoViableAltException("", 116, 0, input);

                throw nvae;
            }

            switch (alt116) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1045:16: type1= typeExpression
                    {
                    pushFollow(FOLLOW_typeExpression_in_conditionIs5240);
                    type1=typeExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1045:39: type2= typeListExpression
                    {
                    pushFollow(FOLLOW_typeListExpression_in_conditionIs5246);
                    type2=typeListExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_conditionIs5249); if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createConditionIs(type1, type2, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionIs"


    // $ANTLR start "conditionBefore"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1049:1: conditionBefore returns [AbstractTextMarkerCondition cond = null] : BEFORE LPAREN (type1= typeExpression | type2= typeListExpression ) RPAREN ;
    public final AbstractTextMarkerCondition conditionBefore() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        TypeExpression type1 = null;

        TypeListExpression type2 = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1050:5: ( BEFORE LPAREN (type1= typeExpression | type2= typeListExpression ) RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1051:5: BEFORE LPAREN (type1= typeExpression | type2= typeListExpression ) RPAREN
            {
            match(input,BEFORE,FOLLOW_BEFORE_in_conditionBefore5280); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionBefore5282); if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1051:19: (type1= typeExpression | type2= typeListExpression )
            int alt117=2;
            switch ( input.LA(1) ) {
            case Identifier:
                {
                int LA117_1 = input.LA(2);

                if ( (!(((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPELIST"))))) ) {
                    alt117=1;
                }
                else if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPELIST"))) ) {
                    alt117=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return cond;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 117, 1, input);

                    throw nvae;
                }
                }
                break;
            case BasicAnnotationType:
                {
                alt117=1;
                }
                break;
            case LCURLY:
                {
                alt117=2;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return cond;}
                NoViableAltException nvae =
                    new NoViableAltException("", 117, 0, input);

                throw nvae;
            }

            switch (alt117) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1051:20: type1= typeExpression
                    {
                    pushFollow(FOLLOW_typeExpression_in_conditionBefore5289);
                    type1=typeExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1051:43: type2= typeListExpression
                    {
                    pushFollow(FOLLOW_typeListExpression_in_conditionBefore5295);
                    type2=typeListExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_conditionBefore5298); if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createConditionBefore(type1,type2, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionBefore"


    // $ANTLR start "conditionAfter"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1055:1: conditionAfter returns [AbstractTextMarkerCondition cond = null] : AFTER LPAREN (type1= typeExpression | type2= typeListExpression ) RPAREN ;
    public final AbstractTextMarkerCondition conditionAfter() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        TypeExpression type1 = null;

        TypeListExpression type2 = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1056:5: ( AFTER LPAREN (type1= typeExpression | type2= typeListExpression ) RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1057:5: AFTER LPAREN (type1= typeExpression | type2= typeListExpression ) RPAREN
            {
            match(input,AFTER,FOLLOW_AFTER_in_conditionAfter5329); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionAfter5331); if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1057:18: (type1= typeExpression | type2= typeListExpression )
            int alt118=2;
            switch ( input.LA(1) ) {
            case Identifier:
                {
                int LA118_1 = input.LA(2);

                if ( (!(((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPELIST"))))) ) {
                    alt118=1;
                }
                else if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPELIST"))) ) {
                    alt118=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return cond;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 118, 1, input);

                    throw nvae;
                }
                }
                break;
            case BasicAnnotationType:
                {
                alt118=1;
                }
                break;
            case LCURLY:
                {
                alt118=2;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return cond;}
                NoViableAltException nvae =
                    new NoViableAltException("", 118, 0, input);

                throw nvae;
            }

            switch (alt118) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1057:19: type1= typeExpression
                    {
                    pushFollow(FOLLOW_typeExpression_in_conditionAfter5338);
                    type1=typeExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1057:42: type2= typeListExpression
                    {
                    pushFollow(FOLLOW_typeListExpression_in_conditionAfter5344);
                    type2=typeListExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_conditionAfter5347); if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createConditionAfter(type1,type2,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionAfter"


    // $ANTLR start "conditionStartsWith"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1061:1: conditionStartsWith returns [AbstractTextMarkerCondition cond = null] : STARTSWITH LPAREN (type1= typeExpression | type2= typeListExpression ) RPAREN ;
    public final AbstractTextMarkerCondition conditionStartsWith() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        TypeExpression type1 = null;

        TypeListExpression type2 = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1062:5: ( STARTSWITH LPAREN (type1= typeExpression | type2= typeListExpression ) RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1063:5: STARTSWITH LPAREN (type1= typeExpression | type2= typeListExpression ) RPAREN
            {
            match(input,STARTSWITH,FOLLOW_STARTSWITH_in_conditionStartsWith5378); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionStartsWith5380); if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1063:23: (type1= typeExpression | type2= typeListExpression )
            int alt119=2;
            switch ( input.LA(1) ) {
            case Identifier:
                {
                int LA119_1 = input.LA(2);

                if ( (!(((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPELIST"))))) ) {
                    alt119=1;
                }
                else if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPELIST"))) ) {
                    alt119=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return cond;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 119, 1, input);

                    throw nvae;
                }
                }
                break;
            case BasicAnnotationType:
                {
                alt119=1;
                }
                break;
            case LCURLY:
                {
                alt119=2;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return cond;}
                NoViableAltException nvae =
                    new NoViableAltException("", 119, 0, input);

                throw nvae;
            }

            switch (alt119) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1063:24: type1= typeExpression
                    {
                    pushFollow(FOLLOW_typeExpression_in_conditionStartsWith5387);
                    type1=typeExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1063:47: type2= typeListExpression
                    {
                    pushFollow(FOLLOW_typeListExpression_in_conditionStartsWith5393);
                    type2=typeListExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_conditionStartsWith5396); if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createConditionStartsWith(type1,type2, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionStartsWith"


    // $ANTLR start "conditionEndsWith"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1067:1: conditionEndsWith returns [AbstractTextMarkerCondition cond = null] : ENDSWITH LPAREN (type1= typeExpression | type2= typeListExpression ) RPAREN ;
    public final AbstractTextMarkerCondition conditionEndsWith() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        TypeExpression type1 = null;

        TypeListExpression type2 = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1068:5: ( ENDSWITH LPAREN (type1= typeExpression | type2= typeListExpression ) RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1069:5: ENDSWITH LPAREN (type1= typeExpression | type2= typeListExpression ) RPAREN
            {
            match(input,ENDSWITH,FOLLOW_ENDSWITH_in_conditionEndsWith5427); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionEndsWith5429); if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1069:21: (type1= typeExpression | type2= typeListExpression )
            int alt120=2;
            switch ( input.LA(1) ) {
            case Identifier:
                {
                int LA120_1 = input.LA(2);

                if ( (!(((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPELIST"))))) ) {
                    alt120=1;
                }
                else if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPELIST"))) ) {
                    alt120=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return cond;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 120, 1, input);

                    throw nvae;
                }
                }
                break;
            case BasicAnnotationType:
                {
                alt120=1;
                }
                break;
            case LCURLY:
                {
                alt120=2;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return cond;}
                NoViableAltException nvae =
                    new NoViableAltException("", 120, 0, input);

                throw nvae;
            }

            switch (alt120) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1069:22: type1= typeExpression
                    {
                    pushFollow(FOLLOW_typeExpression_in_conditionEndsWith5436);
                    type1=typeExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1069:45: type2= typeListExpression
                    {
                    pushFollow(FOLLOW_typeListExpression_in_conditionEndsWith5442);
                    type2=typeListExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_conditionEndsWith5445); if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createConditionEndsWith(type1,type2,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionEndsWith"


    // $ANTLR start "conditionSize"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1073:1: conditionSize returns [AbstractTextMarkerCondition cond = null] : SIZE LPAREN list= listExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN ;
    public final AbstractTextMarkerCondition conditionSize() throws RecognitionException {
        AbstractTextMarkerCondition cond =  null;

        ListExpression list = null;

        NumberExpression min = null;

        NumberExpression max = null;

        Token var = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1074:5: ( SIZE LPAREN list= listExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1075:5: SIZE LPAREN list= listExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN
            {
            match(input,SIZE,FOLLOW_SIZE_in_conditionSize5476); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionSize5478); if (state.failed) return cond;
            pushFollow(FOLLOW_listExpression_in_conditionSize5484);
            list=listExpression();

            state._fsp--;
            if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1075:39: ( COMMA min= numberExpression COMMA max= numberExpression )?
            int alt121=2;
            int LA121_0 = input.LA(1);

            if ( (LA121_0==COMMA) ) {
                int LA121_1 = input.LA(2);

                if ( ((LA121_1>=EXP && LA121_1<=TAN)||LA121_1==DecimalLiteral||LA121_1==FloatingPointLiteral||LA121_1==LPAREN||LA121_1==MINUS) ) {
                    alt121=1;
                }
                else if ( (LA121_1==Identifier) ) {
                    int LA121_4 = input.LA(3);

                    if ( (LA121_4==LPAREN||LA121_4==COMMA||(LA121_4>=PLUS && LA121_4<=SLASH)||LA121_4==PERCENT) ) {
                        alt121=1;
                    }
                }
            }
            switch (alt121) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1075:40: COMMA min= numberExpression COMMA max= numberExpression
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionSize5487); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberExpression_in_conditionSize5493);
                    min=numberExpression();

                    state._fsp--;
                    if (state.failed) return cond;
                    match(input,COMMA,FOLLOW_COMMA_in_conditionSize5495); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberExpression_in_conditionSize5501);
                    max=numberExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1075:100: ( COMMA var= numberVariable )?
            int alt122=2;
            int LA122_0 = input.LA(1);

            if ( (LA122_0==COMMA) ) {
                alt122=1;
            }
            switch (alt122) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1075:101: COMMA var= numberVariable
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionSize5506); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberVariable_in_conditionSize5512);
                    var=numberVariable();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_conditionSize5516); if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createConditionSize(list, min, max, var,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionSize"


    // $ANTLR start "action"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1079:1: action returns [AbstractTextMarkerAction result = null] : (a= actionColor | a= actionDel | a= actionLog | a= actionMark | a= actionMarkScore | a= actionMarkFast | a= actionMarkLast | a= actionReplace | a= actionFilterType | a= actionRetainType | a= actionCreate | a= actionFill | a= actionCall | a= actionAssign | a= actionSetFeature | a= actionGetFeature | a= actionUnmark | a= actionUnmarkAll | a= actionTransfer | a= actionMarkOnce | a= actionTrie | a= actionGather | a= actionExec | a= actionMarkTable | a= actionAdd | a= actionRemove | a= actionRemoveDuplicate | a= actionMerge | a= actionGet | a= actionGetList | a= actionMatchedText | a= actionClear | a= actionShift | a= actionConfigure | a= actionDynamicAnchoring | a= actionTrim | a= actionAddRetainType | a= actionRemoveRetainType | a= actionAddFilterType | a= actionRemoveFilterType | (a= externalAction )=>a= externalAction ) ;
    public final AbstractTextMarkerAction action() throws RecognitionException {
        AbstractTextMarkerAction result =  null;

        AbstractTextMarkerAction a = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1080:2: ( (a= actionColor | a= actionDel | a= actionLog | a= actionMark | a= actionMarkScore | a= actionMarkFast | a= actionMarkLast | a= actionReplace | a= actionFilterType | a= actionRetainType | a= actionCreate | a= actionFill | a= actionCall | a= actionAssign | a= actionSetFeature | a= actionGetFeature | a= actionUnmark | a= actionUnmarkAll | a= actionTransfer | a= actionMarkOnce | a= actionTrie | a= actionGather | a= actionExec | a= actionMarkTable | a= actionAdd | a= actionRemove | a= actionRemoveDuplicate | a= actionMerge | a= actionGet | a= actionGetList | a= actionMatchedText | a= actionClear | a= actionShift | a= actionConfigure | a= actionDynamicAnchoring | a= actionTrim | a= actionAddRetainType | a= actionRemoveRetainType | a= actionAddFilterType | a= actionRemoveFilterType | (a= externalAction )=>a= externalAction ) )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1081:2: (a= actionColor | a= actionDel | a= actionLog | a= actionMark | a= actionMarkScore | a= actionMarkFast | a= actionMarkLast | a= actionReplace | a= actionFilterType | a= actionRetainType | a= actionCreate | a= actionFill | a= actionCall | a= actionAssign | a= actionSetFeature | a= actionGetFeature | a= actionUnmark | a= actionUnmarkAll | a= actionTransfer | a= actionMarkOnce | a= actionTrie | a= actionGather | a= actionExec | a= actionMarkTable | a= actionAdd | a= actionRemove | a= actionRemoveDuplicate | a= actionMerge | a= actionGet | a= actionGetList | a= actionMatchedText | a= actionClear | a= actionShift | a= actionConfigure | a= actionDynamicAnchoring | a= actionTrim | a= actionAddRetainType | a= actionRemoveRetainType | a= actionAddFilterType | a= actionRemoveFilterType | (a= externalAction )=>a= externalAction )
            {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1081:2: (a= actionColor | a= actionDel | a= actionLog | a= actionMark | a= actionMarkScore | a= actionMarkFast | a= actionMarkLast | a= actionReplace | a= actionFilterType | a= actionRetainType | a= actionCreate | a= actionFill | a= actionCall | a= actionAssign | a= actionSetFeature | a= actionGetFeature | a= actionUnmark | a= actionUnmarkAll | a= actionTransfer | a= actionMarkOnce | a= actionTrie | a= actionGather | a= actionExec | a= actionMarkTable | a= actionAdd | a= actionRemove | a= actionRemoveDuplicate | a= actionMerge | a= actionGet | a= actionGetList | a= actionMatchedText | a= actionClear | a= actionShift | a= actionConfigure | a= actionDynamicAnchoring | a= actionTrim | a= actionAddRetainType | a= actionRemoveRetainType | a= actionAddFilterType | a= actionRemoveFilterType | (a= externalAction )=>a= externalAction )
            int alt123=41;
            alt123 = dfa123.predict(input);
            switch (alt123) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1082:2: a= actionColor
                    {
                    pushFollow(FOLLOW_actionColor_in_action5549);
                    a=actionColor();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1083:4: a= actionDel
                    {
                    pushFollow(FOLLOW_actionDel_in_action5558);
                    a=actionDel();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1084:4: a= actionLog
                    {
                    pushFollow(FOLLOW_actionLog_in_action5567);
                    a=actionLog();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 4 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1085:4: a= actionMark
                    {
                    pushFollow(FOLLOW_actionMark_in_action5576);
                    a=actionMark();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 5 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1086:4: a= actionMarkScore
                    {
                    pushFollow(FOLLOW_actionMarkScore_in_action5585);
                    a=actionMarkScore();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 6 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1087:4: a= actionMarkFast
                    {
                    pushFollow(FOLLOW_actionMarkFast_in_action5594);
                    a=actionMarkFast();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 7 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1088:4: a= actionMarkLast
                    {
                    pushFollow(FOLLOW_actionMarkLast_in_action5603);
                    a=actionMarkLast();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 8 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1089:4: a= actionReplace
                    {
                    pushFollow(FOLLOW_actionReplace_in_action5612);
                    a=actionReplace();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 9 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1090:4: a= actionFilterType
                    {
                    pushFollow(FOLLOW_actionFilterType_in_action5621);
                    a=actionFilterType();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 10 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1091:4: a= actionRetainType
                    {
                    pushFollow(FOLLOW_actionRetainType_in_action5630);
                    a=actionRetainType();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 11 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1092:4: a= actionCreate
                    {
                    pushFollow(FOLLOW_actionCreate_in_action5639);
                    a=actionCreate();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 12 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1093:4: a= actionFill
                    {
                    pushFollow(FOLLOW_actionFill_in_action5648);
                    a=actionFill();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 13 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1094:4: a= actionCall
                    {
                    pushFollow(FOLLOW_actionCall_in_action5657);
                    a=actionCall();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 14 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1095:4: a= actionAssign
                    {
                    pushFollow(FOLLOW_actionAssign_in_action5666);
                    a=actionAssign();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 15 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1096:4: a= actionSetFeature
                    {
                    pushFollow(FOLLOW_actionSetFeature_in_action5675);
                    a=actionSetFeature();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 16 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1097:4: a= actionGetFeature
                    {
                    pushFollow(FOLLOW_actionGetFeature_in_action5684);
                    a=actionGetFeature();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 17 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1098:4: a= actionUnmark
                    {
                    pushFollow(FOLLOW_actionUnmark_in_action5693);
                    a=actionUnmark();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 18 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1099:4: a= actionUnmarkAll
                    {
                    pushFollow(FOLLOW_actionUnmarkAll_in_action5702);
                    a=actionUnmarkAll();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 19 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1100:4: a= actionTransfer
                    {
                    pushFollow(FOLLOW_actionTransfer_in_action5711);
                    a=actionTransfer();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 20 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1101:4: a= actionMarkOnce
                    {
                    pushFollow(FOLLOW_actionMarkOnce_in_action5720);
                    a=actionMarkOnce();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 21 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1102:4: a= actionTrie
                    {
                    pushFollow(FOLLOW_actionTrie_in_action5729);
                    a=actionTrie();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 22 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1103:4: a= actionGather
                    {
                    pushFollow(FOLLOW_actionGather_in_action5738);
                    a=actionGather();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 23 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1104:4: a= actionExec
                    {
                    pushFollow(FOLLOW_actionExec_in_action5747);
                    a=actionExec();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 24 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1105:4: a= actionMarkTable
                    {
                    pushFollow(FOLLOW_actionMarkTable_in_action5756);
                    a=actionMarkTable();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 25 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1106:4: a= actionAdd
                    {
                    pushFollow(FOLLOW_actionAdd_in_action5765);
                    a=actionAdd();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 26 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1107:4: a= actionRemove
                    {
                    pushFollow(FOLLOW_actionRemove_in_action5774);
                    a=actionRemove();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 27 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1108:4: a= actionRemoveDuplicate
                    {
                    pushFollow(FOLLOW_actionRemoveDuplicate_in_action5783);
                    a=actionRemoveDuplicate();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 28 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1109:4: a= actionMerge
                    {
                    pushFollow(FOLLOW_actionMerge_in_action5792);
                    a=actionMerge();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 29 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1110:4: a= actionGet
                    {
                    pushFollow(FOLLOW_actionGet_in_action5801);
                    a=actionGet();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 30 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1111:4: a= actionGetList
                    {
                    pushFollow(FOLLOW_actionGetList_in_action5810);
                    a=actionGetList();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 31 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1112:4: a= actionMatchedText
                    {
                    pushFollow(FOLLOW_actionMatchedText_in_action5819);
                    a=actionMatchedText();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 32 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1113:4: a= actionClear
                    {
                    pushFollow(FOLLOW_actionClear_in_action5828);
                    a=actionClear();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 33 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1114:4: a= actionShift
                    {
                    pushFollow(FOLLOW_actionShift_in_action5837);
                    a=actionShift();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 34 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1115:4: a= actionConfigure
                    {
                    pushFollow(FOLLOW_actionConfigure_in_action5846);
                    a=actionConfigure();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 35 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1116:4: a= actionDynamicAnchoring
                    {
                    pushFollow(FOLLOW_actionDynamicAnchoring_in_action5855);
                    a=actionDynamicAnchoring();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 36 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1117:4: a= actionTrim
                    {
                    pushFollow(FOLLOW_actionTrim_in_action5864);
                    a=actionTrim();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 37 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1118:4: a= actionAddRetainType
                    {
                    pushFollow(FOLLOW_actionAddRetainType_in_action5874);
                    a=actionAddRetainType();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 38 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1119:4: a= actionRemoveRetainType
                    {
                    pushFollow(FOLLOW_actionRemoveRetainType_in_action5883);
                    a=actionRemoveRetainType();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 39 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1120:4: a= actionAddFilterType
                    {
                    pushFollow(FOLLOW_actionAddFilterType_in_action5892);
                    a=actionAddFilterType();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 40 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1121:4: a= actionRemoveFilterType
                    {
                    pushFollow(FOLLOW_actionRemoveFilterType_in_action5901);
                    a=actionRemoveFilterType();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 41 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1122:4: (a= externalAction )=>a= externalAction
                    {
                    pushFollow(FOLLOW_externalAction_in_action5919);
                    a=externalAction();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              result = a;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return result;
    }
    // $ANTLR end "action"


    // $ANTLR start "externalAction"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1137:1: externalAction returns [AbstractTextMarkerAction action = null] : id= Identifier LPAREN args= varArgumentList RPAREN ;
    public final AbstractTextMarkerAction externalAction() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        Token id=null;
        List args = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1138:2: (id= Identifier LPAREN args= varArgumentList RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1140:2: id= Identifier LPAREN args= varArgumentList RPAREN
            {
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_externalAction5959); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_externalAction5961); if (state.failed) return action;
            pushFollow(FOLLOW_varArgumentList_in_externalAction5967);
            args=varArgumentList();

            state._fsp--;
            if (state.failed) return action;
            match(input,RPAREN,FOLLOW_RPAREN_in_externalAction5969); if (state.failed) return action;
            if ( state.backtracking==0 ) {

              		action = external.createExternalAction(id, args);
              	
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "externalAction"


    // $ANTLR start "actionCreate"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1148:1: actionCreate returns [AbstractTextMarkerAction action = null] : name= CREATE LPAREN structure= typeExpression ( COMMA ( (index= numberExpression )=>index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )? (fname= stringExpression ASSIGN_EQUAL obj1= argument ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )* )? )? RPAREN ;
    public final AbstractTextMarkerAction actionCreate() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        Token name=null;
        TypeExpression structure = null;

        NumberExpression index = null;

        StringExpression fname = null;

        TextMarkerExpression obj1 = null;



        	Map<StringExpression, TextMarkerExpression> map = new HashMap<StringExpression, TextMarkerExpression>();
            	List<NumberExpression> indexes = new ArrayList<NumberExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1153:5: (name= CREATE LPAREN structure= typeExpression ( COMMA ( (index= numberExpression )=>index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )? (fname= stringExpression ASSIGN_EQUAL obj1= argument ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )* )? )? RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1154:5: name= CREATE LPAREN structure= typeExpression ( COMMA ( (index= numberExpression )=>index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )? (fname= stringExpression ASSIGN_EQUAL obj1= argument ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )* )? )? RPAREN
            {
            name=(Token)match(input,CREATE,FOLLOW_CREATE_in_actionCreate6005); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionCreate6007); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionCreate6013);
            structure=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1155:4: ( COMMA ( (index= numberExpression )=>index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )? (fname= stringExpression ASSIGN_EQUAL obj1= argument ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )* )? )?
            int alt128=2;
            int LA128_0 = input.LA(1);

            if ( (LA128_0==COMMA) ) {
                alt128=1;
            }
            switch (alt128) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1155:5: COMMA ( (index= numberExpression )=>index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )? (fname= stringExpression ASSIGN_EQUAL obj1= argument ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )* )?
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_actionCreate6020); if (state.failed) return action;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1156:5: ( (index= numberExpression )=>index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )?
                    int alt125=2;
                    alt125 = dfa125.predict(input);
                    switch (alt125) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1157:5: (index= numberExpression )=>index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA
                            {
                            pushFollow(FOLLOW_numberExpression_in_actionCreate6045);
                            index=numberExpression();

                            state._fsp--;
                            if (state.failed) return action;
                            if ( state.backtracking==0 ) {
                              indexes.add(index);
                            }
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1157:80: ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )*
                            loop124:
                            do {
                                int alt124=2;
                                int LA124_0 = input.LA(1);

                                if ( (LA124_0==COMMA) ) {
                                    int LA124_1 = input.LA(2);

                                    if ( (synpred22_TextMarkerParser()) ) {
                                        alt124=1;
                                    }


                                }


                                switch (alt124) {
                            	case 1 :
                            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1157:81: ( COMMA index= numberExpression )=> ( COMMA index= numberExpression )
                            	    {
                            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1157:116: ( COMMA index= numberExpression )
                            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1157:117: COMMA index= numberExpression
                            	    {
                            	    match(input,COMMA,FOLLOW_COMMA_in_actionCreate6062); if (state.failed) return action;
                            	    pushFollow(FOLLOW_numberExpression_in_actionCreate6068);
                            	    index=numberExpression();

                            	    state._fsp--;
                            	    if (state.failed) return action;

                            	    }

                            	    if ( state.backtracking==0 ) {
                            	      indexes.add(index);
                            	    }

                            	    }
                            	    break;

                            	default :
                            	    break loop124;
                                }
                            } while (true);

                            match(input,COMMA,FOLLOW_COMMA_in_actionCreate6075); if (state.failed) return action;

                            }
                            break;

                    }

                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1158:5: (fname= stringExpression ASSIGN_EQUAL obj1= argument ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )* )?
                    int alt127=2;
                    int LA127_0 = input.LA(1);

                    if ( (LA127_0==REMOVESTRING||LA127_0==StringLiteral||LA127_0==Identifier) ) {
                        alt127=1;
                    }
                    switch (alt127) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1158:6: fname= stringExpression ASSIGN_EQUAL obj1= argument ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )*
                            {
                            pushFollow(FOLLOW_stringExpression_in_actionCreate6088);
                            fname=stringExpression();

                            state._fsp--;
                            if (state.failed) return action;
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_actionCreate6090); if (state.failed) return action;
                            pushFollow(FOLLOW_argument_in_actionCreate6096);
                            obj1=argument();

                            state._fsp--;
                            if (state.failed) return action;
                            if ( state.backtracking==0 ) {
                              map.put(fname,obj1);
                            }
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1159:5: ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )*
                            loop126:
                            do {
                                int alt126=2;
                                int LA126_0 = input.LA(1);

                                if ( (LA126_0==COMMA) ) {
                                    alt126=1;
                                }


                                switch (alt126) {
                            	case 1 :
                            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1159:6: COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument
                            	    {
                            	    match(input,COMMA,FOLLOW_COMMA_in_actionCreate6106); if (state.failed) return action;
                            	    pushFollow(FOLLOW_stringExpression_in_actionCreate6112);
                            	    fname=stringExpression();

                            	    state._fsp--;
                            	    if (state.failed) return action;
                            	    match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_actionCreate6114); if (state.failed) return action;
                            	    pushFollow(FOLLOW_argument_in_actionCreate6120);
                            	    obj1=argument();

                            	    state._fsp--;
                            	    if (state.failed) return action;
                            	    if ( state.backtracking==0 ) {
                            	      map.put(fname,obj1);
                            	    }

                            	    }
                            	    break;

                            	default :
                            	    break loop126;
                                }
                            } while (true);


                            }
                            break;

                    }


                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_actionCreate6135); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createCreateAction(structure, map, indexes, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionCreate"


    // $ANTLR start "actionMarkTable"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1165:1: actionMarkTable returns [AbstractTextMarkerAction action = null] : name= MARKTABLE LPAREN structure= typeExpression COMMA index= numberExpression COMMA table= wordTableExpression COMMA ( (ignoreCase= booleanExpression )=>ignoreCase= booleanExpression COMMA ignoreLength= numberExpression COMMA ignoreChar= stringExpression COMMA maxIgnoreChar= numberExpression COMMA )? key= stringExpression ASSIGN_EQUAL value= numberExpression ( COMMA key= stringExpression ASSIGN_EQUAL value= numberExpression )* RPAREN ;
    public final AbstractTextMarkerAction actionMarkTable() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        Token name=null;
        TypeExpression structure = null;

        NumberExpression index = null;

        WordTableExpression table = null;

        BooleanExpression ignoreCase = null;

        NumberExpression ignoreLength = null;

        StringExpression ignoreChar = null;

        NumberExpression maxIgnoreChar = null;

        StringExpression key = null;

        NumberExpression value = null;



        	Map<StringExpression, NumberExpression> map = new HashMap<StringExpression, NumberExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1169:5: (name= MARKTABLE LPAREN structure= typeExpression COMMA index= numberExpression COMMA table= wordTableExpression COMMA ( (ignoreCase= booleanExpression )=>ignoreCase= booleanExpression COMMA ignoreLength= numberExpression COMMA ignoreChar= stringExpression COMMA maxIgnoreChar= numberExpression COMMA )? key= stringExpression ASSIGN_EQUAL value= numberExpression ( COMMA key= stringExpression ASSIGN_EQUAL value= numberExpression )* RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1170:5: name= MARKTABLE LPAREN structure= typeExpression COMMA index= numberExpression COMMA table= wordTableExpression COMMA ( (ignoreCase= booleanExpression )=>ignoreCase= booleanExpression COMMA ignoreLength= numberExpression COMMA ignoreChar= stringExpression COMMA maxIgnoreChar= numberExpression COMMA )? key= stringExpression ASSIGN_EQUAL value= numberExpression ( COMMA key= stringExpression ASSIGN_EQUAL value= numberExpression )* RPAREN
            {
            name=(Token)match(input,MARKTABLE,FOLLOW_MARKTABLE_in_actionMarkTable6176); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionMarkTable6178); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionMarkTable6189);
            structure=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionMarkTable6191); if (state.failed) return action;
            pushFollow(FOLLOW_numberExpression_in_actionMarkTable6202);
            index=numberExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionMarkTable6204); if (state.failed) return action;
            pushFollow(FOLLOW_wordTableExpression_in_actionMarkTable6214);
            table=wordTableExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionMarkTable6221); if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1174:12: ( (ignoreCase= booleanExpression )=>ignoreCase= booleanExpression COMMA ignoreLength= numberExpression COMMA ignoreChar= stringExpression COMMA maxIgnoreChar= numberExpression COMMA )?
            int alt129=2;
            int LA129_0 = input.LA(1);

            if ( (LA129_0==TRUE) && (synpred23_TextMarkerParser())) {
                alt129=1;
            }
            else if ( (LA129_0==FALSE) && (synpred23_TextMarkerParser())) {
                alt129=1;
            }
            else if ( (LA129_0==Identifier) ) {
                int LA129_3 = input.LA(2);

                if ( (((synpred23_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "BOOLEAN")))||synpred23_TextMarkerParser()||(synpred23_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPE")))||(synpred23_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "BOOLEAN"))))) ) {
                    alt129=1;
                }
            }
            else if ( (LA129_0==BasicAnnotationType) && (synpred23_TextMarkerParser())) {
                alt129=1;
            }
            else if ( (LA129_0==LPAREN) && (synpred23_TextMarkerParser())) {
                alt129=1;
            }
            else if ( (LA129_0==XOR) && (synpred23_TextMarkerParser())) {
                alt129=1;
            }
            switch (alt129) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1174:14: (ignoreCase= booleanExpression )=>ignoreCase= booleanExpression COMMA ignoreLength= numberExpression COMMA ignoreChar= stringExpression COMMA maxIgnoreChar= numberExpression COMMA
                    {
                    pushFollow(FOLLOW_booleanExpression_in_actionMarkTable6237);
                    ignoreCase=booleanExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    match(input,COMMA,FOLLOW_COMMA_in_actionMarkTable6244); if (state.failed) return action;
                    pushFollow(FOLLOW_numberExpression_in_actionMarkTable6250);
                    ignoreLength=numberExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    match(input,COMMA,FOLLOW_COMMA_in_actionMarkTable6257); if (state.failed) return action;
                    pushFollow(FOLLOW_stringExpression_in_actionMarkTable6263);
                    ignoreChar=stringExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    match(input,COMMA,FOLLOW_COMMA_in_actionMarkTable6269); if (state.failed) return action;
                    pushFollow(FOLLOW_numberExpression_in_actionMarkTable6275);
                    maxIgnoreChar=numberExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    match(input,COMMA,FOLLOW_COMMA_in_actionMarkTable6277); if (state.failed) return action;

                    }
                    break;

            }

            pushFollow(FOLLOW_stringExpression_in_actionMarkTable6290);
            key=stringExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_actionMarkTable6292); if (state.failed) return action;
            pushFollow(FOLLOW_numberExpression_in_actionMarkTable6298);
            value=numberExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              map.put(key,value);
            }
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1179:5: ( COMMA key= stringExpression ASSIGN_EQUAL value= numberExpression )*
            loop130:
            do {
                int alt130=2;
                int LA130_0 = input.LA(1);

                if ( (LA130_0==COMMA) ) {
                    alt130=1;
                }


                switch (alt130) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1179:7: COMMA key= stringExpression ASSIGN_EQUAL value= numberExpression
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionMarkTable6308); if (state.failed) return action;
            	    pushFollow(FOLLOW_stringExpression_in_actionMarkTable6314);
            	    key=stringExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_actionMarkTable6316); if (state.failed) return action;
            	    pushFollow(FOLLOW_numberExpression_in_actionMarkTable6322);
            	    value=numberExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      map.put(key,value);
            	    }

            	    }
            	    break;

            	default :
            	    break loop130;
                }
            } while (true);

            match(input,RPAREN,FOLLOW_RPAREN_in_actionMarkTable6333); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createMarkTableAction(structure, index, table, map, ignoreCase, ignoreLength, ignoreChar, maxIgnoreChar,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionMarkTable"


    // $ANTLR start "actionGather"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1187:1: actionGather returns [AbstractTextMarkerAction action = null] : name= GATHER LPAREN structure= typeExpression ( COMMA ( (index= numberExpression )=>index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )? (fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) ( COMMA fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) )* )? )? RPAREN ;
    public final AbstractTextMarkerAction actionGather() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        Token name=null;
        TypeExpression structure = null;

        NumberExpression index = null;

        StringExpression fname = null;

        NumberExpression obj1 = null;

        NumberListExpression obj2 = null;



        	Map<StringExpression, TextMarkerExpression> map = new HashMap<StringExpression, TextMarkerExpression>();
            	List<NumberExpression> indexes = new ArrayList<NumberExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1192:5: (name= GATHER LPAREN structure= typeExpression ( COMMA ( (index= numberExpression )=>index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )? (fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) ( COMMA fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) )* )? )? RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1193:5: name= GATHER LPAREN structure= typeExpression ( COMMA ( (index= numberExpression )=>index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )? (fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) ( COMMA fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) )* )? )? RPAREN
            {
            name=(Token)match(input,GATHER,FOLLOW_GATHER_in_actionGather6376); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionGather6378); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionGather6384);
            structure=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1194:4: ( COMMA ( (index= numberExpression )=>index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )? (fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) ( COMMA fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) )* )? )?
            int alt137=2;
            int LA137_0 = input.LA(1);

            if ( (LA137_0==COMMA) ) {
                alt137=1;
            }
            switch (alt137) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1194:5: COMMA ( (index= numberExpression )=>index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )? (fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) ( COMMA fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) )* )?
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_actionGather6391); if (state.failed) return action;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1195:5: ( (index= numberExpression )=>index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )?
                    int alt132=2;
                    alt132 = dfa132.predict(input);
                    switch (alt132) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1195:6: (index= numberExpression )=>index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA
                            {
                            pushFollow(FOLLOW_numberExpression_in_actionGather6411);
                            index=numberExpression();

                            state._fsp--;
                            if (state.failed) return action;
                            if ( state.backtracking==0 ) {
                              indexes.add(index);
                            }
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1195:81: ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )*
                            loop131:
                            do {
                                int alt131=2;
                                int LA131_0 = input.LA(1);

                                if ( (LA131_0==COMMA) ) {
                                    int LA131_1 = input.LA(2);

                                    if ( (synpred25_TextMarkerParser()) ) {
                                        alt131=1;
                                    }


                                }


                                switch (alt131) {
                            	case 1 :
                            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1195:82: ( COMMA index= numberExpression )=> ( COMMA index= numberExpression )
                            	    {
                            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1195:116: ( COMMA index= numberExpression )
                            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1195:117: COMMA index= numberExpression
                            	    {
                            	    match(input,COMMA,FOLLOW_COMMA_in_actionGather6427); if (state.failed) return action;
                            	    pushFollow(FOLLOW_numberExpression_in_actionGather6433);
                            	    index=numberExpression();

                            	    state._fsp--;
                            	    if (state.failed) return action;

                            	    }

                            	    if ( state.backtracking==0 ) {
                            	      indexes.add(index);
                            	    }

                            	    }
                            	    break;

                            	default :
                            	    break loop131;
                                }
                            } while (true);

                            match(input,COMMA,FOLLOW_COMMA_in_actionGather6440); if (state.failed) return action;

                            }
                            break;

                    }

                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1196:5: (fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) ( COMMA fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) )* )?
                    int alt136=2;
                    int LA136_0 = input.LA(1);

                    if ( (LA136_0==REMOVESTRING||LA136_0==StringLiteral||LA136_0==Identifier) ) {
                        alt136=1;
                    }
                    switch (alt136) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1196:6: fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) ( COMMA fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) )*
                            {
                            pushFollow(FOLLOW_stringExpression_in_actionGather6453);
                            fname=stringExpression();

                            state._fsp--;
                            if (state.failed) return action;
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_actionGather6455); if (state.failed) return action;
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1196:44: (obj1= numberExpression | obj2= numberListExpression )
                            int alt133=2;
                            switch ( input.LA(1) ) {
                            case EXP:
                            case LOGN:
                            case SIN:
                            case COS:
                            case TAN:
                            case DecimalLiteral:
                            case FloatingPointLiteral:
                            case LPAREN:
                            case MINUS:
                                {
                                alt133=1;
                                }
                                break;
                            case Identifier:
                                {
                                int LA133_2 = input.LA(2);

                                if ( (!((((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "DOUBLELIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "FLOATLIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "INTLIST")))))) ) {
                                    alt133=1;
                                }
                                else if ( (((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "DOUBLELIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "FLOATLIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "INTLIST")))) ) {
                                    alt133=2;
                                }
                                else {
                                    if (state.backtracking>0) {state.failed=true; return action;}
                                    NoViableAltException nvae =
                                        new NoViableAltException("", 133, 2, input);

                                    throw nvae;
                                }
                                }
                                break;
                            case LCURLY:
                                {
                                alt133=2;
                                }
                                break;
                            default:
                                if (state.backtracking>0) {state.failed=true; return action;}
                                NoViableAltException nvae =
                                    new NoViableAltException("", 133, 0, input);

                                throw nvae;
                            }

                            switch (alt133) {
                                case 1 :
                                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1196:45: obj1= numberExpression
                                    {
                                    pushFollow(FOLLOW_numberExpression_in_actionGather6462);
                                    obj1=numberExpression();

                                    state._fsp--;
                                    if (state.failed) return action;

                                    }
                                    break;
                                case 2 :
                                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1196:71: obj2= numberListExpression
                                    {
                                    pushFollow(FOLLOW_numberListExpression_in_actionGather6470);
                                    obj2=numberListExpression();

                                    state._fsp--;
                                    if (state.failed) return action;

                                    }
                                    break;

                            }

                            if ( state.backtracking==0 ) {
                              map.put(fname,obj1 != null? obj1 : obj2);
                            }
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1197:5: ( COMMA fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) )*
                            loop135:
                            do {
                                int alt135=2;
                                int LA135_0 = input.LA(1);

                                if ( (LA135_0==COMMA) ) {
                                    alt135=1;
                                }


                                switch (alt135) {
                            	case 1 :
                            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1197:6: COMMA fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression )
                            	    {
                            	    match(input,COMMA,FOLLOW_COMMA_in_actionGather6481); if (state.failed) return action;
                            	    pushFollow(FOLLOW_stringExpression_in_actionGather6487);
                            	    fname=stringExpression();

                            	    state._fsp--;
                            	    if (state.failed) return action;
                            	    match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_actionGather6489); if (state.failed) return action;
                            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1197:50: (obj1= numberExpression | obj2= numberListExpression )
                            	    int alt134=2;
                            	    switch ( input.LA(1) ) {
                            	    case EXP:
                            	    case LOGN:
                            	    case SIN:
                            	    case COS:
                            	    case TAN:
                            	    case DecimalLiteral:
                            	    case FloatingPointLiteral:
                            	    case LPAREN:
                            	    case MINUS:
                            	        {
                            	        alt134=1;
                            	        }
                            	        break;
                            	    case Identifier:
                            	        {
                            	        int LA134_2 = input.LA(2);

                            	        if ( (!((((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "DOUBLELIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "FLOATLIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "INTLIST")))))) ) {
                            	            alt134=1;
                            	        }
                            	        else if ( (((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "DOUBLELIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "FLOATLIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "INTLIST")))) ) {
                            	            alt134=2;
                            	        }
                            	        else {
                            	            if (state.backtracking>0) {state.failed=true; return action;}
                            	            NoViableAltException nvae =
                            	                new NoViableAltException("", 134, 2, input);

                            	            throw nvae;
                            	        }
                            	        }
                            	        break;
                            	    case LCURLY:
                            	        {
                            	        alt134=2;
                            	        }
                            	        break;
                            	    default:
                            	        if (state.backtracking>0) {state.failed=true; return action;}
                            	        NoViableAltException nvae =
                            	            new NoViableAltException("", 134, 0, input);

                            	        throw nvae;
                            	    }

                            	    switch (alt134) {
                            	        case 1 :
                            	            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1197:51: obj1= numberExpression
                            	            {
                            	            pushFollow(FOLLOW_numberExpression_in_actionGather6496);
                            	            obj1=numberExpression();

                            	            state._fsp--;
                            	            if (state.failed) return action;

                            	            }
                            	            break;
                            	        case 2 :
                            	            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1197:77: obj2= numberListExpression
                            	            {
                            	            pushFollow(FOLLOW_numberListExpression_in_actionGather6504);
                            	            obj2=numberListExpression();

                            	            state._fsp--;
                            	            if (state.failed) return action;

                            	            }
                            	            break;

                            	    }

                            	    if ( state.backtracking==0 ) {
                            	      map.put(fname,obj1 != null? obj1 : obj2);
                            	    }

                            	    }
                            	    break;

                            	default :
                            	    break loop135;
                                }
                            } while (true);


                            }
                            break;

                    }


                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_actionGather6520); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createGatherAction(structure, map, indexes, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionGather"


    // $ANTLR start "actionFill"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1204:1: actionFill returns [AbstractTextMarkerAction action = null] : FILL LPAREN type= typeExpression ( COMMA fname= stringExpression ASSIGN_EQUAL (obj1= argument ) )+ RPAREN ;
    public final AbstractTextMarkerAction actionFill() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        TypeExpression type = null;

        StringExpression fname = null;

        TextMarkerExpression obj1 = null;



        Map<StringExpression, TextMarkerExpression> map = new HashMap<StringExpression, TextMarkerExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1208:5: ( FILL LPAREN type= typeExpression ( COMMA fname= stringExpression ASSIGN_EQUAL (obj1= argument ) )+ RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1209:5: FILL LPAREN type= typeExpression ( COMMA fname= stringExpression ASSIGN_EQUAL (obj1= argument ) )+ RPAREN
            {
            match(input,FILL,FOLLOW_FILL_in_actionFill6562); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionFill6564); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionFill6570);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1209:39: ( COMMA fname= stringExpression ASSIGN_EQUAL (obj1= argument ) )+
            int cnt138=0;
            loop138:
            do {
                int alt138=2;
                int LA138_0 = input.LA(1);

                if ( (LA138_0==COMMA) ) {
                    alt138=1;
                }


                switch (alt138) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1209:40: COMMA fname= stringExpression ASSIGN_EQUAL (obj1= argument )
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionFill6573); if (state.failed) return action;
            	    pushFollow(FOLLOW_stringExpression_in_actionFill6579);
            	    fname=stringExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_actionFill6581); if (state.failed) return action;
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1210:5: (obj1= argument )
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1211:5: obj1= argument
            	    {
            	    pushFollow(FOLLOW_argument_in_actionFill6598);
            	    obj1=argument();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      map.put(fname,obj1);
            	    }

            	    }


            	    }
            	    break;

            	default :
            	    if ( cnt138 >= 1 ) break loop138;
            	    if (state.backtracking>0) {state.failed=true; return action;}
                        EarlyExitException eee =
                            new EarlyExitException(138, input);
                        throw eee;
                }
                cnt138++;
            } while (true);

            match(input,RPAREN,FOLLOW_RPAREN_in_actionFill6615); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createFillAction(type, map, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionFill"


    // $ANTLR start "actionColor"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1217:1: actionColor returns [AbstractTextMarkerAction action = null] : COLOR LPAREN type= typeExpression COMMA bgcolor= stringExpression ( COMMA fgcolor= stringExpression ( COMMA selected= booleanExpression )? )? RPAREN ;
    public final AbstractTextMarkerAction actionColor() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        TypeExpression type = null;

        StringExpression bgcolor = null;

        StringExpression fgcolor = null;

        BooleanExpression selected = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1218:5: ( COLOR LPAREN type= typeExpression COMMA bgcolor= stringExpression ( COMMA fgcolor= stringExpression ( COMMA selected= booleanExpression )? )? RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1219:5: COLOR LPAREN type= typeExpression COMMA bgcolor= stringExpression ( COMMA fgcolor= stringExpression ( COMMA selected= booleanExpression )? )? RPAREN
            {
            match(input,COLOR,FOLLOW_COLOR_in_actionColor6653); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionColor6655); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionColor6661);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionColor6673); if (state.failed) return action;
            pushFollow(FOLLOW_stringExpression_in_actionColor6684);
            bgcolor=stringExpression();

            state._fsp--;
            if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1223:5: ( COMMA fgcolor= stringExpression ( COMMA selected= booleanExpression )? )?
            int alt140=2;
            int LA140_0 = input.LA(1);

            if ( (LA140_0==COMMA) ) {
                alt140=1;
            }
            switch (alt140) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1223:6: COMMA fgcolor= stringExpression ( COMMA selected= booleanExpression )?
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_actionColor6692); if (state.failed) return action;
                    pushFollow(FOLLOW_stringExpression_in_actionColor6702);
                    fgcolor=stringExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1225:5: ( COMMA selected= booleanExpression )?
                    int alt139=2;
                    int LA139_0 = input.LA(1);

                    if ( (LA139_0==COMMA) ) {
                        alt139=1;
                    }
                    switch (alt139) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1225:6: COMMA selected= booleanExpression
                            {
                            match(input,COMMA,FOLLOW_COMMA_in_actionColor6710); if (state.failed) return action;
                            pushFollow(FOLLOW_booleanExpression_in_actionColor6720);
                            selected=booleanExpression();

                            state._fsp--;
                            if (state.failed) return action;

                            }
                            break;

                    }


                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_actionColor6730); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createColorAction(type, bgcolor, fgcolor, selected, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionColor"


    // $ANTLR start "actionDel"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1231:1: actionDel returns [AbstractTextMarkerAction action = null] : DEL ;
    public final AbstractTextMarkerAction actionDel() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1232:5: ( DEL )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1233:5: DEL
            {
            match(input,DEL,FOLLOW_DEL_in_actionDel6764); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createDelAction(((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionDel"


    // $ANTLR start "actionLog"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1237:1: actionLog returns [AbstractTextMarkerAction action = null] : LOG LPAREN lit= stringExpression ( COMMA log= LogLevel )? RPAREN ;
    public final AbstractTextMarkerAction actionLog() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        Token log=null;
        StringExpression lit = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1238:5: ( LOG LPAREN lit= stringExpression ( COMMA log= LogLevel )? RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1239:5: LOG LPAREN lit= stringExpression ( COMMA log= LogLevel )? RPAREN
            {
            match(input,LOG,FOLLOW_LOG_in_actionLog6806); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionLog6808); if (state.failed) return action;
            pushFollow(FOLLOW_stringExpression_in_actionLog6814);
            lit=stringExpression();

            state._fsp--;
            if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1239:39: ( COMMA log= LogLevel )?
            int alt141=2;
            int LA141_0 = input.LA(1);

            if ( (LA141_0==COMMA) ) {
                alt141=1;
            }
            switch (alt141) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1239:40: COMMA log= LogLevel
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_actionLog6817); if (state.failed) return action;
                    log=(Token)match(input,LogLevel,FOLLOW_LogLevel_in_actionLog6823); if (state.failed) return action;

                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_actionLog6827); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createLogAction(lit, log, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionLog"


    // $ANTLR start "actionMark"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1243:1: actionMark returns [AbstractTextMarkerAction action = null] : MARK LPAREN type= typeExpression ( COMMA (index= numberExpression )=>index= numberExpression )* RPAREN ;
    public final AbstractTextMarkerAction actionMark() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        TypeExpression type = null;

        NumberExpression index = null;



        List<NumberExpression> list = new ArrayList<NumberExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1247:5: ( MARK LPAREN type= typeExpression ( COMMA (index= numberExpression )=>index= numberExpression )* RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1248:5: MARK LPAREN type= typeExpression ( COMMA (index= numberExpression )=>index= numberExpression )* RPAREN
            {
            match(input,MARK,FOLLOW_MARK_in_actionMark6866); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionMark6868); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionMark6879);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1250:5: ( COMMA (index= numberExpression )=>index= numberExpression )*
            loop142:
            do {
                int alt142=2;
                int LA142_0 = input.LA(1);

                if ( (LA142_0==COMMA) ) {
                    alt142=1;
                }


                switch (alt142) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1251:9: COMMA (index= numberExpression )=>index= numberExpression
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionMark6895); if (state.failed) return action;
            	    pushFollow(FOLLOW_numberExpression_in_actionMark6911);
            	    index=numberExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      list.add(index);
            	    }

            	    }
            	    break;

            	default :
            	    break loop142;
                }
            } while (true);

            match(input,RPAREN,FOLLOW_RPAREN_in_actionMark6935); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createMarkAction(null, type, list, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionMark"


    // $ANTLR start "actionShift"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1259:1: actionShift returns [AbstractTextMarkerAction action = null] : SHIFT LPAREN type= typeExpression ( COMMA (index= numberExpression )=>index= numberExpression )* RPAREN ;
    public final AbstractTextMarkerAction actionShift() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        TypeExpression type = null;

        NumberExpression index = null;



        List<NumberExpression> list = new ArrayList<NumberExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1263:5: ( SHIFT LPAREN type= typeExpression ( COMMA (index= numberExpression )=>index= numberExpression )* RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1264:5: SHIFT LPAREN type= typeExpression ( COMMA (index= numberExpression )=>index= numberExpression )* RPAREN
            {
            match(input,SHIFT,FOLLOW_SHIFT_in_actionShift6979); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionShift6981); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionShift6992);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1266:5: ( COMMA (index= numberExpression )=>index= numberExpression )*
            loop143:
            do {
                int alt143=2;
                int LA143_0 = input.LA(1);

                if ( (LA143_0==COMMA) ) {
                    alt143=1;
                }


                switch (alt143) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1267:9: COMMA (index= numberExpression )=>index= numberExpression
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionShift7008); if (state.failed) return action;
            	    pushFollow(FOLLOW_numberExpression_in_actionShift7024);
            	    index=numberExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      list.add(index);
            	    }

            	    }
            	    break;

            	default :
            	    break loop143;
                }
            } while (true);

            match(input,RPAREN,FOLLOW_RPAREN_in_actionShift7048); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createShiftAction(type, list,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionShift"


    // $ANTLR start "actionMarkScore"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1276:1: actionMarkScore returns [AbstractTextMarkerAction action = null] : MARKSCORE LPAREN score= numberExpression COMMA type= typeExpression ( COMMA (index= numberExpression )=>index= numberExpression )* RPAREN ;
    public final AbstractTextMarkerAction actionMarkScore() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        NumberExpression score = null;

        TypeExpression type = null;

        NumberExpression index = null;



        List<NumberExpression> list = new ArrayList<NumberExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1280:5: ( MARKSCORE LPAREN score= numberExpression COMMA type= typeExpression ( COMMA (index= numberExpression )=>index= numberExpression )* RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1281:5: MARKSCORE LPAREN score= numberExpression COMMA type= typeExpression ( COMMA (index= numberExpression )=>index= numberExpression )* RPAREN
            {
            match(input,MARKSCORE,FOLLOW_MARKSCORE_in_actionMarkScore7093); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionMarkScore7095); if (state.failed) return action;
            pushFollow(FOLLOW_numberExpression_in_actionMarkScore7106);
            score=numberExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionMarkScore7108); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionMarkScore7118);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1284:5: ( COMMA (index= numberExpression )=>index= numberExpression )*
            loop144:
            do {
                int alt144=2;
                int LA144_0 = input.LA(1);

                if ( (LA144_0==COMMA) ) {
                    alt144=1;
                }


                switch (alt144) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1285:9: COMMA (index= numberExpression )=>index= numberExpression
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionMarkScore7134); if (state.failed) return action;
            	    pushFollow(FOLLOW_numberExpression_in_actionMarkScore7150);
            	    index=numberExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      list.add(index);
            	    }

            	    }
            	    break;

            	default :
            	    break loop144;
                }
            } while (true);

            match(input,RPAREN,FOLLOW_RPAREN_in_actionMarkScore7174); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createMarkAction(score, type, list, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionMarkScore"


    // $ANTLR start "actionMarkOnce"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1293:1: actionMarkOnce returns [AbstractTextMarkerAction action = null] : MARKONCE LPAREN ( (score= numberExpression )=>score= numberExpression COMMA )? (type= typeExpression )=>type= typeExpression ( COMMA (index= numberExpression )=>index= numberExpression )* RPAREN ;
    public final AbstractTextMarkerAction actionMarkOnce() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        NumberExpression score = null;

        TypeExpression type = null;

        NumberExpression index = null;



        List<NumberExpression> list = new ArrayList<NumberExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1297:5: ( MARKONCE LPAREN ( (score= numberExpression )=>score= numberExpression COMMA )? (type= typeExpression )=>type= typeExpression ( COMMA (index= numberExpression )=>index= numberExpression )* RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1298:5: MARKONCE LPAREN ( (score= numberExpression )=>score= numberExpression COMMA )? (type= typeExpression )=>type= typeExpression ( COMMA (index= numberExpression )=>index= numberExpression )* RPAREN
            {
            match(input,MARKONCE,FOLLOW_MARKONCE_in_actionMarkOnce7218); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionMarkOnce7220); if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1298:21: ( (score= numberExpression )=>score= numberExpression COMMA )?
            int alt145=2;
            int LA145_0 = input.LA(1);

            if ( (LA145_0==MINUS) && (synpred29_TextMarkerParser())) {
                alt145=1;
            }
            else if ( (LA145_0==DecimalLiteral) && (synpred29_TextMarkerParser())) {
                alt145=1;
            }
            else if ( (LA145_0==FloatingPointLiteral) && (synpred29_TextMarkerParser())) {
                alt145=1;
            }
            else if ( (LA145_0==Identifier) ) {
                int LA145_4 = input.LA(2);

                if ( (((synpred29_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "FLOAT")))||(synpred29_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "DOUBLE")))||(synpred29_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "INT")))||synpred29_TextMarkerParser())) ) {
                    alt145=1;
                }
            }
            else if ( (LA145_0==LPAREN) && (synpred29_TextMarkerParser())) {
                alt145=1;
            }
            else if ( ((LA145_0>=EXP && LA145_0<=TAN)) && (synpred29_TextMarkerParser())) {
                alt145=1;
            }
            switch (alt145) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1298:22: (score= numberExpression )=>score= numberExpression COMMA
                    {
                    pushFollow(FOLLOW_numberExpression_in_actionMarkOnce7237);
                    score=numberExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    match(input,COMMA,FOLLOW_COMMA_in_actionMarkOnce7239); if (state.failed) return action;

                    }
                    break;

            }

            pushFollow(FOLLOW_typeExpression_in_actionMarkOnce7257);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1299:5: ( COMMA (index= numberExpression )=>index= numberExpression )*
            loop146:
            do {
                int alt146=2;
                int LA146_0 = input.LA(1);

                if ( (LA146_0==COMMA) ) {
                    alt146=1;
                }


                switch (alt146) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1300:9: COMMA (index= numberExpression )=>index= numberExpression
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionMarkOnce7273); if (state.failed) return action;
            	    pushFollow(FOLLOW_numberExpression_in_actionMarkOnce7289);
            	    index=numberExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      list.add(index);
            	    }

            	    }
            	    break;

            	default :
            	    break loop146;
                }
            } while (true);

            match(input,RPAREN,FOLLOW_RPAREN_in_actionMarkOnce7308); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createMarkOnceAction(score, type, list,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionMarkOnce"


    // $ANTLR start "actionMarkFast"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1307:1: actionMarkFast returns [AbstractTextMarkerAction action = null] : MARKFAST LPAREN type= typeExpression COMMA (list1= wordListExpression | list2= stringListExpression ) ( COMMA ignore= booleanExpression ( COMMA ignoreLength= numberExpression ( COMMA ignoreWS= booleanExpression )? )? )? RPAREN ;
    public final AbstractTextMarkerAction actionMarkFast() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        TypeExpression type = null;

        WordListExpression list1 = null;

        StringListExpression list2 = null;

        BooleanExpression ignore = null;

        NumberExpression ignoreLength = null;

        BooleanExpression ignoreWS = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1308:5: ( MARKFAST LPAREN type= typeExpression COMMA (list1= wordListExpression | list2= stringListExpression ) ( COMMA ignore= booleanExpression ( COMMA ignoreLength= numberExpression ( COMMA ignoreWS= booleanExpression )? )? )? RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1309:5: MARKFAST LPAREN type= typeExpression COMMA (list1= wordListExpression | list2= stringListExpression ) ( COMMA ignore= booleanExpression ( COMMA ignoreLength= numberExpression ( COMMA ignoreWS= booleanExpression )? )? )? RPAREN
            {
            match(input,MARKFAST,FOLLOW_MARKFAST_in_actionMarkFast7347); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionMarkFast7349); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionMarkFast7355);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionMarkFast7357); if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1309:49: (list1= wordListExpression | list2= stringListExpression )
            int alt147=2;
            switch ( input.LA(1) ) {
            case Identifier:
                {
                int LA147_1 = input.LA(2);

                if ( (!(((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "STRINGLIST"))))) ) {
                    alt147=1;
                }
                else if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "STRINGLIST"))) ) {
                    alt147=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return action;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 147, 1, input);

                    throw nvae;
                }
                }
                break;
            case RessourceLiteral:
                {
                alt147=1;
                }
                break;
            case LCURLY:
                {
                alt147=2;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return action;}
                NoViableAltException nvae =
                    new NoViableAltException("", 147, 0, input);

                throw nvae;
            }

            switch (alt147) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1309:50: list1= wordListExpression
                    {
                    pushFollow(FOLLOW_wordListExpression_in_actionMarkFast7364);
                    list1=wordListExpression();

                    state._fsp--;
                    if (state.failed) return action;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1309:79: list2= stringListExpression
                    {
                    pushFollow(FOLLOW_stringListExpression_in_actionMarkFast7372);
                    list2=stringListExpression();

                    state._fsp--;
                    if (state.failed) return action;

                    }
                    break;

            }

            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1310:5: ( COMMA ignore= booleanExpression ( COMMA ignoreLength= numberExpression ( COMMA ignoreWS= booleanExpression )? )? )?
            int alt150=2;
            int LA150_0 = input.LA(1);

            if ( (LA150_0==COMMA) ) {
                alt150=1;
            }
            switch (alt150) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1310:6: COMMA ignore= booleanExpression ( COMMA ignoreLength= numberExpression ( COMMA ignoreWS= booleanExpression )? )?
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_actionMarkFast7381); if (state.failed) return action;
                    pushFollow(FOLLOW_booleanExpression_in_actionMarkFast7387);
                    ignore=booleanExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1310:39: ( COMMA ignoreLength= numberExpression ( COMMA ignoreWS= booleanExpression )? )?
                    int alt149=2;
                    int LA149_0 = input.LA(1);

                    if ( (LA149_0==COMMA) ) {
                        alt149=1;
                    }
                    switch (alt149) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1310:40: COMMA ignoreLength= numberExpression ( COMMA ignoreWS= booleanExpression )?
                            {
                            match(input,COMMA,FOLLOW_COMMA_in_actionMarkFast7390); if (state.failed) return action;
                            pushFollow(FOLLOW_numberExpression_in_actionMarkFast7396);
                            ignoreLength=numberExpression();

                            state._fsp--;
                            if (state.failed) return action;
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1310:78: ( COMMA ignoreWS= booleanExpression )?
                            int alt148=2;
                            int LA148_0 = input.LA(1);

                            if ( (LA148_0==COMMA) ) {
                                alt148=1;
                            }
                            switch (alt148) {
                                case 1 :
                                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1310:79: COMMA ignoreWS= booleanExpression
                                    {
                                    match(input,COMMA,FOLLOW_COMMA_in_actionMarkFast7399); if (state.failed) return action;
                                    pushFollow(FOLLOW_booleanExpression_in_actionMarkFast7405);
                                    ignoreWS=booleanExpression();

                                    state._fsp--;
                                    if (state.failed) return action;

                                    }
                                    break;

                            }


                            }
                            break;

                    }


                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_actionMarkFast7413); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              if(list1 != null) {
                   action = ActionFactory.createMarkFastAction(type, list1, ignore, ignoreLength, ignoreWS, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
                  } else {
                   action = ActionFactory.createMarkFastAction(type, list2, ignore, ignoreLength, ignoreWS, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
                  }
                  
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionMarkFast"


    // $ANTLR start "actionMarkLast"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1319:1: actionMarkLast returns [AbstractTextMarkerAction action = null] : MARKLAST LPAREN type= typeExpression RPAREN ;
    public final AbstractTextMarkerAction actionMarkLast() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        TypeExpression type = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1320:5: ( MARKLAST LPAREN type= typeExpression RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1321:5: MARKLAST LPAREN type= typeExpression RPAREN
            {
            match(input,MARKLAST,FOLLOW_MARKLAST_in_actionMarkLast7447); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionMarkLast7449); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionMarkLast7455);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,RPAREN,FOLLOW_RPAREN_in_actionMarkLast7457); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createMarkLastAction(type, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionMarkLast"


    // $ANTLR start "actionReplace"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1325:1: actionReplace returns [AbstractTextMarkerAction action = null] : REPLACE LPAREN lit= stringExpression RPAREN ;
    public final AbstractTextMarkerAction actionReplace() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        StringExpression lit = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1326:5: ( REPLACE LPAREN lit= stringExpression RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1327:5: REPLACE LPAREN lit= stringExpression RPAREN
            {
            match(input,REPLACE,FOLLOW_REPLACE_in_actionReplace7491); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionReplace7493); if (state.failed) return action;
            pushFollow(FOLLOW_stringExpression_in_actionReplace7499);
            lit=stringExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,RPAREN,FOLLOW_RPAREN_in_actionReplace7501); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createReplaceAction(lit, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionReplace"


    // $ANTLR start "actionRetainType"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1333:1: actionRetainType returns [AbstractTextMarkerAction action = null] : RETAINTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )? ;
    public final AbstractTextMarkerAction actionRetainType() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        TypeExpression id = null;



        List<TypeExpression> list = new ArrayList<TypeExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1337:5: ( RETAINTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )? )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1338:5: RETAINTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )?
            {
            match(input,RETAINTYPE,FOLLOW_RETAINTYPE_in_actionRetainType7548); if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1338:16: ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )?
            int alt152=2;
            int LA152_0 = input.LA(1);

            if ( (LA152_0==LPAREN) ) {
                alt152=1;
            }
            switch (alt152) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1338:17: LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN
                    {
                    match(input,LPAREN,FOLLOW_LPAREN_in_actionRetainType7551); if (state.failed) return action;
                    pushFollow(FOLLOW_typeExpression_in_actionRetainType7557);
                    id=typeExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    if ( state.backtracking==0 ) {
                      list.add(id);
                    }
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1338:60: ( COMMA id= typeExpression )*
                    loop151:
                    do {
                        int alt151=2;
                        int LA151_0 = input.LA(1);

                        if ( (LA151_0==COMMA) ) {
                            alt151=1;
                        }


                        switch (alt151) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1338:61: COMMA id= typeExpression
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_actionRetainType7562); if (state.failed) return action;
                    	    pushFollow(FOLLOW_typeExpression_in_actionRetainType7568);
                    	    id=typeExpression();

                    	    state._fsp--;
                    	    if (state.failed) return action;
                    	    if ( state.backtracking==0 ) {
                    	      list.add(id);
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop151;
                        }
                    } while (true);

                    match(input,RPAREN,FOLLOW_RPAREN_in_actionRetainType7574); if (state.failed) return action;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              action = ActionFactory.createRetainTypeAction(list, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionRetainType"


    // $ANTLR start "actionFilterType"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1344:1: actionFilterType returns [AbstractTextMarkerAction action = null] : FILTERTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )? ;
    public final AbstractTextMarkerAction actionFilterType() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        TypeExpression id = null;



        List<TypeExpression> list = new ArrayList<TypeExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1348:5: ( FILTERTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )? )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1349:5: FILTERTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )?
            {
            match(input,FILTERTYPE,FOLLOW_FILTERTYPE_in_actionFilterType7625); if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1349:16: ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )?
            int alt154=2;
            int LA154_0 = input.LA(1);

            if ( (LA154_0==LPAREN) ) {
                alt154=1;
            }
            switch (alt154) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1349:17: LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN
                    {
                    match(input,LPAREN,FOLLOW_LPAREN_in_actionFilterType7628); if (state.failed) return action;
                    pushFollow(FOLLOW_typeExpression_in_actionFilterType7634);
                    id=typeExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    if ( state.backtracking==0 ) {
                      list.add(id);
                    }
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1349:60: ( COMMA id= typeExpression )*
                    loop153:
                    do {
                        int alt153=2;
                        int LA153_0 = input.LA(1);

                        if ( (LA153_0==COMMA) ) {
                            alt153=1;
                        }


                        switch (alt153) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1349:61: COMMA id= typeExpression
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_actionFilterType7639); if (state.failed) return action;
                    	    pushFollow(FOLLOW_typeExpression_in_actionFilterType7645);
                    	    id=typeExpression();

                    	    state._fsp--;
                    	    if (state.failed) return action;
                    	    if ( state.backtracking==0 ) {
                    	      list.add(id);
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop153;
                        }
                    } while (true);

                    match(input,RPAREN,FOLLOW_RPAREN_in_actionFilterType7651); if (state.failed) return action;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              action = ActionFactory.createFilterTypeAction(list,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionFilterType"


    // $ANTLR start "actionCall"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1353:1: actionCall returns [AbstractTextMarkerAction action = null] : CALL LPAREN ns= dottedIdentifier RPAREN ;
    public final AbstractTextMarkerAction actionCall() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        String ns = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1354:5: ( CALL LPAREN ns= dottedIdentifier RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1355:5: CALL LPAREN ns= dottedIdentifier RPAREN
            {
            match(input,CALL,FOLLOW_CALL_in_actionCall7691); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionCall7693); if (state.failed) return action;
            pushFollow(FOLLOW_dottedIdentifier_in_actionCall7699);
            ns=dottedIdentifier();

            state._fsp--;
            if (state.failed) return action;
            match(input,RPAREN,FOLLOW_RPAREN_in_actionCall7701); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createCallAction(ns, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionCall"


    // $ANTLR start "actionConfigure"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1360:1: actionConfigure returns [AbstractTextMarkerAction action = null] : CONFIGURE LPAREN ns= dottedIdentifier COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )* RPAREN ;
    public final AbstractTextMarkerAction actionConfigure() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        String ns = null;

        StringExpression fname = null;

        TextMarkerExpression obj1 = null;



        	Map<StringExpression, TextMarkerExpression> map = new HashMap<StringExpression, TextMarkerExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1365:5: ( CONFIGURE LPAREN ns= dottedIdentifier COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )* RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1366:5: CONFIGURE LPAREN ns= dottedIdentifier COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )* RPAREN
            {
            match(input,CONFIGURE,FOLLOW_CONFIGURE_in_actionConfigure7739); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionConfigure7741); if (state.failed) return action;
            pushFollow(FOLLOW_dottedIdentifier_in_actionConfigure7747);
            ns=dottedIdentifier();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionConfigure7754); if (state.failed) return action;
            pushFollow(FOLLOW_stringExpression_in_actionConfigure7764);
            fname=stringExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_actionConfigure7766); if (state.failed) return action;
            pushFollow(FOLLOW_argument_in_actionConfigure7772);
            obj1=argument();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              map.put(fname,obj1);
            }
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1369:5: ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )*
            loop155:
            do {
                int alt155=2;
                int LA155_0 = input.LA(1);

                if ( (LA155_0==COMMA) ) {
                    alt155=1;
                }


                switch (alt155) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1369:6: COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionConfigure7782); if (state.failed) return action;
            	    pushFollow(FOLLOW_stringExpression_in_actionConfigure7788);
            	    fname=stringExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_actionConfigure7790); if (state.failed) return action;
            	    pushFollow(FOLLOW_argument_in_actionConfigure7796);
            	    obj1=argument();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      map.put(fname,obj1);
            	    }

            	    }
            	    break;

            	default :
            	    break loop155;
                }
            } while (true);

            match(input,RPAREN,FOLLOW_RPAREN_in_actionConfigure7806); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createConfigureAction(ns, map, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionConfigure"


    // $ANTLR start "actionExec"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1375:1: actionExec returns [AbstractTextMarkerAction action = null] : EXEC LPAREN ns= dottedIdentifier ( COMMA tl= typeListExpression )? RPAREN ;
    public final AbstractTextMarkerAction actionExec() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        String ns = null;

        TypeListExpression tl = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1376:5: ( EXEC LPAREN ns= dottedIdentifier ( COMMA tl= typeListExpression )? RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1377:5: EXEC LPAREN ns= dottedIdentifier ( COMMA tl= typeListExpression )? RPAREN
            {
            match(input,EXEC,FOLLOW_EXEC_in_actionExec7838); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionExec7840); if (state.failed) return action;
            pushFollow(FOLLOW_dottedIdentifier_in_actionExec7846);
            ns=dottedIdentifier();

            state._fsp--;
            if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1377:39: ( COMMA tl= typeListExpression )?
            int alt156=2;
            int LA156_0 = input.LA(1);

            if ( (LA156_0==COMMA) ) {
                alt156=1;
            }
            switch (alt156) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1377:40: COMMA tl= typeListExpression
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_actionExec7849); if (state.failed) return action;
                    pushFollow(FOLLOW_typeListExpression_in_actionExec7855);
                    tl=typeListExpression();

                    state._fsp--;
                    if (state.failed) return action;

                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_actionExec7859); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createExecAction(ns, tl, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionExec"


    // $ANTLR start "actionAssign"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1381:1: actionAssign returns [AbstractTextMarkerAction action = null] : name= ASSIGN LPAREN ({...}?nv= Identifier COMMA e1= typeExpression | {...}?nv= Identifier COMMA e2= booleanExpression | {...}?nv= Identifier COMMA e3= stringExpression | {...}?nv= Identifier COMMA e4= numberExpression | {...}?nv= Identifier COMMA e6= numberExpression | {...}?nv= Identifier COMMA e5= numberExpression ) RPAREN ;
    public final AbstractTextMarkerAction actionAssign() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        Token name=null;
        Token nv=null;
        TypeExpression e1 = null;

        BooleanExpression e2 = null;

        StringExpression e3 = null;

        NumberExpression e4 = null;

        NumberExpression e6 = null;

        NumberExpression e5 = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1382:5: (name= ASSIGN LPAREN ({...}?nv= Identifier COMMA e1= typeExpression | {...}?nv= Identifier COMMA e2= booleanExpression | {...}?nv= Identifier COMMA e3= stringExpression | {...}?nv= Identifier COMMA e4= numberExpression | {...}?nv= Identifier COMMA e6= numberExpression | {...}?nv= Identifier COMMA e5= numberExpression ) RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1383:5: name= ASSIGN LPAREN ({...}?nv= Identifier COMMA e1= typeExpression | {...}?nv= Identifier COMMA e2= booleanExpression | {...}?nv= Identifier COMMA e3= stringExpression | {...}?nv= Identifier COMMA e4= numberExpression | {...}?nv= Identifier COMMA e6= numberExpression | {...}?nv= Identifier COMMA e5= numberExpression ) RPAREN
            {
            name=(Token)match(input,ASSIGN,FOLLOW_ASSIGN_in_actionAssign7902); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionAssign7904); if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1384:5: ({...}?nv= Identifier COMMA e1= typeExpression | {...}?nv= Identifier COMMA e2= booleanExpression | {...}?nv= Identifier COMMA e3= stringExpression | {...}?nv= Identifier COMMA e4= numberExpression | {...}?nv= Identifier COMMA e6= numberExpression | {...}?nv= Identifier COMMA e5= numberExpression )
            int alt157=6;
            int LA157_0 = input.LA(1);

            if ( (LA157_0==Identifier) ) {
                int LA157_1 = input.LA(2);

                if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), "TYPE"))) ) {
                    alt157=1;
                }
                else if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), "BOOLEAN"))) ) {
                    alt157=2;
                }
                else if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), "STRING"))) ) {
                    alt157=3;
                }
                else if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), "INT"))) ) {
                    alt157=4;
                }
                else if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), "FLOAT"))) ) {
                    alt157=5;
                }
                else if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), "DOUBLE"))) ) {
                    alt157=6;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return action;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 157, 1, input);

                    throw nvae;
                }
            }
            else {
                if (state.backtracking>0) {state.failed=true; return action;}
                NoViableAltException nvae =
                    new NoViableAltException("", 157, 0, input);

                throw nvae;
            }
            switch (alt157) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1385:5: {...}?nv= Identifier COMMA e1= typeExpression
                    {
                    if ( !((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), "TYPE"))) ) {
                        if (state.backtracking>0) {state.failed=true; return action;}
                        throw new FailedPredicateException(input, "actionAssign", "isVariableOfType($blockDeclaration::env, input.LT(1).getText(), \"TYPE\")");
                    }
                    nv=(Token)match(input,Identifier,FOLLOW_Identifier_in_actionAssign7931); if (state.failed) return action;
                    match(input,COMMA,FOLLOW_COMMA_in_actionAssign7933); if (state.failed) return action;
                    pushFollow(FOLLOW_typeExpression_in_actionAssign7939);
                    e1=typeExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    if ( state.backtracking==0 ) {
                      action = ActionFactory.createAssignAction(nv, e1,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1389:5: {...}?nv= Identifier COMMA e2= booleanExpression
                    {
                    if ( !((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), "BOOLEAN"))) ) {
                        if (state.backtracking>0) {state.failed=true; return action;}
                        throw new FailedPredicateException(input, "actionAssign", "isVariableOfType($blockDeclaration::env, input.LT(1).getText(), \"BOOLEAN\")");
                    }
                    nv=(Token)match(input,Identifier,FOLLOW_Identifier_in_actionAssign7977); if (state.failed) return action;
                    match(input,COMMA,FOLLOW_COMMA_in_actionAssign7979); if (state.failed) return action;
                    pushFollow(FOLLOW_booleanExpression_in_actionAssign7985);
                    e2=booleanExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    if ( state.backtracking==0 ) {
                      action = ActionFactory.createAssignAction(nv, e2,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
                    }

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1393:5: {...}?nv= Identifier COMMA e3= stringExpression
                    {
                    if ( !((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), "STRING"))) ) {
                        if (state.backtracking>0) {state.failed=true; return action;}
                        throw new FailedPredicateException(input, "actionAssign", "isVariableOfType($blockDeclaration::env, input.LT(1).getText(), \"STRING\")");
                    }
                    nv=(Token)match(input,Identifier,FOLLOW_Identifier_in_actionAssign8023); if (state.failed) return action;
                    match(input,COMMA,FOLLOW_COMMA_in_actionAssign8025); if (state.failed) return action;
                    pushFollow(FOLLOW_stringExpression_in_actionAssign8031);
                    e3=stringExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    if ( state.backtracking==0 ) {
                      action = ActionFactory.createAssignAction(nv, e3,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
                    }

                    }
                    break;
                case 4 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1397:5: {...}?nv= Identifier COMMA e4= numberExpression
                    {
                    if ( !((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), "INT"))) ) {
                        if (state.backtracking>0) {state.failed=true; return action;}
                        throw new FailedPredicateException(input, "actionAssign", "isVariableOfType($blockDeclaration::env, input.LT(1).getText(), \"INT\")");
                    }
                    nv=(Token)match(input,Identifier,FOLLOW_Identifier_in_actionAssign8069); if (state.failed) return action;
                    match(input,COMMA,FOLLOW_COMMA_in_actionAssign8071); if (state.failed) return action;
                    pushFollow(FOLLOW_numberExpression_in_actionAssign8077);
                    e4=numberExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    if ( state.backtracking==0 ) {
                      action = ActionFactory.createAssignAction(nv, e4,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
                    }

                    }
                    break;
                case 5 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1401:6: {...}?nv= Identifier COMMA e6= numberExpression
                    {
                    if ( !((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), "FLOAT"))) ) {
                        if (state.backtracking>0) {state.failed=true; return action;}
                        throw new FailedPredicateException(input, "actionAssign", "isVariableOfType($blockDeclaration::env, input.LT(1).getText(), \"FLOAT\")");
                    }
                    nv=(Token)match(input,Identifier,FOLLOW_Identifier_in_actionAssign8116); if (state.failed) return action;
                    match(input,COMMA,FOLLOW_COMMA_in_actionAssign8118); if (state.failed) return action;
                    pushFollow(FOLLOW_numberExpression_in_actionAssign8124);
                    e6=numberExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    if ( state.backtracking==0 ) {
                      action = ActionFactory.createAssignAction(nv, e6,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
                    }

                    }
                    break;
                case 6 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1405:5: {...}?nv= Identifier COMMA e5= numberExpression
                    {
                    if ( !((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, input.LT(1).getText(), "DOUBLE"))) ) {
                        if (state.backtracking>0) {state.failed=true; return action;}
                        throw new FailedPredicateException(input, "actionAssign", "isVariableOfType($blockDeclaration::env, input.LT(1).getText(), \"DOUBLE\")");
                    }
                    nv=(Token)match(input,Identifier,FOLLOW_Identifier_in_actionAssign8162); if (state.failed) return action;
                    match(input,COMMA,FOLLOW_COMMA_in_actionAssign8164); if (state.failed) return action;
                    pushFollow(FOLLOW_numberExpression_in_actionAssign8170);
                    e5=numberExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    if ( state.backtracking==0 ) {
                      action = ActionFactory.createAssignAction(nv, e5,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
                    }

                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_actionAssign8189); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionAssign"


    // $ANTLR start "actionSetFeature"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1411:1: actionSetFeature returns [AbstractTextMarkerAction action = null] : name= SETFEATURE LPAREN f= stringExpression COMMA v= argument RPAREN ;
    public final AbstractTextMarkerAction actionSetFeature() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        Token name=null;
        StringExpression f = null;

        TextMarkerExpression v = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1412:5: (name= SETFEATURE LPAREN f= stringExpression COMMA v= argument RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1413:5: name= SETFEATURE LPAREN f= stringExpression COMMA v= argument RPAREN
            {
            name=(Token)match(input,SETFEATURE,FOLLOW_SETFEATURE_in_actionSetFeature8221); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionSetFeature8223); if (state.failed) return action;
            pushFollow(FOLLOW_stringExpression_in_actionSetFeature8229);
            f=stringExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionSetFeature8231); if (state.failed) return action;
            pushFollow(FOLLOW_argument_in_actionSetFeature8237);
            v=argument();

            state._fsp--;
            if (state.failed) return action;
            match(input,RPAREN,FOLLOW_RPAREN_in_actionSetFeature8239); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createSetFeatureAction(f, v, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionSetFeature"


    // $ANTLR start "actionGetFeature"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1418:1: actionGetFeature returns [AbstractTextMarkerAction action = null] : name= GETFEATURE LPAREN f= stringExpression COMMA v= variable RPAREN ;
    public final AbstractTextMarkerAction actionGetFeature() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        Token name=null;
        StringExpression f = null;

        Token v = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1419:5: (name= GETFEATURE LPAREN f= stringExpression COMMA v= variable RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1420:5: name= GETFEATURE LPAREN f= stringExpression COMMA v= variable RPAREN
            {
            name=(Token)match(input,GETFEATURE,FOLLOW_GETFEATURE_in_actionGetFeature8278); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionGetFeature8280); if (state.failed) return action;
            pushFollow(FOLLOW_stringExpression_in_actionGetFeature8286);
            f=stringExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionGetFeature8288); if (state.failed) return action;
            pushFollow(FOLLOW_variable_in_actionGetFeature8294);
            v=variable();

            state._fsp--;
            if (state.failed) return action;
            match(input,RPAREN,FOLLOW_RPAREN_in_actionGetFeature8296); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createGetFeatureAction(f, v, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionGetFeature"


    // $ANTLR start "actionDynamicAnchoring"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1425:1: actionDynamicAnchoring returns [AbstractTextMarkerAction action = null] : name= DYNAMICANCHORING LPAREN active= booleanExpression ( COMMA penalty= numberExpression ( COMMA factor= numberExpression )? )? RPAREN ;
    public final AbstractTextMarkerAction actionDynamicAnchoring() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        Token name=null;
        BooleanExpression active = null;

        NumberExpression penalty = null;

        NumberExpression factor = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1426:5: (name= DYNAMICANCHORING LPAREN active= booleanExpression ( COMMA penalty= numberExpression ( COMMA factor= numberExpression )? )? RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1427:5: name= DYNAMICANCHORING LPAREN active= booleanExpression ( COMMA penalty= numberExpression ( COMMA factor= numberExpression )? )? RPAREN
            {
            name=(Token)match(input,DYNAMICANCHORING,FOLLOW_DYNAMICANCHORING_in_actionDynamicAnchoring8332); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionDynamicAnchoring8334); if (state.failed) return action;
            pushFollow(FOLLOW_booleanExpression_in_actionDynamicAnchoring8340);
            active=booleanExpression();

            state._fsp--;
            if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1428:5: ( COMMA penalty= numberExpression ( COMMA factor= numberExpression )? )?
            int alt159=2;
            int LA159_0 = input.LA(1);

            if ( (LA159_0==COMMA) ) {
                alt159=1;
            }
            switch (alt159) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1428:6: COMMA penalty= numberExpression ( COMMA factor= numberExpression )?
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_actionDynamicAnchoring8348); if (state.failed) return action;
                    pushFollow(FOLLOW_numberExpression_in_actionDynamicAnchoring8354);
                    penalty=numberExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1429:5: ( COMMA factor= numberExpression )?
                    int alt158=2;
                    int LA158_0 = input.LA(1);

                    if ( (LA158_0==COMMA) ) {
                        alt158=1;
                    }
                    switch (alt158) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1429:6: COMMA factor= numberExpression
                            {
                            match(input,COMMA,FOLLOW_COMMA_in_actionDynamicAnchoring8362); if (state.failed) return action;
                            pushFollow(FOLLOW_numberExpression_in_actionDynamicAnchoring8368);
                            factor=numberExpression();

                            state._fsp--;
                            if (state.failed) return action;

                            }
                            break;

                    }


                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              action = ActionFactory.createDynamicAnchoringAction(active, penalty, factor, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionDynamicAnchoring8385); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionDynamicAnchoring"


    // $ANTLR start "actionTrim"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1434:1: actionTrim returns [AbstractTextMarkerAction action = null] : name= TRIM LPAREN (typeList= typeListExpression | t1= typeExpression ( COMMA t2= typeExpression )* ) RPAREN ;
    public final AbstractTextMarkerAction actionTrim() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        Token name=null;
        TypeListExpression typeList = null;

        TypeExpression t1 = null;

        TypeExpression t2 = null;



          List<TypeExpression> types = new ArrayList<TypeExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1438:5: (name= TRIM LPAREN (typeList= typeListExpression | t1= typeExpression ( COMMA t2= typeExpression )* ) RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1439:5: name= TRIM LPAREN (typeList= typeListExpression | t1= typeExpression ( COMMA t2= typeExpression )* ) RPAREN
            {
            name=(Token)match(input,TRIM,FOLLOW_TRIM_in_actionTrim8419); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionTrim8421); if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1440:5: (typeList= typeListExpression | t1= typeExpression ( COMMA t2= typeExpression )* )
            int alt161=2;
            switch ( input.LA(1) ) {
            case LCURLY:
                {
                alt161=1;
                }
                break;
            case Identifier:
                {
                int LA161_2 = input.LA(2);

                if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPELIST"))) ) {
                    alt161=1;
                }
                else if ( (true) ) {
                    alt161=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return action;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 161, 2, input);

                    throw nvae;
                }
                }
                break;
            case BasicAnnotationType:
                {
                alt161=2;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return action;}
                NoViableAltException nvae =
                    new NoViableAltException("", 161, 0, input);

                throw nvae;
            }

            switch (alt161) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1441:5: typeList= typeListExpression
                    {
                    pushFollow(FOLLOW_typeListExpression_in_actionTrim8438);
                    typeList=typeListExpression();

                    state._fsp--;
                    if (state.failed) return action;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1443:5: t1= typeExpression ( COMMA t2= typeExpression )*
                    {
                    pushFollow(FOLLOW_typeExpression_in_actionTrim8454);
                    t1=typeExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    if ( state.backtracking==0 ) {
                      types.add(t1);
                    }
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1443:42: ( COMMA t2= typeExpression )*
                    loop160:
                    do {
                        int alt160=2;
                        int LA160_0 = input.LA(1);

                        if ( (LA160_0==COMMA) ) {
                            alt160=1;
                        }


                        switch (alt160) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1443:43: COMMA t2= typeExpression
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_actionTrim8459); if (state.failed) return action;
                    	    pushFollow(FOLLOW_typeExpression_in_actionTrim8465);
                    	    t2=typeExpression();

                    	    state._fsp--;
                    	    if (state.failed) return action;
                    	    if ( state.backtracking==0 ) {
                    	      types.add(t2);
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop160;
                        }
                    } while (true);


                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              action = ActionFactory.createTrimAction(types, typeList, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionTrim8492); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionTrim"


    // $ANTLR start "actionUnmark"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1452:1: actionUnmark returns [AbstractTextMarkerAction action = null] : name= UNMARK LPAREN f= typeExpression ( COMMA ( (b= booleanExpression )=>b= booleanExpression | (index= numberExpression ( COMMA index= numberExpression )* ) ) )? RPAREN ;
    public final AbstractTextMarkerAction actionUnmark() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        Token name=null;
        TypeExpression f = null;

        BooleanExpression b = null;

        NumberExpression index = null;



        List<NumberExpression> list = new ArrayList<NumberExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1456:5: (name= UNMARK LPAREN f= typeExpression ( COMMA ( (b= booleanExpression )=>b= booleanExpression | (index= numberExpression ( COMMA index= numberExpression )* ) ) )? RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1457:5: name= UNMARK LPAREN f= typeExpression ( COMMA ( (b= booleanExpression )=>b= booleanExpression | (index= numberExpression ( COMMA index= numberExpression )* ) ) )? RPAREN
            {
            name=(Token)match(input,UNMARK,FOLLOW_UNMARK_in_actionUnmark8528); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionUnmark8530); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionUnmark8546);
            f=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1461:5: ( COMMA ( (b= booleanExpression )=>b= booleanExpression | (index= numberExpression ( COMMA index= numberExpression )* ) ) )?
            int alt164=2;
            int LA164_0 = input.LA(1);

            if ( (LA164_0==COMMA) ) {
                alt164=1;
            }
            switch (alt164) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1461:6: COMMA ( (b= booleanExpression )=>b= booleanExpression | (index= numberExpression ( COMMA index= numberExpression )* ) )
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_actionUnmark8555); if (state.failed) return action;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1462:5: ( (b= booleanExpression )=>b= booleanExpression | (index= numberExpression ( COMMA index= numberExpression )* ) )
                    int alt163=2;
                    alt163 = dfa163.predict(input);
                    switch (alt163) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1463:4: (b= booleanExpression )=>b= booleanExpression
                            {
                            pushFollow(FOLLOW_booleanExpression_in_actionUnmark8580);
                            b=booleanExpression();

                            state._fsp--;
                            if (state.failed) return action;

                            }
                            break;
                        case 2 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1465:4: (index= numberExpression ( COMMA index= numberExpression )* )
                            {
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1465:4: (index= numberExpression ( COMMA index= numberExpression )* )
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1466:4: index= numberExpression ( COMMA index= numberExpression )*
                            {
                            pushFollow(FOLLOW_numberExpression_in_actionUnmark8599);
                            index=numberExpression();

                            state._fsp--;
                            if (state.failed) return action;
                            if ( state.backtracking==0 ) {
                              list.add(index);
                            }
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1467:4: ( COMMA index= numberExpression )*
                            loop162:
                            do {
                                int alt162=2;
                                int LA162_0 = input.LA(1);

                                if ( (LA162_0==COMMA) ) {
                                    alt162=1;
                                }


                                switch (alt162) {
                            	case 1 :
                            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1467:5: COMMA index= numberExpression
                            	    {
                            	    match(input,COMMA,FOLLOW_COMMA_in_actionUnmark8608); if (state.failed) return action;
                            	    pushFollow(FOLLOW_numberExpression_in_actionUnmark8614);
                            	    index=numberExpression();

                            	    state._fsp--;
                            	    if (state.failed) return action;
                            	    if ( state.backtracking==0 ) {
                            	      list.add(index);
                            	    }

                            	    }
                            	    break;

                            	default :
                            	    break loop162;
                                }
                            } while (true);


                            }


                            }
                            break;

                    }


                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_actionUnmark8651); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createUnmarkAction(f, list, b,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionUnmark"


    // $ANTLR start "actionUnmarkAll"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1478:1: actionUnmarkAll returns [AbstractTextMarkerAction action = null] : name= UNMARKALL LPAREN f= typeExpression ( COMMA list= typeListExpression )? RPAREN ;
    public final AbstractTextMarkerAction actionUnmarkAll() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        Token name=null;
        TypeExpression f = null;

        TypeListExpression list = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1479:5: (name= UNMARKALL LPAREN f= typeExpression ( COMMA list= typeListExpression )? RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1480:5: name= UNMARKALL LPAREN f= typeExpression ( COMMA list= typeListExpression )? RPAREN
            {
            name=(Token)match(input,UNMARKALL,FOLLOW_UNMARKALL_in_actionUnmarkAll8687); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionUnmarkAll8689); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionUnmarkAll8695);
            f=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1481:5: ( COMMA list= typeListExpression )?
            int alt165=2;
            int LA165_0 = input.LA(1);

            if ( (LA165_0==COMMA) ) {
                alt165=1;
            }
            switch (alt165) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1481:6: COMMA list= typeListExpression
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_actionUnmarkAll8703); if (state.failed) return action;
                    pushFollow(FOLLOW_typeListExpression_in_actionUnmarkAll8709);
                    list=typeListExpression();

                    state._fsp--;
                    if (state.failed) return action;

                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_actionUnmarkAll8713); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createUnmarkAllAction(f, list, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionUnmarkAll"


    // $ANTLR start "actionTransfer"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1485:1: actionTransfer returns [AbstractTextMarkerAction action = null] : name= TRANSFER LPAREN f= typeExpression RPAREN ;
    public final AbstractTextMarkerAction actionTransfer() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        Token name=null;
        TypeExpression f = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1486:5: (name= TRANSFER LPAREN f= typeExpression RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1487:5: name= TRANSFER LPAREN f= typeExpression RPAREN
            {
            name=(Token)match(input,TRANSFER,FOLLOW_TRANSFER_in_actionTransfer8748); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionTransfer8750); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionTransfer8756);
            f=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,RPAREN,FOLLOW_RPAREN_in_actionTransfer8758); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createTransferAction(f, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionTransfer"


    // $ANTLR start "actionTrie"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1491:1: actionTrie returns [AbstractTextMarkerAction action = null] : name= TRIE LPAREN key= stringExpression ASSIGN_EQUAL value= typeExpression ( COMMA key= stringExpression ASSIGN_EQUAL value= typeExpression )* COMMA list= wordListExpression COMMA ignoreCase= booleanExpression COMMA ignoreLength= numberExpression COMMA edit= booleanExpression COMMA distance= numberExpression COMMA ignoreChar= stringExpression RPAREN ;
    public final AbstractTextMarkerAction actionTrie() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        Token name=null;
        StringExpression key = null;

        TypeExpression value = null;

        WordListExpression list = null;

        BooleanExpression ignoreCase = null;

        NumberExpression ignoreLength = null;

        BooleanExpression edit = null;

        NumberExpression distance = null;

        StringExpression ignoreChar = null;



        Map<StringExpression, TypeExpression> map = new HashMap<StringExpression, TypeExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1495:5: (name= TRIE LPAREN key= stringExpression ASSIGN_EQUAL value= typeExpression ( COMMA key= stringExpression ASSIGN_EQUAL value= typeExpression )* COMMA list= wordListExpression COMMA ignoreCase= booleanExpression COMMA ignoreLength= numberExpression COMMA edit= booleanExpression COMMA distance= numberExpression COMMA ignoreChar= stringExpression RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1496:5: name= TRIE LPAREN key= stringExpression ASSIGN_EQUAL value= typeExpression ( COMMA key= stringExpression ASSIGN_EQUAL value= typeExpression )* COMMA list= wordListExpression COMMA ignoreCase= booleanExpression COMMA ignoreLength= numberExpression COMMA edit= booleanExpression COMMA distance= numberExpression COMMA ignoreChar= stringExpression RPAREN
            {
            name=(Token)match(input,TRIE,FOLLOW_TRIE_in_actionTrie8798); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionTrie8800); if (state.failed) return action;
            pushFollow(FOLLOW_stringExpression_in_actionTrie8810);
            key=stringExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_actionTrie8812); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionTrie8818);
            value=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              map.put(key,value);
            }
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1498:5: ( COMMA key= stringExpression ASSIGN_EQUAL value= typeExpression )*
            loop166:
            do {
                int alt166=2;
                int LA166_0 = input.LA(1);

                if ( (LA166_0==COMMA) ) {
                    int LA166_1 = input.LA(2);

                    if ( (LA166_1==Identifier) ) {
                        int LA166_2 = input.LA(3);

                        if ( (LA166_2==LPAREN||LA166_2==PLUS||LA166_2==ASSIGN_EQUAL) ) {
                            alt166=1;
                        }


                    }
                    else if ( (LA166_1==REMOVESTRING||LA166_1==StringLiteral) ) {
                        alt166=1;
                    }


                }


                switch (alt166) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1498:6: COMMA key= stringExpression ASSIGN_EQUAL value= typeExpression
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionTrie8826); if (state.failed) return action;
            	    pushFollow(FOLLOW_stringExpression_in_actionTrie8832);
            	    key=stringExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_actionTrie8834); if (state.failed) return action;
            	    pushFollow(FOLLOW_typeExpression_in_actionTrie8840);
            	    value=typeExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      map.put(key,value);
            	    }

            	    }
            	    break;

            	default :
            	    break loop166;
                }
            } while (true);

            match(input,COMMA,FOLLOW_COMMA_in_actionTrie8850); if (state.failed) return action;
            pushFollow(FOLLOW_wordListExpression_in_actionTrie8856);
            list=wordListExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionTrie8863); if (state.failed) return action;
            pushFollow(FOLLOW_booleanExpression_in_actionTrie8869);
            ignoreCase=booleanExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionTrie8876); if (state.failed) return action;
            pushFollow(FOLLOW_numberExpression_in_actionTrie8882);
            ignoreLength=numberExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionTrie8889); if (state.failed) return action;
            pushFollow(FOLLOW_booleanExpression_in_actionTrie8895);
            edit=booleanExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionTrie8902); if (state.failed) return action;
            pushFollow(FOLLOW_numberExpression_in_actionTrie8908);
            distance=numberExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionTrie8915); if (state.failed) return action;
            pushFollow(FOLLOW_stringExpression_in_actionTrie8921);
            ignoreChar=stringExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,RPAREN,FOLLOW_RPAREN_in_actionTrie8927); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createTrieAction(list, map, ignoreCase, ignoreLength, edit, distance, ignoreChar,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionTrie"


    // $ANTLR start "actionAdd"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1510:1: actionAdd returns [AbstractTextMarkerAction action = null] : name= ADD LPAREN f= listVariable ( COMMA a= argument )+ RPAREN ;
    public final AbstractTextMarkerAction actionAdd() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        Token name=null;
        Token f = null;

        TextMarkerExpression a = null;



        	List<TextMarkerExpression> list = new ArrayList<TextMarkerExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1514:5: (name= ADD LPAREN f= listVariable ( COMMA a= argument )+ RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1515:5: name= ADD LPAREN f= listVariable ( COMMA a= argument )+ RPAREN
            {
            name=(Token)match(input,ADD,FOLLOW_ADD_in_actionAdd8972); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionAdd8974); if (state.failed) return action;
            pushFollow(FOLLOW_listVariable_in_actionAdd8980);
            f=listVariable();

            state._fsp--;
            if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1515:40: ( COMMA a= argument )+
            int cnt167=0;
            loop167:
            do {
                int alt167=2;
                int LA167_0 = input.LA(1);

                if ( (LA167_0==COMMA) ) {
                    alt167=1;
                }


                switch (alt167) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1515:41: COMMA a= argument
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionAdd8983); if (state.failed) return action;
            	    pushFollow(FOLLOW_argument_in_actionAdd8989);
            	    a=argument();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      list.add(a);
            	    }

            	    }
            	    break;

            	default :
            	    if ( cnt167 >= 1 ) break loop167;
            	    if (state.backtracking>0) {state.failed=true; return action;}
                        EarlyExitException eee =
                            new EarlyExitException(167, input);
                        throw eee;
                }
                cnt167++;
            } while (true);

            match(input,RPAREN,FOLLOW_RPAREN_in_actionAdd8995); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAddAction(f, list, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionAdd"


    // $ANTLR start "actionRemove"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1519:1: actionRemove returns [AbstractTextMarkerAction action = null] : name= REMOVE LPAREN f= listVariable ( COMMA a= argument )+ RPAREN ;
    public final AbstractTextMarkerAction actionRemove() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        Token name=null;
        Token f = null;

        TextMarkerExpression a = null;



        	List<TextMarkerExpression> list = new ArrayList<TextMarkerExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1523:5: (name= REMOVE LPAREN f= listVariable ( COMMA a= argument )+ RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1524:5: name= REMOVE LPAREN f= listVariable ( COMMA a= argument )+ RPAREN
            {
            name=(Token)match(input,REMOVE,FOLLOW_REMOVE_in_actionRemove9035); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionRemove9037); if (state.failed) return action;
            pushFollow(FOLLOW_listVariable_in_actionRemove9043);
            f=listVariable();

            state._fsp--;
            if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1524:43: ( COMMA a= argument )+
            int cnt168=0;
            loop168:
            do {
                int alt168=2;
                int LA168_0 = input.LA(1);

                if ( (LA168_0==COMMA) ) {
                    alt168=1;
                }


                switch (alt168) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1524:44: COMMA a= argument
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionRemove9046); if (state.failed) return action;
            	    pushFollow(FOLLOW_argument_in_actionRemove9052);
            	    a=argument();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      list.add(a);
            	    }

            	    }
            	    break;

            	default :
            	    if ( cnt168 >= 1 ) break loop168;
            	    if (state.backtracking>0) {state.failed=true; return action;}
                        EarlyExitException eee =
                            new EarlyExitException(168, input);
                        throw eee;
                }
                cnt168++;
            } while (true);

            match(input,RPAREN,FOLLOW_RPAREN_in_actionRemove9058); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createRemoveAction(f, list, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionRemove"


    // $ANTLR start "actionRemoveDuplicate"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1528:1: actionRemoveDuplicate returns [AbstractTextMarkerAction action = null] : name= REMOVEDUPLICATE LPAREN f= listVariable RPAREN ;
    public final AbstractTextMarkerAction actionRemoveDuplicate() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        Token name=null;
        Token f = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1529:5: (name= REMOVEDUPLICATE LPAREN f= listVariable RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1530:5: name= REMOVEDUPLICATE LPAREN f= listVariable RPAREN
            {
            name=(Token)match(input,REMOVEDUPLICATE,FOLLOW_REMOVEDUPLICATE_in_actionRemoveDuplicate9094); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionRemoveDuplicate9096); if (state.failed) return action;
            pushFollow(FOLLOW_listVariable_in_actionRemoveDuplicate9102);
            f=listVariable();

            state._fsp--;
            if (state.failed) return action;
            match(input,RPAREN,FOLLOW_RPAREN_in_actionRemoveDuplicate9104); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createRemoveDuplicateAction(f,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionRemoveDuplicate"


    // $ANTLR start "actionMerge"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1534:1: actionMerge returns [AbstractTextMarkerAction action = null] : name= MERGE LPAREN join= booleanExpression COMMA t= listVariable COMMA f= listExpression ( COMMA f= listExpression )+ RPAREN ;
    public final AbstractTextMarkerAction actionMerge() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        Token name=null;
        BooleanExpression join = null;

        Token t = null;

        ListExpression f = null;



        	List<ListExpression> list = new ArrayList<ListExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1538:5: (name= MERGE LPAREN join= booleanExpression COMMA t= listVariable COMMA f= listExpression ( COMMA f= listExpression )+ RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1539:5: name= MERGE LPAREN join= booleanExpression COMMA t= listVariable COMMA f= listExpression ( COMMA f= listExpression )+ RPAREN
            {
            name=(Token)match(input,MERGE,FOLLOW_MERGE_in_actionMerge9149); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionMerge9151); if (state.failed) return action;
            pushFollow(FOLLOW_booleanExpression_in_actionMerge9157);
            join=booleanExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionMerge9159); if (state.failed) return action;
            pushFollow(FOLLOW_listVariable_in_actionMerge9165);
            t=listVariable();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionMerge9167); if (state.failed) return action;
            pushFollow(FOLLOW_listExpression_in_actionMerge9173);
            f=listExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              list.add(f);
            }
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1539:113: ( COMMA f= listExpression )+
            int cnt169=0;
            loop169:
            do {
                int alt169=2;
                int LA169_0 = input.LA(1);

                if ( (LA169_0==COMMA) ) {
                    alt169=1;
                }


                switch (alt169) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1539:114: COMMA f= listExpression
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionMerge9178); if (state.failed) return action;
            	    pushFollow(FOLLOW_listExpression_in_actionMerge9184);
            	    f=listExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      list.add(f);
            	    }

            	    }
            	    break;

            	default :
            	    if ( cnt169 >= 1 ) break loop169;
            	    if (state.backtracking>0) {state.failed=true; return action;}
                        EarlyExitException eee =
                            new EarlyExitException(169, input);
                        throw eee;
                }
                cnt169++;
            } while (true);

            match(input,RPAREN,FOLLOW_RPAREN_in_actionMerge9190); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createMergeAction(join, t, list,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionMerge"


    // $ANTLR start "actionGet"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1543:1: actionGet returns [AbstractTextMarkerAction action = null] : name= GET LPAREN f= listExpression COMMA var= variable COMMA op= stringExpression RPAREN ;
    public final AbstractTextMarkerAction actionGet() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        Token name=null;
        ListExpression f = null;

        Token var = null;

        StringExpression op = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1544:5: (name= GET LPAREN f= listExpression COMMA var= variable COMMA op= stringExpression RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1545:5: name= GET LPAREN f= listExpression COMMA var= variable COMMA op= stringExpression RPAREN
            {
            name=(Token)match(input,GET,FOLLOW_GET_in_actionGet9225); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionGet9227); if (state.failed) return action;
            pushFollow(FOLLOW_listExpression_in_actionGet9233);
            f=listExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionGet9235); if (state.failed) return action;
            pushFollow(FOLLOW_variable_in_actionGet9241);
            var=variable();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionGet9243); if (state.failed) return action;
            pushFollow(FOLLOW_stringExpression_in_actionGet9249);
            op=stringExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,RPAREN,FOLLOW_RPAREN_in_actionGet9251); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createGetAction(f, var, op,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionGet"


    // $ANTLR start "actionGetList"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1549:1: actionGetList returns [AbstractTextMarkerAction action = null] : name= GETLIST LPAREN var= listVariable COMMA op= stringExpression RPAREN ;
    public final AbstractTextMarkerAction actionGetList() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        Token name=null;
        Token var = null;

        StringExpression op = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1550:5: (name= GETLIST LPAREN var= listVariable COMMA op= stringExpression RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1551:5: name= GETLIST LPAREN var= listVariable COMMA op= stringExpression RPAREN
            {
            name=(Token)match(input,GETLIST,FOLLOW_GETLIST_in_actionGetList9286); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionGetList9288); if (state.failed) return action;
            pushFollow(FOLLOW_listVariable_in_actionGetList9294);
            var=listVariable();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionGetList9296); if (state.failed) return action;
            pushFollow(FOLLOW_stringExpression_in_actionGetList9302);
            op=stringExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,RPAREN,FOLLOW_RPAREN_in_actionGetList9304); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createGetListAction(var, op,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionGetList"


    // $ANTLR start "actionMatchedText"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1555:1: actionMatchedText returns [AbstractTextMarkerAction action = null] : MATCHEDTEXT LPAREN var= variable ( COMMA index= numberExpression )* RPAREN ;
    public final AbstractTextMarkerAction actionMatchedText() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        Token var = null;

        NumberExpression index = null;



        List<NumberExpression> list = new ArrayList<NumberExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1559:5: ( MATCHEDTEXT LPAREN var= variable ( COMMA index= numberExpression )* RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1560:5: MATCHEDTEXT LPAREN var= variable ( COMMA index= numberExpression )* RPAREN
            {
            match(input,MATCHEDTEXT,FOLLOW_MATCHEDTEXT_in_actionMatchedText9343); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionMatchedText9345); if (state.failed) return action;
            pushFollow(FOLLOW_variable_in_actionMatchedText9356);
            var=variable();

            state._fsp--;
            if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1562:5: ( COMMA index= numberExpression )*
            loop170:
            do {
                int alt170=2;
                int LA170_0 = input.LA(1);

                if ( (LA170_0==COMMA) ) {
                    alt170=1;
                }


                switch (alt170) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1563:9: COMMA index= numberExpression
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionMatchedText9372); if (state.failed) return action;
            	    pushFollow(FOLLOW_numberExpression_in_actionMatchedText9378);
            	    index=numberExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      list.add(index);
            	    }

            	    }
            	    break;

            	default :
            	    break loop170;
                }
            } while (true);

            match(input,RPAREN,FOLLOW_RPAREN_in_actionMatchedText9402); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createMatchedTextAction(var, list, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionMatchedText"


    // $ANTLR start "actionClear"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1571:1: actionClear returns [AbstractTextMarkerAction action = null] : name= CLEAR LPAREN var= listVariable RPAREN ;
    public final AbstractTextMarkerAction actionClear() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        Token name=null;
        Token var = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1572:5: (name= CLEAR LPAREN var= listVariable RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1573:5: name= CLEAR LPAREN var= listVariable RPAREN
            {
            name=(Token)match(input,CLEAR,FOLLOW_CLEAR_in_actionClear9442); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionClear9444); if (state.failed) return action;
            pushFollow(FOLLOW_listVariable_in_actionClear9450);
            var=listVariable();

            state._fsp--;
            if (state.failed) return action;
            match(input,RPAREN,FOLLOW_RPAREN_in_actionClear9452); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createClearAction(var, ((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionClear"


    // $ANTLR start "actionAddRetainType"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1577:1: actionAddRetainType returns [AbstractTextMarkerAction action = null] : ADDRETAINTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN ) ;
    public final AbstractTextMarkerAction actionAddRetainType() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        TypeExpression id = null;



        List<TypeExpression> list = new ArrayList<TypeExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1581:5: ( ADDRETAINTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN ) )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1582:5: ADDRETAINTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )
            {
            match(input,ADDRETAINTYPE,FOLLOW_ADDRETAINTYPE_in_actionAddRetainType9488); if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1582:19: ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1582:20: LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN
            {
            match(input,LPAREN,FOLLOW_LPAREN_in_actionAddRetainType9491); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionAddRetainType9497);
            id=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              list.add(id);
            }
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1582:63: ( COMMA id= typeExpression )*
            loop171:
            do {
                int alt171=2;
                int LA171_0 = input.LA(1);

                if ( (LA171_0==COMMA) ) {
                    alt171=1;
                }


                switch (alt171) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1582:64: COMMA id= typeExpression
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionAddRetainType9502); if (state.failed) return action;
            	    pushFollow(FOLLOW_typeExpression_in_actionAddRetainType9508);
            	    id=typeExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      list.add(id);
            	    }

            	    }
            	    break;

            	default :
            	    break loop171;
                }
            } while (true);

            match(input,RPAREN,FOLLOW_RPAREN_in_actionAddRetainType9514); if (state.failed) return action;

            }

            if ( state.backtracking==0 ) {
              action = ActionFactory.createAddRetainTypeAction(list,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionAddRetainType"


    // $ANTLR start "actionRemoveRetainType"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1586:1: actionRemoveRetainType returns [AbstractTextMarkerAction action = null] : REMOVERETAINTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN ) ;
    public final AbstractTextMarkerAction actionRemoveRetainType() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        TypeExpression id = null;



        List<TypeExpression> list = new ArrayList<TypeExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1590:5: ( REMOVERETAINTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN ) )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1591:5: REMOVERETAINTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )
            {
            match(input,REMOVERETAINTYPE,FOLLOW_REMOVERETAINTYPE_in_actionRemoveRetainType9556); if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1591:22: ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1591:23: LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN
            {
            match(input,LPAREN,FOLLOW_LPAREN_in_actionRemoveRetainType9559); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionRemoveRetainType9565);
            id=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              list.add(id);
            }
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1591:66: ( COMMA id= typeExpression )*
            loop172:
            do {
                int alt172=2;
                int LA172_0 = input.LA(1);

                if ( (LA172_0==COMMA) ) {
                    alt172=1;
                }


                switch (alt172) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1591:67: COMMA id= typeExpression
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionRemoveRetainType9570); if (state.failed) return action;
            	    pushFollow(FOLLOW_typeExpression_in_actionRemoveRetainType9576);
            	    id=typeExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      list.add(id);
            	    }

            	    }
            	    break;

            	default :
            	    break loop172;
                }
            } while (true);

            match(input,RPAREN,FOLLOW_RPAREN_in_actionRemoveRetainType9582); if (state.failed) return action;

            }

            if ( state.backtracking==0 ) {
              action = ActionFactory.createRemoveRetainTypeAction(list,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionRemoveRetainType"


    // $ANTLR start "actionAddFilterType"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1595:1: actionAddFilterType returns [AbstractTextMarkerAction action = null] : ADDFILTERTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN ) ;
    public final AbstractTextMarkerAction actionAddFilterType() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        TypeExpression id = null;



        List<TypeExpression> list = new ArrayList<TypeExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1599:5: ( ADDFILTERTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN ) )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1600:5: ADDFILTERTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )
            {
            match(input,ADDFILTERTYPE,FOLLOW_ADDFILTERTYPE_in_actionAddFilterType9622); if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1600:19: ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1600:20: LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN
            {
            match(input,LPAREN,FOLLOW_LPAREN_in_actionAddFilterType9625); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionAddFilterType9631);
            id=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              list.add(id);
            }
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1600:63: ( COMMA id= typeExpression )*
            loop173:
            do {
                int alt173=2;
                int LA173_0 = input.LA(1);

                if ( (LA173_0==COMMA) ) {
                    alt173=1;
                }


                switch (alt173) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1600:64: COMMA id= typeExpression
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionAddFilterType9636); if (state.failed) return action;
            	    pushFollow(FOLLOW_typeExpression_in_actionAddFilterType9642);
            	    id=typeExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      list.add(id);
            	    }

            	    }
            	    break;

            	default :
            	    break loop173;
                }
            } while (true);

            match(input,RPAREN,FOLLOW_RPAREN_in_actionAddFilterType9648); if (state.failed) return action;

            }

            if ( state.backtracking==0 ) {
              action = ActionFactory.createAddFilterTypeAction(list,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionAddFilterType"


    // $ANTLR start "actionRemoveFilterType"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1604:1: actionRemoveFilterType returns [AbstractTextMarkerAction action = null] : REMOVEFILTERTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN ) ;
    public final AbstractTextMarkerAction actionRemoveFilterType() throws RecognitionException {
        AbstractTextMarkerAction action =  null;

        TypeExpression id = null;



        List<TypeExpression> list = new ArrayList<TypeExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1608:5: ( REMOVEFILTERTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN ) )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1609:5: REMOVEFILTERTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )
            {
            match(input,REMOVEFILTERTYPE,FOLLOW_REMOVEFILTERTYPE_in_actionRemoveFilterType9688); if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1609:22: ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1609:23: LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN
            {
            match(input,LPAREN,FOLLOW_LPAREN_in_actionRemoveFilterType9691); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionRemoveFilterType9697);
            id=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              list.add(id);
            }
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1609:66: ( COMMA id= typeExpression )*
            loop174:
            do {
                int alt174=2;
                int LA174_0 = input.LA(1);

                if ( (LA174_0==COMMA) ) {
                    alt174=1;
                }


                switch (alt174) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1609:67: COMMA id= typeExpression
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionRemoveFilterType9702); if (state.failed) return action;
            	    pushFollow(FOLLOW_typeExpression_in_actionRemoveFilterType9708);
            	    id=typeExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      list.add(id);
            	    }

            	    }
            	    break;

            	default :
            	    break loop174;
                }
            } while (true);

            match(input,RPAREN,FOLLOW_RPAREN_in_actionRemoveFilterType9714); if (state.failed) return action;

            }

            if ( state.backtracking==0 ) {
              action = ActionFactory.createRemoveFilterTypeAction(list,((blockDeclaration_scope)blockDeclaration_stack.peek()).env);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionRemoveFilterType"


    // $ANTLR start "varArgumentList"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1613:1: varArgumentList returns [List args = new ArrayList()] : ( LPAREN arg= argument ( COMMA arg= argument )* RPAREN )? ;
    public final List varArgumentList() throws RecognitionException {
        List args =  new ArrayList();

        TextMarkerExpression arg = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1614:2: ( ( LPAREN arg= argument ( COMMA arg= argument )* RPAREN )? )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1615:2: ( LPAREN arg= argument ( COMMA arg= argument )* RPAREN )?
            {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1615:2: ( LPAREN arg= argument ( COMMA arg= argument )* RPAREN )?
            int alt176=2;
            int LA176_0 = input.LA(1);

            if ( (LA176_0==LPAREN) ) {
                alt176=1;
            }
            switch (alt176) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1615:3: LPAREN arg= argument ( COMMA arg= argument )* RPAREN
                    {
                    match(input,LPAREN,FOLLOW_LPAREN_in_varArgumentList9746); if (state.failed) return args;
                    pushFollow(FOLLOW_argument_in_varArgumentList9752);
                    arg=argument();

                    state._fsp--;
                    if (state.failed) return args;
                    if ( state.backtracking==0 ) {
                      args.add(arg);
                    }
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1615:41: ( COMMA arg= argument )*
                    loop175:
                    do {
                        int alt175=2;
                        int LA175_0 = input.LA(1);

                        if ( (LA175_0==COMMA) ) {
                            alt175=1;
                        }


                        switch (alt175) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1615:42: COMMA arg= argument
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_varArgumentList9756); if (state.failed) return args;
                    	    pushFollow(FOLLOW_argument_in_varArgumentList9762);
                    	    arg=argument();

                    	    state._fsp--;
                    	    if (state.failed) return args;
                    	    if ( state.backtracking==0 ) {
                    	      args.add(arg);
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop175;
                        }
                    } while (true);

                    match(input,RPAREN,FOLLOW_RPAREN_in_varArgumentList9768); if (state.failed) return args;

                    }
                    break;

            }


            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return args;
    }
    // $ANTLR end "varArgumentList"


    // $ANTLR start "argument"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1618:1: argument returns [TextMarkerExpression expr = null] options {backtrack=true; } : (a4= stringExpression | a2= booleanExpression | a3= numberExpression | a1= typeExpression );
    public final TextMarkerExpression argument() throws RecognitionException {
        TextMarkerExpression expr =  null;

        StringExpression a4 = null;

        BooleanExpression a2 = null;

        NumberExpression a3 = null;

        TypeExpression a1 = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1622:2: (a4= stringExpression | a2= booleanExpression | a3= numberExpression | a1= typeExpression )
            int alt177=4;
            alt177 = dfa177.predict(input);
            switch (alt177) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1623:2: a4= stringExpression
                    {
                    pushFollow(FOLLOW_stringExpression_in_argument9802);
                    a4=stringExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = a4;
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1624:4: a2= booleanExpression
                    {
                    pushFollow(FOLLOW_booleanExpression_in_argument9813);
                    a2=booleanExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = a2;
                    }

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1625:4: a3= numberExpression
                    {
                    pushFollow(FOLLOW_numberExpression_in_argument9824);
                    a3=numberExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = a3;
                    }

                    }
                    break;
                case 4 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1626:4: a1= typeExpression
                    {
                    pushFollow(FOLLOW_typeExpression_in_argument9835);
                    a1=typeExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = a1;
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "argument"


    // $ANTLR start "dottedIdentifier"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1635:1: dottedIdentifier returns [String idString = \"\"] : id= Identifier (dot= DOT idn= Identifier )* ;
    public final String dottedIdentifier() throws RecognitionException {
        String idString =  "";

        Token id=null;
        Token dot=null;
        Token idn=null;

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1636:2: (id= Identifier (dot= DOT idn= Identifier )* )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1637:2: id= Identifier (dot= DOT idn= Identifier )*
            {
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_dottedIdentifier9869); if (state.failed) return idString;
            if ( state.backtracking==0 ) {
              idString += id.getText();
            }
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1638:2: (dot= DOT idn= Identifier )*
            loop178:
            do {
                int alt178=2;
                int LA178_0 = input.LA(1);

                if ( (LA178_0==DOT) ) {
                    alt178=1;
                }


                switch (alt178) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1639:3: dot= DOT idn= Identifier
            	    {
            	    dot=(Token)match(input,DOT,FOLLOW_DOT_in_dottedIdentifier9882); if (state.failed) return idString;
            	    if ( state.backtracking==0 ) {
            	      idString += dot.getText();
            	    }
            	    idn=(Token)match(input,Identifier,FOLLOW_Identifier_in_dottedIdentifier9892); if (state.failed) return idString;
            	    if ( state.backtracking==0 ) {
            	      idString += idn.getText();
            	    }

            	    }
            	    break;

            	default :
            	    break loop178;
                }
            } while (true);


            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return idString;
    }
    // $ANTLR end "dottedIdentifier"


    // $ANTLR start "dottedIdentifier2"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1644:1: dottedIdentifier2 returns [String idString = \"\"] : id= Identifier (dot= ( DOT | MINUS ) idn= Identifier )* ;
    public final String dottedIdentifier2() throws RecognitionException {
        String idString =  "";

        Token id=null;
        Token dot=null;
        Token idn=null;

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1645:2: (id= Identifier (dot= ( DOT | MINUS ) idn= Identifier )* )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1646:2: id= Identifier (dot= ( DOT | MINUS ) idn= Identifier )*
            {
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_dottedIdentifier29918); if (state.failed) return idString;
            if ( state.backtracking==0 ) {
              idString += id.getText();
            }
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1647:2: (dot= ( DOT | MINUS ) idn= Identifier )*
            loop179:
            do {
                int alt179=2;
                int LA179_0 = input.LA(1);

                if ( (LA179_0==DOT||LA179_0==MINUS) ) {
                    alt179=1;
                }


                switch (alt179) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1648:3: dot= ( DOT | MINUS ) idn= Identifier
            	    {
            	    dot=(Token)input.LT(1);
            	    if ( input.LA(1)==DOT||input.LA(1)==MINUS ) {
            	        input.consume();
            	        state.errorRecovery=false;state.failed=false;
            	    }
            	    else {
            	        if (state.backtracking>0) {state.failed=true; return idString;}
            	        MismatchedSetException mse = new MismatchedSetException(null,input);
            	        throw mse;
            	    }

            	    if ( state.backtracking==0 ) {
            	      idString += dot.getText();
            	    }
            	    idn=(Token)match(input,Identifier,FOLLOW_Identifier_in_dottedIdentifier29945); if (state.failed) return idString;
            	    if ( state.backtracking==0 ) {
            	      idString += idn.getText();
            	    }

            	    }
            	    break;

            	default :
            	    break loop179;
                }
            } while (true);


            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return idString;
    }
    // $ANTLR end "dottedIdentifier2"


    // $ANTLR start "dottedId"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1654:1: dottedId returns [Token token = null ] : id= Identifier (dot= DOT id= Identifier )* ;
    public final Token dottedId() throws RecognitionException {
        Token token =  null;

        Token id=null;
        Token dot=null;

        CommonToken ct = null;
        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1656:2: (id= Identifier (dot= DOT id= Identifier )* )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1657:2: id= Identifier (dot= DOT id= Identifier )*
            {
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_dottedId9977); if (state.failed) return token;
            if ( state.backtracking==0 ) {

              		ct = new CommonToken(id);
              		
            }
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1660:2: (dot= DOT id= Identifier )*
            loop180:
            do {
                int alt180=2;
                int LA180_0 = input.LA(1);

                if ( (LA180_0==DOT) ) {
                    alt180=1;
                }


                switch (alt180) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1661:3: dot= DOT id= Identifier
            	    {
            	    dot=(Token)match(input,DOT,FOLLOW_DOT_in_dottedId9990); if (state.failed) return token;
            	    if ( state.backtracking==0 ) {
            	      ct.setText(ct.getText() + dot.getText());
            	    }
            	    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_dottedId10000); if (state.failed) return token;
            	    if ( state.backtracking==0 ) {
            	      ct.setStopIndex(getBounds(id)[1]);
            	      		                 ct.setText(ct.getText() + id.getText());
            	    }

            	    }
            	    break;

            	default :
            	    break loop180;
                }
            } while (true);

            if ( state.backtracking==0 ) {
              token = ct;
              	 return token;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return token;
    }
    // $ANTLR end "dottedId"


    // $ANTLR start "annotationType"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1669:1: annotationType returns [Token ref = null] : (token= BasicAnnotationType | did= dottedId ) ;
    public final Token annotationType() throws RecognitionException {
        Token ref =  null;

        Token token=null;
        Token did = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1670:2: ( (token= BasicAnnotationType | did= dottedId ) )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1671:2: (token= BasicAnnotationType | did= dottedId )
            {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1671:2: (token= BasicAnnotationType | did= dottedId )
            int alt181=2;
            int LA181_0 = input.LA(1);

            if ( (LA181_0==BasicAnnotationType) ) {
                alt181=1;
            }
            else if ( (LA181_0==Identifier) ) {
                alt181=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return ref;}
                NoViableAltException nvae =
                    new NoViableAltException("", 181, 0, input);

                throw nvae;
            }
            switch (alt181) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1673:2: token= BasicAnnotationType
                    {
                    token=(Token)match(input,BasicAnnotationType,FOLLOW_BasicAnnotationType_in_annotationType10035); if (state.failed) return ref;
                    if ( state.backtracking==0 ) {
                      ref = token;
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1675:2: did= dottedId
                    {
                    pushFollow(FOLLOW_dottedId_in_annotationType10047);
                    did=dottedId();

                    state._fsp--;
                    if (state.failed) return ref;
                    if ( state.backtracking==0 ) {
                      ref = did;
                    }

                    }
                    break;

            }


            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return ref;
    }
    // $ANTLR end "annotationType"


    // $ANTLR start "wordListExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1679:1: wordListExpression returns [WordListExpression expr = null] : (id= Identifier | path= RessourceLiteral );
    public final WordListExpression wordListExpression() throws RecognitionException {
        WordListExpression expr =  null;

        Token id=null;
        Token path=null;

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1680:2: (id= Identifier | path= RessourceLiteral )
            int alt182=2;
            int LA182_0 = input.LA(1);

            if ( (LA182_0==Identifier) ) {
                alt182=1;
            }
            else if ( (LA182_0==RessourceLiteral) ) {
                alt182=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 182, 0, input);

                throw nvae;
            }
            switch (alt182) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1681:2: id= Identifier
                    {
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_wordListExpression10072); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createReferenceWordListExpression(id);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1684:2: path= RessourceLiteral
                    {
                    path=(Token)match(input,RessourceLiteral,FOLLOW_RessourceLiteral_in_wordListExpression10085); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createLiteralWordListExpression(path);
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "wordListExpression"


    // $ANTLR start "wordTableExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1689:1: wordTableExpression returns [WordTableExpression expr = null] : (id= Identifier | path= RessourceLiteral );
    public final WordTableExpression wordTableExpression() throws RecognitionException {
        WordTableExpression expr =  null;

        Token id=null;
        Token path=null;

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1690:2: (id= Identifier | path= RessourceLiteral )
            int alt183=2;
            int LA183_0 = input.LA(1);

            if ( (LA183_0==Identifier) ) {
                alt183=1;
            }
            else if ( (LA183_0==RessourceLiteral) ) {
                alt183=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 183, 0, input);

                throw nvae;
            }
            switch (alt183) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1691:2: id= Identifier
                    {
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_wordTableExpression10109); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createReferenceWordTableExpression(id);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1694:2: path= RessourceLiteral
                    {
                    path=(Token)match(input,RessourceLiteral,FOLLOW_RessourceLiteral_in_wordTableExpression10122); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createLiteralWordTableExpression(path);
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "wordTableExpression"


    // $ANTLR start "numberFunction"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1699:1: numberFunction returns [NumberExpression expr = null] : ( (op= ( EXP | LOGN | SIN | COS | TAN ) numExprP= numberExpressionInPar ) | (e= externalNumberFunction )=>e= externalNumberFunction );
    public final NumberExpression numberFunction() throws RecognitionException {
        NumberExpression expr =  null;

        Token op=null;
        NumberExpression numExprP = null;

        NumberExpression e = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1700:2: ( (op= ( EXP | LOGN | SIN | COS | TAN ) numExprP= numberExpressionInPar ) | (e= externalNumberFunction )=>e= externalNumberFunction )
            int alt184=2;
            int LA184_0 = input.LA(1);

            if ( ((LA184_0>=EXP && LA184_0<=TAN)) ) {
                alt184=1;
            }
            else if ( (LA184_0==Identifier) && (synpred36_TextMarkerParser())) {
                alt184=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 184, 0, input);

                throw nvae;
            }
            switch (alt184) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1701:2: (op= ( EXP | LOGN | SIN | COS | TAN ) numExprP= numberExpressionInPar )
                    {
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1701:2: (op= ( EXP | LOGN | SIN | COS | TAN ) numExprP= numberExpressionInPar )
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1701:3: op= ( EXP | LOGN | SIN | COS | TAN ) numExprP= numberExpressionInPar
                    {
                    op=(Token)input.LT(1);
                    if ( (input.LA(1)>=EXP && input.LA(1)<=TAN) ) {
                        input.consume();
                        state.errorRecovery=false;state.failed=false;
                    }
                    else {
                        if (state.backtracking>0) {state.failed=true; return expr;}
                        MismatchedSetException mse = new MismatchedSetException(null,input);
                        throw mse;
                    }

                    pushFollow(FOLLOW_numberExpressionInPar_in_numberFunction10167);
                    numExprP=numberExpressionInPar();

                    state._fsp--;
                    if (state.failed) return expr;

                    }

                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createComposedNumberExpression(numExprP,op);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1704:4: (e= externalNumberFunction )=>e= externalNumberFunction
                    {
                    pushFollow(FOLLOW_externalNumberFunction_in_numberFunction10191);
                    e=externalNumberFunction();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e;
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "numberFunction"


    // $ANTLR start "externalNumberFunction"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1709:1: externalNumberFunction returns [NumberExpression expr = null] : id= Identifier LPAREN args= varArgumentList RPAREN ;
    public final NumberExpression externalNumberFunction() throws RecognitionException {
        NumberExpression expr =  null;

        Token id=null;
        List args = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1710:2: (id= Identifier LPAREN args= varArgumentList RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1712:2: id= Identifier LPAREN args= varArgumentList RPAREN
            {
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_externalNumberFunction10217); if (state.failed) return expr;
            match(input,LPAREN,FOLLOW_LPAREN_in_externalNumberFunction10219); if (state.failed) return expr;
            pushFollow(FOLLOW_varArgumentList_in_externalNumberFunction10226);
            args=varArgumentList();

            state._fsp--;
            if (state.failed) return expr;
            match(input,RPAREN,FOLLOW_RPAREN_in_externalNumberFunction10228); if (state.failed) return expr;
            if ( state.backtracking==0 ) {

              		expr = external.createExternalNumberFunction(id, args);
              	
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "externalNumberFunction"


    // $ANTLR start "numberVariable"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1719:1: numberVariable returns [Token ref = null] : ({...}?token1= Identifier | {...}?token2= Identifier | {...}?token2= Identifier );
    public final Token numberVariable() throws RecognitionException {
        Token ref =  null;

        Token token1=null;
        Token token2=null;

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1720:2: ({...}?token1= Identifier | {...}?token2= Identifier | {...}?token2= Identifier )
            int alt185=3;
            int LA185_0 = input.LA(1);

            if ( (LA185_0==Identifier) ) {
                int LA185_1 = input.LA(2);

                if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "INT"))) ) {
                    alt185=1;
                }
                else if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "DOUBLE"))) ) {
                    alt185=2;
                }
                else if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "FLOAT"))) ) {
                    alt185=3;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return ref;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 185, 1, input);

                    throw nvae;
                }
            }
            else {
                if (state.backtracking>0) {state.failed=true; return ref;}
                NoViableAltException nvae =
                    new NoViableAltException("", 185, 0, input);

                throw nvae;
            }
            switch (alt185) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1721:2: {...}?token1= Identifier
                    {
                    if ( !((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "INT"))) ) {
                        if (state.backtracking>0) {state.failed=true; return ref;}
                        throw new FailedPredicateException(input, "numberVariable", "isVariableOfType($blockDeclaration::env,input.LT(1).getText(), \"INT\")");
                    }
                    token1=(Token)match(input,Identifier,FOLLOW_Identifier_in_numberVariable10253); if (state.failed) return ref;
                    if ( state.backtracking==0 ) {
                      ref = token1;
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1722:4: {...}?token2= Identifier
                    {
                    if ( !((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "DOUBLE"))) ) {
                        if (state.backtracking>0) {state.failed=true; return ref;}
                        throw new FailedPredicateException(input, "numberVariable", "isVariableOfType($blockDeclaration::env,input.LT(1).getText(), \"DOUBLE\")");
                    }
                    token2=(Token)match(input,Identifier,FOLLOW_Identifier_in_numberVariable10266); if (state.failed) return ref;
                    if ( state.backtracking==0 ) {
                      ref = token2;
                    }

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1723:4: {...}?token2= Identifier
                    {
                    if ( !((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "FLOAT"))) ) {
                        if (state.backtracking>0) {state.failed=true; return ref;}
                        throw new FailedPredicateException(input, "numberVariable", "isVariableOfType($blockDeclaration::env,input.LT(1).getText(), \"FLOAT\")");
                    }
                    token2=(Token)match(input,Identifier,FOLLOW_Identifier_in_numberVariable10279); if (state.failed) return ref;
                    if ( state.backtracking==0 ) {
                      ref = token2;
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return ref;
    }
    // $ANTLR end "numberVariable"


    // $ANTLR start "additiveExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1727:1: additiveExpression returns [NumberExpression expr = null] : e= multiplicativeExpression (op= ( PLUS | MINUS ) e= multiplicativeExpression )* ;
    public final NumberExpression additiveExpression() throws RecognitionException {
        NumberExpression expr =  null;

        Token op=null;
        NumberExpression e = null;


        List<NumberExpression> exprs = new ArrayList<NumberExpression>();
        	List<Token> ops = new ArrayList<Token>();
        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1730:2: (e= multiplicativeExpression (op= ( PLUS | MINUS ) e= multiplicativeExpression )* )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1731:2: e= multiplicativeExpression (op= ( PLUS | MINUS ) e= multiplicativeExpression )*
            {
            pushFollow(FOLLOW_multiplicativeExpression_in_additiveExpression10309);
            e=multiplicativeExpression();

            state._fsp--;
            if (state.failed) return expr;
            if ( state.backtracking==0 ) {
              exprs.add(e);
            }
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1731:46: (op= ( PLUS | MINUS ) e= multiplicativeExpression )*
            loop186:
            do {
                int alt186=2;
                int LA186_0 = input.LA(1);

                if ( ((LA186_0>=PLUS && LA186_0<=MINUS)) ) {
                    alt186=1;
                }


                switch (alt186) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1731:48: op= ( PLUS | MINUS ) e= multiplicativeExpression
            	    {
            	    op=(Token)input.LT(1);
            	    if ( (input.LA(1)>=PLUS && input.LA(1)<=MINUS) ) {
            	        input.consume();
            	        state.errorRecovery=false;state.failed=false;
            	    }
            	    else {
            	        if (state.backtracking>0) {state.failed=true; return expr;}
            	        MismatchedSetException mse = new MismatchedSetException(null,input);
            	        throw mse;
            	    }

            	    if ( state.backtracking==0 ) {
            	      ops.add(op);
            	    }
            	    pushFollow(FOLLOW_multiplicativeExpression_in_additiveExpression10331);
            	    e=multiplicativeExpression();

            	    state._fsp--;
            	    if (state.failed) return expr;
            	    if ( state.backtracking==0 ) {
            	      exprs.add(e);
            	    }

            	    }
            	    break;

            	default :
            	    break loop186;
                }
            } while (true);

            if ( state.backtracking==0 ) {
              expr = ExpressionFactory.createComposedNumberExpression(exprs,ops);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "additiveExpression"


    // $ANTLR start "multiplicativeExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1735:1: multiplicativeExpression returns [NumberExpression expr = null] : (e= simpleNumberExpression (op= ( STAR | SLASH | PERCENT ) e= simpleNumberExpression )* | e1= numberFunction ) ;
    public final NumberExpression multiplicativeExpression() throws RecognitionException {
        NumberExpression expr =  null;

        Token op=null;
        NumberExpression e = null;

        NumberExpression e1 = null;


        List<NumberExpression> exprs = new ArrayList<NumberExpression>();
        	List<Token> ops = new ArrayList<Token>();
        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1738:2: ( (e= simpleNumberExpression (op= ( STAR | SLASH | PERCENT ) e= simpleNumberExpression )* | e1= numberFunction ) )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1739:2: (e= simpleNumberExpression (op= ( STAR | SLASH | PERCENT ) e= simpleNumberExpression )* | e1= numberFunction )
            {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1739:2: (e= simpleNumberExpression (op= ( STAR | SLASH | PERCENT ) e= simpleNumberExpression )* | e1= numberFunction )
            int alt188=2;
            switch ( input.LA(1) ) {
            case DecimalLiteral:
            case FloatingPointLiteral:
            case LPAREN:
            case MINUS:
                {
                alt188=1;
                }
                break;
            case Identifier:
                {
                int LA188_2 = input.LA(2);

                if ( (LA188_2==LPAREN) ) {
                    alt188=2;
                }
                else if ( (LA188_2==EOF||LA188_2==RPAREN||LA188_2==RBRACK||(LA188_2>=COMMA && LA188_2<=SLASH)||(LA188_2>=LESS && LA188_2<=GREATER)||LA188_2==PERCENT||(LA188_2>=EQUAL && LA188_2<=NOTEQUAL)||(LA188_2>=LESSEQUAL && LA188_2<=GREATEREQUAL)) ) {
                    alt188=1;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return expr;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 188, 2, input);

                    throw nvae;
                }
                }
                break;
            case EXP:
            case LOGN:
            case SIN:
            case COS:
            case TAN:
                {
                alt188=2;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 188, 0, input);

                throw nvae;
            }

            switch (alt188) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1739:3: e= simpleNumberExpression (op= ( STAR | SLASH | PERCENT ) e= simpleNumberExpression )*
                    {
                    pushFollow(FOLLOW_simpleNumberExpression_in_multiplicativeExpression10364);
                    e=simpleNumberExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      exprs.add(e);
                    }
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1739:45: (op= ( STAR | SLASH | PERCENT ) e= simpleNumberExpression )*
                    loop187:
                    do {
                        int alt187=2;
                        int LA187_0 = input.LA(1);

                        if ( ((LA187_0>=STAR && LA187_0<=SLASH)||LA187_0==PERCENT) ) {
                            alt187=1;
                        }


                        switch (alt187) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1739:47: op= ( STAR | SLASH | PERCENT ) e= simpleNumberExpression
                    	    {
                    	    op=(Token)input.LT(1);
                    	    if ( (input.LA(1)>=STAR && input.LA(1)<=SLASH)||input.LA(1)==PERCENT ) {
                    	        input.consume();
                    	        state.errorRecovery=false;state.failed=false;
                    	    }
                    	    else {
                    	        if (state.backtracking>0) {state.failed=true; return expr;}
                    	        MismatchedSetException mse = new MismatchedSetException(null,input);
                    	        throw mse;
                    	    }

                    	    if ( state.backtracking==0 ) {
                    	      ops.add(op);
                    	    }
                    	    pushFollow(FOLLOW_simpleNumberExpression_in_multiplicativeExpression10392);
                    	    e=simpleNumberExpression();

                    	    state._fsp--;
                    	    if (state.failed) return expr;
                    	    if ( state.backtracking==0 ) {
                    	      exprs.add(e);
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop187;
                        }
                    } while (true);

                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createComposedNumberExpression(exprs,ops);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1741:6: e1= numberFunction
                    {
                    pushFollow(FOLLOW_numberFunction_in_multiplicativeExpression10410);
                    e1=numberFunction();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e1;
                    }

                    }
                    break;

            }


            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "multiplicativeExpression"


    // $ANTLR start "numberExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1744:1: numberExpression returns [NumberExpression expr = null] : e= additiveExpression ;
    public final NumberExpression numberExpression() throws RecognitionException {
        NumberExpression expr =  null;

        NumberExpression e = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1745:2: (e= additiveExpression )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1746:2: e= additiveExpression
            {
            pushFollow(FOLLOW_additiveExpression_in_numberExpression10433);
            e=additiveExpression();

            state._fsp--;
            if (state.failed) return expr;
            if ( state.backtracking==0 ) {
              expr = e;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "numberExpression"


    // $ANTLR start "numberExpressionInPar"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1749:1: numberExpressionInPar returns [NumberExpression expr = null] : LPAREN e= additiveExpression RPAREN ;
    public final NumberExpression numberExpressionInPar() throws RecognitionException {
        NumberExpression expr =  null;

        NumberExpression e = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1750:2: ( LPAREN e= additiveExpression RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1751:2: LPAREN e= additiveExpression RPAREN
            {
            match(input,LPAREN,FOLLOW_LPAREN_in_numberExpressionInPar10451); if (state.failed) return expr;
            pushFollow(FOLLOW_additiveExpression_in_numberExpressionInPar10458);
            e=additiveExpression();

            state._fsp--;
            if (state.failed) return expr;
            match(input,RPAREN,FOLLOW_RPAREN_in_numberExpressionInPar10460); if (state.failed) return expr;
            if ( state.backtracking==0 ) {
              expr = e;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "numberExpressionInPar"


    // $ANTLR start "simpleNumberExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1754:1: simpleNumberExpression returns [NumberExpression expr = null] : ( (m= MINUS )? lit= DecimalLiteral | (m= MINUS )? lit= FloatingPointLiteral | (m= MINUS )? var= numberVariable | e= numberExpressionInPar );
    public final NumberExpression simpleNumberExpression() throws RecognitionException {
        NumberExpression expr =  null;

        Token m=null;
        Token lit=null;
        Token var = null;

        NumberExpression e = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1755:2: ( (m= MINUS )? lit= DecimalLiteral | (m= MINUS )? lit= FloatingPointLiteral | (m= MINUS )? var= numberVariable | e= numberExpressionInPar )
            int alt192=4;
            switch ( input.LA(1) ) {
            case MINUS:
                {
                switch ( input.LA(2) ) {
                case FloatingPointLiteral:
                    {
                    alt192=2;
                    }
                    break;
                case DecimalLiteral:
                    {
                    alt192=1;
                    }
                    break;
                case Identifier:
                    {
                    alt192=3;
                    }
                    break;
                default:
                    if (state.backtracking>0) {state.failed=true; return expr;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 192, 1, input);

                    throw nvae;
                }

                }
                break;
            case DecimalLiteral:
                {
                alt192=1;
                }
                break;
            case FloatingPointLiteral:
                {
                alt192=2;
                }
                break;
            case Identifier:
                {
                alt192=3;
                }
                break;
            case LPAREN:
                {
                alt192=4;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 192, 0, input);

                throw nvae;
            }

            switch (alt192) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1756:2: (m= MINUS )? lit= DecimalLiteral
                    {
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1756:4: (m= MINUS )?
                    int alt189=2;
                    int LA189_0 = input.LA(1);

                    if ( (LA189_0==MINUS) ) {
                        alt189=1;
                    }
                    switch (alt189) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1756:4: m= MINUS
                            {
                            m=(Token)match(input,MINUS,FOLLOW_MINUS_in_simpleNumberExpression10483); if (state.failed) return expr;

                            }
                            break;

                    }

                    lit=(Token)match(input,DecimalLiteral,FOLLOW_DecimalLiteral_in_simpleNumberExpression10490); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createIntegerExpression(lit,m);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1758:4: (m= MINUS )? lit= FloatingPointLiteral
                    {
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1758:6: (m= MINUS )?
                    int alt190=2;
                    int LA190_0 = input.LA(1);

                    if ( (LA190_0==MINUS) ) {
                        alt190=1;
                    }
                    switch (alt190) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1758:6: m= MINUS
                            {
                            m=(Token)match(input,MINUS,FOLLOW_MINUS_in_simpleNumberExpression10504); if (state.failed) return expr;

                            }
                            break;

                    }

                    lit=(Token)match(input,FloatingPointLiteral,FOLLOW_FloatingPointLiteral_in_simpleNumberExpression10511); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createDoubleExpression(lit,m);
                    }

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1759:4: (m= MINUS )? var= numberVariable
                    {
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1759:6: (m= MINUS )?
                    int alt191=2;
                    int LA191_0 = input.LA(1);

                    if ( (LA191_0==MINUS) ) {
                        alt191=1;
                    }
                    switch (alt191) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1759:6: m= MINUS
                            {
                            m=(Token)match(input,MINUS,FOLLOW_MINUS_in_simpleNumberExpression10522); if (state.failed) return expr;

                            }
                            break;

                    }

                    pushFollow(FOLLOW_numberVariable_in_simpleNumberExpression10529);
                    var=numberVariable();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createReferenceNumberExpression(var,m);
                    }

                    }
                    break;
                case 4 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1760:4: e= numberExpressionInPar
                    {
                    pushFollow(FOLLOW_numberExpressionInPar_in_simpleNumberExpression10540);
                    e=numberExpressionInPar();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e;
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "simpleNumberExpression"


    // $ANTLR start "stringExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1763:1: stringExpression returns [StringExpression expr = null] options {backtrack=true; } : (e= simpleStringExpression ( PLUS (e1= simpleStringExpression | e2= numberExpressionInPar | be= simpleBooleanExpression | te= typeExpression | le= listExpression ) )* | (e= stringFunction )=>e= stringFunction );
    public final StringExpression stringExpression() throws RecognitionException {
        StringExpression expr =  null;

        StringExpression e = null;

        StringExpression e1 = null;

        NumberExpression e2 = null;

        BooleanExpression be = null;

        TypeExpression te = null;

        ListExpression le = null;



        List<StringExpression> exprs = new ArrayList<StringExpression>();

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1770:2: (e= simpleStringExpression ( PLUS (e1= simpleStringExpression | e2= numberExpressionInPar | be= simpleBooleanExpression | te= typeExpression | le= listExpression ) )* | (e= stringFunction )=>e= stringFunction )
            int alt195=2;
            int LA195_0 = input.LA(1);

            if ( (LA195_0==StringLiteral) ) {
                alt195=1;
            }
            else if ( (LA195_0==Identifier) ) {
                int LA195_2 = input.LA(2);

                if ( (LA195_2==LPAREN) && (synpred38_TextMarkerParser())) {
                    alt195=2;
                }
                else if ( (LA195_2==EOF||LA195_2==RPAREN||(LA195_2>=COMMA && LA195_2<=PLUS)||LA195_2==ASSIGN_EQUAL) ) {
                    alt195=1;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return expr;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 195, 2, input);

                    throw nvae;
                }
            }
            else if ( (LA195_0==REMOVESTRING) && (synpred38_TextMarkerParser())) {
                alt195=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 195, 0, input);

                throw nvae;
            }
            switch (alt195) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1771:2: e= simpleStringExpression ( PLUS (e1= simpleStringExpression | e2= numberExpressionInPar | be= simpleBooleanExpression | te= typeExpression | le= listExpression ) )*
                    {
                    pushFollow(FOLLOW_simpleStringExpression_in_stringExpression10580);
                    e=simpleStringExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      exprs.add(e);
                    }
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1772:2: ( PLUS (e1= simpleStringExpression | e2= numberExpressionInPar | be= simpleBooleanExpression | te= typeExpression | le= listExpression ) )*
                    loop194:
                    do {
                        int alt194=2;
                        int LA194_0 = input.LA(1);

                        if ( (LA194_0==PLUS) ) {
                            alt194=1;
                        }


                        switch (alt194) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1772:3: PLUS (e1= simpleStringExpression | e2= numberExpressionInPar | be= simpleBooleanExpression | te= typeExpression | le= listExpression )
                    	    {
                    	    match(input,PLUS,FOLLOW_PLUS_in_stringExpression10587); if (state.failed) return expr;
                    	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1772:8: (e1= simpleStringExpression | e2= numberExpressionInPar | be= simpleBooleanExpression | te= typeExpression | le= listExpression )
                    	    int alt193=5;
                    	    switch ( input.LA(1) ) {
                    	    case StringLiteral:
                    	        {
                    	        alt193=1;
                    	        }
                    	        break;
                    	    case Identifier:
                    	        {
                    	        int LA193_2 = input.LA(2);

                    	        if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "STRING"))) ) {
                    	            alt193=1;
                    	        }
                    	        else if ( ((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "BOOLEAN"))) ) {
                    	            alt193=3;
                    	        }
                    	        else if ( (!((((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPELIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "STRING"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "DOUBLELIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "FLOATLIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "STRINGLIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "INTLIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "BOOLEANLIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "BOOLEAN")))))) ) {
                    	            alt193=4;
                    	        }
                    	        else if ( (((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPELIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "DOUBLELIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "FLOATLIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "STRINGLIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "BOOLEANLIST"))||(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "INTLIST")))) ) {
                    	            alt193=5;
                    	        }
                    	        else {
                    	            if (state.backtracking>0) {state.failed=true; return expr;}
                    	            NoViableAltException nvae =
                    	                new NoViableAltException("", 193, 2, input);

                    	            throw nvae;
                    	        }
                    	        }
                    	        break;
                    	    case LPAREN:
                    	        {
                    	        alt193=2;
                    	        }
                    	        break;
                    	    case TRUE:
                    	    case FALSE:
                    	        {
                    	        alt193=3;
                    	        }
                    	        break;
                    	    case BasicAnnotationType:
                    	        {
                    	        alt193=4;
                    	        }
                    	        break;
                    	    case LCURLY:
                    	        {
                    	        alt193=5;
                    	        }
                    	        break;
                    	    default:
                    	        if (state.backtracking>0) {state.failed=true; return expr;}
                    	        NoViableAltException nvae =
                    	            new NoViableAltException("", 193, 0, input);

                    	        throw nvae;
                    	    }

                    	    switch (alt193) {
                    	        case 1 :
                    	            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1772:9: e1= simpleStringExpression
                    	            {
                    	            pushFollow(FOLLOW_simpleStringExpression_in_stringExpression10594);
                    	            e1=simpleStringExpression();

                    	            state._fsp--;
                    	            if (state.failed) return expr;
                    	            if ( state.backtracking==0 ) {
                    	              exprs.add(e1);
                    	            }

                    	            }
                    	            break;
                    	        case 2 :
                    	            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1773:5: e2= numberExpressionInPar
                    	            {
                    	            pushFollow(FOLLOW_numberExpressionInPar_in_stringExpression10607);
                    	            e2=numberExpressionInPar();

                    	            state._fsp--;
                    	            if (state.failed) return expr;
                    	            if ( state.backtracking==0 ) {
                    	              exprs.add(e2);
                    	            }

                    	            }
                    	            break;
                    	        case 3 :
                    	            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1774:5: be= simpleBooleanExpression
                    	            {
                    	            pushFollow(FOLLOW_simpleBooleanExpression_in_stringExpression10619);
                    	            be=simpleBooleanExpression();

                    	            state._fsp--;
                    	            if (state.failed) return expr;
                    	            if ( state.backtracking==0 ) {
                    	              exprs.add(be);
                    	            }

                    	            }
                    	            break;
                    	        case 4 :
                    	            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1775:5: te= typeExpression
                    	            {
                    	            pushFollow(FOLLOW_typeExpression_in_stringExpression10631);
                    	            te=typeExpression();

                    	            state._fsp--;
                    	            if (state.failed) return expr;
                    	            if ( state.backtracking==0 ) {
                    	              exprs.add(te);
                    	            }

                    	            }
                    	            break;
                    	        case 5 :
                    	            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1776:5: le= listExpression
                    	            {
                    	            pushFollow(FOLLOW_listExpression_in_stringExpression10643);
                    	            le=listExpression();

                    	            state._fsp--;
                    	            if (state.failed) return expr;
                    	            if ( state.backtracking==0 ) {
                    	              exprs.add(le);
                    	            }

                    	            }
                    	            break;

                    	    }


                    	    }
                    	    break;

                    	default :
                    	    break loop194;
                        }
                    } while (true);

                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createComposedStringExpression(exprs);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1779:3: (e= stringFunction )=>e= stringFunction
                    {
                    pushFollow(FOLLOW_stringFunction_in_stringExpression10671);
                    e=stringFunction();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e;
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "stringExpression"


    // $ANTLR start "stringFunction"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1783:1: stringFunction returns [StringExpression expr = null] : (name= REMOVESTRING LPAREN var= variable ( COMMA t= stringExpression )+ RPAREN | (e= externalStringFunction )=>e= externalStringFunction );
    public final StringExpression stringFunction() throws RecognitionException {
        StringExpression expr =  null;

        Token name=null;
        Token var = null;

        StringExpression t = null;

        StringExpression e = null;


        List<StringExpression> list = new ArrayList<StringExpression>();
        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1785:1: (name= REMOVESTRING LPAREN var= variable ( COMMA t= stringExpression )+ RPAREN | (e= externalStringFunction )=>e= externalStringFunction )
            int alt197=2;
            int LA197_0 = input.LA(1);

            if ( (LA197_0==REMOVESTRING) ) {
                alt197=1;
            }
            else if ( (LA197_0==Identifier) && (synpred39_TextMarkerParser())) {
                alt197=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 197, 0, input);

                throw nvae;
            }
            switch (alt197) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1786:2: name= REMOVESTRING LPAREN var= variable ( COMMA t= stringExpression )+ RPAREN
                    {
                    name=(Token)match(input,REMOVESTRING,FOLLOW_REMOVESTRING_in_stringFunction10698); if (state.failed) return expr;
                    match(input,LPAREN,FOLLOW_LPAREN_in_stringFunction10700); if (state.failed) return expr;
                    pushFollow(FOLLOW_variable_in_stringFunction10706);
                    var=variable();

                    state._fsp--;
                    if (state.failed) return expr;
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1786:44: ( COMMA t= stringExpression )+
                    int cnt196=0;
                    loop196:
                    do {
                        int alt196=2;
                        int LA196_0 = input.LA(1);

                        if ( (LA196_0==COMMA) ) {
                            alt196=1;
                        }


                        switch (alt196) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1786:45: COMMA t= stringExpression
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_stringFunction10709); if (state.failed) return expr;
                    	    pushFollow(FOLLOW_stringExpression_in_stringFunction10715);
                    	    t=stringExpression();

                    	    state._fsp--;
                    	    if (state.failed) return expr;
                    	    if ( state.backtracking==0 ) {
                    	      list.add(t);
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    if ( cnt196 >= 1 ) break loop196;
                    	    if (state.backtracking>0) {state.failed=true; return expr;}
                                EarlyExitException eee =
                                    new EarlyExitException(196, input);
                                throw eee;
                        }
                        cnt196++;
                    } while (true);

                    match(input,RPAREN,FOLLOW_RPAREN_in_stringFunction10721); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = StringFunctionFactory.createRemoveFunction(var,list);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1789:2: (e= externalStringFunction )=>e= externalStringFunction
                    {
                    pushFollow(FOLLOW_externalStringFunction_in_stringFunction10743);
                    e=externalStringFunction();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e;
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "stringFunction"


    // $ANTLR start "externalStringFunction"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1793:1: externalStringFunction returns [StringExpression expr = null] : id= Identifier LPAREN args= varArgumentList RPAREN ;
    public final StringExpression externalStringFunction() throws RecognitionException {
        StringExpression expr =  null;

        Token id=null;
        List args = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1794:2: (id= Identifier LPAREN args= varArgumentList RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1796:2: id= Identifier LPAREN args= varArgumentList RPAREN
            {
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_externalStringFunction10768); if (state.failed) return expr;
            match(input,LPAREN,FOLLOW_LPAREN_in_externalStringFunction10770); if (state.failed) return expr;
            pushFollow(FOLLOW_varArgumentList_in_externalStringFunction10777);
            args=varArgumentList();

            state._fsp--;
            if (state.failed) return expr;
            match(input,RPAREN,FOLLOW_RPAREN_in_externalStringFunction10779); if (state.failed) return expr;
            if ( state.backtracking==0 ) {

              		expr = external.createExternalStringFunction(id, args);
              	
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "externalStringFunction"


    // $ANTLR start "simpleStringExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1803:1: simpleStringExpression returns [StringExpression expr = null] : (lit= StringLiteral | {...}?id= Identifier );
    public final StringExpression simpleStringExpression() throws RecognitionException {
        StringExpression expr =  null;

        Token lit=null;
        Token id=null;

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1804:2: (lit= StringLiteral | {...}?id= Identifier )
            int alt198=2;
            int LA198_0 = input.LA(1);

            if ( (LA198_0==StringLiteral) ) {
                alt198=1;
            }
            else if ( (LA198_0==Identifier) ) {
                alt198=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 198, 0, input);

                throw nvae;
            }
            switch (alt198) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1805:2: lit= StringLiteral
                    {
                    lit=(Token)match(input,StringLiteral,FOLLOW_StringLiteral_in_simpleStringExpression10803); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createSimpleStringExpression(lit);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1806:4: {...}?id= Identifier
                    {
                    if ( !((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "STRING"))) ) {
                        if (state.backtracking>0) {state.failed=true; return expr;}
                        throw new FailedPredicateException(input, "simpleStringExpression", "isVariableOfType($blockDeclaration::env,input.LT(1).getText(), \"STRING\")");
                    }
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_simpleStringExpression10817); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createReferenceStringExpression(id);
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "simpleStringExpression"


    // $ANTLR start "booleanExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1810:1: booleanExpression returns [BooleanExpression expr = null] : ( (e= composedBooleanExpression )=>e= composedBooleanExpression | sbE= simpleBooleanExpression );
    public final BooleanExpression booleanExpression() throws RecognitionException {
        BooleanExpression expr =  null;

        BooleanExpression e = null;

        BooleanExpression sbE = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1811:2: ( (e= composedBooleanExpression )=>e= composedBooleanExpression | sbE= simpleBooleanExpression )
            int alt199=2;
            alt199 = dfa199.predict(input);
            switch (alt199) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1812:2: (e= composedBooleanExpression )=>e= composedBooleanExpression
                    {
                    pushFollow(FOLLOW_composedBooleanExpression_in_booleanExpression10850);
                    e=composedBooleanExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e;
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1813:3: sbE= simpleBooleanExpression
                    {
                    pushFollow(FOLLOW_simpleBooleanExpression_in_booleanExpression10861);
                    sbE=simpleBooleanExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = sbE;
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "booleanExpression"


    // $ANTLR start "simpleBooleanExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1816:1: simpleBooleanExpression returns [BooleanExpression expr = null] : (e= literalBooleanExpression | {...}?id= Identifier );
    public final BooleanExpression simpleBooleanExpression() throws RecognitionException {
        BooleanExpression expr =  null;

        Token id=null;
        BooleanExpression e = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1817:2: (e= literalBooleanExpression | {...}?id= Identifier )
            int alt200=2;
            int LA200_0 = input.LA(1);

            if ( ((LA200_0>=TRUE && LA200_0<=FALSE)) ) {
                alt200=1;
            }
            else if ( (LA200_0==Identifier) ) {
                alt200=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 200, 0, input);

                throw nvae;
            }
            switch (alt200) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1818:3: e= literalBooleanExpression
                    {
                    pushFollow(FOLLOW_literalBooleanExpression_in_simpleBooleanExpression10884);
                    e=literalBooleanExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e;
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1819:4: {...}?id= Identifier
                    {
                    if ( !((isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "BOOLEAN"))) ) {
                        if (state.backtracking>0) {state.failed=true; return expr;}
                        throw new FailedPredicateException(input, "simpleBooleanExpression", "isVariableOfType($blockDeclaration::env,input.LT(1).getText(), \"BOOLEAN\")");
                    }
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_simpleBooleanExpression10899); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createReferenceBooleanExpression(id);
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "simpleBooleanExpression"


    // $ANTLR start "composedBooleanExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1824:1: composedBooleanExpression returns [BooleanExpression expr = null] : ( (e2= booleanCompare )=>e2= booleanCompare | (bte= booleanTypeExpression )=>bte= booleanTypeExpression | (bne= booleanNumberExpression )=>bne= booleanNumberExpression | e1= booleanFunction );
    public final BooleanExpression composedBooleanExpression() throws RecognitionException {
        BooleanExpression expr =  null;

        BooleanExpression e2 = null;

        BooleanExpression bte = null;

        BooleanExpression bne = null;

        BooleanExpression e1 = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1826:2: ( (e2= booleanCompare )=>e2= booleanCompare | (bte= booleanTypeExpression )=>bte= booleanTypeExpression | (bne= booleanNumberExpression )=>bne= booleanNumberExpression | e1= booleanFunction )
            int alt201=4;
            int LA201_0 = input.LA(1);

            if ( (LA201_0==TRUE) && (synpred41_TextMarkerParser())) {
                alt201=1;
            }
            else if ( (LA201_0==FALSE) && (synpred41_TextMarkerParser())) {
                alt201=1;
            }
            else if ( (LA201_0==Identifier) ) {
                int LA201_3 = input.LA(2);

                if ( ((synpred41_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "BOOLEAN")))) ) {
                    alt201=1;
                }
                else if ( (((synpred42_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPE")))||synpred42_TextMarkerParser())) ) {
                    alt201=2;
                }
                else if ( (true) ) {
                    alt201=4;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return expr;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 201, 3, input);

                    throw nvae;
                }
            }
            else if ( (LA201_0==BasicAnnotationType) && (synpred42_TextMarkerParser())) {
                alt201=2;
            }
            else if ( (LA201_0==LPAREN) && (synpred43_TextMarkerParser())) {
                alt201=3;
            }
            else if ( (LA201_0==XOR) ) {
                alt201=4;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 201, 0, input);

                throw nvae;
            }
            switch (alt201) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1827:2: (e2= booleanCompare )=>e2= booleanCompare
                    {
                    pushFollow(FOLLOW_booleanCompare_in_composedBooleanExpression10933);
                    e2=booleanCompare();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e2;
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1828:4: (bte= booleanTypeExpression )=>bte= booleanTypeExpression
                    {
                    pushFollow(FOLLOW_booleanTypeExpression_in_composedBooleanExpression10953);
                    bte=booleanTypeExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = bte;
                    }

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1829:4: (bne= booleanNumberExpression )=>bne= booleanNumberExpression
                    {
                    pushFollow(FOLLOW_booleanNumberExpression_in_composedBooleanExpression10972);
                    bne=booleanNumberExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = bne;
                    }

                    }
                    break;
                case 4 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1830:4: e1= booleanFunction
                    {
                    pushFollow(FOLLOW_booleanFunction_in_composedBooleanExpression10982);
                    e1=booleanFunction();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e1;
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "composedBooleanExpression"


    // $ANTLR start "booleanFunction"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1834:1: booleanFunction returns [BooleanExpression expr = null] : ( (op= XOR LPAREN e1= booleanExpression COMMA e2= booleanExpression RPAREN ) | (e= externalBooleanFunction )=>e= externalBooleanFunction );
    public final BooleanExpression booleanFunction() throws RecognitionException {
        BooleanExpression expr =  null;

        Token op=null;
        BooleanExpression e1 = null;

        BooleanExpression e2 = null;

        BooleanExpression e = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1836:2: ( (op= XOR LPAREN e1= booleanExpression COMMA e2= booleanExpression RPAREN ) | (e= externalBooleanFunction )=>e= externalBooleanFunction )
            int alt202=2;
            int LA202_0 = input.LA(1);

            if ( (LA202_0==XOR) ) {
                alt202=1;
            }
            else if ( (LA202_0==Identifier) && (synpred44_TextMarkerParser())) {
                alt202=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 202, 0, input);

                throw nvae;
            }
            switch (alt202) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1837:2: (op= XOR LPAREN e1= booleanExpression COMMA e2= booleanExpression RPAREN )
                    {
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1837:2: (op= XOR LPAREN e1= booleanExpression COMMA e2= booleanExpression RPAREN )
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1837:3: op= XOR LPAREN e1= booleanExpression COMMA e2= booleanExpression RPAREN
                    {
                    op=(Token)match(input,XOR,FOLLOW_XOR_in_booleanFunction11007); if (state.failed) return expr;
                    match(input,LPAREN,FOLLOW_LPAREN_in_booleanFunction11009); if (state.failed) return expr;
                    pushFollow(FOLLOW_booleanExpression_in_booleanFunction11015);
                    e1=booleanExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    match(input,COMMA,FOLLOW_COMMA_in_booleanFunction11017); if (state.failed) return expr;
                    pushFollow(FOLLOW_booleanExpression_in_booleanFunction11023);
                    e2=booleanExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    match(input,RPAREN,FOLLOW_RPAREN_in_booleanFunction11025); if (state.failed) return expr;

                    }

                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createBooleanFunction(op,e1,e2);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1839:4: (e= externalBooleanFunction )=>e= externalBooleanFunction
                    {
                    pushFollow(FOLLOW_externalBooleanFunction_in_booleanFunction11047);
                    e=externalBooleanFunction();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e;
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "booleanFunction"


    // $ANTLR start "externalBooleanFunction"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1843:1: externalBooleanFunction returns [BooleanExpression expr = null] : id= Identifier LPAREN args= varArgumentList RPAREN ;
    public final BooleanExpression externalBooleanFunction() throws RecognitionException {
        BooleanExpression expr =  null;

        Token id=null;
        List args = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1844:2: (id= Identifier LPAREN args= varArgumentList RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1846:2: id= Identifier LPAREN args= varArgumentList RPAREN
            {
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_externalBooleanFunction11072); if (state.failed) return expr;
            match(input,LPAREN,FOLLOW_LPAREN_in_externalBooleanFunction11074); if (state.failed) return expr;
            pushFollow(FOLLOW_varArgumentList_in_externalBooleanFunction11081);
            args=varArgumentList();

            state._fsp--;
            if (state.failed) return expr;
            match(input,RPAREN,FOLLOW_RPAREN_in_externalBooleanFunction11083); if (state.failed) return expr;
            if ( state.backtracking==0 ) {

              		expr = external.createExternalBooleanFunction(id, args);
              	
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "externalBooleanFunction"


    // $ANTLR start "booleanCompare"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1854:1: booleanCompare returns [BooleanExpression expr = null] : (e1= simpleBooleanExpression op= ( EQUAL | NOTEQUAL ) e2= booleanExpression ) ;
    public final BooleanExpression booleanCompare() throws RecognitionException {
        BooleanExpression expr =  null;

        Token op=null;
        BooleanExpression e1 = null;

        BooleanExpression e2 = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1855:2: ( (e1= simpleBooleanExpression op= ( EQUAL | NOTEQUAL ) e2= booleanExpression ) )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1856:2: (e1= simpleBooleanExpression op= ( EQUAL | NOTEQUAL ) e2= booleanExpression )
            {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1856:2: (e1= simpleBooleanExpression op= ( EQUAL | NOTEQUAL ) e2= booleanExpression )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1856:3: e1= simpleBooleanExpression op= ( EQUAL | NOTEQUAL ) e2= booleanExpression
            {
            pushFollow(FOLLOW_simpleBooleanExpression_in_booleanCompare11108);
            e1=simpleBooleanExpression();

            state._fsp--;
            if (state.failed) return expr;
            op=(Token)input.LT(1);
            if ( (input.LA(1)>=EQUAL && input.LA(1)<=NOTEQUAL) ) {
                input.consume();
                state.errorRecovery=false;state.failed=false;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                MismatchedSetException mse = new MismatchedSetException(null,input);
                throw mse;
            }

            pushFollow(FOLLOW_booleanExpression_in_booleanCompare11126);
            e2=booleanExpression();

            state._fsp--;
            if (state.failed) return expr;

            }

            if ( state.backtracking==0 ) {
              expr = ExpressionFactory.createBooleanFunction(op,e1,e2);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "booleanCompare"


    // $ANTLR start "literalBooleanExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1861:1: literalBooleanExpression returns [BooleanExpression expr = null] : (v= TRUE | v= FALSE );
    public final BooleanExpression literalBooleanExpression() throws RecognitionException {
        BooleanExpression expr =  null;

        Token v=null;

        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1862:2: (v= TRUE | v= FALSE )
            int alt203=2;
            int LA203_0 = input.LA(1);

            if ( (LA203_0==TRUE) ) {
                alt203=1;
            }
            else if ( (LA203_0==FALSE) ) {
                alt203=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 203, 0, input);

                throw nvae;
            }
            switch (alt203) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1863:2: v= TRUE
                    {
                    v=(Token)match(input,TRUE,FOLLOW_TRUE_in_literalBooleanExpression11152); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createSimpleBooleanExpression(v);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1864:4: v= FALSE
                    {
                    v=(Token)match(input,FALSE,FOLLOW_FALSE_in_literalBooleanExpression11164); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createSimpleBooleanExpression(v);
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "literalBooleanExpression"


    // $ANTLR start "booleanTypeExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1869:1: booleanTypeExpression returns [BooleanExpression expr = null] : e1= typeExpression op= ( EQUAL | NOTEQUAL ) e2= typeExpression ;
    public final BooleanExpression booleanTypeExpression() throws RecognitionException {
        BooleanExpression expr =  null;

        Token op=null;
        TypeExpression e1 = null;

        TypeExpression e2 = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1870:2: (e1= typeExpression op= ( EQUAL | NOTEQUAL ) e2= typeExpression )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1871:2: e1= typeExpression op= ( EQUAL | NOTEQUAL ) e2= typeExpression
            {
            pushFollow(FOLLOW_typeExpression_in_booleanTypeExpression11190);
            e1=typeExpression();

            state._fsp--;
            if (state.failed) return expr;
            op=(Token)input.LT(1);
            if ( (input.LA(1)>=EQUAL && input.LA(1)<=NOTEQUAL) ) {
                input.consume();
                state.errorRecovery=false;state.failed=false;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                MismatchedSetException mse = new MismatchedSetException(null,input);
                throw mse;
            }

            pushFollow(FOLLOW_typeExpression_in_booleanTypeExpression11210);
            e2=typeExpression();

            state._fsp--;
            if (state.failed) return expr;
            if ( state.backtracking==0 ) {
              expr = ExpressionFactory.createBooleanTypeExpression(e1,op,e2);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "booleanTypeExpression"


    // $ANTLR start "booleanNumberExpression"
    // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1877:1: booleanNumberExpression returns [BooleanExpression expr = null] : LPAREN e1= numberExpression op= ( LESS | GREATER | GREATEREQUAL | LESSEQUAL | EQUAL | NOTEQUAL ) e2= numberExpression RPAREN ;
    public final BooleanExpression booleanNumberExpression() throws RecognitionException {
        BooleanExpression expr =  null;

        Token op=null;
        NumberExpression e1 = null;

        NumberExpression e2 = null;


        try {
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1878:2: ( LPAREN e1= numberExpression op= ( LESS | GREATER | GREATEREQUAL | LESSEQUAL | EQUAL | NOTEQUAL ) e2= numberExpression RPAREN )
            // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1879:2: LPAREN e1= numberExpression op= ( LESS | GREATER | GREATEREQUAL | LESSEQUAL | EQUAL | NOTEQUAL ) e2= numberExpression RPAREN
            {
            match(input,LPAREN,FOLLOW_LPAREN_in_booleanNumberExpression11232); if (state.failed) return expr;
            pushFollow(FOLLOW_numberExpression_in_booleanNumberExpression11239);
            e1=numberExpression();

            state._fsp--;
            if (state.failed) return expr;
            op=(Token)input.LT(1);
            if ( (input.LA(1)>=LESS && input.LA(1)<=GREATER)||(input.LA(1)>=EQUAL && input.LA(1)<=NOTEQUAL)||(input.LA(1)>=LESSEQUAL && input.LA(1)<=GREATEREQUAL) ) {
                input.consume();
                state.errorRecovery=false;state.failed=false;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                MismatchedSetException mse = new MismatchedSetException(null,input);
                throw mse;
            }

            pushFollow(FOLLOW_numberExpression_in_booleanNumberExpression11275);
            e2=numberExpression();

            state._fsp--;
            if (state.failed) return expr;
            match(input,RPAREN,FOLLOW_RPAREN_in_booleanNumberExpression11278); if (state.failed) return expr;
            if ( state.backtracking==0 ) {
              expr = ExpressionFactory.createBooleanNumberExpression(e1,op,e2);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		emitErrorMessage(exception1.toString());
        	}
        	catch (Throwable exception2) {
        		emitErrorMessage(exception2.toString());
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "booleanNumberExpression"

    // $ANTLR start synpred1_TextMarkerParser
    public final void synpred1_TextMarkerParser_fragment() throws RecognitionException {   
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:518:4: ( ruleElementComposed[null] )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:518:5: ruleElementComposed[null]
        {
        pushFollow(FOLLOW_ruleElementComposed_in_synpred1_TextMarkerParser1746);
        ruleElementComposed(null);

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred1_TextMarkerParser

    // $ANTLR start synpred2_TextMarkerParser
    public final void synpred2_TextMarkerParser_fragment() throws RecognitionException {   
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:519:4: ( ruleElementDisjunctive[null] )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:519:5: ruleElementDisjunctive[null]
        {
        pushFollow(FOLLOW_ruleElementDisjunctive_in_synpred2_TextMarkerParser1763);
        ruleElementDisjunctive(null);

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred2_TextMarkerParser

    // $ANTLR start synpred7_TextMarkerParser
    public final void synpred7_TextMarkerParser_fragment() throws RecognitionException {   
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:646:2: ( booleanListExpression )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:646:3: booleanListExpression
        {
        pushFollow(FOLLOW_booleanListExpression_in_synpred7_TextMarkerParser2413);
        booleanListExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred7_TextMarkerParser

    // $ANTLR start synpred8_TextMarkerParser
    public final void synpred8_TextMarkerParser_fragment() throws RecognitionException {   
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:647:4: ( intListExpression )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:647:5: intListExpression
        {
        pushFollow(FOLLOW_intListExpression_in_synpred8_TextMarkerParser2429);
        intListExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred8_TextMarkerParser

    // $ANTLR start synpred9_TextMarkerParser
    public final void synpred9_TextMarkerParser_fragment() throws RecognitionException {   
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:648:4: ( doubleListExpression )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:648:5: doubleListExpression
        {
        pushFollow(FOLLOW_doubleListExpression_in_synpred9_TextMarkerParser2445);
        doubleListExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred9_TextMarkerParser

    // $ANTLR start synpred10_TextMarkerParser
    public final void synpred10_TextMarkerParser_fragment() throws RecognitionException {   
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:649:4: ( floatListExpression )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:649:5: floatListExpression
        {
        pushFollow(FOLLOW_floatListExpression_in_synpred10_TextMarkerParser2461);
        floatListExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred10_TextMarkerParser

    // $ANTLR start synpred11_TextMarkerParser
    public final void synpred11_TextMarkerParser_fragment() throws RecognitionException {   
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:650:4: ( stringListExpression )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:650:5: stringListExpression
        {
        pushFollow(FOLLOW_stringListExpression_in_synpred11_TextMarkerParser2477);
        stringListExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred11_TextMarkerParser

    // $ANTLR start synpred12_TextMarkerParser
    public final void synpred12_TextMarkerParser_fragment() throws RecognitionException {   
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:651:4: ( typeListExpression )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:651:5: typeListExpression
        {
        pushFollow(FOLLOW_typeListExpression_in_synpred12_TextMarkerParser2493);
        typeListExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred12_TextMarkerParser

    // $ANTLR start synpred13_TextMarkerParser
    public final void synpred13_TextMarkerParser_fragment() throws RecognitionException {   
        NumberListExpression e1 = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:690:2: (e1= doubleListExpression )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:690:3: e1= doubleListExpression
        {
        pushFollow(FOLLOW_doubleListExpression_in_synpred13_TextMarkerParser2700);
        e1=doubleListExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred13_TextMarkerParser

    // $ANTLR start synpred14_TextMarkerParser
    public final void synpred14_TextMarkerParser_fragment() throws RecognitionException {   
        NumberListExpression e1 = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:692:2: (e1= floatListExpression )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:692:3: e1= floatListExpression
        {
        pushFollow(FOLLOW_floatListExpression_in_synpred14_TextMarkerParser2721);
        e1=floatListExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred14_TextMarkerParser

    // $ANTLR start synpred15_TextMarkerParser
    public final void synpred15_TextMarkerParser_fragment() throws RecognitionException {   
        TypeExpression tf = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:769:2: (tf= typeFunction )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:769:2: tf= typeFunction
        {
        pushFollow(FOLLOW_typeFunction_in_synpred15_TextMarkerParser3129);
        tf=typeFunction();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred15_TextMarkerParser

    // $ANTLR start synpred17_TextMarkerParser
    public final void synpred17_TextMarkerParser_fragment() throws RecognitionException {   
        AbstractTextMarkerCondition c = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:879:4: (c= externalCondition )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:879:5: c= externalCondition
        {
        pushFollow(FOLLOW_externalCondition_in_synpred17_TextMarkerParser3692);
        c=externalCondition();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred17_TextMarkerParser

    // $ANTLR start synpred18_TextMarkerParser
    public final void synpred18_TextMarkerParser_fragment() throws RecognitionException {   
        ListExpression type = null;

        TextMarkerExpression a = null;

        NumberExpression min = null;

        NumberExpression max = null;

        Token var = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:930:5: ( COUNT LPAREN type= listExpression COMMA a= argument ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:930:5: COUNT LPAREN type= listExpression COMMA a= argument ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN
        {
        match(input,COUNT,FOLLOW_COUNT_in_synpred18_TextMarkerParser4028); if (state.failed) return ;
        match(input,LPAREN,FOLLOW_LPAREN_in_synpred18_TextMarkerParser4030); if (state.failed) return ;
        pushFollow(FOLLOW_listExpression_in_synpred18_TextMarkerParser4036);
        type=listExpression();

        state._fsp--;
        if (state.failed) return ;
        match(input,COMMA,FOLLOW_COMMA_in_synpred18_TextMarkerParser4038); if (state.failed) return ;
        pushFollow(FOLLOW_argument_in_synpred18_TextMarkerParser4044);
        a=argument();

        state._fsp--;
        if (state.failed) return ;
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:930:59: ( COMMA min= numberExpression COMMA max= numberExpression )?
        int alt205=2;
        int LA205_0 = input.LA(1);

        if ( (LA205_0==COMMA) ) {
            int LA205_1 = input.LA(2);

            if ( ((LA205_1>=EXP && LA205_1<=TAN)||LA205_1==DecimalLiteral||LA205_1==FloatingPointLiteral||LA205_1==LPAREN||LA205_1==MINUS) ) {
                alt205=1;
            }
            else if ( (LA205_1==Identifier) ) {
                int LA205_4 = input.LA(3);

                if ( (LA205_4==LPAREN||LA205_4==COMMA||(LA205_4>=PLUS && LA205_4<=SLASH)||LA205_4==PERCENT) ) {
                    alt205=1;
                }
            }
        }
        switch (alt205) {
            case 1 :
                // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:930:60: COMMA min= numberExpression COMMA max= numberExpression
                {
                match(input,COMMA,FOLLOW_COMMA_in_synpred18_TextMarkerParser4047); if (state.failed) return ;
                pushFollow(FOLLOW_numberExpression_in_synpred18_TextMarkerParser4053);
                min=numberExpression();

                state._fsp--;
                if (state.failed) return ;
                match(input,COMMA,FOLLOW_COMMA_in_synpred18_TextMarkerParser4055); if (state.failed) return ;
                pushFollow(FOLLOW_numberExpression_in_synpred18_TextMarkerParser4061);
                max=numberExpression();

                state._fsp--;
                if (state.failed) return ;

                }
                break;

        }

        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:931:5: ( COMMA var= numberVariable )?
        int alt206=2;
        int LA206_0 = input.LA(1);

        if ( (LA206_0==COMMA) ) {
            alt206=1;
        }
        switch (alt206) {
            case 1 :
                // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:931:6: COMMA var= numberVariable
                {
                match(input,COMMA,FOLLOW_COMMA_in_synpred18_TextMarkerParser4071); if (state.failed) return ;
                pushFollow(FOLLOW_numberVariable_in_synpred18_TextMarkerParser4077);
                var=numberVariable();

                state._fsp--;
                if (state.failed) return ;

                }
                break;

        }

        match(input,RPAREN,FOLLOW_RPAREN_in_synpred18_TextMarkerParser4081); if (state.failed) return ;

        }
    }
    // $ANTLR end synpred18_TextMarkerParser

    // $ANTLR start synpred19_TextMarkerParser
    public final void synpred19_TextMarkerParser_fragment() throws RecognitionException {   
        StringListExpression list2 = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:955:20: (list2= stringListExpression )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:955:21: list2= stringListExpression
        {
        pushFollow(FOLLOW_stringListExpression_in_synpred19_TextMarkerParser4355);
        list2=stringListExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred19_TextMarkerParser

    // $ANTLR start synpred20_TextMarkerParser
    public final void synpred20_TextMarkerParser_fragment() throws RecognitionException {   
        AbstractTextMarkerAction a = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1122:4: (a= externalAction )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1122:5: a= externalAction
        {
        pushFollow(FOLLOW_externalAction_in_synpred20_TextMarkerParser5911);
        a=externalAction();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred20_TextMarkerParser

    // $ANTLR start synpred21_TextMarkerParser
    public final void synpred21_TextMarkerParser_fragment() throws RecognitionException {   
        NumberExpression index = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1157:5: (index= numberExpression )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1157:6: index= numberExpression
        {
        pushFollow(FOLLOW_numberExpression_in_synpred21_TextMarkerParser6038);
        index=numberExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred21_TextMarkerParser

    // $ANTLR start synpred22_TextMarkerParser
    public final void synpred22_TextMarkerParser_fragment() throws RecognitionException {   
        NumberExpression index = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1157:81: ( COMMA index= numberExpression )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1157:82: COMMA index= numberExpression
        {
        match(input,COMMA,FOLLOW_COMMA_in_synpred22_TextMarkerParser6051); if (state.failed) return ;
        pushFollow(FOLLOW_numberExpression_in_synpred22_TextMarkerParser6057);
        index=numberExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred22_TextMarkerParser

    // $ANTLR start synpred23_TextMarkerParser
    public final void synpred23_TextMarkerParser_fragment() throws RecognitionException {   
        BooleanExpression ignoreCase = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1174:14: (ignoreCase= booleanExpression )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1174:15: ignoreCase= booleanExpression
        {
        pushFollow(FOLLOW_booleanExpression_in_synpred23_TextMarkerParser6230);
        ignoreCase=booleanExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred23_TextMarkerParser

    // $ANTLR start synpred24_TextMarkerParser
    public final void synpred24_TextMarkerParser_fragment() throws RecognitionException {   
        NumberExpression index = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1195:6: (index= numberExpression )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1195:7: index= numberExpression
        {
        pushFollow(FOLLOW_numberExpression_in_synpred24_TextMarkerParser6404);
        index=numberExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred24_TextMarkerParser

    // $ANTLR start synpred25_TextMarkerParser
    public final void synpred25_TextMarkerParser_fragment() throws RecognitionException {   
        NumberExpression index = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1195:82: ( COMMA index= numberExpression )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1195:83: COMMA index= numberExpression
        {
        match(input,COMMA,FOLLOW_COMMA_in_synpred25_TextMarkerParser6417); if (state.failed) return ;
        pushFollow(FOLLOW_numberExpression_in_synpred25_TextMarkerParser6423);
        index=numberExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred25_TextMarkerParser

    // $ANTLR start synpred29_TextMarkerParser
    public final void synpred29_TextMarkerParser_fragment() throws RecognitionException {   
        NumberExpression score = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1298:22: (score= numberExpression )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1298:23: score= numberExpression
        {
        pushFollow(FOLLOW_numberExpression_in_synpred29_TextMarkerParser7228);
        score=numberExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred29_TextMarkerParser

    // $ANTLR start synpred30_TextMarkerParser
    public final void synpred30_TextMarkerParser_fragment() throws RecognitionException {   
        TypeExpression type = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1298:85: (type= typeExpression )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1298:86: type= typeExpression
        {
        pushFollow(FOLLOW_typeExpression_in_synpred30_TextMarkerParser7248);
        type=typeExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred30_TextMarkerParser

    // $ANTLR start synpred32_TextMarkerParser
    public final void synpred32_TextMarkerParser_fragment() throws RecognitionException {   
        BooleanExpression b = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1463:4: (b= booleanExpression )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1463:5: b= booleanExpression
        {
        pushFollow(FOLLOW_booleanExpression_in_synpred32_TextMarkerParser8572);
        b=booleanExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred32_TextMarkerParser

    // $ANTLR start synpred33_TextMarkerParser
    public final void synpred33_TextMarkerParser_fragment() throws RecognitionException {   
        StringExpression a4 = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1623:2: (a4= stringExpression )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1623:2: a4= stringExpression
        {
        pushFollow(FOLLOW_stringExpression_in_synpred33_TextMarkerParser9802);
        a4=stringExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred33_TextMarkerParser

    // $ANTLR start synpred34_TextMarkerParser
    public final void synpred34_TextMarkerParser_fragment() throws RecognitionException {   
        BooleanExpression a2 = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1624:4: (a2= booleanExpression )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1624:4: a2= booleanExpression
        {
        pushFollow(FOLLOW_booleanExpression_in_synpred34_TextMarkerParser9813);
        a2=booleanExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred34_TextMarkerParser

    // $ANTLR start synpred35_TextMarkerParser
    public final void synpred35_TextMarkerParser_fragment() throws RecognitionException {   
        NumberExpression a3 = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1625:4: (a3= numberExpression )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1625:4: a3= numberExpression
        {
        pushFollow(FOLLOW_numberExpression_in_synpred35_TextMarkerParser9824);
        a3=numberExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred35_TextMarkerParser

    // $ANTLR start synpred36_TextMarkerParser
    public final void synpred36_TextMarkerParser_fragment() throws RecognitionException {   
        NumberExpression e = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1704:4: (e= externalNumberFunction )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1704:5: e= externalNumberFunction
        {
        pushFollow(FOLLOW_externalNumberFunction_in_synpred36_TextMarkerParser10183);
        e=externalNumberFunction();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred36_TextMarkerParser

    // $ANTLR start synpred38_TextMarkerParser
    public final void synpred38_TextMarkerParser_fragment() throws RecognitionException {   
        StringExpression e = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1779:3: (e= stringFunction )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1779:4: e= stringFunction
        {
        pushFollow(FOLLOW_stringFunction_in_synpred38_TextMarkerParser10663);
        e=stringFunction();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred38_TextMarkerParser

    // $ANTLR start synpred39_TextMarkerParser
    public final void synpred39_TextMarkerParser_fragment() throws RecognitionException {   
        StringExpression e = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1789:2: (e= externalStringFunction )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1789:3: e= externalStringFunction
        {
        pushFollow(FOLLOW_externalStringFunction_in_synpred39_TextMarkerParser10735);
        e=externalStringFunction();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred39_TextMarkerParser

    // $ANTLR start synpred40_TextMarkerParser
    public final void synpred40_TextMarkerParser_fragment() throws RecognitionException {   
        BooleanExpression e = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1812:2: (e= composedBooleanExpression )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1812:3: e= composedBooleanExpression
        {
        pushFollow(FOLLOW_composedBooleanExpression_in_synpred40_TextMarkerParser10842);
        e=composedBooleanExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred40_TextMarkerParser

    // $ANTLR start synpred41_TextMarkerParser
    public final void synpred41_TextMarkerParser_fragment() throws RecognitionException {   
        BooleanExpression e2 = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1827:2: (e2= booleanCompare )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1827:3: e2= booleanCompare
        {
        pushFollow(FOLLOW_booleanCompare_in_synpred41_TextMarkerParser10925);
        e2=booleanCompare();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred41_TextMarkerParser

    // $ANTLR start synpred42_TextMarkerParser
    public final void synpred42_TextMarkerParser_fragment() throws RecognitionException {   
        BooleanExpression bte = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1828:4: (bte= booleanTypeExpression )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1828:5: bte= booleanTypeExpression
        {
        pushFollow(FOLLOW_booleanTypeExpression_in_synpred42_TextMarkerParser10945);
        bte=booleanTypeExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred42_TextMarkerParser

    // $ANTLR start synpred43_TextMarkerParser
    public final void synpred43_TextMarkerParser_fragment() throws RecognitionException {   
        BooleanExpression bne = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1829:4: (bne= booleanNumberExpression )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1829:5: bne= booleanNumberExpression
        {
        pushFollow(FOLLOW_booleanNumberExpression_in_synpred43_TextMarkerParser10964);
        bne=booleanNumberExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred43_TextMarkerParser

    // $ANTLR start synpred44_TextMarkerParser
    public final void synpred44_TextMarkerParser_fragment() throws RecognitionException {   
        BooleanExpression e = null;


        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1839:4: (e= externalBooleanFunction )
        // org\\apache\\uima\\textmarker\\parser\\TextMarkerParser.g:1839:5: e= externalBooleanFunction
        {
        pushFollow(FOLLOW_externalBooleanFunction_in_synpred44_TextMarkerParser11039);
        e=externalBooleanFunction();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred44_TextMarkerParser

    // Delegated rules

    public final boolean synpred18_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred18_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred38_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred38_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred12_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred12_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred11_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred11_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred25_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred25_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred23_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred23_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred20_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred20_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred34_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred34_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred17_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred17_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred9_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred9_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred2_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred2_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred33_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred33_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred35_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred35_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred10_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred10_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred40_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred40_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred1_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred1_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred41_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred41_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred39_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred39_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred14_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred14_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred36_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred36_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred19_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred19_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred30_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred30_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred15_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred15_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred24_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred24_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred7_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred7_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred29_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred29_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred42_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred42_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred13_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred13_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred22_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred22_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred21_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred21_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred44_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred44_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred32_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred32_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred43_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred43_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred8_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred8_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }


    protected DFA31 dfa31 = new DFA31(this);
    protected DFA88 dfa88 = new DFA88(this);
    protected DFA123 dfa123 = new DFA123(this);
    protected DFA125 dfa125 = new DFA125(this);
    protected DFA132 dfa132 = new DFA132(this);
    protected DFA163 dfa163 = new DFA163(this);
    protected DFA177 dfa177 = new DFA177(this);
    protected DFA199 dfa199 = new DFA199(this);
    static final String DFA31_eotS =
        "\11\uffff";
    static final String DFA31_eofS =
        "\11\uffff";
    static final String DFA31_minS =
        "\1\11\1\120\2\u0080\1\u0081\1\u0080\2\uffff\1\u0080";
    static final String DFA31_maxS =
        "\1\11\2\u0080\2\u008c\1\u0080\2\uffff\1\u0089";
    static final String DFA31_acceptS =
        "\6\uffff\1\1\1\2\1\uffff";
    static final String DFA31_specialS =
        "\11\uffff}>";
    static final String[] DFA31_transitionS = {
            "\1\1",
            "\1\2\57\uffff\1\3",
            "\1\4",
            "\1\4\10\uffff\1\5\1\uffff\2\6",
            "\1\7\11\uffff\2\6",
            "\1\10",
            "",
            "",
            "\1\4\10\uffff\1\5"
    };

    static final short[] DFA31_eot = DFA.unpackEncodedString(DFA31_eotS);
    static final short[] DFA31_eof = DFA.unpackEncodedString(DFA31_eofS);
    static final char[] DFA31_min = DFA.unpackEncodedStringToUnsignedChars(DFA31_minS);
    static final char[] DFA31_max = DFA.unpackEncodedStringToUnsignedChars(DFA31_maxS);
    static final short[] DFA31_accept = DFA.unpackEncodedString(DFA31_acceptS);
    static final short[] DFA31_special = DFA.unpackEncodedString(DFA31_specialS);
    static final short[][] DFA31_transition;

    static {
        int numStates = DFA31_transitionS.length;
        DFA31_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA31_transition[i] = DFA.unpackEncodedString(DFA31_transitionS[i]);
        }
    }

    class DFA31 extends DFA {

        public DFA31(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 31;
            this.eot = DFA31_eot;
            this.eof = DFA31_eof;
            this.min = DFA31_min;
            this.max = DFA31_max;
            this.accept = DFA31_accept;
            this.special = DFA31_special;
            this.transition = DFA31_transition;
        }
        public String getDescription() {
            return "359:2: ( DECLARE (lazyParent= annotationType )? id= Identifier ( COMMA id= Identifier )* SEMI | DECLARE type= annotationType newName= Identifier ( LPAREN (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier ( COMMA (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier )* RPAREN ) SEMI )";
        }
    }
    static final String DFA88_eotS =
        "\35\uffff";
    static final String DFA88_eofS =
        "\35\uffff";
    static final String DFA88_minS =
        "\1\10\34\uffff";
    static final String DFA88_maxS =
        "\1\u008e\34\uffff";
    static final String DFA88_acceptS =
        "\1\uffff\1\1\1\2\1\3\1\4\1\5\1\6\1\7\1\10\1\11\1\12\1\13\1\14\1"+
        "\15\1\16\1\17\1\20\1\21\1\22\1\23\1\24\1\25\1\26\1\27\1\30\1\31"+
        "\1\32\1\33\1\34";
    static final String DFA88_specialS =
        "\1\0\34\uffff}>";
    static final String[] DFA88_transitionS = {
            "\1\2\3\uffff\1\1\1\3\1\4\1\20\1\5\1\6\1\7\1\10\1\11\1\13\1"+
            "\14\1\32\1\15\1\16\1\17\1\21\1\22\1\23\1\24\34\uffff\1\26\1"+
            "\27\1\25\1\30\1\31\4\uffff\1\12\6\uffff\1\33\64\uffff\1\34\15"+
            "\uffff\1\12",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA88_eot = DFA.unpackEncodedString(DFA88_eotS);
    static final short[] DFA88_eof = DFA.unpackEncodedString(DFA88_eofS);
    static final char[] DFA88_min = DFA.unpackEncodedStringToUnsignedChars(DFA88_minS);
    static final char[] DFA88_max = DFA.unpackEncodedStringToUnsignedChars(DFA88_maxS);
    static final short[] DFA88_accept = DFA.unpackEncodedString(DFA88_acceptS);
    static final short[] DFA88_special = DFA.unpackEncodedString(DFA88_specialS);
    static final short[][] DFA88_transition;

    static {
        int numStates = DFA88_transitionS.length;
        DFA88_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA88_transition[i] = DFA.unpackEncodedString(DFA88_transitionS[i]);
        }
    }

    class DFA88 extends DFA {

        public DFA88(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 88;
            this.eot = DFA88_eot;
            this.eof = DFA88_eof;
            this.min = DFA88_min;
            this.max = DFA88_max;
            this.accept = DFA88_accept;
            this.special = DFA88_special;
            this.transition = DFA88_transition;
        }
        public String getDescription() {
            return "851:2: (c= conditionAnd | c= conditionContains | c= conditionContextCount | c= conditionCount | c= conditionCurrentCount | c= conditionInList | c= conditionLast | c= conditionMofN | c= conditionNear | c= conditionNot | c= conditionOr | c= conditionPartOf | c= conditionPosition | c= conditionRegExp | c= conditionScore | c= conditionTotalCount | c= conditionVote | c= conditionIf | c= conditionFeature | c= conditionParse | c= conditionIs | c= conditionBefore | c= conditionAfter | c= conditionStartsWith | c= conditionEndsWith | c= conditionPartOfNeq | c= conditionSize | (c= externalCondition )=>c= externalCondition )";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA88_0 = input.LA(1);

                         
                        int index88_0 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA88_0==AND) ) {s = 1;}

                        else if ( (LA88_0==CONTAINS) ) {s = 2;}

                        else if ( (LA88_0==CONTEXTCOUNT) ) {s = 3;}

                        else if ( (LA88_0==COUNT) ) {s = 4;}

                        else if ( (LA88_0==CURRENTCOUNT) ) {s = 5;}

                        else if ( (LA88_0==INLIST) ) {s = 6;}

                        else if ( (LA88_0==LAST) ) {s = 7;}

                        else if ( (LA88_0==MOFN) ) {s = 8;}

                        else if ( (LA88_0==NEAR) ) {s = 9;}

                        else if ( (LA88_0==NOT||LA88_0==MINUS) ) {s = 10;}

                        else if ( (LA88_0==OR) ) {s = 11;}

                        else if ( (LA88_0==PARTOF) ) {s = 12;}

                        else if ( (LA88_0==POSITION) ) {s = 13;}

                        else if ( (LA88_0==REGEXP) ) {s = 14;}

                        else if ( (LA88_0==SCORE) ) {s = 15;}

                        else if ( (LA88_0==TOTALCOUNT) ) {s = 16;}

                        else if ( (LA88_0==VOTE) ) {s = 17;}

                        else if ( (LA88_0==IF) ) {s = 18;}

                        else if ( (LA88_0==FEATURE) ) {s = 19;}

                        else if ( (LA88_0==PARSE) ) {s = 20;}

                        else if ( (LA88_0==IS) ) {s = 21;}

                        else if ( (LA88_0==BEFORE) ) {s = 22;}

                        else if ( (LA88_0==AFTER) ) {s = 23;}

                        else if ( (LA88_0==STARTSWITH) ) {s = 24;}

                        else if ( (LA88_0==ENDSWITH) ) {s = 25;}

                        else if ( (LA88_0==PARTOFNEQ) ) {s = 26;}

                        else if ( (LA88_0==SIZE) ) {s = 27;}

                        else if ( (LA88_0==Identifier) && (synpred17_TextMarkerParser())) {s = 28;}

                         
                        input.seek(index88_0);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 88, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA123_eotS =
        "\52\uffff";
    static final String DFA123_eofS =
        "\52\uffff";
    static final String DFA123_minS =
        "\1\7\51\uffff";
    static final String DFA123_maxS =
        "\1\u0080\51\uffff";
    static final String DFA123_acceptS =
        "\1\uffff\1\1\1\2\1\3\1\4\1\5\1\6\1\7\1\10\1\11\1\12\1\13\1\14\1"+
        "\15\1\16\1\17\1\20\1\21\1\22\1\23\1\24\1\25\1\26\1\27\1\30\1\31"+
        "\1\32\1\33\1\34\1\35\1\36\1\37\1\40\1\41\1\42\1\43\1\44\1\45\1\46"+
        "\1\47\1\50\1\51";
    static final String DFA123_specialS =
        "\1\0\51\uffff}>";
    static final String[] DFA123_transitionS = {
            "\1\25\27\uffff\1\13\1\26\1\14\1\uffff\1\1\1\2\1\3\1\4\1\5\1"+
            "\24\1\6\1\30\1\7\1\10\1\12\1\11\1\15\1\27\1\42\1\16\1\17\1\20"+
            "\1\21\1\22\1\23\1\41\1\43\1\44\5\uffff\1\45\1\46\1\47\1\50\1"+
            "\uffff\1\31\1\32\1\33\1\34\1\35\1\36\1\uffff\1\37\1\uffff\1"+
            "\40\61\uffff\1\51",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA123_eot = DFA.unpackEncodedString(DFA123_eotS);
    static final short[] DFA123_eof = DFA.unpackEncodedString(DFA123_eofS);
    static final char[] DFA123_min = DFA.unpackEncodedStringToUnsignedChars(DFA123_minS);
    static final char[] DFA123_max = DFA.unpackEncodedStringToUnsignedChars(DFA123_maxS);
    static final short[] DFA123_accept = DFA.unpackEncodedString(DFA123_acceptS);
    static final short[] DFA123_special = DFA.unpackEncodedString(DFA123_specialS);
    static final short[][] DFA123_transition;

    static {
        int numStates = DFA123_transitionS.length;
        DFA123_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA123_transition[i] = DFA.unpackEncodedString(DFA123_transitionS[i]);
        }
    }

    class DFA123 extends DFA {

        public DFA123(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 123;
            this.eot = DFA123_eot;
            this.eof = DFA123_eof;
            this.min = DFA123_min;
            this.max = DFA123_max;
            this.accept = DFA123_accept;
            this.special = DFA123_special;
            this.transition = DFA123_transition;
        }
        public String getDescription() {
            return "1081:2: (a= actionColor | a= actionDel | a= actionLog | a= actionMark | a= actionMarkScore | a= actionMarkFast | a= actionMarkLast | a= actionReplace | a= actionFilterType | a= actionRetainType | a= actionCreate | a= actionFill | a= actionCall | a= actionAssign | a= actionSetFeature | a= actionGetFeature | a= actionUnmark | a= actionUnmarkAll | a= actionTransfer | a= actionMarkOnce | a= actionTrie | a= actionGather | a= actionExec | a= actionMarkTable | a= actionAdd | a= actionRemove | a= actionRemoveDuplicate | a= actionMerge | a= actionGet | a= actionGetList | a= actionMatchedText | a= actionClear | a= actionShift | a= actionConfigure | a= actionDynamicAnchoring | a= actionTrim | a= actionAddRetainType | a= actionRemoveRetainType | a= actionAddFilterType | a= actionRemoveFilterType | (a= externalAction )=>a= externalAction )";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA123_0 = input.LA(1);

                         
                        int index123_0 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA123_0==COLOR) ) {s = 1;}

                        else if ( (LA123_0==DEL) ) {s = 2;}

                        else if ( (LA123_0==LOG) ) {s = 3;}

                        else if ( (LA123_0==MARK) ) {s = 4;}

                        else if ( (LA123_0==MARKSCORE) ) {s = 5;}

                        else if ( (LA123_0==MARKFAST) ) {s = 6;}

                        else if ( (LA123_0==MARKLAST) ) {s = 7;}

                        else if ( (LA123_0==REPLACE) ) {s = 8;}

                        else if ( (LA123_0==FILTERTYPE) ) {s = 9;}

                        else if ( (LA123_0==RETAINTYPE) ) {s = 10;}

                        else if ( (LA123_0==CREATE) ) {s = 11;}

                        else if ( (LA123_0==FILL) ) {s = 12;}

                        else if ( (LA123_0==CALL) ) {s = 13;}

                        else if ( (LA123_0==ASSIGN) ) {s = 14;}

                        else if ( (LA123_0==SETFEATURE) ) {s = 15;}

                        else if ( (LA123_0==GETFEATURE) ) {s = 16;}

                        else if ( (LA123_0==UNMARK) ) {s = 17;}

                        else if ( (LA123_0==UNMARKALL) ) {s = 18;}

                        else if ( (LA123_0==TRANSFER) ) {s = 19;}

                        else if ( (LA123_0==MARKONCE) ) {s = 20;}

                        else if ( (LA123_0==TRIE) ) {s = 21;}

                        else if ( (LA123_0==GATHER) ) {s = 22;}

                        else if ( (LA123_0==EXEC) ) {s = 23;}

                        else if ( (LA123_0==MARKTABLE) ) {s = 24;}

                        else if ( (LA123_0==ADD) ) {s = 25;}

                        else if ( (LA123_0==REMOVE) ) {s = 26;}

                        else if ( (LA123_0==REMOVEDUPLICATE) ) {s = 27;}

                        else if ( (LA123_0==MERGE) ) {s = 28;}

                        else if ( (LA123_0==GET) ) {s = 29;}

                        else if ( (LA123_0==GETLIST) ) {s = 30;}

                        else if ( (LA123_0==MATCHEDTEXT) ) {s = 31;}

                        else if ( (LA123_0==CLEAR) ) {s = 32;}

                        else if ( (LA123_0==SHIFT) ) {s = 33;}

                        else if ( (LA123_0==CONFIGURE) ) {s = 34;}

                        else if ( (LA123_0==DYNAMICANCHORING) ) {s = 35;}

                        else if ( (LA123_0==TRIM) ) {s = 36;}

                        else if ( (LA123_0==ADDRETAINTYPE) ) {s = 37;}

                        else if ( (LA123_0==REMOVERETAINTYPE) ) {s = 38;}

                        else if ( (LA123_0==ADDFILTERTYPE) ) {s = 39;}

                        else if ( (LA123_0==REMOVEFILTERTYPE) ) {s = 40;}

                        else if ( (LA123_0==Identifier) && (synpred20_TextMarkerParser())) {s = 41;}

                         
                        input.seek(index123_0);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 123, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA125_eotS =
        "\12\uffff";
    static final String DFA125_eofS =
        "\12\uffff";
    static final String DFA125_minS =
        "\1\115\3\uffff\1\0\5\uffff";
    static final String DFA125_maxS =
        "\1\u008e\3\uffff\1\0\5\uffff";
    static final String DFA125_acceptS =
        "\1\uffff\3\1\1\uffff\2\1\1\2\2\uffff";
    static final String DFA125_specialS =
        "\1\0\3\uffff\1\1\5\uffff}>";
    static final String[] DFA125_transitionS = {
            "\1\7\32\uffff\5\6\6\uffff\1\2\3\uffff\1\3\2\uffff\1\7\5\uffff"+
            "\1\4\1\5\1\7\13\uffff\1\1",
            "",
            "",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA125_eot = DFA.unpackEncodedString(DFA125_eotS);
    static final short[] DFA125_eof = DFA.unpackEncodedString(DFA125_eofS);
    static final char[] DFA125_min = DFA.unpackEncodedStringToUnsignedChars(DFA125_minS);
    static final char[] DFA125_max = DFA.unpackEncodedStringToUnsignedChars(DFA125_maxS);
    static final short[] DFA125_accept = DFA.unpackEncodedString(DFA125_acceptS);
    static final short[] DFA125_special = DFA.unpackEncodedString(DFA125_specialS);
    static final short[][] DFA125_transition;

    static {
        int numStates = DFA125_transitionS.length;
        DFA125_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA125_transition[i] = DFA.unpackEncodedString(DFA125_transitionS[i]);
        }
    }

    class DFA125 extends DFA {

        public DFA125(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 125;
            this.eot = DFA125_eot;
            this.eof = DFA125_eof;
            this.min = DFA125_min;
            this.max = DFA125_max;
            this.accept = DFA125_accept;
            this.special = DFA125_special;
            this.transition = DFA125_transition;
        }
        public String getDescription() {
            return "1156:5: ( (index= numberExpression )=>index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )?";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA125_0 = input.LA(1);

                         
                        int index125_0 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA125_0==MINUS) && (synpred21_TextMarkerParser())) {s = 1;}

                        else if ( (LA125_0==DecimalLiteral) && (synpred21_TextMarkerParser())) {s = 2;}

                        else if ( (LA125_0==FloatingPointLiteral) && (synpred21_TextMarkerParser())) {s = 3;}

                        else if ( (LA125_0==Identifier) ) {s = 4;}

                        else if ( (LA125_0==LPAREN) && (synpred21_TextMarkerParser())) {s = 5;}

                        else if ( ((LA125_0>=EXP && LA125_0<=TAN)) && (synpred21_TextMarkerParser())) {s = 6;}

                        else if ( (LA125_0==REMOVESTRING||LA125_0==StringLiteral||LA125_0==RPAREN) ) {s = 7;}

                         
                        input.seek(index125_0);
                        if ( s>=0 ) return s;
                        break;
                    case 1 : 
                        int LA125_4 = input.LA(1);

                         
                        int index125_4 = input.index();
                        input.rewind();
                        s = -1;
                        if ( ((synpred21_TextMarkerParser()||(synpred21_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "FLOAT")))||(synpred21_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "INT")))||(synpred21_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "DOUBLE"))))) ) {s = 6;}

                        else if ( (true) ) {s = 7;}

                         
                        input.seek(index125_4);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 125, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA132_eotS =
        "\12\uffff";
    static final String DFA132_eofS =
        "\12\uffff";
    static final String DFA132_minS =
        "\1\115\3\uffff\1\0\5\uffff";
    static final String DFA132_maxS =
        "\1\u008e\3\uffff\1\0\5\uffff";
    static final String DFA132_acceptS =
        "\1\uffff\3\1\1\uffff\2\1\1\2\2\uffff";
    static final String DFA132_specialS =
        "\1\0\3\uffff\1\1\5\uffff}>";
    static final String[] DFA132_transitionS = {
            "\1\7\32\uffff\5\6\6\uffff\1\2\3\uffff\1\3\2\uffff\1\7\5\uffff"+
            "\1\4\1\5\1\7\13\uffff\1\1",
            "",
            "",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA132_eot = DFA.unpackEncodedString(DFA132_eotS);
    static final short[] DFA132_eof = DFA.unpackEncodedString(DFA132_eofS);
    static final char[] DFA132_min = DFA.unpackEncodedStringToUnsignedChars(DFA132_minS);
    static final char[] DFA132_max = DFA.unpackEncodedStringToUnsignedChars(DFA132_maxS);
    static final short[] DFA132_accept = DFA.unpackEncodedString(DFA132_acceptS);
    static final short[] DFA132_special = DFA.unpackEncodedString(DFA132_specialS);
    static final short[][] DFA132_transition;

    static {
        int numStates = DFA132_transitionS.length;
        DFA132_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA132_transition[i] = DFA.unpackEncodedString(DFA132_transitionS[i]);
        }
    }

    class DFA132 extends DFA {

        public DFA132(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 132;
            this.eot = DFA132_eot;
            this.eof = DFA132_eof;
            this.min = DFA132_min;
            this.max = DFA132_max;
            this.accept = DFA132_accept;
            this.special = DFA132_special;
            this.transition = DFA132_transition;
        }
        public String getDescription() {
            return "1195:5: ( (index= numberExpression )=>index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )?";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA132_0 = input.LA(1);

                         
                        int index132_0 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA132_0==MINUS) && (synpred24_TextMarkerParser())) {s = 1;}

                        else if ( (LA132_0==DecimalLiteral) && (synpred24_TextMarkerParser())) {s = 2;}

                        else if ( (LA132_0==FloatingPointLiteral) && (synpred24_TextMarkerParser())) {s = 3;}

                        else if ( (LA132_0==Identifier) ) {s = 4;}

                        else if ( (LA132_0==LPAREN) && (synpred24_TextMarkerParser())) {s = 5;}

                        else if ( ((LA132_0>=EXP && LA132_0<=TAN)) && (synpred24_TextMarkerParser())) {s = 6;}

                        else if ( (LA132_0==REMOVESTRING||LA132_0==StringLiteral||LA132_0==RPAREN) ) {s = 7;}

                         
                        input.seek(index132_0);
                        if ( s>=0 ) return s;
                        break;
                    case 1 : 
                        int LA132_4 = input.LA(1);

                         
                        int index132_4 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (((synpred24_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "DOUBLE")))||synpred24_TextMarkerParser()||(synpred24_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "FLOAT")))||(synpred24_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "INT"))))) ) {s = 6;}

                        else if ( (true) ) {s = 7;}

                         
                        input.seek(index132_4);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 132, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA163_eotS =
        "\13\uffff";
    static final String DFA163_eofS =
        "\13\uffff";
    static final String DFA163_minS =
        "\1\120\2\uffff\1\0\1\uffff\1\0\5\uffff";
    static final String DFA163_maxS =
        "\1\u008e\2\uffff\1\0\1\uffff\1\0\5\uffff";
    static final String DFA163_acceptS =
        "\1\uffff\2\1\1\uffff\1\1\1\uffff\1\1\1\2\3\uffff";
    static final String DFA163_specialS =
        "\1\0\2\uffff\1\1\1\uffff\1\2\5\uffff}>";
    static final String[] DFA163_transitionS = {
            "\1\4\27\uffff\5\7\1\6\1\1\1\2\3\uffff\1\7\3\uffff\1\7\10\uffff"+
            "\1\3\1\5\14\uffff\1\7",
            "",
            "",
            "\1\uffff",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA163_eot = DFA.unpackEncodedString(DFA163_eotS);
    static final short[] DFA163_eof = DFA.unpackEncodedString(DFA163_eofS);
    static final char[] DFA163_min = DFA.unpackEncodedStringToUnsignedChars(DFA163_minS);
    static final char[] DFA163_max = DFA.unpackEncodedStringToUnsignedChars(DFA163_maxS);
    static final short[] DFA163_accept = DFA.unpackEncodedString(DFA163_acceptS);
    static final short[] DFA163_special = DFA.unpackEncodedString(DFA163_specialS);
    static final short[][] DFA163_transition;

    static {
        int numStates = DFA163_transitionS.length;
        DFA163_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA163_transition[i] = DFA.unpackEncodedString(DFA163_transitionS[i]);
        }
    }

    class DFA163 extends DFA {

        public DFA163(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 163;
            this.eot = DFA163_eot;
            this.eof = DFA163_eof;
            this.min = DFA163_min;
            this.max = DFA163_max;
            this.accept = DFA163_accept;
            this.special = DFA163_special;
            this.transition = DFA163_transition;
        }
        public String getDescription() {
            return "1462:5: ( (b= booleanExpression )=>b= booleanExpression | (index= numberExpression ( COMMA index= numberExpression )* ) )";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA163_0 = input.LA(1);

                         
                        int index163_0 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA163_0==TRUE) && (synpred32_TextMarkerParser())) {s = 1;}

                        else if ( (LA163_0==FALSE) && (synpred32_TextMarkerParser())) {s = 2;}

                        else if ( (LA163_0==Identifier) ) {s = 3;}

                        else if ( (LA163_0==BasicAnnotationType) && (synpred32_TextMarkerParser())) {s = 4;}

                        else if ( (LA163_0==LPAREN) ) {s = 5;}

                        else if ( (LA163_0==XOR) && (synpred32_TextMarkerParser())) {s = 6;}

                        else if ( ((LA163_0>=EXP && LA163_0<=TAN)||LA163_0==DecimalLiteral||LA163_0==FloatingPointLiteral||LA163_0==MINUS) ) {s = 7;}

                         
                        input.seek(index163_0);
                        if ( s>=0 ) return s;
                        break;
                    case 1 : 
                        int LA163_3 = input.LA(1);

                         
                        int index163_3 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (((synpred32_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPE")))||(synpred32_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "BOOLEAN")))||synpred32_TextMarkerParser()||(synpred32_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "BOOLEAN"))))) ) {s = 6;}

                        else if ( (true) ) {s = 7;}

                         
                        input.seek(index163_3);
                        if ( s>=0 ) return s;
                        break;
                    case 2 : 
                        int LA163_5 = input.LA(1);

                         
                        int index163_5 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred32_TextMarkerParser()) ) {s = 6;}

                        else if ( (true) ) {s = 7;}

                         
                        input.seek(index163_5);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 163, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA177_eotS =
        "\16\uffff";
    static final String DFA177_eofS =
        "\16\uffff";
    static final String DFA177_minS =
        "\1\115\1\uffff\1\0\3\uffff\2\0\6\uffff";
    static final String DFA177_maxS =
        "\1\u008e\1\uffff\1\0\3\uffff\2\0\6\uffff";
    static final String DFA177_acceptS =
        "\1\uffff\1\1\2\uffff\1\2\4\uffff\1\3\3\uffff\1\4";
    static final String DFA177_specialS =
        "\2\uffff\1\0\3\uffff\1\1\1\2\6\uffff}>";
    static final String[] DFA177_transitionS = {
            "\1\1\2\uffff\1\6\27\uffff\5\11\3\4\3\uffff\1\11\3\uffff\1\11"+
            "\2\uffff\1\1\5\uffff\1\2\1\7\14\uffff\1\11",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "\1\uffff",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA177_eot = DFA.unpackEncodedString(DFA177_eotS);
    static final short[] DFA177_eof = DFA.unpackEncodedString(DFA177_eofS);
    static final char[] DFA177_min = DFA.unpackEncodedStringToUnsignedChars(DFA177_minS);
    static final char[] DFA177_max = DFA.unpackEncodedStringToUnsignedChars(DFA177_maxS);
    static final short[] DFA177_accept = DFA.unpackEncodedString(DFA177_acceptS);
    static final short[] DFA177_special = DFA.unpackEncodedString(DFA177_specialS);
    static final short[][] DFA177_transition;

    static {
        int numStates = DFA177_transitionS.length;
        DFA177_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA177_transition[i] = DFA.unpackEncodedString(DFA177_transitionS[i]);
        }
    }

    class DFA177 extends DFA {

        public DFA177(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 177;
            this.eot = DFA177_eot;
            this.eof = DFA177_eof;
            this.min = DFA177_min;
            this.max = DFA177_max;
            this.accept = DFA177_accept;
            this.special = DFA177_special;
            this.transition = DFA177_transition;
        }
        public String getDescription() {
            return "1618:1: argument returns [TextMarkerExpression expr = null] options {backtrack=true; } : (a4= stringExpression | a2= booleanExpression | a3= numberExpression | a1= typeExpression );";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA177_2 = input.LA(1);

                         
                        int index177_2 = input.index();
                        input.rewind();
                        s = -1;
                        if ( ((synpred33_TextMarkerParser()||(synpred33_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "STRING"))))) ) {s = 1;}

                        else if ( (((synpred34_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "BOOLEAN")))||(synpred34_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "BOOLEAN")))||(synpred34_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "TYPE")))||synpred34_TextMarkerParser())) ) {s = 4;}

                        else if ( (((synpred35_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "FLOAT")))||synpred35_TextMarkerParser()||(synpred35_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "INT")))||(synpred35_TextMarkerParser()&&(isVariableOfType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env,input.LT(1).getText(), "DOUBLE"))))) ) {s = 9;}

                        else if ( (true) ) {s = 13;}

                         
                        input.seek(index177_2);
                        if ( s>=0 ) return s;
                        break;
                    case 1 : 
                        int LA177_6 = input.LA(1);

                         
                        int index177_6 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred34_TextMarkerParser()) ) {s = 4;}

                        else if ( (true) ) {s = 13;}

                         
                        input.seek(index177_6);
                        if ( s>=0 ) return s;
                        break;
                    case 2 : 
                        int LA177_7 = input.LA(1);

                         
                        int index177_7 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred34_TextMarkerParser()) ) {s = 4;}

                        else if ( (synpred35_TextMarkerParser()) ) {s = 9;}

                         
                        input.seek(index177_7);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 177, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA199_eotS =
        "\14\uffff";
    static final String DFA199_eofS =
        "\1\uffff\3\7\10\uffff";
    static final String DFA199_minS =
        "\1\120\2\u0082\1\u0081\10\uffff";
    static final String DFA199_maxS =
        "\1\u0081\3\u0099\10\uffff";
    static final String DFA199_acceptS =
        "\4\uffff\3\1\1\2\4\1";
    static final String DFA199_specialS =
        "\1\3\1\0\1\2\1\1\10\uffff}>";
    static final String[] DFA199_transitionS = {
            "\1\4\34\uffff\1\6\1\1\1\2\20\uffff\1\3\1\5",
            "\1\7\10\uffff\2\7\13\uffff\2\10",
            "\1\7\10\uffff\2\7\13\uffff\2\10",
            "\1\11\1\7\6\uffff\1\13\1\uffff\2\7\13\uffff\2\12",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA199_eot = DFA.unpackEncodedString(DFA199_eotS);
    static final short[] DFA199_eof = DFA.unpackEncodedString(DFA199_eofS);
    static final char[] DFA199_min = DFA.unpackEncodedStringToUnsignedChars(DFA199_minS);
    static final char[] DFA199_max = DFA.unpackEncodedStringToUnsignedChars(DFA199_maxS);
    static final short[] DFA199_accept = DFA.unpackEncodedString(DFA199_acceptS);
    static final short[] DFA199_special = DFA.unpackEncodedString(DFA199_specialS);
    static final short[][] DFA199_transition;

    static {
        int numStates = DFA199_transitionS.length;
        DFA199_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA199_transition[i] = DFA.unpackEncodedString(DFA199_transitionS[i]);
        }
    }

    class DFA199 extends DFA {

        public DFA199(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 199;
            this.eot = DFA199_eot;
            this.eof = DFA199_eof;
            this.min = DFA199_min;
            this.max = DFA199_max;
            this.accept = DFA199_accept;
            this.special = DFA199_special;
            this.transition = DFA199_transition;
        }
        public String getDescription() {
            return "1810:1: booleanExpression returns [BooleanExpression expr = null] : ( (e= composedBooleanExpression )=>e= composedBooleanExpression | sbE= simpleBooleanExpression );";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA199_1 = input.LA(1);

                         
                        int index199_1 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA199_1==EOF||LA199_1==RPAREN||(LA199_1>=COMMA && LA199_1<=SEMI)) ) {s = 7;}

                        else if ( ((LA199_1>=EQUAL && LA199_1<=NOTEQUAL)) && (synpred40_TextMarkerParser())) {s = 8;}

                         
                        input.seek(index199_1);
                        if ( s>=0 ) return s;
                        break;
                    case 1 : 
                        int LA199_3 = input.LA(1);

                         
                        int index199_3 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA199_3==LPAREN) && (synpred40_TextMarkerParser())) {s = 9;}

                        else if ( (LA199_3==EOF||LA199_3==RPAREN||(LA199_3>=COMMA && LA199_3<=SEMI)) ) {s = 7;}

                        else if ( ((LA199_3>=EQUAL && LA199_3<=NOTEQUAL)) && (synpred40_TextMarkerParser())) {s = 10;}

                        else if ( (LA199_3==DOT) && (synpred40_TextMarkerParser())) {s = 11;}

                         
                        input.seek(index199_3);
                        if ( s>=0 ) return s;
                        break;
                    case 2 : 
                        int LA199_2 = input.LA(1);

                         
                        int index199_2 = input.index();
                        input.rewind();
                        s = -1;
                        if ( ((LA199_2>=EQUAL && LA199_2<=NOTEQUAL)) && (synpred40_TextMarkerParser())) {s = 8;}

                        else if ( (LA199_2==EOF||LA199_2==RPAREN||(LA199_2>=COMMA && LA199_2<=SEMI)) ) {s = 7;}

                         
                        input.seek(index199_2);
                        if ( s>=0 ) return s;
                        break;
                    case 3 : 
                        int LA199_0 = input.LA(1);

                         
                        int index199_0 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA199_0==TRUE) ) {s = 1;}

                        else if ( (LA199_0==FALSE) ) {s = 2;}

                        else if ( (LA199_0==Identifier) ) {s = 3;}

                        else if ( (LA199_0==BasicAnnotationType) && (synpred40_TextMarkerParser())) {s = 4;}

                        else if ( (LA199_0==LPAREN) && (synpred40_TextMarkerParser())) {s = 5;}

                        else if ( (LA199_0==XOR) && (synpred40_TextMarkerParser())) {s = 6;}

                         
                        input.seek(index199_0);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 199, _s, input);
            error(nvae);
            throw nvae;
        }
    }
 

    public static final BitSet FOLLOW_packageDeclaration_in_file_input75 = new BitSet(new long[]{0x0000000000000E00L,0x040000FC7FF10000L,0x0000000000000003L});
    public static final BitSet FOLLOW_globalStatements_in_file_input91 = new BitSet(new long[]{0x0000000000000E00L,0x040000FC3FC10000L,0x0000000000000003L});
    public static final BitSet FOLLOW_statements_in_file_input100 = new BitSet(new long[]{0x0000000000000000L});
    public static final BitSet FOLLOW_EOF_in_file_input108 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_PackageString_in_packageDeclaration123 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_dottedIdentifier_in_packageDeclaration129 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_packageDeclaration131 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_statement_in_statements154 = new BitSet(new long[]{0x0000000000000E02L,0x040000FC3FC10000L,0x0000000000000003L});
    public static final BitSet FOLLOW_globalStatement_in_globalStatements179 = new BitSet(new long[]{0x0000000000000002L,0x0000000040300000L});
    public static final BitSet FOLLOW_importStatement_in_globalStatement203 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_declaration_in_statement229 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_variableDeclaration_in_statement240 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_simpleStatement_in_statement251 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_blockDeclaration_in_statement262 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_automataDeclaration_in_statement273 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_IntString_in_variableDeclaration303 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration312 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201800L});
    public static final BitSet FOLLOW_COMMA_in_variableDeclaration319 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration327 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201800L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration337 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_variableDeclaration343 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration350 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_DoubleString_in_variableDeclaration360 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration369 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201800L});
    public static final BitSet FOLLOW_COMMA_in_variableDeclaration376 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration384 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201800L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration395 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_variableDeclaration401 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration407 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_FloatString_in_variableDeclaration417 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration426 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201800L});
    public static final BitSet FOLLOW_COMMA_in_variableDeclaration433 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration441 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201800L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration452 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_variableDeclaration458 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration464 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_StringString_in_variableDeclaration474 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration483 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201800L});
    public static final BitSet FOLLOW_COMMA_in_variableDeclaration490 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration498 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201800L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration509 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_variableDeclaration515 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration521 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_BooleanString_in_variableDeclaration531 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration540 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201800L});
    public static final BitSet FOLLOW_COMMA_in_variableDeclaration547 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration555 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201800L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration566 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_variableDeclaration572 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration578 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_TypeString_in_variableDeclaration588 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration597 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201800L});
    public static final BitSet FOLLOW_COMMA_in_variableDeclaration604 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration612 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201800L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration623 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_annotationType_in_variableDeclaration629 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration635 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_WORDLIST_in_variableDeclaration646 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration658 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration661 = new BitSet(new long[]{0x0000000000000000L,0x0800000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_wordListExpression_in_variableDeclaration667 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration671 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_WORDTABLE_in_variableDeclaration685 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration697 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration700 = new BitSet(new long[]{0x0000000000000000L,0x0800000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_wordTableExpression_in_variableDeclaration706 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration710 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_BOOLEANLIST_in_variableDeclaration722 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration734 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration737 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000021L});
    public static final BitSet FOLLOW_booleanListExpression_in_variableDeclaration743 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration747 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_STRINGLIST_in_variableDeclaration760 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration772 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration775 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000021L});
    public static final BitSet FOLLOW_stringListExpression_in_variableDeclaration781 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration785 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_INTLIST_in_variableDeclaration798 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration810 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration813 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000021L});
    public static final BitSet FOLLOW_numberListExpression_in_variableDeclaration819 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration823 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_DOUBLELIST_in_variableDeclaration836 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration848 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration851 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000021L});
    public static final BitSet FOLLOW_numberListExpression_in_variableDeclaration857 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration861 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_FLOATLIST_in_variableDeclaration874 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration886 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration889 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000021L});
    public static final BitSet FOLLOW_numberListExpression_in_variableDeclaration895 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration899 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_TYPELIST_in_variableDeclaration912 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration924 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration927 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000021L});
    public static final BitSet FOLLOW_typeListExpression_in_variableDeclaration933 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration937 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_TypeSystemString_in_importStatement984 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_dottedIdentifier2_in_importStatement990 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_importStatement993 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ScriptString_in_importStatement998 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_dottedIdentifier2_in_importStatement1004 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_importStatement1007 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_EngineString_in_importStatement1012 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_dottedIdentifier2_in_importStatement1018 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_importStatement1021 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_DECLARE_in_declaration1045 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_annotationType_in_declaration1055 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_declaration1063 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001800L});
    public static final BitSet FOLLOW_COMMA_in_declaration1070 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_declaration1084 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001800L});
    public static final BitSet FOLLOW_SEMI_in_declaration1093 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_DECLARE_in_declaration1100 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_annotationType_in_declaration1106 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_declaration1112 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_declaration1118 = new BitSet(new long[]{0x0000000000000000L,0x000000003E010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_annotationType_in_declaration1133 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_StringString_in_declaration1146 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_DoubleString_in_declaration1159 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_FloatString_in_declaration1171 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_IntString_in_declaration1183 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_BooleanString_in_declaration1195 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_declaration1211 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_declaration1223 = new BitSet(new long[]{0x0000000000000000L,0x000000003E010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_annotationType_in_declaration1238 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_StringString_in_declaration1251 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_DoubleString_in_declaration1264 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_FloatString_in_declaration1276 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_IntString_in_declaration1288 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_BooleanString_in_declaration1300 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_declaration1316 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_declaration1324 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_declaration1327 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_BlockString_in_blockDeclaration1385 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_blockDeclaration1389 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_blockDeclaration1396 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_blockDeclaration1400 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_ruleElementWithCA_in_blockDeclaration1413 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000020L});
    public static final BitSet FOLLOW_LCURLY_in_blockDeclaration1424 = new BitSet(new long[]{0x0000000000000E00L,0x040000FC3FC10000L,0x0000000000000043L});
    public static final BitSet FOLLOW_statements_in_blockDeclaration1430 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000040L});
    public static final BitSet FOLLOW_RCURLY_in_blockDeclaration1432 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_AutomataBlockString_in_automataDeclaration1484 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_automataDeclaration1488 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_automataDeclaration1495 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_automataDeclaration1499 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_ruleElementWithCA_in_automataDeclaration1512 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000020L});
    public static final BitSet FOLLOW_LCURLY_in_automataDeclaration1521 = new BitSet(new long[]{0x0000000000000E00L,0x040000FC3FC10000L,0x0000000000000043L});
    public static final BitSet FOLLOW_statements_in_automataDeclaration1527 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000040L});
    public static final BitSet FOLLOW_RCURLY_in_automataDeclaration1529 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_typeExpression_in_ruleElementWithCA1566 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x000000000080A028L});
    public static final BitSet FOLLOW_quantifierPart_in_ruleElementWithCA1583 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000020L});
    public static final BitSet FOLLOW_LCURLY_in_ruleElementWithCA1595 = new BitSet(new long[]{0xF80000007FFFF100L,0x0000000000008810L,0x0000000000004041L});
    public static final BitSet FOLLOW_conditions_in_ruleElementWithCA1601 = new BitSet(new long[]{0x0000000000000000L,0x0000000000008000L,0x0000000000000040L});
    public static final BitSet FOLLOW_THEN_in_ruleElementWithCA1605 = new BitSet(new long[]{0x07FFFFFB80000080L,0x00000000000057EFL,0x0000000000000001L});
    public static final BitSet FOLLOW_actions_in_ruleElementWithCA1611 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000040L});
    public static final BitSet FOLLOW_RCURLY_in_ruleElementWithCA1615 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ruleElements_in_simpleStatement1656 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_simpleStatement1659 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ruleElement_in_ruleElements1686 = new BitSet(new long[]{0x0000000000000002L,0x0400000000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_ruleElement_in_ruleElements1696 = new BitSet(new long[]{0x0000000000000002L,0x0400000000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_ruleElementType_in_ruleElement1725 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ruleElementLiteral_in_ruleElement1737 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ruleElementComposed_in_ruleElement1754 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ruleElementDisjunctive_in_ruleElement1772 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_ruleElementDisjunctive1804 = new BitSet(new long[]{0x0000000000000000L,0x0400000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_ruleElementDisjunctive1828 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_simpleStringExpression_in_ruleElementDisjunctive1835 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_VBAR_in_ruleElementDisjunctive1850 = new BitSet(new long[]{0x0000000000000000L,0x0400000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_ruleElementDisjunctive1856 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020004L});
    public static final BitSet FOLLOW_simpleStringExpression_in_ruleElementDisjunctive1863 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020004L});
    public static final BitSet FOLLOW_VBAR_in_ruleElementDisjunctive1884 = new BitSet(new long[]{0x0000000000000000L,0x0400000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_ruleElementDisjunctive1891 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020004L});
    public static final BitSet FOLLOW_simpleStringExpression_in_ruleElementDisjunctive1898 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020004L});
    public static final BitSet FOLLOW_RPAREN_in_ruleElementDisjunctive1920 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x000000000080A028L});
    public static final BitSet FOLLOW_quantifierPart_in_ruleElementDisjunctive1946 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000020L});
    public static final BitSet FOLLOW_LCURLY_in_ruleElementDisjunctive1959 = new BitSet(new long[]{0xF80000007FFFF100L,0x0000000000008810L,0x0000000000004041L});
    public static final BitSet FOLLOW_conditions_in_ruleElementDisjunctive1965 = new BitSet(new long[]{0x0000000000000000L,0x0000000000008000L,0x0000000000000040L});
    public static final BitSet FOLLOW_THEN_in_ruleElementDisjunctive1969 = new BitSet(new long[]{0x07FFFFFB80000080L,0x00000000000057EFL,0x0000000000000001L});
    public static final BitSet FOLLOW_actions_in_ruleElementDisjunctive1975 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000040L});
    public static final BitSet FOLLOW_RCURLY_in_ruleElementDisjunctive1979 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_ruleElementComposed2020 = new BitSet(new long[]{0x0000000000000000L,0x0400000000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_ruleElements_in_ruleElementComposed2048 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_ruleElementComposed2058 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x000000000080A028L});
    public static final BitSet FOLLOW_quantifierPart_in_ruleElementComposed2064 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000020L});
    public static final BitSet FOLLOW_LCURLY_in_ruleElementComposed2068 = new BitSet(new long[]{0xF80000007FFFF100L,0x0000000000008810L,0x0000000000004041L});
    public static final BitSet FOLLOW_conditions_in_ruleElementComposed2074 = new BitSet(new long[]{0x0000000000000000L,0x0000000000008000L,0x0000000000000040L});
    public static final BitSet FOLLOW_THEN_in_ruleElementComposed2078 = new BitSet(new long[]{0x07FFFFFB80000080L,0x00000000000057EFL,0x0000000000000001L});
    public static final BitSet FOLLOW_actions_in_ruleElementComposed2084 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000040L});
    public static final BitSet FOLLOW_RCURLY_in_ruleElementComposed2088 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_typeExpression_in_ruleElementType2131 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x000000000080A028L});
    public static final BitSet FOLLOW_quantifierPart_in_ruleElementType2150 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000020L});
    public static final BitSet FOLLOW_LCURLY_in_ruleElementType2163 = new BitSet(new long[]{0xF80000007FFFF100L,0x0000000000008810L,0x0000000000004041L});
    public static final BitSet FOLLOW_conditions_in_ruleElementType2169 = new BitSet(new long[]{0x0000000000000000L,0x0000000000008000L,0x0000000000000040L});
    public static final BitSet FOLLOW_THEN_in_ruleElementType2173 = new BitSet(new long[]{0x07FFFFFB80000080L,0x00000000000057EFL,0x0000000000000001L});
    public static final BitSet FOLLOW_actions_in_ruleElementType2179 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000040L});
    public static final BitSet FOLLOW_RCURLY_in_ruleElementType2183 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_simpleStringExpression_in_ruleElementLiteral2230 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x000000000080A028L});
    public static final BitSet FOLLOW_quantifierPart_in_ruleElementLiteral2254 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000020L});
    public static final BitSet FOLLOW_LCURLY_in_ruleElementLiteral2267 = new BitSet(new long[]{0xF80000007FFFF100L,0x0000000000008810L,0x0000000000004041L});
    public static final BitSet FOLLOW_conditions_in_ruleElementLiteral2273 = new BitSet(new long[]{0x0000000000000000L,0x0000000000008000L,0x0000000000000040L});
    public static final BitSet FOLLOW_THEN_in_ruleElementLiteral2277 = new BitSet(new long[]{0x07FFFFFB80000080L,0x00000000000057EFL,0x0000000000000001L});
    public static final BitSet FOLLOW_actions_in_ruleElementLiteral2283 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000040L});
    public static final BitSet FOLLOW_RCURLY_in_ruleElementLiteral2287 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_condition_in_conditions2325 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditions2330 = new BitSet(new long[]{0xF80000007FFFF100L,0x0000000000000810L,0x0000000000004001L});
    public static final BitSet FOLLOW_condition_in_conditions2336 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_action_in_actions2374 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actions2379 = new BitSet(new long[]{0x07FFFFFB80000080L,0x00000000000057EFL,0x0000000000000001L});
    public static final BitSet FOLLOW_action_in_actions2385 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_booleanListExpression_in_listExpression2421 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_intListExpression_in_listExpression2437 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_doubleListExpression_in_listExpression2453 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_floatListExpression_in_listExpression2469 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_stringListExpression_in_listExpression2485 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_typeListExpression_in_listExpression2501 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_simpleBooleanListExpression_in_booleanListExpression2523 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LCURLY_in_simpleBooleanListExpression2544 = new BitSet(new long[]{0x0000000000000000L,0x0000C00000000000L,0x0000000000000041L});
    public static final BitSet FOLLOW_simpleBooleanExpression_in_simpleBooleanListExpression2551 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000840L});
    public static final BitSet FOLLOW_COMMA_in_simpleBooleanListExpression2556 = new BitSet(new long[]{0x0000000000000000L,0x0000C00000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_simpleBooleanExpression_in_simpleBooleanListExpression2562 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000840L});
    public static final BitSet FOLLOW_RCURLY_in_simpleBooleanListExpression2571 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_simpleBooleanListExpression2586 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_simpleIntListExpression_in_intListExpression2611 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LCURLY_in_simpleIntListExpression2632 = new BitSet(new long[]{0x0000000000000000L,0x0088000000000000L,0x0000000000004043L});
    public static final BitSet FOLLOW_simpleNumberExpression_in_simpleIntListExpression2639 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000840L});
    public static final BitSet FOLLOW_COMMA_in_simpleIntListExpression2644 = new BitSet(new long[]{0x0000000000000000L,0x0088000000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_simpleNumberExpression_in_simpleIntListExpression2650 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000840L});
    public static final BitSet FOLLOW_RCURLY_in_simpleIntListExpression2659 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_simpleIntListExpression2674 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_doubleListExpression_in_numberListExpression2708 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_floatListExpression_in_numberListExpression2729 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_intListExpression_in_numberListExpression2741 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_simpleDoubleListExpression_in_doubleListExpression2764 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LCURLY_in_simpleDoubleListExpression2785 = new BitSet(new long[]{0x0000000000000000L,0x0088000000000000L,0x0000000000004043L});
    public static final BitSet FOLLOW_simpleNumberExpression_in_simpleDoubleListExpression2792 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000840L});
    public static final BitSet FOLLOW_COMMA_in_simpleDoubleListExpression2797 = new BitSet(new long[]{0x0000000000000000L,0x0088000000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_simpleNumberExpression_in_simpleDoubleListExpression2803 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000840L});
    public static final BitSet FOLLOW_RCURLY_in_simpleDoubleListExpression2812 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_simpleDoubleListExpression2827 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_simpleFloatListExpression_in_floatListExpression2853 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LCURLY_in_simpleFloatListExpression2874 = new BitSet(new long[]{0x0000000000000000L,0x0088000000000000L,0x0000000000004043L});
    public static final BitSet FOLLOW_simpleNumberExpression_in_simpleFloatListExpression2881 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000840L});
    public static final BitSet FOLLOW_COMMA_in_simpleFloatListExpression2886 = new BitSet(new long[]{0x0000000000000000L,0x0088000000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_simpleNumberExpression_in_simpleFloatListExpression2892 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000840L});
    public static final BitSet FOLLOW_RCURLY_in_simpleFloatListExpression2901 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_simpleFloatListExpression2916 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_simpleStringListExpression_in_stringListExpression2940 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LCURLY_in_simpleStringListExpression2961 = new BitSet(new long[]{0x0000000000000000L,0x0400000000000000L,0x0000000000000041L});
    public static final BitSet FOLLOW_simpleStringExpression_in_simpleStringListExpression2968 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000840L});
    public static final BitSet FOLLOW_COMMA_in_simpleStringListExpression2973 = new BitSet(new long[]{0x0000000000000000L,0x0400000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_simpleStringExpression_in_simpleStringListExpression2979 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000840L});
    public static final BitSet FOLLOW_RCURLY_in_simpleStringListExpression2988 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_simpleStringListExpression3004 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_simpleTypeListExpression_in_typeListExpression3029 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LCURLY_in_simpleTypeListExpression3050 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000041L});
    public static final BitSet FOLLOW_simpleTypeExpression_in_simpleTypeListExpression3057 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000840L});
    public static final BitSet FOLLOW_COMMA_in_simpleTypeListExpression3062 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_simpleTypeExpression_in_simpleTypeListExpression3068 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000840L});
    public static final BitSet FOLLOW_RCURLY_in_simpleTypeListExpression3077 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_simpleTypeListExpression3092 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_typeFunction_in_typeExpression3129 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_simpleTypeExpression_in_typeExpression3140 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_externalTypeFunction_in_typeFunction3174 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_externalTypeFunction3199 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_externalTypeFunction3201 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000006L});
    public static final BitSet FOLLOW_varArgumentList_in_externalTypeFunction3208 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_externalTypeFunction3210 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_simpleTypeExpression3235 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_annotationType_in_simpleTypeExpression3249 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_variable3275 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_listVariable3299 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_STAR_in_quantifierPart3333 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000800000L});
    public static final BitSet FOLLOW_QUESTION_in_quantifierPart3339 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_PLUS_in_quantifierPart3350 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000800000L});
    public static final BitSet FOLLOW_QUESTION_in_quantifierPart3356 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_QUESTION_in_quantifierPart3366 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000800000L});
    public static final BitSet FOLLOW_QUESTION_in_quantifierPart3372 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LBRACK_in_quantifierPart3383 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_quantifierPart3389 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000810L});
    public static final BitSet FOLLOW_COMMA_in_quantifierPart3396 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004013L});
    public static final BitSet FOLLOW_numberExpression_in_quantifierPart3403 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000010L});
    public static final BitSet FOLLOW_RBRACK_in_quantifierPart3409 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000800000L});
    public static final BitSet FOLLOW_QUESTION_in_quantifierPart3415 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionAnd_in_condition3446 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionContains_in_condition3455 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionContextCount_in_condition3464 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionCount_in_condition3473 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionCurrentCount_in_condition3482 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionInList_in_condition3491 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionLast_in_condition3500 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionMofN_in_condition3509 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionNear_in_condition3518 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionNot_in_condition3527 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionOr_in_condition3536 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionPartOf_in_condition3545 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionPosition_in_condition3554 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionRegExp_in_condition3563 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionScore_in_condition3572 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionTotalCount_in_condition3581 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionVote_in_condition3590 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionIf_in_condition3599 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionFeature_in_condition3608 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionParse_in_condition3617 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionIs_in_condition3626 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionBefore_in_condition3635 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionAfter_in_condition3644 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionStartsWith_in_condition3654 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionEndsWith_in_condition3663 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionPartOfNeq_in_condition3672 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionSize_in_condition3681 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_externalCondition_in_condition3700 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_externalCondition3740 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_externalCondition3742 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000006L});
    public static final BitSet FOLLOW_varArgumentList_in_externalCondition3748 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_externalCondition3750 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_AND_in_conditionAnd3779 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionAnd3781 = new BitSet(new long[]{0xF80000007FFFF100L,0x0000000000000810L,0x0000000000004001L});
    public static final BitSet FOLLOW_conditions_in_conditionAnd3787 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionAnd3789 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_CONTAINS_in_conditionContains3841 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionContains3843 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_typeExpression_in_conditionContains3850 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_listExpression_in_conditionContains3858 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionContains3860 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_conditionContains3866 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionContains3875 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionContains3881 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionContains3883 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionContains3889 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionContains3892 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_conditionContains3898 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionContains3904 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_CONTEXTCOUNT_in_conditionContextCount3937 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionContextCount3939 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_conditionContextCount3945 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionContextCount3948 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionContextCount3954 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionContextCount3956 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionContextCount3962 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionContextCount3972 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000004001L});
    public static final BitSet FOLLOW_numberVariable_in_conditionContextCount3978 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionContextCount3982 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_COUNT_in_conditionCount4028 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionCount4030 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_listExpression_in_conditionCount4036 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionCount4038 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_conditionCount4044 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionCount4047 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionCount4053 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionCount4055 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionCount4061 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionCount4071 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000004001L});
    public static final BitSet FOLLOW_numberVariable_in_conditionCount4077 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionCount4081 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_COUNT_in_conditionCount4099 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionCount4101 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_conditionCount4107 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionCount4110 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionCount4116 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionCount4118 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionCount4124 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionCount4134 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000004001L});
    public static final BitSet FOLLOW_numberVariable_in_conditionCount4140 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionCount4144 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_TOTALCOUNT_in_conditionTotalCount4180 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionTotalCount4182 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_conditionTotalCount4188 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionTotalCount4191 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionTotalCount4197 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionTotalCount4199 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionTotalCount4205 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionTotalCount4214 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000004001L});
    public static final BitSet FOLLOW_numberVariable_in_conditionTotalCount4220 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionTotalCount4224 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_CURRENTCOUNT_in_conditionCurrentCount4257 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionCurrentCount4259 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_conditionCurrentCount4265 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionCurrentCount4268 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionCurrentCount4274 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionCurrentCount4276 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionCurrentCount4282 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionCurrentCount4292 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000004001L});
    public static final BitSet FOLLOW_numberVariable_in_conditionCurrentCount4298 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionCurrentCount4302 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_INLIST_in_conditionInList4345 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionInList4347 = new BitSet(new long[]{0x0000000000000000L,0x0800000000000000L,0x0000000000000021L});
    public static final BitSet FOLLOW_stringListExpression_in_conditionInList4362 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_wordListExpression_in_conditionInList4370 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionInList4374 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionInList4380 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionInList4383 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_conditionInList4389 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionInList4395 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LAST_in_conditionLast4434 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionLast4436 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_conditionLast4442 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionLast4444 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MOFN_in_conditionMofN4491 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionMofN4493 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionMofN4499 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionMofN4501 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionMofN4507 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionMofN4509 = new BitSet(new long[]{0xF80000007FFFF100L,0x0000000000000810L,0x0000000000004001L});
    public static final BitSet FOLLOW_conditions_in_conditionMofN4515 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionMofN4517 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_NEAR_in_conditionNear4552 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionNear4554 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_conditionNear4560 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionNear4562 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionNear4568 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionNear4570 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionNear4576 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionNear4579 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_conditionNear4585 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionNear4588 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_conditionNear4594 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionNear4600 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MINUS_in_conditionNot4636 = new BitSet(new long[]{0xF80000007FFFF100L,0x0000000000000810L,0x0000000000004001L});
    public static final BitSet FOLLOW_condition_in_conditionNot4642 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_NOT_in_conditionNot4649 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionNot4651 = new BitSet(new long[]{0xF80000007FFFF100L,0x0000000000000810L,0x0000000000004001L});
    public static final BitSet FOLLOW_condition_in_conditionNot4657 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionNot4659 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_OR_in_conditionOr4698 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionOr4700 = new BitSet(new long[]{0xF80000007FFFF100L,0x0000000000000810L,0x0000000000004001L});
    public static final BitSet FOLLOW_conditions_in_conditionOr4706 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionOr4708 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_PARTOF_in_conditionPartOf4738 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionPartOf4740 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_typeExpression_in_conditionPartOf4747 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_typeListExpression_in_conditionPartOf4753 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionPartOf4756 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_PARTOFNEQ_in_conditionPartOfNeq4786 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionPartOfNeq4788 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_typeExpression_in_conditionPartOfNeq4795 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_typeListExpression_in_conditionPartOfNeq4801 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionPartOfNeq4804 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_POSITION_in_conditionPosition4838 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionPosition4840 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_conditionPosition4846 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionPosition4848 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionPosition4854 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionPosition4857 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_conditionPosition4863 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionPosition4867 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_REGEXP_in_conditionRegExp4897 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionRegExp4899 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_variable_in_conditionRegExp4906 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionRegExp4908 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_conditionRegExp4916 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionRegExp4919 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_conditionRegExp4925 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionRegExp4929 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_SCORE_in_conditionScore4964 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionScore4966 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionScore4972 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionScore4975 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionScore4981 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionScore4988 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000004001L});
    public static final BitSet FOLLOW_numberVariable_in_conditionScore4994 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionScore5001 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_VOTE_in_conditionVote5036 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionVote5038 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_conditionVote5044 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionVote5046 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_conditionVote5052 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionVote5054 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_IF_in_conditionIf5092 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionIf5094 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_conditionIf5100 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionIf5102 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_FEATURE_in_conditionFeature5136 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionFeature5138 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_conditionFeature5144 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionFeature5146 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_conditionFeature5152 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionFeature5154 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_PARSE_in_conditionParse5188 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionParse5190 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_conditionParse5198 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionParse5200 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_IS_in_conditionIs5231 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionIs5233 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_typeExpression_in_conditionIs5240 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_typeListExpression_in_conditionIs5246 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionIs5249 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_BEFORE_in_conditionBefore5280 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionBefore5282 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_typeExpression_in_conditionBefore5289 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_typeListExpression_in_conditionBefore5295 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionBefore5298 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_AFTER_in_conditionAfter5329 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionAfter5331 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_typeExpression_in_conditionAfter5338 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_typeListExpression_in_conditionAfter5344 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionAfter5347 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_STARTSWITH_in_conditionStartsWith5378 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionStartsWith5380 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_typeExpression_in_conditionStartsWith5387 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_typeListExpression_in_conditionStartsWith5393 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionStartsWith5396 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ENDSWITH_in_conditionEndsWith5427 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionEndsWith5429 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_typeExpression_in_conditionEndsWith5436 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_typeListExpression_in_conditionEndsWith5442 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionEndsWith5445 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_SIZE_in_conditionSize5476 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionSize5478 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_listExpression_in_conditionSize5484 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionSize5487 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionSize5493 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionSize5495 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionSize5501 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionSize5506 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000004001L});
    public static final BitSet FOLLOW_numberVariable_in_conditionSize5512 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionSize5516 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionColor_in_action5549 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionDel_in_action5558 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionLog_in_action5567 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionMark_in_action5576 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionMarkScore_in_action5585 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionMarkFast_in_action5594 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionMarkLast_in_action5603 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionReplace_in_action5612 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionFilterType_in_action5621 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionRetainType_in_action5630 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionCreate_in_action5639 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionFill_in_action5648 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionCall_in_action5657 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionAssign_in_action5666 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionSetFeature_in_action5675 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionGetFeature_in_action5684 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionUnmark_in_action5693 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionUnmarkAll_in_action5702 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionTransfer_in_action5711 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionMarkOnce_in_action5720 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionTrie_in_action5729 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionGather_in_action5738 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionExec_in_action5747 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionMarkTable_in_action5756 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionAdd_in_action5765 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionRemove_in_action5774 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionRemoveDuplicate_in_action5783 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionMerge_in_action5792 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionGet_in_action5801 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionGetList_in_action5810 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionMatchedText_in_action5819 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionClear_in_action5828 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionShift_in_action5837 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionConfigure_in_action5846 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionDynamicAnchoring_in_action5855 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionTrim_in_action5864 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionAddRetainType_in_action5874 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionRemoveRetainType_in_action5883 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionAddFilterType_in_action5892 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionRemoveFilterType_in_action5901 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_externalAction_in_action5919 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_externalAction5959 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_externalAction5961 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000006L});
    public static final BitSet FOLLOW_varArgumentList_in_externalAction5967 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_externalAction5969 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_CREATE_in_actionCreate6005 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionCreate6007 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionCreate6013 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionCreate6020 = new BitSet(new long[]{0x0000000000000000L,0x04881F0000002000L,0x0000000000004007L});
    public static final BitSet FOLLOW_numberExpression_in_actionCreate6045 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionCreate6062 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionCreate6068 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionCreate6075 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000005L});
    public static final BitSet FOLLOW_stringExpression_in_actionCreate6088 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000200000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_actionCreate6090 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_actionCreate6096 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionCreate6106 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionCreate6112 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000200000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_actionCreate6114 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_actionCreate6120 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionCreate6135 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MARKTABLE_in_actionMarkTable6176 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionMarkTable6178 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionMarkTable6189 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkTable6191 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionMarkTable6202 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkTable6204 = new BitSet(new long[]{0x0000000000000000L,0x0800000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_wordTableExpression_in_actionMarkTable6214 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkTable6221 = new BitSet(new long[]{0x0000000000000000L,0x0400E00000012000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_actionMarkTable6237 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkTable6244 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionMarkTable6250 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkTable6257 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionMarkTable6263 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkTable6269 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionMarkTable6275 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkTable6277 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionMarkTable6290 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000200000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_actionMarkTable6292 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionMarkTable6298 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkTable6308 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionMarkTable6314 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000200000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_actionMarkTable6316 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionMarkTable6322 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionMarkTable6333 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_GATHER_in_actionGather6376 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionGather6378 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionGather6384 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionGather6391 = new BitSet(new long[]{0x0000000000000000L,0x04881F0000002000L,0x0000000000004007L});
    public static final BitSet FOLLOW_numberExpression_in_actionGather6411 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionGather6427 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionGather6433 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionGather6440 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000005L});
    public static final BitSet FOLLOW_stringExpression_in_actionGather6453 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000200000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_actionGather6455 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004023L});
    public static final BitSet FOLLOW_numberExpression_in_actionGather6462 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_numberListExpression_in_actionGather6470 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionGather6481 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionGather6487 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000200000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_actionGather6489 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004023L});
    public static final BitSet FOLLOW_numberExpression_in_actionGather6496 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_numberListExpression_in_actionGather6504 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionGather6520 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_FILL_in_actionFill6562 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionFill6564 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionFill6570 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionFill6573 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionFill6579 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000200000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_actionFill6581 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_actionFill6598 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionFill6615 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_COLOR_in_actionColor6653 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionColor6655 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionColor6661 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionColor6673 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionColor6684 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionColor6692 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionColor6702 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionColor6710 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_actionColor6720 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionColor6730 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_DEL_in_actionDel6764 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LOG_in_actionLog6806 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionLog6808 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionLog6814 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionLog6817 = new BitSet(new long[]{0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_LogLevel_in_actionLog6823 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionLog6827 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MARK_in_actionMark6866 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionMark6868 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionMark6879 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionMark6895 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionMark6911 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionMark6935 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_SHIFT_in_actionShift6979 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionShift6981 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionShift6992 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionShift7008 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionShift7024 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionShift7048 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MARKSCORE_in_actionMarkScore7093 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionMarkScore7095 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionMarkScore7106 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkScore7108 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionMarkScore7118 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkScore7134 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionMarkScore7150 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionMarkScore7174 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MARKONCE_in_actionMarkOnce7218 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionMarkOnce7220 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000010000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionMarkOnce7237 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkOnce7239 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionMarkOnce7257 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkOnce7273 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionMarkOnce7289 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionMarkOnce7308 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MARKFAST_in_actionMarkFast7347 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionMarkFast7349 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionMarkFast7355 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkFast7357 = new BitSet(new long[]{0x0000000000000000L,0x0800000000000000L,0x0000000000000021L});
    public static final BitSet FOLLOW_wordListExpression_in_actionMarkFast7364 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_stringListExpression_in_actionMarkFast7372 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkFast7381 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_actionMarkFast7387 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkFast7390 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionMarkFast7396 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkFast7399 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_actionMarkFast7405 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionMarkFast7413 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MARKLAST_in_actionMarkLast7447 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionMarkLast7449 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionMarkLast7455 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionMarkLast7457 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_REPLACE_in_actionReplace7491 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionReplace7493 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionReplace7499 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionReplace7501 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_RETAINTYPE_in_actionRetainType7548 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionRetainType7551 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionRetainType7557 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionRetainType7562 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionRetainType7568 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionRetainType7574 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_FILTERTYPE_in_actionFilterType7625 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionFilterType7628 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionFilterType7634 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionFilterType7639 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionFilterType7645 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionFilterType7651 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_CALL_in_actionCall7691 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionCall7693 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_dottedIdentifier_in_actionCall7699 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionCall7701 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_CONFIGURE_in_actionConfigure7739 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionConfigure7741 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_dottedIdentifier_in_actionConfigure7747 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionConfigure7754 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionConfigure7764 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000200000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_actionConfigure7766 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_actionConfigure7772 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionConfigure7782 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionConfigure7788 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000200000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_actionConfigure7790 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_actionConfigure7796 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionConfigure7806 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_EXEC_in_actionExec7838 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionExec7840 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_dottedIdentifier_in_actionExec7846 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionExec7849 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000021L});
    public static final BitSet FOLLOW_typeListExpression_in_actionExec7855 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionExec7859 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ASSIGN_in_actionAssign7902 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionAssign7904 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_actionAssign7931 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionAssign7933 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionAssign7939 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_Identifier_in_actionAssign7977 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionAssign7979 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_actionAssign7985 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_Identifier_in_actionAssign8023 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionAssign8025 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionAssign8031 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_Identifier_in_actionAssign8069 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionAssign8071 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionAssign8077 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_Identifier_in_actionAssign8116 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionAssign8118 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionAssign8124 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_Identifier_in_actionAssign8162 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionAssign8164 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionAssign8170 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionAssign8189 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_SETFEATURE_in_actionSetFeature8221 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionSetFeature8223 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionSetFeature8229 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionSetFeature8231 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_actionSetFeature8237 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionSetFeature8239 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_GETFEATURE_in_actionGetFeature8278 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionGetFeature8280 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionGetFeature8286 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionGetFeature8288 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_variable_in_actionGetFeature8294 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionGetFeature8296 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_DYNAMICANCHORING_in_actionDynamicAnchoring8332 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionDynamicAnchoring8334 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_actionDynamicAnchoring8340 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionDynamicAnchoring8348 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionDynamicAnchoring8354 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionDynamicAnchoring8362 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionDynamicAnchoring8368 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionDynamicAnchoring8385 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_TRIM_in_actionTrim8419 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionTrim8421 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_typeListExpression_in_actionTrim8438 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_typeExpression_in_actionTrim8454 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionTrim8459 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionTrim8465 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionTrim8492 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_UNMARK_in_actionUnmark8528 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionUnmark8530 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionUnmark8546 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionUnmark8555 = new BitSet(new long[]{0x0000000000000000L,0x0088FF0000010000L,0x0000000000004003L});
    public static final BitSet FOLLOW_booleanExpression_in_actionUnmark8580 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_numberExpression_in_actionUnmark8599 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionUnmark8608 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionUnmark8614 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionUnmark8651 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_UNMARKALL_in_actionUnmarkAll8687 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionUnmarkAll8689 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionUnmarkAll8695 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionUnmarkAll8703 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000021L});
    public static final BitSet FOLLOW_typeListExpression_in_actionUnmarkAll8709 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionUnmarkAll8713 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_TRANSFER_in_actionTransfer8748 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionTransfer8750 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionTransfer8756 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionTransfer8758 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_TRIE_in_actionTrie8798 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionTrie8800 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionTrie8810 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000200000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_actionTrie8812 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionTrie8818 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionTrie8826 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionTrie8832 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000200000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_actionTrie8834 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionTrie8840 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionTrie8850 = new BitSet(new long[]{0x0000000000000000L,0x0800000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_wordListExpression_in_actionTrie8856 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionTrie8863 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_actionTrie8869 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionTrie8876 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionTrie8882 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionTrie8889 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_actionTrie8895 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionTrie8902 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionTrie8908 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionTrie8915 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionTrie8921 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionTrie8927 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ADD_in_actionAdd8972 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionAdd8974 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_listVariable_in_actionAdd8980 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionAdd8983 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_actionAdd8989 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionAdd8995 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_REMOVE_in_actionRemove9035 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionRemove9037 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_listVariable_in_actionRemove9043 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionRemove9046 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_actionRemove9052 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionRemove9058 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_REMOVEDUPLICATE_in_actionRemoveDuplicate9094 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionRemoveDuplicate9096 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_listVariable_in_actionRemoveDuplicate9102 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionRemoveDuplicate9104 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MERGE_in_actionMerge9149 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionMerge9151 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_actionMerge9157 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMerge9159 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_listVariable_in_actionMerge9165 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMerge9167 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_listExpression_in_actionMerge9173 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMerge9178 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_listExpression_in_actionMerge9184 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionMerge9190 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_GET_in_actionGet9225 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionGet9227 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_listExpression_in_actionGet9233 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionGet9235 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_variable_in_actionGet9241 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionGet9243 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionGet9249 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionGet9251 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_GETLIST_in_actionGetList9286 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionGetList9288 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_listVariable_in_actionGetList9294 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionGetList9296 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionGetList9302 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionGetList9304 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MATCHEDTEXT_in_actionMatchedText9343 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionMatchedText9345 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_variable_in_actionMatchedText9356 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionMatchedText9372 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionMatchedText9378 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionMatchedText9402 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_CLEAR_in_actionClear9442 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionClear9444 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_listVariable_in_actionClear9450 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionClear9452 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ADDRETAINTYPE_in_actionAddRetainType9488 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionAddRetainType9491 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionAddRetainType9497 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionAddRetainType9502 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionAddRetainType9508 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionAddRetainType9514 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_REMOVERETAINTYPE_in_actionRemoveRetainType9556 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionRemoveRetainType9559 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionRemoveRetainType9565 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionRemoveRetainType9570 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionRemoveRetainType9576 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionRemoveRetainType9582 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ADDFILTERTYPE_in_actionAddFilterType9622 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionAddFilterType9625 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionAddFilterType9631 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionAddFilterType9636 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionAddFilterType9642 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionAddFilterType9648 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_REMOVEFILTERTYPE_in_actionRemoveFilterType9688 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionRemoveFilterType9691 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionRemoveFilterType9697 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionRemoveFilterType9702 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionRemoveFilterType9708 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionRemoveFilterType9714 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_varArgumentList9746 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_varArgumentList9752 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_varArgumentList9756 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_varArgumentList9762 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_varArgumentList9768 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_stringExpression_in_argument9802 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_booleanExpression_in_argument9813 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_numberExpression_in_argument9824 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_typeExpression_in_argument9835 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_dottedIdentifier9869 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000200L});
    public static final BitSet FOLLOW_DOT_in_dottedIdentifier9882 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_dottedIdentifier9892 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000200L});
    public static final BitSet FOLLOW_Identifier_in_dottedIdentifier29918 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000004200L});
    public static final BitSet FOLLOW_set_in_dottedIdentifier29931 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_dottedIdentifier29945 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000004200L});
    public static final BitSet FOLLOW_Identifier_in_dottedId9977 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000200L});
    public static final BitSet FOLLOW_DOT_in_dottedId9990 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_dottedId10000 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000200L});
    public static final BitSet FOLLOW_BasicAnnotationType_in_annotationType10035 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_dottedId_in_annotationType10047 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_wordListExpression10072 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_RessourceLiteral_in_wordListExpression10085 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_wordTableExpression10109 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_RessourceLiteral_in_wordTableExpression10122 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_set_in_numberFunction10145 = new BitSet(new long[]{0x0000000000000000L,0x0088000000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpressionInPar_in_numberFunction10167 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_externalNumberFunction_in_numberFunction10191 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_externalNumberFunction10217 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_externalNumberFunction10219 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000006L});
    public static final BitSet FOLLOW_varArgumentList_in_externalNumberFunction10226 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_externalNumberFunction10228 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_numberVariable10253 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_numberVariable10266 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_numberVariable10279 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_multiplicativeExpression_in_additiveExpression10309 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000006000L});
    public static final BitSet FOLLOW_set_in_additiveExpression10318 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_multiplicativeExpression_in_additiveExpression10331 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000006000L});
    public static final BitSet FOLLOW_simpleNumberExpression_in_multiplicativeExpression10364 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000418000L});
    public static final BitSet FOLLOW_set_in_multiplicativeExpression10373 = new BitSet(new long[]{0x0000000000000000L,0x0088000000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_simpleNumberExpression_in_multiplicativeExpression10392 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000418000L});
    public static final BitSet FOLLOW_numberFunction_in_multiplicativeExpression10410 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_additiveExpression_in_numberExpression10433 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_numberExpressionInPar10451 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_additiveExpression_in_numberExpressionInPar10458 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_numberExpressionInPar10460 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MINUS_in_simpleNumberExpression10483 = new BitSet(new long[]{0x0000000000000000L,0x0008000000000000L});
    public static final BitSet FOLLOW_DecimalLiteral_in_simpleNumberExpression10490 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MINUS_in_simpleNumberExpression10504 = new BitSet(new long[]{0x0000000000000000L,0x0080000000000000L});
    public static final BitSet FOLLOW_FloatingPointLiteral_in_simpleNumberExpression10511 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MINUS_in_simpleNumberExpression10522 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000004001L});
    public static final BitSet FOLLOW_numberVariable_in_simpleNumberExpression10529 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_numberExpressionInPar_in_simpleNumberExpression10540 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_simpleStringExpression_in_stringExpression10580 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000002000L});
    public static final BitSet FOLLOW_PLUS_in_stringExpression10587 = new BitSet(new long[]{0x0000000000000000L,0x0488C00000010000L,0x0000000000004023L});
    public static final BitSet FOLLOW_simpleStringExpression_in_stringExpression10594 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000002000L});
    public static final BitSet FOLLOW_numberExpressionInPar_in_stringExpression10607 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000002000L});
    public static final BitSet FOLLOW_simpleBooleanExpression_in_stringExpression10619 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000002000L});
    public static final BitSet FOLLOW_typeExpression_in_stringExpression10631 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000002000L});
    public static final BitSet FOLLOW_listExpression_in_stringExpression10643 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000002000L});
    public static final BitSet FOLLOW_stringFunction_in_stringExpression10671 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_REMOVESTRING_in_stringFunction10698 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_stringFunction10700 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_variable_in_stringFunction10706 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_stringFunction10709 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_stringFunction10715 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_stringFunction10721 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_externalStringFunction_in_stringFunction10743 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_externalStringFunction10768 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_externalStringFunction10770 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000006L});
    public static final BitSet FOLLOW_varArgumentList_in_externalStringFunction10777 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_externalStringFunction10779 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_StringLiteral_in_simpleStringExpression10803 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_simpleStringExpression10817 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_composedBooleanExpression_in_booleanExpression10850 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_simpleBooleanExpression_in_booleanExpression10861 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_literalBooleanExpression_in_simpleBooleanExpression10884 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_simpleBooleanExpression10899 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_booleanCompare_in_composedBooleanExpression10933 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_booleanTypeExpression_in_composedBooleanExpression10953 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_booleanNumberExpression_in_composedBooleanExpression10972 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_booleanFunction_in_composedBooleanExpression10982 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_XOR_in_booleanFunction11007 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_booleanFunction11009 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_booleanFunction11015 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_booleanFunction11017 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_booleanFunction11023 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_booleanFunction11025 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_externalBooleanFunction_in_booleanFunction11047 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_externalBooleanFunction11072 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_externalBooleanFunction11074 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000006L});
    public static final BitSet FOLLOW_varArgumentList_in_externalBooleanFunction11081 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_externalBooleanFunction11083 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_simpleBooleanExpression_in_booleanCompare11108 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000003000000L});
    public static final BitSet FOLLOW_set_in_booleanCompare11114 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_booleanCompare11126 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_TRUE_in_literalBooleanExpression11152 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_FALSE_in_literalBooleanExpression11164 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_typeExpression_in_booleanTypeExpression11190 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000003000000L});
    public static final BitSet FOLLOW_set_in_booleanTypeExpression11197 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_booleanTypeExpression11210 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_booleanNumberExpression11232 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_booleanNumberExpression11239 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x000000001B180000L});
    public static final BitSet FOLLOW_set_in_booleanNumberExpression11246 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_booleanNumberExpression11275 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_booleanNumberExpression11278 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ruleElementComposed_in_synpred1_TextMarkerParser1746 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ruleElementDisjunctive_in_synpred2_TextMarkerParser1763 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_booleanListExpression_in_synpred7_TextMarkerParser2413 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_intListExpression_in_synpred8_TextMarkerParser2429 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_doubleListExpression_in_synpred9_TextMarkerParser2445 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_floatListExpression_in_synpred10_TextMarkerParser2461 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_stringListExpression_in_synpred11_TextMarkerParser2477 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_typeListExpression_in_synpred12_TextMarkerParser2493 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_doubleListExpression_in_synpred13_TextMarkerParser2700 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_floatListExpression_in_synpred14_TextMarkerParser2721 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_typeFunction_in_synpred15_TextMarkerParser3129 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_externalCondition_in_synpred17_TextMarkerParser3692 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_COUNT_in_synpred18_TextMarkerParser4028 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_synpred18_TextMarkerParser4030 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_listExpression_in_synpred18_TextMarkerParser4036 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_synpred18_TextMarkerParser4038 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_synpred18_TextMarkerParser4044 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_synpred18_TextMarkerParser4047 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_synpred18_TextMarkerParser4053 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_synpred18_TextMarkerParser4055 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_synpred18_TextMarkerParser4061 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_synpred18_TextMarkerParser4071 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000004001L});
    public static final BitSet FOLLOW_numberVariable_in_synpred18_TextMarkerParser4077 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_synpred18_TextMarkerParser4081 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_stringListExpression_in_synpred19_TextMarkerParser4355 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_externalAction_in_synpred20_TextMarkerParser5911 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_numberExpression_in_synpred21_TextMarkerParser6038 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_COMMA_in_synpred22_TextMarkerParser6051 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_synpred22_TextMarkerParser6057 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_booleanExpression_in_synpred23_TextMarkerParser6230 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_numberExpression_in_synpred24_TextMarkerParser6404 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_COMMA_in_synpred25_TextMarkerParser6417 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_synpred25_TextMarkerParser6423 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_numberExpression_in_synpred29_TextMarkerParser7228 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_typeExpression_in_synpred30_TextMarkerParser7248 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_booleanExpression_in_synpred32_TextMarkerParser8572 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_stringExpression_in_synpred33_TextMarkerParser9802 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_booleanExpression_in_synpred34_TextMarkerParser9813 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_numberExpression_in_synpred35_TextMarkerParser9824 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_externalNumberFunction_in_synpred36_TextMarkerParser10183 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_stringFunction_in_synpred38_TextMarkerParser10663 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_externalStringFunction_in_synpred39_TextMarkerParser10735 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_composedBooleanExpression_in_synpred40_TextMarkerParser10842 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_booleanCompare_in_synpred41_TextMarkerParser10925 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_booleanTypeExpression_in_synpred42_TextMarkerParser10945 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_booleanNumberExpression_in_synpred43_TextMarkerParser10964 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_externalBooleanFunction_in_synpred44_TextMarkerParser11039 = new BitSet(new long[]{0x0000000000000002L});

}